PC-DMIS_Settings_Editor

Modifying Registry Entries: Introduction

AIMS

A NALOG_PROBING

A uto Features

A uto Insert Moves

Catia 5

Catia

CNC Program

C Terminal History

Database

Debug

DMIS

Edit Window

File Man

Flow Control

Hard Probe Scanning in Features

Ideas

Import Settings

Inspection Plan

LEITZ

Live View

Lock Expiry Reminder

Misc-toolbar

NC Sensor Settings

Open GL Options

Open GL Settings

Open GL Settings Rotate Options

Optimize Path

Option

Parameters

PointcloudOperator

Pointcloud

Probe Cal

ProEngineer

Read Outs

ReportWindow

Scan

Settings View

StatusWindow

System Five Dcc

Unigraphics

USER_AutoFeatures

USER_CNCProgram

USER_CNCSettings

USER_DEA_Interface

USER_DMIS

USER_Execution

USER_Faro_Interface

USER_IplusPlus

USER_LEITZ

USER_LicenseServerClient

USER_Math Settings\Line\Manual

USER_Multiple Arm Calibration

USER_Multiple Arm Settings

USER_NC Sensor Settings

USER_Option

USER_Probe Cal

USER_SystemFiveDcc

USER_Temp Comp

USER_Valysis

Virtual Keypad

Wizards


Modifying Registry Entries: Introduction

PC-DMIS stores all user definable settings inside the Windows registry. In versions prior to version 3.5, PC-DMIS stored these settings inside an ini file called Pcdlrn.ini. The entries in the registry are read each time PC-DMIS is started.

Warning: Incorrectly editing your system registry may damage your computer system. For this reason we supply the PC-DMIS Settings Editor. We suggest you use this application to change your settings in PC-DMIS. However if you decide to edit the registry directly, be sure to back up important data on the computer before making your changes to the registry.

For nearly all user definable settings, you don't need to edit the registry settings but should make changes inside the PC-DMIS application itself.

Important: All known registry values are discussed as part of this document. Updates are regularly made to this document to reflect new strings that have been added to the registry for PC-DMIS.

In order to change the registry entries you must have the proper permissions. See the required permission under the topic for each Registry value.

More:

PC-DMIS Sections in the Registry

Editing PC-DMIS Registry Entries

Machine Interface Settings


PC-DMIS Sections in the Registry

Documented entries for the expandable sections in the PC-DMIS Settings Editor are discussed in these topics:

AIMS

ANALOG_PROBING

Auto Features

Auto Insert Moves

Catia 5

Catia

CNC Program

C Terminal History

Database

Debug

DMIS

Edit Window

File Man

Flow Control

Hard Probe Scanning in Features

Ideas

Import Settings

Inspection Plan

LEITZ

Live View

Lock Expiry Reminder

Misc-toolbar

NC Sensor Settings

Open GL Options

Open GL Settings

Open GL Settings Rotate Options

Optimize Path

Option

Parameters

PointcloudOperator

Pointcloud

Probe Cal

ProEngineer

Read Outs

ReportWindow

Scan

Settings View

StatusWindow

System Five Dcc

Unigraphics

USER_AutoFeatures

USER_CNCProgram

USER_CNCSettings

USER_DEA_Interface

USER_DMIS

USER_Execution

USER_Faro_Interface

USER_IplusPlus

USER_LEITZ

USER_LicenseServerClient

USER_Math Settings\Line\Manual

USER_Multiple Arm Calibration

USER_Multiple Arm Settings

USER_NC Sensor Settings

USER_Option

USER_Probe Cal

USER_SystemFiveDcc

USER_Temp Comp

USER_Valysis

Virtual Keypad

Wizards


Editing PC-DMIS Registry Entries

PC-DMIS provides you with a custom editor to use with PC-DMIS. This way you won't be editing the registry directly.

PC-DMIS Settings Editor

To edit PC-DMIS registry entries, follow this procedure:

  1. Exit and close your PC-DMIS application.

  2. Inside Windows, click on the Start menu and then click Program Files.

  3. Click on the PC-DMIS for Windows program group and select Settings Editor. This will launch the PC-DMIS Settings Editor application. It may take a minute to load all of the settings. Once running, you can use the PC-DMIS Settings Editor to find and edit any user-definable setting.

  4. Click the plus sign next to the group you want to modify. The list expands.

  5. Select the setting you want to change. The PC-DMIS Settings Editor displays information related to the setting you selected.

  • Section Name box – displays what section the entry falls under (for example [Option] was a section in the old Pcdlrn.ini file).

  • Entry Name box – displays the entry whose value you will change (for example HasRenishawWrist is an entry in the old Pcdlrn.ini file)

  • Entry Type box – displays what type of value is needed to modify the entry. These include, boolean, string, double, integer, DWORD.

  • Current Value box – displays the value of the setting selected. If the value displayed is NONE, you will see that it is followed by a value in parentheses. For example you might see something like NONE(0). NONE indicates that you haven’t changed a registry setting from its default value. The value in parentheses represents the default value, in this case a zero. PC-DMIS initially uses the default setting for the entries. When you change a value, PC-DMIS then adds a new key to the registry for that entry.

  6. Change the value of the setting in the Current Value box and then click Save Setting. Be aware that you can always revert the current entry back to its internal factory setting by clicking the Delete Setting button. Additionally, PC-DMIS only stores a temporary record of your change; it doesn't actually update the registry until you click the Update Registry button.

  7. Click the Update Registry button to permanently save your changes to the registry.

  8. Click OK to close the PC-DMIS Settings Editor once you have finished editing.

Note: You must run the PC-DMIS Settings Editor by itself. If you run the PC-DMIS Settings Editor with PC-DMIS you'll get a message informing you that you will need to close PC-DMIS prior to running the settings editor.

More:

Exporting and Importing Customized Settings

Clearing All Registry Entries

Saving Multiple Changes

Cancelling Your Changes

Finding an Entry

Multiple Arm Configuration


Exporting and Importing Customized Settings

To export, or back up your PC-DMIS registry settings, access the PC-DMIS Settings Editor, and click the Export button. You can then save the entries and their current values to a file. You can later restore saved entries by clicking the Import button. Restoring a file overwrites the values currently in the registry with the values from the saved file.


Clearing All Registry Entries

To clear the registry of any user-customized PC-DMIS entries and to reload their default values, click the Clear All button. This will delete all of the entries from the registry and reload the entries with their default factory values. The default values for these entries are stored internally in PC-DMIS, and are not shown in the PC-DMIS Settings Editor.


Saving Multiple Changes

To save multiple entry changes, make your changes and when you're finished, click the Update Registry button. Until you click this button you can always choose to cancel your changes by clicking the Cancel button.


Cancelling Your Changes

Unless you click the Update Registry button, you can always click the Cancel button, and then select No when the software asks if you want to save your changes to the registry. This will close down the Settings Editor without storing your changes to the registry.


Finding an Entry

To find a registry entry inside the PC-DMIS Settings Editor :

  1. Click the Find button. The PC-DMIS Settings Editor displays a standard Find dialog box.

  2. Type part or all of the registry entry's name in the Find What box.

  3. Click Find Next. PC-DMIS searches through all the expandable sections for the first entry that matches the text in the Find What box.

  4. Continue pressing Find Next cycle through other matching entries until you find the one you want to modify.


Multiple Arm Configuration

Entries that are modified manually during installation must also be set for remote arm entries that are indicated by _CMM2, _CMM3, & _CMM4. These registry values should be changed on the controlling computer (Arm1) for any settings that should be applied to other arms.

For example: If you have a DEAWrist that is present on your Arm2 system, then you would need to set the DEAWrist option under Option_CMM2 to 1 on the your Arm1 system.

Some settings are modified automatically through software during installation, calibration, or other PC-DMIS processes. Manually adjusted entries are the ones that need consideration for multiple configurations.


Machine Interface Settings

The Settings Editor has sections that are visible depending on the Machine Interface that is loaded with PC-DMIS. These sections will not be discussed as part of this documentation, but are discussed as part of the Machine Interface Installation Manual (MIIM). The values under the following sections are discussed in the MIIM:

Axila

B&S_Embedded_Board_Interface

Backtalk_Interface (Brown & Sharpe)

Bright (Mitutoyo Euro-c)

Coord3-PMAC

DEA_Interface

ELMDRIVER (Elm & Starrrett)

Faro_Interface

FEDERAL

GARDA

GOM (CTR & Krypton)

JOHANSSON

Iplusplus

Leica

LEITZ

LKDRIVER

LK Direct

MANMITI (Manual Mitutoyo)

MANMORA (Manual MORA)

METROLOG (Metrologic)

METROMEC

Mitutoyo

MORA

MZEISS (Manual Zeiss)

NUMEREX

Old_Dea

OmniMan (Manual Omnitech)

OMNITECH

POLAR

PROFTECH (Profitech)

REFLEX

RENISHAW

Romer_Interface

SHARPE32

Sheffield

SMX Laser Interface

Tech80_Interface

Theodolite_Interface

WENZEL

ZEISS

Important: Values related to the Machine Interface should only be altered by a trained technician


Active X

This section of the PC-DMIS Settings Editor discusses values that determine how ActiveX controls are used in PC-DMIS.

More:

DockBar

HowMany


Dock Bar

This value is used internally by PC-DMIS. Do not alter this value.


How Many

This value is used internally by PC-DMIS. Do not alter this value.


AIMS

This section of the PC-DMIS Settings Editor allows you to alter values that are only used for exporting AIMS files from PC-DMIS.

More:

AddDimensionLocations

MeasurementDeviceAccuracy

MeasurementDeviceId

MeasurementDeviceName


Add Dimension Locations

When this value is set to TRUE, location dimensions will automatically be added to all imported AIMS features. This is accessed by:

  1. Connecting to a TDF file through the AIMS DCI.

  2. Select File | Import | Inspection Plan.

  3. Select an Inspection Plan to be imported. Any features in the Inspection Plan will be added to the part program and if this option is set to TRUE, location dimensions will be added to the part program for each feature.

Entry Name: AddDimensionLocations

Entry Type: True/False value. Default value is None (TRUE).

User permission is required to change entry


Measurement Device Accuracy

This value provides the absolute accuracy of the device that was used to measure the part. This information will be saved to the TDF file on export.

Entry Name: MeasurementDeviceAccuracy

Entry Type: Real Number to specify absolute accuracy. Default value is None (0).

User permission is required to change entry


Measurement Device Id

This is an alphanumeric string used to identify the device that was used to measure the part. This information will be saved to the TDF file on export.

Entry Name: MeasurementDeviceId

Entry Type: Character String specifying the device alphanumeric identifier. Default value is None ( ).

User permission is required to change entry


Measurement Device Name

This is the name of the device used to measure the part. This information will be saved to the TDF file on export.

Entry Name: MeasurementDeviceName

Entry Type: Character String specifying the device name. Default value is None ( ).

User permission is required to change entry


ANALOG_PROBING

This section of the PC-DMIS Settings Editor allows you to alter many of the values for the parameters used in the Opt. Probe tab of the Parameter Settings dialog box. Display Menu Roadmap Select Edit | Preferences | Parameters in PC-DMIS to access this dialog box.

Information is provided below for each for the ANALOG_PROBING strings.

More:

MoveAccuracy

ProbeAccuracy

ProbeLowerForce

ProbeManualFine

ProbeMaxForce

ProbeMode

ProbeNumberofData

ProbeReturnSpeed

ProbeTriggerForce

ProbeUpperForce

ScanAcceleration

ScanOffsetForce

ScanPointDensity

SP6MTX Entries for ANALOG_PROBING


Move Accuracy

This value is a parameter specific to the Leitz interface. The value tells the CMM how carefully it should remain on the approach vector as the probe is moved into the part for a measurement.

With smaller values the difficulty for the machine to acquire the desired location increases. However, using a smaller value provides a more accurate measurement. This should normally be left at the default value.

Entry Name: MoveAccuracy

Entry Type: Whole Number specified in mms. Default value is 0.1.

User permission is required to change entry


Probe Accuracy

This value allows you to determine the accuracy required to take a measurement. If this value is not met then no measurement is taken and an error is given. This should normally be left at the default value.

Entry Name: ProbeAccuracy

Entry Type: Whole Number specified in mms. Default value is 0.1.

User permission is required to change entry


Probe Lower Force

This value allows you to enter the minimum force required to determine when the machine is in contact with the object being measured.

Entry Name: ProbeLowerForce

Entry Type: Whole Number specified in newtons. Default value is .06.

User permission is required to change entry


Probe Manual Fine

This value specifies whether this option is on or off. Value 1 will cause PC-DMIS to switch to DCC mode after a manual point is measured. This allows for normal deflection probing cycle to be used when the probe is moving away. This may result in slower manual probing but improves accuracy.

Not all analog probes/controllers support this mode of manual probing. In those cases, PC-DMIS ignores this check mark. Your CMM controller's manufacturer will know if your controller supports this option.

Entry Name: ProbeManualFine

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Probe Max Force

This value allows you to enter the maximum force that a probe will take before an error will occur, thus stopping measurement.

Entry Name: ProbeMaxForce

Entry Type: Whole Number specified in newtons. Default value is .36.

User permission is required to change entry


Probe Mode

This value specifies the type of probing cycle used. The most common cycle is deflection mode (DFL). Other cycles, such as soft probing (SFT), may also be supported by some analog probes/controllers. In some cases the probe/controller may not have multiple modes and this value is ignored.

Entry Name: ProbeMode

Entry Type: Character String for probing cycle (e.g. DFL, SFT, etc). Default value is DFL.

User permission is required to change entry


Probe Number of Data

This value allows you to enter the number of readings taken when the machine is moving away from the object being measured. This value defines the minimum number of data to be collected within the probing window defined by the Upper Force and Lower Force values.

Entry Name: ProbeNumberOfData

Entry Type: Character String specifying a number. Default value is 7.

User permission is required to change entry


Probe Return Speed

This value specifies the speed at which the probe comes off the object being measured.

Entry Name: ProbeReturnSpeed

Entry Type: Real Number specifying in mm/sec. Default value is 1.

User permission is required to change entry


Probe Trigger Force

This value allows you to enter the force at which a measurement reading is taken. For a normal deflection mode (DFL) probing cycle, this is the force at which the Actual Point (APT) will be calculated and returned to PC-DMIS. Not all analog probes/controllers use this input.

Entry Name: ProbeTriggerForce

Entry Type: Whole Number specified in newtons. Default value is .06.

User permission is required to change entry


Probe Upper Force

This value is the upper limit for a measurement. When this force is reached the machine moves back, away from the object being measured.

Entry Name: ProbeUpperForce

Entry Type: Whole Number specified in newtons. Default value is .18.

User permission is required to change entry


Scan Acceleration

This value allows you to specify what acceleration to use during a scan.

Entry Name: ScanAcceleration

Entry Type: Whole Number specified in mm/sec. Default value is 10.

User permission is required to change entry


Scan Offset Force

This value allows you to specify what level of force to maintain during a scan.

Entry Name: ScanOffsetForce

Entry Type: Whole Number specified in newtons. Default value is .12.

User permission is required to change entry


Scan Point Density

This value allows you to set the number of readings to take per millimeter of measurement during a scan.

Entry Name: ScanPointDensity

Entry Type: Whole Number specifying the amount of points. Default value is 4.

User permission is required to change entry


SP6MTX Entries for ANALOG_PROBING

You can only modify the SP6MTX entries using the PC-DMIS Settings Editor. These values are initially obtained when you complete the SP600 Lower Level Matrix calibration. PC-DMIS uses these values to create force variations needed to accurately obtain the low level matrix numbers for the SP600 probe. They aren't used for any other procedure and, for now, you don't need to modify these values.

Future versions of PC-DMIS however may allow these entries to be used for non-SP600 probe types and in such cases you would need to modify these values.

For information on performing a lower level matrix calibration, see the "SP600 Calibration Procedures" topic in the "Defining Hardware" section in the main PC-DMIS help file.

More:

SP6MTX Lower Force

SP6MTX Max Force

SP6MTX Upper Force


SP6MTX Lower Force

This value allows you to enter the minimum force required to determine when the machine is in contact with the object being measured.

Entry Name: SP6MTXLowerForce

Entry Type: Whole Number specified in newtons. Default value is .18.

User permission is required to change entry


SP6MTX Max Force

This value allows you to enter the maximum force that a probe will take before an error will occur, thus stopping measurement.

Entry Name: SP6MTXMaxForce

Entry Type: Whole Number specified in newtons. Default value is .54.

User permission is required to change entry


SP6MTX Upper Force

This value is the upper limit for a measurement. When this force is reached the machine moves back, away from the object being measured.

Entry Name: SP6MTXUpperForce

Entry Type: Whole Number specified in newtons. Default value is .3.

User permission is required to change entry


Auto Features

This section of the PC-DMIS Settings Editor allows you to store values used in creating Auto Features. USER log-in permissions are required to change Auto Feature parameters. Many of these parameters can be set using the Auto Feature dialog box. See the "Common Auto Feature Dialog Box Options" section of the core PC-DMIS document for more information.

More:

Advanced

Algorithm

Area

AutoCircularMoves

AutoClearancePlane

AutoPrePosition

AutoWrist

Cartesian

DccAngle

DccAngleExterior

DccAnglePerm Hits

DccAngleShowAll

DccAutoMoveDistance

DccBFSubType

DccCircleShowAll

DccCircleShow Hits

DccCirMove

DccCirNumHits

DccConeNumHits

DccConeNumRows

DccConeShowAll

DccConeShowHits

DccCornerShowAll

DccCylinderShowAll

DccCylinderShowHits

DccCylNumHits

DccCylNumRows

DccDepth

DccDiam

DccEdgeInitHits

DccEdgePermHits

DccEdgePoint2ClickSelect

DccEdgePoint2ClickSelectShowWarning

DccEdgeShowAll

DccEllipseShowAll

DccEllipseShowHits

DccEllNumHits

DccEndAng

DccEndAng2

DccFindHoleType

DccFlagword

DccHeight

DccHighPntShowAll

DccHPntInc

DccHPntRadInLength

DccHPntRadOutWidth

DccHPntSearchMode

DcHPntTol

DccIJK(1-4)_0

DccIJK(1-4)_1

DccIJK(1-4)_2

DccIndent(1-3)

DccInitHits

DccInOut

DccLength

DccLineBounded

D ccLineNumHits

DccLineShowAll

DccLineShowHits

DccMajorAxis

DccMeasure

DccMeasureOrder

DccMinorAxis

DccNotchShowAll

DccNotchShowHits

DccNumHits

DccPermHits

DccPinDiam

DccPitch

DccPlaneShowAll

DccPlaneShowHits

DccPlnDisplay

DccPlnNumHits

DccPlnNumRows

DccPlnPattern

DccPlnSpacer

DccPntSpacer

DccPolyNumHits

DccPolyNumSides

DccRadius

DccRSlotMeasAngle

DccRSlotShowAll

DccRSlotShowHits

DccSetNomAxis

DccShowPath

DccSnap

DccSpacer

DccSphereInOut

DccSphereShowAll

DccSphereShowHits

DccSphNumHits

DccSphNumRows

DccSSlotShowAll

DccSSlotShowHits

DccStrAng

DccStrAng2

DccSurfacePntShowAll

DccSurfInitHits

DccSurfPermHits

DccTargIJK_0

DccTargIJK_1

DccTargIJK_2

DccTargXYZ_0

DccTargXYZ _1

DccTargXYZ _2

DccThickness2Distance

DccThickness2IsActual

DccThicknessDistance

DccThicknessIsActual

DccType

DccUseAutoMove

DccUseData

DccUseReport

DccUseTheoLastState

DccVectorPntShowAll

DccVoidDetection

DccXYZ_0

DccXYZ_1

DccXYZ_2

DccXYZ2_0

DccXYZ2_1

DccXYZ2_2

Measure

MeasureMode

Orientation(1-6)(IJK)

Point1(XYZ)

Point2(XYZ)

PointSize

PointToleranceMinus

PointTolerancePlus

PTPSupportsDepth

PTPSupportsFindHole

PTPSupportsHits

PTPSupportsIndent

PTPSupportsIndent2

PTPSupportsIndent3

PTPSupportsOnError

PTPSupportsPitch

PTPSupportsReadPos

PTPSupportsRows

PTPSupportsSampleHits

PTPSupportsSampleHitsInit

PTPSupportsSampleHitsVals

PTPSupportsSpacer

PTP_AutoMove

PTP_AutoMoveDistance

PTP_Depth

PTP_FindHole

PTP_FindHoleType

PTP_Hits

PTP_Indent(1-3)

PTP_InitPermSampleHits

PTP_OnError

PTP_Pitch

PTP_ReadPos

PTP_Rows

PTP_SampleHits

PTP_SampleHitsInit

PTP_Spacer

ReMeasure

ScreenCaptureQuality

ScreenCaptureScale

ScreenCaptureTime

ScreenCaptureType

ShowOutliers

ShowPath

ShowPoints

Spacer

Thickness(1-6)

ThicknessType(1-6)

Auto Features – Initial Hits

Auto Features – Number Hits

Auto Features – Number Rows

Auto Features - Permanent Hits

Auto Features - Show All

Auto Features - Show Hits


Advanced

This value allows you to specify if the Auto Feature dialog box opens with the more advanced options shown. In the Auto Feature dialog box, there is a toggle between Basic and Advanced views. A value of TRUE (1) will display the Advanced options.

Entry Name: Advanced

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry


Algorithm

This value determines the default Best Fit algorithm that is used for creation of circular auto features.

Entry Name: Algorithm

Entry Type: Whole Number to specify best fit type. Default value is None (-1).

User permission is required to change entry

Value Key:

0 | Least Squares
1 | Minimum Separation
2 | Maximum Inscribed
3 | Minimum Circumscribed
4 | Fixed Radius


Area

This value is not currently used.


Auto Circular Moves

Use the DccCirMove value to affect this change rather than this value. This value is not currently being used.


Auto Clearance Plane

This value allows you to define the default value for the Clearance Plane option that will be used when an Auto Feature is created. When this option is set to TRUE (1), a MOVE/CLEARPLANE command is inserted before the feature being created. The Probe will move beyond the defined clearance plane before to goes to measure the feature.

Entry Name: AutoClearancePlane

Entry Type: Whole Number to specify TRUE (1) or FALSE(0). Default value is 0.

User permission is required to change entry


Auto Pre Position

This TRUE / FALSE toggle field moves the video camera to position and then pauses before taking a measurement. This allows you to make fine positional adjustments of the targets. This option is used when this value is set to TRUE (1).

Entry Name: AutoPrePosition

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Auto Wrist

This value allows you to enable the automatic selection of the best probe tip angle to use for measuring the related feature. This angle will most closely relate to the approach vector for the feature. This corresponds to the PH9 option in the Auto Feature dialog box. If this option is set to FALSE (0), PC-DMIS will use the current tip angle.

Entry Name: AutoWrist

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Back Off

This value is used with Flush and Gap Laser Auto Feature. The back-off distance determines the location from the gap’s edge at which PC-DMIS measures the flush distance. This distance is measured from the edge of the gap.

Entry Name: BackOff

Entry Type: Real Number to specify distance. Default value is None (-1.).

User permission is required to change entry


Bend Radius

This value provides that radius of the bend from outside surface to the surfaces inside the gap of a Flush and Gap Laser Auto Feature. This is useful to ensure that hits are taken on the flat surfaces that make up the Flush and Gap Auto feature and not on the bent edge of the gap.

Entry Name: BendRadius

Entry Type: Real Number to specify radius. Default value is None (-1.).

User permission is required to change entry


Bounded

Use the DccLineBounded value to affect this change rather than this value. This value is not currently used.


CAD Point Analysis Size

This value determines how big the measured points will be drawn in the Cad View. This value specifies the diameter, as is specified in current units (mm or inch).

Entry Name: CADPointAnalysisSize

Entry Type: Real Number to specify diameter. Default value is None (0.02).

User permission is required to change entry


Cartesian

This value allows you to specify the coordinate system that will be used by default for Auto features.

Entry Name: Cartesian

Entry Type: Whole Number to specify Cartesian (1) or Polar(0). Default value is 1.

User permission is required to change entry


Circle Box

Use the DccHPntSearchMode value to affect this change rather than this value. This value is not currently used.


Closed

When this value is set to CLOSED (1), the 2D Profile Edge Tracer for PC-DMIS Vision determines that the first nominal segment is joined to the last nominal segment. Basically, this value determines if the 2D Profile feature is Open or Closed.

Entry Name: Closed

Entry Type: Whole Number to specify CLOSED (1) or OPEN (0). Default value is CLOSED (0).

User permission is required to change entry


Cone Angle

Use the DccAngle value to affect this change rather than this value. This value is not currently used.


Corner Radius

Use the DccRadius value to affect this change rather than this value. This value is not currently used.


DCC Angle

This value represents the cone angle for a cone auto feature. The last used value is stored here and is applied to subsequent auto cone features.

Entry Name: DCCAngle

Entry Type: Whole Number to specify angle in degrees. Default value is 0.

User permission is required to change entry


DCC Angle Exterior

This value defines the angle as either interior or exterior. Interior angles have the solid angle of the part less than 180°, while exterior angles are greater than 180°. With the exterior option enabled, PC-DMIS will measure the angle as exterior. It is very important to make sure this option is set correctly because of the differences in measurement sequence for each type.

Entry Name: DCCAngleExterior

Entry Type: Whole Number to specify Exterior(1) or Interior(0) angle. Default value is 1.

User permission is required to change entry


DCC Angle Perm Hits

See “Auto Features - Permanent Hits” from more information.


DCC Angle Show All

See “Auto Features - Show All” for more information.


DCC Auto Move Distance

This value defines the default value for the Auto Move Distance that will be used with the DccUseAutoMove registry entry when an Auto Feature is created. This value is used for Contact probes while the "AutoMoveDistance" value is used for Vision and Laser probes.

Entry Name: DCCAutoMoveDistance

Entry Type: Real Number to specify distance. Default value is 0.

User permission is required to change entry


DCC BF Sub Type

This value is no longer used. See "Algorithm" instead.


DCC Circle Show All

See “Auto Features - Show All” for more information.


DCC Circle Show Hits

See “Auto Features - Show Hits” for more information.


DCC Cir Move

This value allows you to define the default value for the Circular Moves option that will be used when an Auto Feature is created. When this option is set to TRUE (1), a MOVE/CIRCULAR command is inserted before the created feature. PC-DMIS will follow a circular path when taking the next hit based on the radius of the feature.

See "Inserting a Move Circular Command" in the "Inserting Moves" section for information on inserting circular moves into the Edit window.

Entry Name: DccCirMove

Entry Type: Whole Number to specify TRUE (1) or FALSE(0). Default value is 0.

User permission is required to change entry


DCC Cir Num Hits

See “Auto Features – Number Hits” for more information.


DCC Cone Num Hits

See “Auto Features – Number Hits” for more information.


DCC Cone Num Rows

See “Auto Features – Number Rows” for more information.


DCC Cone Show All

See “Auto Features - Show All” for more information.


DCC Cone Show Hits

See “Auto Features - Show Hits” for more information.


DCC Corner Show All

See “Auto Features - Show All” for more information.


DCC Cylinder Show All

See “Auto Features - Show All” for more information.


DCC Cylinder Show Hits

See “Auto Features - Show Hits” for more information.


DCC Cyl Num Hits

See “Auto Features – Number Hits” for more information.


DCC Cyl Num Rows

See “Auto Features – Number Rows” for more information.


DCC Depth

This value allows you to define the default value for the Depth option that will be used when an Auto Feature is created. A depth value is used for measuring sample hits. The sample hit is taken at a distance from the feature you are measuring. The behavior of this function differs depending on the Auto Feature type. See the section on "Depth Box" topic in the core PC-DMIS help file for more information. This value is used for Contact probes while the "Depth" value is used for Laser probes.

Entry Name: DccDepth

Entry Type: Real Number to specify distance. Default value is 0.

User permission is required to change entry


DCC Diam

This value defines the default Diameter value that will be used for circular auto features (circles, cones, cylinders and spheres). For a cone, this value represents the nominal diameter at the end of the cone where you've defined the X,Y, and Z location. This value is used for Contact probes while the "Diameter" value is used for Laser and Vision probes.

Entry Name: DccDiam

Entry Type: Real Number to specify diameter. Default value is 0.

User permission is required to change entry


DCC Edge Init Hits

See “Auto Features – Initial Hits” for more information.


DCC Edge Perm Hits

See “Auto Features - Permanent Hits” from more information.


DCC Edge Point 2 Click Select

This entry allows you to determine whether or not PC-DMIS uses two mouse clicks to determine the XYZ and IJK values when selecting an Auto Edge Point in the Graphics Display window. If set to TRUE (1), PC-DMIS uses two mouse clicks, one on each surface, to determine the correct XYZ and IJK values. If it's set to FALSE (0), PC-DMIS uses the old method of one click.

Entry Name: DCCEdgePoint2ClickSelect

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry

When creating an Auto Edge Point feature by clicking on a CAD model's surface in the Graphics Display window, you'll notice that some surfaces do not have perfect 90 degree edges, but instead have tight curves, when you zoom in on the CAD.

CAD Edge – From a distance, it looks like you could create an edge point here.

CAD Edge – However, when you look closer you can see it's not really a 90 degree edge but instead a tight curve.

The problem with some auto edge points is that you can click on the edge and obtain the correct XYZ location, but the IJK vector may be incorrect. Or, you can click somewhere else on the part to get the correct IJK vector, but the XYZ location will be incorrect.

If you set the DCCEdgePoint2ClickSelect entry to TRUE, PC-DMIS allows you to take 2 mouse clicks (one on each surface) to obtain both the correct XYZ location and IJK vector.

Mouse click 1, PC-DMIS collects the XYZ location and IJK vector.

Mouse click 2, If the IJK vector is incorrect, PC-DMIS collects a valid IJK vector.

If the CAD model has a regular 90 degree edge, you can click on both surfaces and the edge point will get created as usual.

You can tell PC-DMIS to display a message when creating auto edge points using this mode. See "DCC Edge Point 2 Click Select Show Warning"

For information on Auto Edge Points, see the "Creating an Auto Edge Point" topic in the "Creating Auto Features" section.


DCC Edge Point 2 Click Select Show Warning

This entry allows you to specify whether or not PC-DMIS shows a warning alerting you that PC-DMIS expects two mouse clicks (one on each surface) for creating auto edge points. If this entry and the DCCEdgePoint2ClickSelect entry are both set to TRUE (1), PC-DMIS displays a message informing you that you will need to take two mouse clicks to create the auto edge point.

Entry Name: DCCEdgePoint2ClickSelectShowWarning

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry

See "DCC Edge Point 2 Click Select".

For information on Auto Edge Points, see the "Creating an Auto Edge Point" topic in the "Creating Auto Features" section.


DCC Edge Show All

See “Auto Features - Show All” for more information.


DCC Ellipse Show All

See “Auto Features - Show All” for more information.


DCC Ellipse Show Hits

See “Auto Features - Show Hits” for more information.


DCC Ell Num Hits

See “Auto Features – Number Hits” for more information.


DCC End Ang

This value allows you to define the default value for the End Ang option that will be used when an Auto Feature is created. This is a user supplied angle in decimal degrees. This value is used for Contact probes while the "EndAngle" value is used for Vision probes.

Entry Name: DccEndAng

Entry Type: Real Number to specify the angle in degrees. Default value is 360.

User permission is required to change entry

Note: It is important to remember when entering starting and ending angles that the IJK vector always looks down the centerline, and that PC-DMIS measures DCC circular features in a counterclockwise direction.


DCC End Ang2

This value allows you to define the default value for the End Angle option that will be used when an Auto sphere is created. This is a user supplied angle in decimal degrees. This field will accept values between 0° and 90°. If the ending angle is 0°, the last row will be a single hit at the top of the sphere.

Entry Name: DccEndAng2

Entry Type: Real Number to specify the angle in degrees. Default value is 90.

User permission is required to change entry

Note: It is important that the ending angle is not at more than 90°. The risk of the probe shank hitting the part is increased when a greater angle is used.

Note: When entering starting and ending angles, remember that the IJK vector always looks down the centerline, and that PC-DMIS measures DCC spheres in a counterclockwise direction.


DCC Find Hole Type

This value specifies the default option that will be used when the Find Hole check box is selected in the Auto Feature dialog box.

Entry Name: DccFindHoleType

Entry Type: Whole Number to specify CENTER (0), NOCENTER(1) or SINGLE HIT (2). Default value is 0.

User permission is required to change entry

When the Find Hole box is selected, PC-DMIS moves to a position of a prehit distance above the theoretical center of the feature, then drives normal to the feature surface vector searching for the hole at touch speed. The search will continue until either the surface is touched (indicating that the hole is not there) or until the check distance is reached (indicating that the hole is present).

0 - CENTER – This item causes the probe to move down to the "check distance" depth for the hole and search inside the hole for a rough estimate of the hole's center. The probe does this by taking three hits equally spaced around the hole. Once the probe has the hole's general location, it then proceeds to measure the hole using the parameters set in the specific auto feature dialog box. Unless NOCENTER or SINGLE HIT is selected, this is the default procedure that PC-DMIS follows if the hole is found.

1 - NOCENTER – This item acts as the CENTER item except the probe doesn't take the three hits to find the rough estimate of the hole's center. It merely begins measuring the circle using existing parameters set in the specific auto feature dialog box.

2 - SINGLE HIT– This setting tells the probe to take one single hit. If it hits the surface and doesn't find the hole, then it automatically switches to the "If the hole is not found" case described below. If the probe finds the hole proceeds using the CENTER option.


DCC Flagword

This value is used internally by PC-DMIS. Do not alter.

Entry Name: DccFlagword

Entry Type: Whole Number to specify a bit string. Default value is -1.

User permission is required to change entry


DCC Height

This value allows you to define the default value for the Height option that will be used when an Auto Feature is created. The Height value determines the height of the external circular feature being measured.

Entry Name: DccHeight

Entry Type: Real Number to specify the height in mm. Default value is 0.

User permission is required to change entry

Circle, Square Slot, Round Slot, or Ellipse:

The Height box is used for these features only if the feature is an external (or stud) feature. It allows for an extra hit on the top (and in the center) of the stud. If this value is anything but 0, PC-DMIS will take an extra hit in the center of the stud. It will then compute the height of the stud.

Cylinder or Cone:

When TYPE = HOLE, the Height box defines the nominal length of the feature. If you enter a Height value but do not define a depth, PC-DMIS equally divides the Height value by the number of rows indicated in the # Rows box. If a depth value is defined, the actual measured feature becomes the height minus the depth value.

    • For cylinders, the probe then works its way down the cylinder in increments until it reaches the indicated height value.

    • For cones, the probe then starts at the bottom of the cone using the defined height value (location minus length) and works its way up the length of the cone.

When TYPE = STUD and the Initial and Perm boxes contain non-zero values, this option will allow for an extra hit on the top of the stud in the center. If this value is anything but 0, PC-DMIS will take an extra hit in the center of the stud. It then will compute the height of the stud.


DCC High Pnt Show All

See “Auto Features - Show All” for more information.


DCC H Pnt Inc

This value allows you to define the default value for the Increment option that will be used when an Auto High Point is created. During execution PC-DMIS begins searching from the start point (or search point) by the amount specified by the increment value.

Entry Name: DccHPntInc

Entry Type: Real Number to specify increment distance in mm. Default value is 0.

User permission is required to change entry


DCC H Pnt Rad In Length

This value allows you to define the default value for the Length / In Radius option that will be used when an Auto High Point is created. When the Length is displayed, it represents the distance along the major axis of the current work plane used for the search area. When the In Radius is displayed it represents the value of the inner radius of the search area.

Entry Name: DccHPntRadInLength

Entry Type: Real Number to specify distance in terms of mm. Default value is 0.

User permission is required to change entry

See the "DccHPntSearchMode" topic for more information on High Point Search Modes.


DCC H Pnt Rad Out Width

This value allows you to define the default value for the Width / Out Radius option that will be used when an Auto High Point is created. When the Width is displayed, it represents the distance along the minor axis of the current work plane used for the search area. When the Out Radius is displayed, it represents the value of the outer radius of the search area.

Entry Name: DccHPntRadOutWidth

Entry Type: Real Number to specify distance in terms of mm. Default value is 0.

User permission is required to change entry

See the "DccHPntSearchMode" topic for more information on High Point Search Modes.


DCC H Pnt Search Mode

This value allows you to define search mode that PC-DMIS will use to return the highest point.

If the value is 0 (Box Mode), then the search region for the High Point feature becomes an area specified by the Width ( DccHPntRadOutWidth) and Length (DccHPntRadInLength) values.

If the value is 1 (Circular Mode), then the search region for the High Point feature becomes a circular search band specified by Outer Radius ( DccHPntRadOutWidth) and Inner Radius (DccHPntRadInLength) values. If a complete circular region is desired, set the inner radius to 0. If a circular search line is desired, set the inner and outer radii to the same value. The highest point along the circumference will be reported.

Entry Name: DccHPntSearchMode

Entry Type: Whole Number to specify Box Mode (0) or Circular Mode (1). Default value is Box Mode (0).

User permission is required to change entry

Note: The start point should lie within the search region defined by the Width and Length or Inner Rad and Outer Rad parameters. For the special cases of line searching, the start point will automatically be adjusted to be on the line.


DCC H Pnt Tol

This value allows you to define the default value for the Tolerance option that will be used when an Auto High Point is created. This value allows you to define High Point tolerance that PC-DMIS will use to stop searching for a high point within a given area. The tolerance value should always be less than the increment value. During the search process, PC-DMIS decreases the increment value until it is less than or equal to the Tolerance value supplied, indicating that the highest point in the current work plane has been located.

Entry Name: DccHPntTol

Entry Type: Real Number to specifying distance. Default value is 0.

User permission is required to change entry


DCC IJK (1-4)_0

This value provides the default "I" value for various IJK vectors that are used in the creation of Auto Features. The value is applied to different vector types (Surface, Edge, Angle, etc.) depending on the auto feature type.

Note: Because of the variance between auto features and how this value is applied, it is best to alter this value from the Auto Feature dialog box within PC-DMIS.

Entry Name: DccIJK(1-4)_0

Entry Type: Real Number to specify the I vector value. Default value is 0.

User permission is required to change entry


DCC IJK (1-4)_1

This value provides the default "J" value for various IJK vectors that are used in the creation of Auto Features. The value is applied to different vector types (Surface, Edge, Angle, etc.) depending on the auto feature type.

Note: Because of the variance between auto features and how this value is applied, it is best to alter this value from the Auto Feature dialog box within PC-DMIS.

Entry Name: DccIJK(1-4)_1

Entry Type: Real Number to specify the J vector value. Default value is 0.

User permission is required to change entry


DCC IJK (1-4)_2

This value provides the default "K" value for various IJK vectors that are used in the creation of Auto Features. The value is applied to different vector types (Surface, Edge, Angle, etc.) depending on the auto feature type.

Note: Because of the variance between auto features and how this value is applied, it is best to alter this value from the Auto Feature dialog box within PC-DMIS.

Entry Name: DccIJK(1-4)_2

Entry Type: Real Number to specify the K vector value. Default value is 1.

User permission is required to change entry


DCC Indent (1-3)

This value allows you to define the default value for the Indent option that will be used when an Auto Feature is created. The Indent value represents the minimum offset distance from the point location to the first sample hit.

Entry Name: DccIndent

Entry Type: Real Number to specify the indent distance. Default value is 0.

User permission is required to change entry

Three Indent values can be specified and used depending on the feature type:

Edge Point: The Indent 1 value is the offset distance from the point location to the first hit on each side of the bend (or edge).

Angle Point: The Indent 1 value is the offset distance from the point location to the sample hits on the first surface of the bend. The Indent 2 value is the offset distance from the point location for the sample hits on the second surface of the bend.

Corner Point: The Indent 1 value is the offset distance from the point location to the sample hits on the first of the three planes. The Indent 2 value is the offset distance from the point location to the sample hits on the second of the three planes. The Indent 3 value is the offset distance from the point location to the sample hits on the third of the three planes.

Notch: The Indent 1 value is the distance in from the edge of the open end of the notch where the parallel side hits will be taken.


DCC Init Hits

This value allows you to define the default value for the Initial Hits option that will be used when an Auto Feature is created. The Initial Hits value allows you to select the number of sample hits taken for the auto feature. These hits are used to measure the plane around the nominal point location. Initial sample hits are taken only on the initial measurement of the feature during execution of the part program.

Entry Name: DccInitHits

Entry Type: Whole Number to specify the number of Initial hits. Default value is 0.

User permission is required to change entry

See the "Initial and Perm Lists" topic for information on valid values and use.


DCC In Out

Use the DccSphereInOut value to affect this change rather then this value. This value is not used.


DCC Length

This value allows you to define the default value for the Length option that will be used when an Auto Feature is created. The Length value displays the length of the feature for a line, notch, ellipse, round slot or square slot, while it define the width of the search region for a High point. This value is used for Contact probes while the "Length" value is used for Laser and Vision probes.

Entry Name: DccLength

Entry Type: Real Number to specify distance. Default value is 0.

User permission is required to change entry


DCC Line Bounded

This value allows you to define the default value for the Bounded option that will be used when an Auto Feature is created. This value allows you to determine whether or not the auto line is Bounded by an ending point or Unbounded. Bounded lines are calculated with an XYZ end point value to determine the length of the line from the start point. Unbounded lines are calculated from the starting point, along the line vector for the distance specified from the DccLength value.

Entry Name: DccLineBounded

Entry Type: Whole Number to specify bounded (1) or unbounded (0). Default value is 1.

User permission is required to change entry

See XYZ Start / End Point Boxes and Length box for additional information.


DCC Line Num Hits

See “Auto Features – Number Hits” for more information.


DCC Line Show All

See “Auto Features - Show All” for more information.


DCC Line Show Hits

See “Auto Features - Show Hits” for more information.


DCC Major Axis

This value allows you to define the default value for the Major Axis option that will be used when an Auto Feature is created. The major axis value refers to the diameter of the Major Axis of an Auto Ellipse

Entry Name: DccMajorAxis

Entry Type: Real Number to specify the Major Axis diameter. Default value is 0.

User permission is required to change entry


DCC Measure

This value allows you to define the default value for the Measure option that will be used when an Auto Feature is created. The Measure option allows you to begin the measurement process. When the option is set to TRUE (1) PC-DMIS will measure the part based on the values specified in the Auto Feature dialog box after you click the Create button. This value is used for Contact probes while the "Measure" value is used for Laser and Vision probes.

Entry Name: DccMeasure

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


DCC Measure Order

This value is used to determine the order that sample hits are taken for an edge point.

Entry Name: DccMeasureOrder

Entry Type: Whole Number to specify measure order. Default value is 0.

User permission is required to change this entry

Value Key:

0 | Surface | Surface measures the three hits, first on the surface, then on the edge.
1 | Edge | Edge measures the two hits, first on the edge then the surface.
2 | Both | Both measures the surface, then the edge, and then the surface again.


DCC Minor Axis

This value allows you to define the default value for the Minor Axis option that will be used when an Auto Feature is created. The minor axis value refers to the diameter of the Minor Axis of an Auto Ellipse

Entry Name: DccMinorAxis

Entry Type: Real Number to specify the Minor Axis diameter. Default value is 0.

User permission is required to change entry


DCC Notch Show All

See “Auto Features - Show All” for more information.


DCC Notch Show Hits

See “Auto Features - Show Hits” for more information.


DCC Num Hits

Number of Hits is specified per Auto Feature. See the "Auto Features – Number Hits" topic.


DCC Perm Hits

This value allows you to define the default value for the Perm Hits option that will be used when an Auto Feature is created. The Perm Hits value allows you to select the number of sample hits taken for the auto feature. These hits are used to measure the plane around the nominal point location. Perm sample hits are taken all subsequent measurements during execution of the part program after the initial measurement.

Entry Name: DccPermHits

Entry Type: Whole Number to specify the number of Perm hits. Default value is 0.

User permission is required to change entry

See the "Initial and Perm Lists" topic for information on valid values and use.


DCC Pin Diam

This value specifies the pin diameter that is used with extended sheet metal options for auto features.

Entry Name: DccPinDiam

Entry Type: Real Number to specify diameter. Default value is 0.

User permission is required to change this entry


DCC Pitch

This value allows you to define the default value for the Pitch option that will be used when an Auto Feature is created. The Pitch value allows more accurate measurements of threaded holes and studs. Pitch, inside PC-DMIS, is the distance between threads along the axis of the feature. If the Pitch value is something other than zero, PC-DMIS staggers the feature's hits along the THEO axis, spacing them around the feature using the Start and Ending Angles.

Entry Name: DccPitch

Entry Type: Real Number to specify the distance between threads in mm. Default value is 0.

User permission is required to change entry

See the "Pitch Box" topic for additional information.


DCC Plane Show All

See “Auto Features - Show All” for more information.


DCC Plane Show Hits

See “Auto Features - Show Hits” for more information.


DCC Pln Display

When this value is set to 1 (Outline), the symbolic triangle for the plane will be sized so that its vertices are exactly where the measured points are. This value is used for Contact probes while the "TriangleOrOutline" value is used for Laser probes.

Entry Name: DccPlnDisplay

Entry Type: Whole Number to specify Triangle (1) or Outline (0). Default value is 0.

User permission is required to change entry


DCC Pln Num Hits

See “Auto Features – Number Hits” for more information.


DCC Pln Num Rows

See “Auto Features – Number Rows” for more information.


DCC Pln Pattern

This option determines whether a radial or square pattern is used for the hits taken to measure an Auto Plane feature.

Entry Name: DccPlnPattern

Entry Type: Whole Number to specify a square pattern (0) or a radial pattern (1). Default value is 0.

User permission is required to change this entry


DCC Pln Spacer

This value allows you to define the default value for the Plane Spacer option that will be used when an Auto Feature is created. The Plane Spacer value defines the distance from the nominal point location that PC-DMIS will use to measure a plane if sample hits are specified.

Entry Name: DccPlnSpacer

Entry Type: Real Number to specify distance. Default value is 1.

User permission is required to change entry


DCC Pnt Spacer

This value allows you to define the default value for the Point Spacer option that will be used when an Auto Feature is created. The Point Spacer value defines the distance from the nominal point location that PC-DMIS will use to measure a point if sample hits are specified.

Entry Name: DccPntSpacer

Entry Type: Real Number to specify distance. Default value is 0.

User permission is required to change entry


Dcc Poly Num Hits

See “Auto Features – Number Hits” for more information.


Dcc Poly Num Sides

This value specifies the number of side that will be used in the creation of a Polygon auto feature. A minimum of three sides must be specified.

Entry Name: DccPolyNumSides

Entry Type: Whole Number to specify the number of sides. Default value is 6.

User permission is required to change entry


DCC Radius

This value allows you to define the default value for the Radius option that will be used when an Auto Square Slot or Notch is created. Square Slots or Notches aren't always exactly square. They often have radii instead of corners. The Radius value holds a value the size of that radius.

Entry Name: DccRadius

Entry Type: Real Number to specify the radius distance. Default value is 0.

User permission is required to change entry

For a Square Slot, it is used to determine the location of each hit during the measurement of the slot to avoid hitting on the radii.

For a Notch, hits along the edge opposite the open side will be adjusted off the radius.


DCC R Slot Meas Angle

This value allows you to define the default value for the Meas Angle option that will be used when an Auto Round Slot is created. Round slots have two rounded ends, each having up to 180 degrees of measurement radius. The Meas Angle value defines how much of the radius to measure. PC-DMIS takes the input value and divides it in two, measuring half on each side of the slot angle vector.

Entry Name: DccRSlotMeasAngle

Entry Type: Whole Number to specify degree angle. Default value is 90.

User permission is required to change entry

Example: Suppose you type 90 in this box. When creating the Round Slot, PC-DMIS would then measure 45 degrees to the left, and 45 degrees to the right of the angle vector (or vice versa depending on the angle vector).


DCC R Slot Show All

See “Auto Features - Show All” for more information.


DCC R Slot Show Hits

See “Auto Features - Show Hits” for more information.


DCC Set Nom Axis

This value allows you to define the default value for the Set Nom Axis option that will be used when an Auto Feature is created. When this value is set to TRUE (1), PC-DMIS will update (or "set") the nominal point location and the nominal approach direction before each execution. Also, with this option ON, the CAD surfaces will be pierced along that axis. Otherwise, the update vector will be used.

The axis (or vector) selected tells PC-DMIS along which axis (or vector) the CAD surface will be pierced to find a new theo and target.

Entry Name: DccSetNomAxis

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


DCC Show Path

This value allows you to define the default value for the Show Path option that will be used when an Auto Feature is created. This toggle value determine whether the path lines and the hit locations for the current feature are display in the Graphics Display Window. The value of 1 shows the path lines.

Entry Name: ShowPath

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry


DCC Snap

This value determines whether the "Snap Point" option will be used when creating a Surface Point or Vector Point auto feature. When this option is set to TRUE (1), the measured values "snap to" the theoretical vector when a supported feature is measured. All the deviation will be along the vector of the point. This is useful for focusing on a deviation along one particular vector.

Entry Name: DCCSnap

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry

See the "Snap List" topic in the core PC-DMIS documentation.


DCC Spacer

This value allows you to define the default value for the Spacer option that will be used when an Auto Feature is created. The Spacer value defines the distance from the nominal point location that PC-DMIS will use to measure a plane if sample hits are specified.

Entry Name: DccSpacer

Entry Type: Real Number to specify distance. Default value is 0.

User permission is required to change entry

If no value is entered, PC-DMIS uses a default distance.


DCC Sphere In Out

This value allows you to define the default value for the In/Out option that will be used when an Auto Feature is created. The In and Out value tells PC-DMIS whether to construct the sphere as an internal or an external sphere.

Entry Name: DCCSphereInOut

Entry Type: Whole Number to specify Internal Sphere (0) or External Sphere (1). Default value is 0.

User permission is required to change entry


DCC Sphere Show All

See “Auto Features - Show All” for more information.


DCC Sphere Show Hits

See “Auto Features - Show Hits” for more information.


DCC Sph Num Hits

See “Auto Features – Number Hits” for more information.


DCC Sph Num Rows

See “Auto Features – Number Rows” for more information.


DCC S Slot Show All

See “Auto Features - Show All” for more information.


DCC S Slot Show Hits

See “Auto Features - Show Hits” for more information.


DCC STR ANG

This value allows you to define the default value for the Str Ang option that will be used when an Auto Feature is created. The Str Ang value represents the starting angle on the sphere. This is a user supplied angle in decimal degrees. The field will take any value between 0° and 180° (and -0° to -180°). This value is used for Contact probes while the "StartAngle" value is used for Vision probes.

Entry Name: DccStrAng

Entry Type: Real Number to specify the angle in degrees. Default value is 0.

User permission is required to change entry

The major axis of the current working plane is 0°. This can be visualized as the pole pointed to by the vectors. 180° is the direction the vectors point away from, and 90° is parallel to the plane formed from the given point and the given vectors as the normal vector.

Note: The major axis of the current working plane is 0°. The starting angle looks down the centerline and moves in a counterclockwise direction.


DCC STR ANG2

This value allows you to define the default value for the Str Ang 2 option that will be used when an Auto Feature is created. The Str Ang 2 value represents the starting angle on the sphere. This is a user supplied angle in decimal degrees. This field will accept values between 0° and 90°. If the starting angle is 0°, the first row will be a single hit at the top of the sphere.

Entry Name: DccStrAng2

Entry Type: Real Number to specify the angle in degrees. Default value is 0.

User permission is required to change entry


DCC Surface Pnt Show All

See “Auto Features - Show All” for more information.


DCC Surf Init Hits

See “Auto Features – Initial Hits” for more information.


DCC Surf Perm Hits

See “Auto Features - Permanent Hits” from more information.


DCC Targ IJK_0

This value provides the default "I" value for various IJK vectors that are used in the creation of Auto Features using an NC-100 video probe. The value is applied to different vector types (Surface, Edge, etc.) depending on the auto feature type.

Note: Because of the variance between auto features and how this value is applied, it is best to alter this value from the Auto Feature dialog box within PC-DMIS.

Entry Name: DccTargIJK_0

Entry Type: Real Number to specify the I vector value. Default value is 0.

User permission is required to change entry


DCC Targ IJK_1

This value provides the default "J" value for various IJK vectors that are used in the creation of Auto Features using an NC-100 video probe. The value is applied to different vector types (Surface, Edge, etc.) depending on the auto feature type.

Note: Because of the variance between auto features and how this value is applied, it is best to alter this value from the Auto Feature dialog box within PC-DMIS.

Entry Name: DccTargIJK_1

Entry Type: Real Number to specify the J vector value. Default value is 0.

User permission is required to change entry


DCC Targ IJK_2

This value provides the default "K" value for various IJK vectors that are used in the creation of Auto Features using an NC-100 video probe. The value is applied to different vector types (Surface, Edge, etc.) depending on the auto feature type.

Note: Because of the variance between auto features and how this value is applied, it is best to alter this value from the Auto Feature dialog box within PC-DMIS.

Entry Name: DccTargIJK_2

Entry Type: Real Number to specify the K vector value. Default value is 0.

User permission is required to change entry


DCC Targ XYZ_0

This value provides the default "X" or "R" (radius) value for the center location for all auto features created with the NC-100 video probe. The value will represent X value when the "Cartesian" value is set to TRUE (1), and R when it is set to FALSE (0).

Entry Name: DccTargXYZ_0

Entry Type: Real Number to specify the X or R value. Default value is 0.

User permission is required to change entry


DCC Targ XYZ _1

This value provides the default "Y" or "A" (angle) value for the center location for all auto features created with the NC-100 video probe. The value will represent Y value when the "Cartesian" value is set to TRUE (1), and A when it is set to FALSE (0).

Entry Name: DccTargXYZ_1

Entry Type: Real Number to specify the Y or A value. Default value is 0.

User permission is required to change entry


DCC Targ XYZ _2

This value provides the default "Z" or "H" (height) value for the center location for all auto features created with the NC-100 video probe. The value will represent Z value when the "Cartesian" value is set to TRUE (1), and H when it is set to FALSE (0).

Entry Name: DccTargXYZ_2

Entry Type: Real Number to specify the Z or H value. Default value is 0.

User permission is required to change entry


DCC Thickness 2 Distance

This values specifies the edge thickness of a plastic or sheet metal part where the CAD data only describes one side. Only Edge Point auto features use this value. PC-DMIS applies this material thickness automatically when using the CAD surface data. This thickness will be applied automatically along the surface normal vector each time CAD data is selected. Positive or negative values can be used.

Entry Name: DccThickness2Distance

Entry Type: Real Number to specify thickness. Default value is 0.

User permission is required to change entry


DCC Thickness 2 Is Actual

This option determines how the thickness distance that is provided by the "DccThickness2Distance" is applied. This is applied for Auto Edge Points.

  • 0 - Adjust Theoretical option should be used when the theoretical values need to be adjusted by a thickness because measurements are being done on opposite side of material.

  • 1 - Adjust Actual option should be used when measurements are being adjusted by the thickness back to the original theoretical XYZ locations. With this option it will appear that the theoretical and measured values have not been offset and the target is offset. You still need to modify your target so that PC-DMIS drives to the correct location.

Entry Name: DCCThickness2IsActual

Entry Type: Whole Number to specify thickness option. Default value is 0.

User permission is required to change entry


DCC Thickness Distance

This values specifies the thickness of a plastic or sheet metal part where the CAD data only describes one side. PC-DMIS applies this material thickness automatically when using the CAD surface data. This thickness will be applied automatically along the surface normal vector each time CAD data is selected. Positive or negative values can be used.

Entry Name: DccThicknessDistance

Entry Type: Real Number to specify thickness. Default value is 0.

User permission is required to change entry


DCC Thickness Is Actual

This option determines how the thickness distance that is provided by the "DccThicknessDistance" is applied.

  • 0 - Adjust Theoretical option should be used when the theoretical values need to be adjusted by a thickness because measurements are being done on opposite side of material.

  • 1 - Adjust Actual option should be used when measurements are being adjusted by the thickness back to the original theoretical XYZ locations. With this option it will appear that the theoretical and measured values have not been offset and the target is offset. You still need to modify your target so that PC-DMIS drives to the correct location.

  • 2 - Adjust None option should be use if you don't need to apply thickness.

Entry Name: DCCThicknessIsActual

Entry Type: Whole Number to specify thickness option. Default value is 0.

User permission is required to change entry


DCC Type

This value stores the number that represents the last auto feature that was created. Below is a list of the numbers that can be used with the associated feature type.

Entry Name: DCCType

Entry Type: Whole Number to specify the feature number. Default value is 0.

User permission is required to change entry

Auto Feature Key:

602 | Vector Point
603 | Surface Point
604 | Edge Point
605 | Angle Point
606 | Corner Point
607 | High Point
612 | Circle
613 | Sphere
614 | Line
615 | Cone
616 | Cylinder
617 | Plane
618 | Round Slot
619 | Square Slot
621 | Ellipse
622 | Notch Slot
627 | Polygon


DCC Use Auto Move

This value allows you to define the default value for the Auto Move option that will be used when an Auto Feature is created. Auto Move commands can be inserted before, after or both for the created feature. The probe will move to a distance (DccAutoMoveDistance) above the centroid or first hit and last hit of the feature being created. This value is used for Contact probes while the "AutoMove" value is used for Vision and Laser probes.

Entry Name: DCCUseAutoMove

Entry Type: Whole Number to specify move type. Default value is 0.

User permission is required to change entry

Value Key:

0 | None
1 | Both
2 | Before
3 | After


DCC Use Data

This value is used internally by PC-DMIS. Do not alter.


DCC Use Report

When this value is set to TRUE (1), PC-DMIS will use the report vector for sheet metal options.

Entry Name: DCCUseReport

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


DCC Use Theo Last State

This value tells PC-DMIS to use the theoretical information displayed in the dialog box when calculating the actual feature information from the measured data collected. This is useful when measuring cylinders with eight points (four high and four low). This can produce three valid measured cylinders at 90 degrees to one another. By using the theoretical information, it is possible to determine which of the three solutions is correct. This option is enabled when set to TRUE (1).

Entry Name: DCCUseTheoLastState

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


DCC Vector Pnt Show All

See “Auto Features - Show All” for more information.


DCC Void Detection

This option determines whether Void Detection is used in the measurement of the following Auto features:

  • Auto Vector Point

  • Auto Surface Point

  • Auto Edge Point

  • Auto Line

  • Auto Plane

  • Auto Circle

  • Auto Round Slot

  • Auto Cylinder

Void Detection prevents hits from being taken in empty spaces (such as holes).

Entry Name: DccVoidDetection

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry

Note: PC-DMIS can use void detection only if your hardware key (or portlock) has been programmed with the IP measure item.


DCC XYZ_0

This value provides the default "X" or "R" (radius) value for the center location for all auto features except a line where it defines the start point. The value will represent X value when the "Cartesian" value is set to TRUE (1), and R when it is set to FALSE (0). This value and the "DccXYZ_1" and "DccXYZ_2" values are used for Contact probes while the "Point1(XYZ)" values are used for Vision and Laser probes.

Entry Name: DccXYZ_0

Entry Type: Real Number to specify the X or R value. Default value is 0.

User permission is required to change entry


DCC XYZ_1

This value provides the default "Y" or "A" (angle) value for the center location for all auto features except a line where it defines the start point. The value will represent Y value when the "Cartesian" value is set to TRUE (1), and A when it is set to FALSE (0). This value and the "DccXYZ_0" and "DccXYZ_2" values are used for Contact probes while the "Point1(XYZ)" values are used for Vision and Laser probes.

Entry Name: DccXYZ_1

Entry Type: Real Number to specify the Y or A value. Default value is 0.

User permission is required to change entry


DCC XYZ_2

This value provides the default "X" or "H" (height) value for the center location for all auto features except a line where it defines the start point. The value will represent Z value when the "Cartesian" value is set to TRUE (1), and H when it is set to FALSE (0). This value and the "DccXYZ_0" and "DccXYZ_1" values are used for Contact probes while the "Point1(XYZ)" values are used for Vision and Laser probes.

Entry Name: DccXYZ_2

Entry Type: Real Number to specify the Z or H value. Default value is 0.

User permission is required to change entry


DCC XYZ2_0

This value provides the default "X" or "R" (radius) value for the for the end point of a line auto feature. The value will represent X value when the "Cartesian" value is set to TRUE (1), and R when it is set to FALSE (0). This value and the "DccXYZ2_1" and "DccXYZ2_2" values are used for Contact probes while the "Point2(XYZ)" values are used for Vision probes.

Entry Name: DccXYZ2_0

Entry Type: Real Number to specify the X or R value. Default value is 0.

User permission is required to change entry


DCC XYZ2_1

This value provides the default "Y" or "A" (angle) value for the for the end point of a line auto feature. The value will represent Y value when the "Cartesian" value is set to TRUE (1), and R when it is set to FALSE (0). This value and the "DccXYZ2_0" and "DccXYZ2_2" values are used for Contact probes while the "Point2(XYZ)" values are used for Vision probes.

Entry Name: DccXYZ2_1

Entry Type: Real Number to specify the Y or A value. Default value is 0.

User permission is required to change entry


DCC XYZ2_2

This value provides the default "Z" or "H" (height) value for the for the end point of a line auto feature. The value will represent Z value when the "Cartesian" value is set to TRUE (1), and H when it is set to FALSE (0). This value and the "DccXYZ2_0" and "DccXYZ2_1" values are used for Contact probes while the "Point2(XYZ)" values are used for Vision probes.

Entry Name: DccXYZ2_2

Entry Type: Real Number to specify the Z or H value. Default value is 0.

User permission is required to change entry


Depth

This value allows you to define the default value for the Depth option that will be used when an Auto Feature is created. A depth value is used for measuring sample hits. The sample hit is taken at a distance from the feature you are measuring. The behavior of this function differs depending on the Auto Feature type. See the section on "Depth Box" topic in the core PC-DMIS help file for more information. This value is used for Laser probes while the "DccDepth" value is used for Contact probes.

Entry Name: Depth

Entry Type: Real Number to specify distance. Default value is None(0.).

User permission is required to change entry


Diameter

This value defines the default Diameter value that will be used for circular auto features (circles, cones, cylinders and spheres). For a cone, this value represents the nominal diameter at the end of the cone where you've defined the X,Y, and Z location. This value is used for Vision and Laser probes while the "DccDiam" value is used for Contact probes.

Entry Name: Diameter

Entry Type: Real Number to specify diameter. Default value is None (-1.).

User permission is required to change entry


Diameter Minor

Use the DccMinorAxis value to affect this change rather than this value. This value is not currently used.


End Angle

This value allows you to define the default value for the End Ang option that will be used when an Auto Feature is created. This is a user supplied angle in decimal degrees. This value is used for Vision probes while the "DccEndAng" value is used for Contact probes.

Entry Name: EndAngle

Entry Type: Real Number to specify the angle in degrees. Default value is None (-1.).

User permission is required to change entry

Note: It is important to remember when entering starting and ending angles that the IJK vector always looks down the centerline, and that PC-DMIS measures DCC circular features in a counterclockwise direction.


End Angle 2

Use the DccEndAng2 value to affect this change rather than this value. This value is not currently used.


Flush

This value provides the height difference between two mating sheet metal parts of a Flush and Gap Laser Auto Feature. Whether or not the flush value is positive or negative depends on whether it’s higher or lower than the “Master” side.

Entry Name: Flush

Entry Type: Real Number to specify flush distance. Default value is None ( -1.).

User permission is required to change entry


Gap

This value provides the distance (in the same plane) between two mating sheet metal parts of a Flush and Gap Laser Auto Feature. Whether or not the flush value is positive or negative depends on whether it’s higher or lower than the “Master” side.

Entry Name: Gap

Entry Type: Real Number to specify Gap distance. Default value is None ( -1.).

User permission is required to change entry


Height

Use the DccHeight value to affect this change rather than this value. This value is not currently used.


Hits Check (1-7)

These values are no longer used.


Hits Edit (1-7)

These values are no longer used.


Hits List (1-7)

These values are no longer used.


Increment

Use the DccHPntInc value to affect this change rather than this value. This value is not currently used.


In Out

Use the DccSphereInOut value to affect this change rather than this value. This value is not currently used.


Interior Exterior

Use the DccAngleExterior value to affect this change rather than this value. This value is not currently used.


Length

This value allows you to define the default value for the Length option that will be used when an Auto Feature is created. The Length value displays the length of the feature for a line, notch, ellipse, round slot or square slot, while it does not define the width of the search region for a High point. This value is used for Vision and Laser probes while the "DccLength" value is used for Contact probes.

Entry Name: Length

Entry Type: Real Number to specify distance. Default value is None ( -1.).

User permission is required to change entry


Meas Angle

Use the DccRSlotMeasAngle value to affect this change rather than this value. This value is not currently used.


Meas Edit (1-5)

These values are no longer used.


Meas List (1-5)

These values are no longer used.


Meas Order

Use the "DccMeasureOrder" value to affect this change for edge points. This value is not currently used.


Measure

This value allows you to define the default value for the Measure option that will be used when an Auto Feature is created. The Measure option allows you to begin the measurement process. When the option is set to TRUE (1) PC-DMIS will measure the part based on the values specified in the Auto Feature dialog box after you click the Create button. This value is used for Vision and Laser probes while the "DccMeasure" value is used for Contact probes.

Entry Name: Measure

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Measure Mode

This is a toggle field. This option displays the order of measuring the sample hits. The available choices are SURFACE(0), EDGE(1) or BOTH(2). This is only used when measuring Edge Points.

Entry Name: MeasureMode

Entry Type: Whole Number to specify Measure Mode. Default value is 0 (Surface).

User permission is required to change entry

Value Key:

0 | SURFACE | Takes sample hits on surface first and then on edge.
1 | EDGE | Takes sample hits on edge first and then on surface.
2 | BOTH | Takes sample hits on surface, then on edge and again on the surface.


Meas Width

When this value is set to TRUE (1) and the create button of the Auto Feature dialog box is selected, PC-DMIS will:

  • Measure two hits on the side of the slot.

  • Adjust the angle vector.

  • Measure two hits on the opposite side to calculate the width.

  • Adjust the position of the last two hits at each end for the width.

Entry Name: MeasWidth

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is FALSE (0).

User permission is required to change entry


Num Sides

Use the DccPolyNumSides value to affect this change rather than this value. This value is not currently used.


Orientation (1-6) (IJK)

These values store the orientation vectors that are used in creating Auto Features. Stored values are recalled upon subsequent Auto Feature creation. Vectors are provided for Surface, Edge, Line, Multi-Surface, and Angle vectors as required by the needed Auto Feature.

Entry Name: Orientation(1-6)(IJK)

Entry Type: Character String specifying vector values. Default value varies (either 0 or 1).

User permission is required to change entry


Pattern

Use the DccPlnPattern value to affect this change rather than this value. This value is not currently used.


Perimeter

This value is not currently used.


Pitch

Use the DccPitch value to affect this change rather than this value. This value is not currently used.


Point 1 (XYZ)

These values provide the XYZ or RAH (radius,angle,height) values of the point location or the center of an auto feature. It also defines the start point of a line auto feature. The values will represent XYZ value when the "Cartesian" value is set to TRUE (1), and RAH when it is set to FALSE (0). These values are used for Vision and Laser probes while the "DccXYZ_0", "DccXYZ_1", and "DccXYZ_2" values are used for Contact probes.

Entry Name: Point1(XYZ)

Entry Type: Character String to specify XYZ or RAH coordinate. Default value is None ( ).

User permission is required to change entry


Point 2 (XYZ)

These values provide the XYZ or RAH (radius,angle,height) values of the end point of a line auto feature. The values will represent XYZ value when the "Cartesian" value is set to TRUE (1), and RAH when it is set to FALSE (0). These values are used for Vision probes while the "DccXYZ_0", "DccXYZ_1", and "DccXYZ_2" values are used for Contact probes.

Entry Name: Point2(XYZ)

Entry Type: Character String to specify XYZ or RAH coordinate. Default value is None ( ).

User permission is required to change entry


Point Size

This value determines how big the measured points will be drawn in the Cad View. This value specifies the diameter, as is specified in current units (mm or inch).

Entry Name: PointSize

Entry Type: Real Number to specify diameter. Default value is 0.

User permission is required to change entry


Point Tolerance Minus

This value provides the negative tolerance from the nominal, and is specified in current part program units. Points that are less than this value from the nominal will be colored based on the standard PC-DMIS plus tolerance color.

Entry Name: PointToleranceMinus

Entry Type: Real Number to specify distance. Default value is 0.

User permission is required to change entry


Point Tolerance Plus

This value provides the positive tolerance from the nominal, and is specified in current part program units. Points that are greater than this value from the nominal will be colored based on the standard PC-DMIS plus tolerance color.

Entry Name: PointTolerancePlus

Entry Type: Real Number to specify distance. Default value is 0.

User permission is required to change entry


Probe Toolbox

When this value is set to TRUE (1), the Probe Toolbox toggle of the Auto Feature dialog box will be enabled. When this toggle is enabled, the Probe Toolbox associated with the Auto Feature will be open and display settings for the Auto Feature. When the Probe Toolbox toggle is disabled, the Probe Toolbox will not be open for the selected Auto Feature.

Entry Name: ProbeToolbox

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is TRUE (1).

User permission is required to change entry


PTP Supports Depth

This value is used internally by PC-DMIS. Do not alter this value.


PTP Supports Ending Depth

This value is used internally by PC-DMIS. Do not alter this value.

Entry Name: PTPSupportsEndingDepth

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


PTP Supports Find Hole

This value is used internally by PC-DMIS. Do not alter this value.


PTP Supports Find Hole Except Center

This value is used internally by PC-DMIS. Do not alter this value.


PTP Supports Hits

This value is used internally by PC-DMIS. Do not alter this value.


PTP Supports Indent

This value is used internally by PC-DMIS. Do not alter this value.


PTP Supports Indent 2

This value is used internally by PC-DMIS. Do not alter this value.


PTP Supports Indent 3

This value is used internally by PC-DMIS. Do not alter this value.


PTP Supports On Error

This value is used internally by PC-DMIS. Do not alter this value.


PTP Supports Pitch

This value is used internally by PC-DMIS. Do not alter this value.


PTP Supports Read Pos

This value is used internally by PC-DMIS. Do not alter this value.


PTP Supports Rows

This value is used internally by PC-DMIS. Do not alter this value.


PTP Supports Sample Hits

This value is used internally by PC-DMIS. Do not alter this value.


PTP Supports Sample Hits Init

This value is used internally by PC-DMIS. Do not alter this value.


PTP Supports Sample Hits Vals

This value is used internally by PC-DMIS. Do not alter this value.


PTP Supports Spacer

This value is used internally by PC-DMIS. Do not alter this value.


PTP_Auto Move

This value allows you to define the default value for the Auto Move option that will be used when an Auto Feature is created. Auto Move commands can be inserted before, after or both for the created feature. The probe will move to a distance (PTP_AutoMoveDistance) above the centroid or first hit and last hit of the feature being created.

Entry Name: PTP_AutoMove

Entry Type: Whole Number to specify Auto Move option. Default value is 0.

User permission is required to change entry

Value Key:

0 | None
1 | Both
2 | Before
3 | After


PTP_Ending Depth

This value allows you to define the default value for the Ending Depth option that will be used when an Cylinder or Cone Auto Feature is created. A ending depth value is used to define the maximum depth at which hits will be taken.

Entry Name: PTP_EndingDepth

Entry Type: Real Number to specify distance. Default value is 0.

User permission is required to change entry


PTP_Hits_Angle Point (CONTACT)

This value specifies the default Hits value that will be used in the creation of a contact Angle Point Auto Feature. Hits are used to measure and determine the nominal location of the High Point.

Entry Name: PTP_Hits_Angle Point (CONTACT)

Entry Type: Whole Number to specify the amount of hits. Default value is None (0).

User permission is required to change entry


ReMeasure

The ReMeasure value allows you to automatically re-measure the feature against the measured values obtained the first time the feature is measured. This option is used when this value is set to TRUE (1).

Entry Name: ReMeasure

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Screen Capture Quality

This value determines the Quality that will be used for Screen Capture images that are included in the SCREENCAPTURE.RTP for Laser or Vision Auto Features. The "ScreenCaptureScale", "ScreenCaptureTime" and "ScreenCaptureType" values are also used to determine the properties of the captured image.

Entry Name: ScreenCaptureQuality

Entry Type: Whole Number to specify quality option. Default value is 0.

User permission is required to change entry

Value Key:

0 | Low | The color depth of the image is 2 bits per pixel resulting in a loss of color information on all but the simplest of images (e.g. where most pixels are black or white).
1 | Good | The color depth of the image is 4 bits per pixel, which gives acceptable images except where the image contains a lot of different colors, where a loss of color information is noticeable.
2 | High | The color depth of the image is 8 bits per pixel, which produces little to no color loss.


Screen Capture Scale

This value determines the Scale that will be used for Screen Capture images that are included in the SCREENCAPTURE.RTP for Laser or Vision Auto Features. The "ScreenCaptureQuality", "ScreenCaptureTime" and "ScreenCaptureType" values are also used to determine the properties of the captured image.

Entry Name: ScreenCaptureScale

Entry Type: Whole Number to specify scale option. Default value is 0.

User permission is required to change entry

Value Key:

0 | TO FIT | Captured image is scaled to fit the report window.
1 | 25% | Captured image is scaled to 25% of the entire image.
2 | 50% | Captured image is scaled to 50% of the entire image.
3 | 75% | Captured image is scaled to 75% of the entire image.
4 | 100% | Captured image is scaled to 100% of the entire image.


Screen Capture Time

This value determines when an image will be captured for the SCREENCAPTURE.RTP for Laser or Vision Auto Features. The "ScreenCaptureQuality", "ScreenCaptureScale" and "ScreenCaptureType" values are also used to determine the properties of the captured image.

Entry Name: ScreenCaptureTime

Entry Type: Whole Number to specify … Default value is 0.

User permission is required to change entry

Value Key:

0 | ALL | Image capture gets generated for ALL measurements of this feature. Please be aware that this may cause your reports to become too big.
1 | FAILED | Image capture gets generated only when any point section that includes at least one point that exceeded your specified "PointToleranceMinus" and "PointTolerancePlus" values.


Screen Capture Type

This value determines the Type or images that will be captured for the SCREENCAPTURE.RTP for Laser or Vision Auto Features. The "ScreenCaptureQuality", "ScreenCaptureScale" and "ScreenCaptureTime" values are also used to determine the properties of the captured image.

Entry Name: ScreenCaptureType

Entry Type: Whole Number to specify … Default value is 0.

User permission is required to change entry

Value Key:

0 | NO | No screen captures will be included
1 | CAD | Include the image from the CAD View in the report.
2 | LIVE | Include the image from the LIVE View in the report. This is the most useful view to capture and include in your report for Vision machines. This is not available for Laser Auto Features.
3 | BOTH | Include images from both the Live View tab and the CAD View tab in the report. This is not available for Laser Auto Features.


Show Outliers

This value determines whether the outliers are also displayed with the data points used to measure Auto Feature on the Live View. Outliers are displayed when this value is set to TRUE (1). Outliers are only displayed when the "ShowPoints" value is set to TRUE (1).

Entry Name: ShowOutliers

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Show Path

Use the DccShowPath value to affect this change rather then this value. This value is not currently used.


Show Points

This value determines whether the image processing data points used to measure Auto Feature on the Live View are displayed. Points are displayed when this value is set to TRUE (1). Outliers are not displayed unless the "ShowOutliers" value is also set to TRUE (1).

Entry Name: ShowPoints

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Single Click Cad Selection Disabled

This option allows you to disable single-click CAD selection. By default, Auto Features are created by clicking one time on the CAD model in the location of the desired feature. When this value is set to TRUE, multiple clicks are used to detect the Auto Feature. This may be necessary if the single-click method does not work.

Entry Name: SingleClickCadSelectionDisabled

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


Snap

Use the DccSnap value to affect this change rather then this value. This value is not currently used.


Start Angle

This value allows you to define the default value for the Str Ang option that will be used when an Auto Feature is created. The Str Ang value represents the starting angle on the sphere. This is a user supplied angle in decimal degrees. The field will take any value between 0° and 180° (and -0° to -180°). This value is used for Vision probes while the "DccEndAng" value is used for Contact probes.

Entry Name: StartAngle

Entry Type: Real Number to specify... Default value is None ( -1.).

User permission is required to change entry

The major axis of the current working plane is 0°. This can be visualized as the pole pointed to by the vectors. 180° is the direction the vectors point away from, and 90° is parallel to the plane formed from the given point and the given vectors as the normal vector.

Note: The major axis of the current working plane is 0°. The starting angle looks down the centerline and moves in a counterclockwise direction.


Start Angle 2

Use the DccStrAng2 value to affect this change rather than this value. This value is not currently used.


Thickness (1-6)

Use the DccThicknessDistance value to affect this change rather then this value. This value is not currently used.


Thickness Type (1-6)

Use the DccThicknessIsActual value to affect this change rather then this value. This value is not currently used.


Tolerance

Use the DcHPntTol value to affect this change rather than this value. This value is not currently used.

Entry Name: Tolerance

Entry Type: Real Number to specify... Default value is None ( -1.).

User permission is required to change entry


Triangle Or Outline

When this value is set to 1 (Outline), the symbolic triangle for the plane will be sized so that its vertices are exactly where the measured points are. This value is used for Laser probes while the "DccPlnDisplay" value is used for Contact probes.

Entry Name: TriangleOrOutline

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is None (-1).

User permission is required to change entry


Use Pin

When this value is set to TRUE (1), the Punch Vec and Pin Vec boxes become available for editing. These vectors are used for sheet metal options.

Entry Name: UsePin

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is FALSE (0).

User permission is required to change entry


Width

This value allows you to define the default value for the Width option that will be used when an Auto Feature is created. The Width value displays the width of the feature for a line, notch, ellipse, round slot or square slot, while it does not define the width of the search region for a High point. This value is used for Vision and Laser probes while the "DccLength" value is used for Contact probes.

Entry Name: Width

Entry Type: Real Number to specify width distance. Default value is None ( -1.).

User permission is required to change entry


Auto Features – Initial Hits

This value specifies the default Initial Hits value that will be used in the creation of Auto Features. Initial hits are used to measure the plane around the nominal point location for the specified feature. Initial sample hits are taken only on the initial measurement of the feature during execution of the part program. See the "Auto Features - Permanent Hits" topic.

Entry Name: DCC(Edge,Surf)InitHits

Entry Type: Whole Number to specify the number of Initial hits. Default values are 5 for Edge Points and 3 for Surf Points.

User permission is required to change entry


Auto Features – Number Hits

This value allows you to define the default value for the Hits option that will be used when an Auto Feature is created. This defines the number of hits that will be used to measure the feature. The number of hits specified will be equally spaced between the starting and ending angle indicated.

Entry Name: DCC(Cir,Cone,Cyl,Ell,Line,Pln,Poly,Sph)NumHits

Entry Type: Whole Number to specify the number of Permanent hits. Default values are: Circle (4), Cone (4), Cylinder (4), Ellipse (5), Line (2), Plane (3), Polygon (1), & Sphere (5).

User permission is required to change entry

See the "# Hits" topic in the PC-DMIS core help file.


Auto Features – Number Rows

This value defines number of rows that will be used to measure the feature. Any integer greater than one can be used.

Entry Name: DCC(Cone,Cyl,Pln,Sph)NumRows

Entry Type: Whole Number to specify the number of rows. Default value is 2.

User permission is required to change entry

  • For a cylinder or cone, the rows will be equally spaced between the depth and length of the feature.

  • For a sphere, the rows will be equally spaced between the Starting Ang 2 and Ending Ang 2.

  • For a plane, the number of rows and the number of hits are used to determine how many total hits will be used to generate the auto plane.


Auto Features - Permanent Hits

This value specifies the default Permanent Hits value that will be used in the creation of Auto Features. Permanent Hits are used to measure the plane around the nominal point location for the specified feature. Permanent sample hits are taken for all subsequent measurements during execution of the part program after the initial measurement. See the "Auto Features – Initial Hits" topic.

Entry Name: DCC(Angle,Edge,Surf)PermHits

Entry Type: Whole Number to specify the number of Permanent hits. Default value is 3.

User permission is required to change entry


Auto Features - Show All

This value determines whether or not PC-DMIS displays the following parameters in the Edit Window fields for the auto feature:

  • THEO_THICKNESS

  • RECT/POLAR

  • SNAP

  • AUTO MOVE

  • DISTANCE

This parameters will be displayed when this value is set to TRUE (1).

Entry Name: DCC(Angle,Cicle,Cone,Corner,Cylinder,Edge,Ellipse,HighPnt,Line,Notch,Plane,RSlot,Sphere,SSlot,SurfacePnt,VectorPnt)ShowAll

Entry Type: Whole Number to specify TRUE (1) or FALSE(0). Default value is 0.

User permission is required to change entry


Auto Features - Show Hits

This value determines whether or not PC-DMIS displays the hits in the edit window that were used to create the auto feature. When this value is set to TRUE (1) the hits are displayed.

Entry Name: DCC(Cicle,Cone,Cylinder,Ellipse,Line,Notch,Plane,RSlot,Sphere,SHits)ShowHits

Entry Type: Whole Number to specify TRUE (1) or FALSE(0). Default value is 1.

User permission is required to change entry


Auto Insert Moves

The registry values in this section are used in conjunction with the PC-DMIS capability to Automatically Insert Clearance Moves within PC-DMIS Inspection Planner. The following options provide the criteria for how clearance moves are added to your imported Inspection Plan:

More:

BelowTriggerTolerancePercentage

CollisionMoveClearanceInMM

CollisionTolleranceinMM

ConeAngleForMoveOverPath

DeleteMovesBeforeInsert

SmallestTipSearchIncrementInDegrees


Below Trigger Tolerance Percentage

This value provides an additional setting to determine how the "CollisionToleranceinMM" value is applied to your probe. PC-DMIS distinguishes between probe geometry above the trigger (TP20, SP600, etc.) and probe geometry below the trigger (3X20, etc.).

For probe tip geometry that is below the trigger a part collision is not critical. On the other hand, for the geometry of the probe head that is above the trigger, we want to be further from the surfaces with this part of the probe. With the geometry above the trigger, the full "CollisionToleranceinMM" value is applied. For the geometry that is below the trigger (probe tip), PC-DMIS applies a percentage of this tolerance.

Example: If the "CollisionToleranceinMM" value is set to 50mm and this value is set to the default value of 0.1 (10%), PC-DMIS would apply 50mm to all the probe and arm geometry except the extension and tips. For the extension and tips, a 5mm (10% of 50mm) tolerance is used.

Entry Name: BelowTriggerTolerancePercentage

Entry Type: Real Number to specify percentage in decimal. Default value is 0.1. The values can be from 0 (0%) to 1.0 (100%)

User permission is required to change entry


Collision Move Clearance in MM

This value defines the distance that the probe moves away from the part when it detects a collision while trying to move the probe to the next feature. PC-DMIS attempts to go directly to the next feature, but compensates for collisions by inserting clearance move commands. It continues this process until it defines a collision free path to the next feature.

Entry Name: CollisionMoveClearanceInMM

Entry Type: Real Number to specify distance in MM. Default value is 10.

User permission is required to change entry


CollisionTolleranceinMM

Collision Tolerance in MM

This value provides a buffer zone around the probe and tip geometry so that PC-DMIS considers close misses as collisions. This value is adjusted for geometry that is below the trigger using the "BelowTriggerTolerancePercentage" value.

Entry Name: CollisionTolleranceInMM

Entry Type: Real Number to specify distance in MM. Default value is 0.

User permission is required to change entry


Cone Angle For Move Over Path

This value is the half angle of a cone around the probe tip that is used to determine how to move to avoid a collision. If the path direction at the point of a collision is within this cone of the tip vector, then a clearance move along the mount vector (arm vector) is attempted to avoid the collision. Otherwise a clearance move along the tip vector is attempted.

Entry Name: ConeAngleForMoveOverPath

Entry Type: Real Number to specify angle in degrees. Default value is 35.

User permission is required to change entry


Delete Moves before Insert

This value determines whether previously inserted clearance moves will be removed from the part program before new clearance moves are added.

Entry Name: DeleteMovesBeforeInsert

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


Smallest Tip Search Increment In Degrees

This value determines the conical tolerance for added tip changes. This allows PC-DMIS to utilize a tip that has a shank vector that is within the tolerance of the optimal vector angle for a given feature. For features such as points, lines, and planes there is a built in conical range of 90 degrees since a plane with a vector of 0, 0, 1 could be measured by t1a0b0 or t1a90b0. In the case of these features, PC-DMIS adds the user entered value to the built-in range. The proposed tip angle is also checked by running collision detection (silently) to determine if the tip will actually work.

Entry Name: SmallestTipSearchIncrementInDegrees

Entry Type: Real Number to specify angle in MM. Default value is 5.

User permission is required to change entry


Catia5

This section of the PC-DMIS Settings Editor allows you to store values used for directly interfacing with CATIA 5 files. See the CATIA 5 topics in the "Installing and Using the Direct CAD Interfaces" section of the "Direct CAD™ Interfaces and Translators" help file.

More:

EnvPath

PromptLdData

Release

ShowHiddenEntities


Environment Path

This value defines the installation path of CATIA 5 software. You need this variable for CATIA 5 to run properly with PC-DMIS. An example path might look something like this; c:\Program Files\Dassault Systemes\b12\intel_a\code\bin

Entry Name: EnvPath

Entry Type: Character String specifying the path. Default value is None ( ).

User permission is required to change entry


Prompt Ld Data

This option is used to prompt the user to select the "LD Data" associated with the loaded Catia 5 geometry. When this option is set to TRUE (1), a dialog will appear from which you can select the associated "LD data".

Entry Name: PromptLdData

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


Release

This value defines the release number of your CATIA 5 software.

Entry Name: Release

Entry Type: Whole Number specifying release number. Default value is 12.

User permission is required to change entry


Show Hidden Entities

This value allows you to determine if the CATIA 5 import will process Hidden Entities. When this value is set to TRUE, then the Hidden Entities are processed.

Entry Name: ShowHiddenEntities

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


Catia

This section of the PC-DMIS Settings Editor allows you to store values used for directly interfacing with CATIA files. See the Catia topics in the "Installing and Using the Direct CAD Interfaces" section of the "Direct CAD™ Interfaces and Translators" help file.

More:

CatiaAddress

CatiaDirectory

CatiaDirectory (1-20)

Cati aLoad

CatiaPort

ReadAllSolids

ShowHiddenElements

TranslateModel


Catia Address

This value allows you to specify the IP address used for Direct CAD Interfacing with Catia files. This is the IP address of the UNIX workstation where the Catia files reside.

Entry Name: CatiaAddress

Entry Type: Character String value for the IP address number (i.e. 205.158.142.244) of the UNIX workstation. Default value is 5.5.5.5.

User permission is required to change entry


Catia Directory

This setting stores the last value that will be used in the Directory list box of the Catia Get Model dialog box. This directory refers to the directory on your CATIA System where your machine models are located.

Entry Name: CatiaDirectory

Entry Type: Character String specifying the path. Default value is pcdmis.

User permission is required to change entry


Catia Directory (1-20)

These Catia Directory values store up to 20 previously used directories that were used in the Directory list box of the Catia Get Model dialog box. These directories refer to the directories on your CATIA System where your machine models are located.

Entry Name: CatiaDirectory(1-20)

Entry Type: Character String specifying the path. Default value is None ( ).

User permission is required to change entry


Catia Load

This value allows you to use the DCI without connecting to the CATIA CAD system. A connection is made to CATIA when this value is set to TRUE.

Entry Name: CatiaLoad

Entry Type: True/False value. Default value is TRUE.

User permission is required to change entry


Catia Port

This value allows you to specify the port used for Direct CAD Interfacing with Catia files.

Entry Name: CatiaPort

Entry Type: Whole Number value for the port number. Default value is 5555. You should use the same port for both UNIX and NT.

User permission is required to change entry


Read All Solids

This value determines whether or not the CATIA Direct CAD Interface loads and displays the surfaces from all the solids in the model regardless of whether or not they are 'hidden'. Some models have hidden solids even when they aren't. In these cases, setting this entry allows PC-DMIS to read these models.

Entry Name: ReadAllSolids

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


Show Hidden Elements

This value determines whether or not the CATIA Direct CAD Interface will display hidden elements. When this value is set to TRUE, hidden elements will be displayed.

Entry Name: ShowHiddenElements

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


Translate Model

This value allows for the translation of the CATIA model into PC-DMIS's native format. The CATIA server is not needed if you use this option.

Entry Name: TranslateModel

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


CNC Program

This section of the PC-DMIS Settings Editor reflects the values stored in the Select CNC Machine dialog box (Operation | CNC Programming | Create CNC Program in PC-DMIS). This dialog box appears when you choose to create a new CNC program.

More:

FileName

LastProgram

MachineIndex

MacroNumber


File Name

This value represents the Path and file name of CNC Program (.cnc extension) name that was last selected. This string is populated once a new CNC Program is selected.

Entry Name: FileName

Entry Type: Character String specifying the CNC Program file and path. Default value is None ( ).

User permission is required to change entry


Last Program

This value represensts the PC-DMIS program that was active when last CNC program was generated. The software uses this to decide on the the default FileName (see above).

PC-DMIS program that was active when last CNC program was generated. The software uses this to decide on the the default FileName (see above).

PC-DMIS program that was active when last CNC program was generated. The software uses this to decide on the the default FileName (see above).

This value represents the Path and file name of the PC-DMIS program that was active when last CNC program was generated. The software uses this to decide on the default "FileName".

Entry Name: LastProgram

Entry Type: Character String specifying the PC-DMIS Part Program file and path. Default value is None ( ).

User permission is required to change entry


Machine Index

This value represents the value that is assigned to a created machine definition. This field is populated for later reference once a new machine definition is created. Each subsequent selection of a machine will provide this value as a default choice.

Entry Name: MachineIndex

Entry Type: Whole Number specifying Machine ID. Default value is 0.

User permission is required to change entry


Macro Number

This value refers to the program number that will be used to identify the measurement sequence within the CNC system. This field is populated for later reference once a new measurement sequence is created.

Entry Name: MacroNumber

Entry Type: Whole Number specifying the Macro Number. Default value is 1000.

User permission is required to change entry


C Terminal History

This section of the PC-DMIS Settings Editor allows you to store values used when working with your Controller Terminal. The Controller Terminal is a terminal window where you can type and send commands to your controller.

More:

ControllerTerminal

DebugWindowName

DebugWindowSize

Font

Interface

TerminalWindow


Controller Terminal

Documentation Pending


Debug Window Name

This value represents the name that will be displayed in the title bar of the Debug window. Setting this option can also be done from the Debug tab of the Machine Interface Setup dialog box.

Entry Name: DebugWindowName

Entry Type: Character String specifying the Debug window title bar name. Default value is None ( ).

User permission is required to change entry


Debug Window Size

This series of values defines the size and location of the Debug window. The four numbers refer to the XY screen coordinates in pixels as follows:

  • 1st Number – X pos of the top left corner of the window.

  • 2nd Number – Y pos of the top left corner of the window.

  • 3rd Number – X pos of the bottom right corner of the window.

  • 4th Number – Y pos of the bottom right corner of the window.

Entry Name: DebugWindowSize

Entry Type: Character String defining the location of the Debug Window (i.e 908 629 1378 876). Default value is None ( ).

User permission is required to change entry


Font

This series of values defines the parameters for the Font that will be displayed in the Debug Window. A detailed description of each value will not be given here. It is best to change the active font from the Debug Window. To change this font:

  1. Right click in the open Debug Window.

  2. Select the Font… option. This opens the Font dialog box.

  3. Select the needed font and change the parameters if needed.

  4. Click OK to save your changes. The Debug Window is updated with the font change.

Entry Name: Font

Entry Type: Character String specifying the Debug Window Font. Default value is None ( ).

User permission is required to change entry


Interface

When this value is set to TRUE (1), debug information related to the Interface is written to the debug.txt file. Internal PC-DMIS statements that are preceded by INTERFAC will be included in the debug file.

Entry Name: Interface

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry


Terminal Window

Documentation Pending


Database

This section of the PC-DMIS Settings Editor displays the default statistical database parameters.

Note: The Database parameters are only available if a statistical gathering software package is available on your system.

More:

ControlCalculations

DatabaseDirectory

DataPageVariableName

MemoryPages

PreviousDatabaseDirectory (0-9)

ReadLock

UserID

UserMode

WriteLock


Control Calculations

This option indicates whether the control calculations that take place within Datapage should be used. With this option set to TRUE (1), the out of tolerance calculations are performed. Additionally, it commands the DataPage statistics update program (DPUPDATE) to perform the control calculations and set the part/variable and in/out of tolerance/control indicators in the database.

Entry Name: ControlCalculations

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Database Directory

This value provides the directory path of the currently selected DataPage Database.

Entry Name: DatabaseDirectory

Entry Type: Character String specifying database path. Default value is None ( ).

User permission is required to change entry


Data Page Variable Name

This value indicates whether the dimension name or feature name will be used to identify entries in DataPage. The maximum length of the name is 10 characters.

Entry Name: DataPageVariableName

Entry Type: Whole Number to specify dimension name (0) and feature name (1). Default value is 0.

User permission is required to change entry


Memory Pages

This value allows you to enter in the number of 4K pages to reserve for database tables when opening a database. The minimum (and default) number of pages that can be open is four.

Entry Name: MemoryPages

Entry Type: Whole Number specifying the number of 4K pages to be reserved. Default value is 0.

User permission is required to change entry


Previous Database Directory (0-9)

There are ten registry values that store the path of directories in which the database could reside. A maximum of ten directories per STATS/ON command can be selected to which statistical information can be sent.

Entry Name: PreviousDatabaseDirectory(0-9)

Entry Type: Character String specifying the database path. Default value is None ( ).

User permission is required to change entry


Read Lock

This value allows you to determine the maximum number of seconds that PC-DMIS will wait for database access when reading.

Entry Name: ReadLock

Entry Type: Whole Number specifying wait time in seconds. Default value is 0.

User permission is required to change entry


User ID

This value is not changed in PC-DMIS anymore and SHOULD NOT BE CHANGED BY THE USER except to 0. This is the unique ID generated by the portlock so there would be no read/write lock collisions on the database.


User Mode

This value is no longer used.


Write Lock

This value allows you to determine the maximum number of seconds that PC-DMIS will wait for database access when writing.

Entry Name: WriteLock

Entry Type: Whole Number specifying wait time in seconds. Default value is 0.

User permission is required to change entry


Debug

This section of the PC-DMIS Settings Editor allows you to store values used when working with debug files within PC-DMIS. Debug information is written to debug file according to the values set here. This is designed to allow service people and other developers to list only the information that they deem necessary to the debug.txt file.

More:

ExecuteList

GetPos

Interfac

LoadProbe

MachineDBG

MSDebug

System5

WristCalTip


Execute List

When this value is set to TRUE (1), debug information related to the Execution list is written to the debug.txt file. Internal PC-DMIS statements that are preceded by EXECLIST will be included in the debug file.

Entry Name: ExecuteList

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry


Get Pos

When this value is set to TRUE (1), debug information related to the Position is written to the debug.txt file. Internal PC-DMIS statements that are preceded by GETPOS will be included in the debug file.

Entry Name: GetPos

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry


Load Probe

When this value is set to TRUE (1), debug information related to the loading the probe is written to the debug.txt file. Internal PC-DMIS statements that are preceded by LOADPROB will be included in the debug file.

Entry Name: LoadProbe

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry


Machine DBG

When this value is set to TRUE (1), debug information related to the machine is written to the debug.txt file. Internal PC-DMIS statements that are preceded by MACHINEDBG will be included in the debug file.

Entry Name: MachineDBG

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry


MS Debug

When this value is set to TRUE (1), debug information related to Microsoft functions is written to the debug.txt file. Internal PC-DMIS statements that are preceded by MSDEBUG will be included in the debug file.

Entry Name: MSDebug

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry


System 5

When this value is set to TRUE (1), debug information related to Flexible Fixturing is written to the debug.txt file. Internal PC-DMIS statements that are preceded by FIXTURE or COLUMN will be included in the debug file.

Entry Name: System5

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry


Wrist Cal Tip

When this value is set to TRUE (1), debug information related to Wrist Calibration is written to the debug.txt file. Internal PC-DMIS statements that are preceded by WRISTCALCTIP will be included in the debug file.

Entry Name: WristCalTip

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry


DMIS

This section of the PC-DMIS Settings Editor allows you to store values used in processing DMIS related routines.

More:

DMISAddToleranceComments

DMISErrorLogFileName

DMISExportErrorLogFileName

DMISExportFedratPcntOfMaxMachineSpeed

DMISExportScriptFileName

DMISExportShowWarnings

DMISExportSnslctLabel

DMISExportSnslctS_SA

DMISExportUseChorusWristRotation

DMISExportUseVolkswagenConvention

DMISExportUseVolvoConvention

DMISExternalMacroFileName

DMISFedra tPcntOfMaxMachineSpeed

DMISMaxMeasurementVelocityMMPS

DMISOutputDirectory

DMISOutputOption

DMISOutputTheos

DMISOverwriteOutputFile

DMISProbeFileForArm(1-4)

DMISRmeasImportDefault

DMISSetFromDMISFlag

DMISShowWarnings

DMISUseChorusWristRotation

DMISUsePostoutCode

DMISUseSnap

DMISUseVolkswagenConvention

DMISUseVolvoConvention

DMISVolkswagenMachineID

DMISVolkswagenPartSN


DMIS Add Tolerance Comments

When importing a DMIS part program, the original DMIS labels are being replaced with a system generated label name. When this option is set to TRUE (1), this option adds a comment to the DMIS Mode allowing the user to see the original DMIS tolerance labels.

Entry Name: DMISAddToleranceComments

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


DMIS Error Log File Name

This value provides the name of the file that is used to store any warnings or errors at the end of the import process.

Entry Name: DMISErrorLogFileName

Entry Type: Character String specifying a text file. Default value is DMIS_IMP.ERR.

User permission is required to change entry


DMIS Export Error Log File Name

This value provides the file name where DMIS export errors are logged.

Entry Name: DMISExportErrorLogFileName

Entry Type: Character String specifying a text file. Default value is DMIS_EXP.ERR.

User permission is required to change entry


DMIS Export Fedrat Pcnt Of Max Machine Speed

DMIS commands don't automatically specify whether exported FEDRAT/ commands (commands that control the machine's speed) refer to maximum machine speed or maximum touch speed. This option allows you to specify how this command is exported.

Entry Name: DMISExportFedratPcntOfMaxMachineSpeed

Entry Type: Whole Number to specify whether to use percentage of maximum machine speed (1) or percentage of maximum touch speed (0). Default value is 0.

User permission is required to change entry


DMIS Export Script File Name

This value provides the name of the customized BASIC script file that is applied to the Flexible DMIS export method. This method customizes the exported file to match specific DMIS versions or to only use statements specified in a characterization file . You can create your own script file, or modify an existing script file to control exactly what PC-DMIS should export.

Entry Name: DMISExportScriptFileName

Entry Type: Character String specifying export script file. Default value is C:\PCDMISW\PCD2DMIS040.BAS.

User permission is required to change entry

PC-DMIS provides you with three ready-to-use .bas files that reside in your PC-DMIS installation directory. These files customize your export so that it uses a defined subset of supported PC-DMIS commands for a specific DMIS version. The files are PCD2DMIS030.BAS, PCD2DMIS040.BAS, and PCD2DMIS050.BAS (for DMIS 3.0, 4.0, and 5.0 respectively). The commands which are not customized in the .bas file are exported as they are in the PC-DMIS Edit Window (DMIS Mode).


DMIS Export Show Warnings

This value allows you specify whether PC-DMIS will display warnings when errors are encountered during the export process of a DMIS file. When this value is TRUE (1), PC-DMIS will display warnings if errors are encountered and on what lines the error occurred along with a brief description.

Entry Name: DMISExportShowWarnings

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


DMIS Export Snslct Label

This value is no longer used. It was used to customize DMIS export of sensors via a Basic Script.


DMIS Export Snslct S_SA

This value is no longer used. It was used to customize DMIS export of sensors via a Basic Script.


DMIS Export Use Chorus Wrist Rotation

This option should be turned on if you are using a DEA CMM equipped with an IW42, CW43 or CW43L wrist. PC-DMIS follows Chorus conventions and adjusts the B rotation angle during the export of the SNSLCT statement. This option is automatically used when performing a ChorusDMIS export.

Entry Name: DMISExportUseChorusWristRotation

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


DMIS Export Use Volkswagen Convention

This option should be set to TRUE (1) if the DMIS file that you are exporting is being created for use with Volkswagen software. This enables exporting DMIS files with extension support specific to Volkswagen. Values supplied with the "DMISVolkswagenMachineID" and "DMISVolkswagenPartSN" registry entries are included.

Entry Name: DMISExportUseVolkswagenConvention

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


DMIS Export Use Volvo Convention

This option should be set to TRUE (1) if the DMIS file that you are exporting is being created for use with Volvo software. This enables exporting DMIS files with extension support specific to Volvo.

Entry Name: DMISExportUseVolvoConvention

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


DMIS External Macro File Name

As part of the import process, there is an option to include an external module for processing the DMIS file.

Entry Name: DMISExternalMacroFileName

Entry Type: Character String specifying a DMIS macro file. Default value is lib.prg.

User permission is required to change entry


DMIS Fedrat Pcnt Of Max Machine Speed

DMIS commands don't automatically specify whether imported FEDRAT/ commands (commands that control the machine's speed) refer to maximum machine speed or maximum touch speed. This option allows you to specify how this command is imported.

Entry Name: DMISFedratPcntOfMaxMachineSpeed

Entry Type: Whole Number to specify whether to use percentage of maximum machine speed (1) or percentage of maximum touch speed (0). Default value is 0.

User permission is required to change entry


DMIS Max Measurement Velocity MMPS

This value should be set to the maximum measure speed of your machine in millimeters per second. This value is translated for the Top Speed value on the Part/Machine tab of the Setup Options dialog box. When these two values are set correctly, then commands will be translated correctly. For example, if you have set this value to 16.6 and the Top Speed value to 383mm/sec, then TOUCHSPEED commands will be correct.

The "DMISFedratPcntOfMaxMachineSpeed" should be set 0 when this value is set.

Entry Name: DMISMaxMeasurementVelocityMMPS

Entry Type: Real Number specifying millimeters per second. Default value is -1.

User permission is required to change entry


DMIS Output Directory

This value represents the directory where the DMIS output file will be saved. This is part of the options that are set for the DMIS output options as part of the Printing setup for the Edit Window.

Entry Name: DMISOutputDirectory

Entry Type: Character String specifying the DMIS Output Directory. Default value is None ( ).

User permission is required to change entry


DMIS Output Option

When this option is set to TRUE then PC-DMIS allows you to save the Edit Window information as a DMIS Output file.

Entry Name: DMISOutputOption

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


DMIS Output Theos

This option tells PC-DMIS to output all theoretical values along with the measured values to the output DMIS file when this option is ON (1). If this option is OFF (0) then no theoretical values are included in the report. When this value is set to 2, only those theoretical values output by the DMIS program are output in the report.

Entry Name: DMISOverwriteOutputFile

Entry Type: Whole Number to specify Theos option. Default value is 1.

User permission is required to change entry


DMIS Overwrite Output File

This value provides the DMIS Output option for overwriting existing DMIS files.

Entry Name: DMISOverwriteOutputFile

Entry Type: Whole Number to specify overwrite option. Default value is 1.

User permission is required to change entry

Option Key:

0 | When the part program is executed, then PC-DMIS attempts to follow the naming scheme used when the Save As button was used last, without overwriting any previous files.
1 | PC-DMIS will simply overwrite the old output file with the new one.
2 | PC-DMIS follows the DMIS convention specified during the import of the DMIS part program.


DMIS Probe File For Arm (1-4)

There are four registry values that are used to store the probe name that should be used for the given arm. The probe name comes from the list of probes that are configured on your machine. This value is set during the import process of a DMIS file.

Entry Name: DMISProbeFileForArm(1-4)

Entry Type: Character String specifying a probe name. Default value is None ( ).

User permission is required to change entry


DMIS Rmeas Import Default

When this value is set to TRUE (1), the DEFAULT RMEAS import option will be used. If the registry entry is missing it will default to RMEAS/LEGACY (0).

The default RMEAS/LEGACY option will cause PC-DMIS to search the preprocessed DMIS import file to prevent adding the RMEAS statement if a DMESW/COMAND,'RMEAS/...' statement is already present.

Entry Name: DMISRmeasImportDefault

Entry Type: Whole Number to specify DEFAULT (1) or RMEAS/LEGACY (0). Default value is 0.

User permission is required to change entry


DMIS Set From DMIS Flag

When this value is set to TRUE, it causes PC-DMIS to respond as though the current part program was created from DMIS.

Entry Name: DMISSetFromDMISFlag

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


DMIS Show Warnings

This value allows you specify whether PC-DMIS will display warnings when errors are encountered during the import process of a DMIS file. When this value is TRUE, PC-DMIS will display warnings if errors are encountered and on what lines the error occurred along with a brief description.

Entry Name:: DMISShowWarnings

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


DMIS Tol Width Using Short Long

When this value is set to TRUE (1), TOL/WIDTH will use SHORT and LONG parameters, otherwise it uses the vector option ,i,j,k.

Entry Name: DMISTolWidthUsingShortLong

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is None (0).

User permission is required to change entry


DMIS Use Chorus Wrist Rotation

This option should be turned on if you are using a DEA CMM equipped with an IW42, CW43 or CW43L wrist. PC-DMIS follows Chorus conventions and adjusts the B rotation angle during the import of the SNSLCT statement. This option is automatically used when performing a ChorusDMIS import.

Entry Name: DMISUseChorusWristRotation

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


DMIS Use Postout Code

This entry allows you to specify whether PC-DMIS uses the old or the new method to create DMIS files when exporting part programs as DMIS files. If set to TRUE, PC-DMIS uses the old method for creating DMIS files when exporting. If it's set to FALSE, then the contents of the Edit window are also copied to a file when exporting.

Entry Name: DMISUsePostoutCode

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


DMIS User Defined Tracefield

When this value is set to TRUE (1), PC-DMIS will support the same functionality required by the DMIS standard by importing DMIS commands into TRACEFIELD commands. Otherwise, PC-DMIS will, by default, insert these DMIS commands into normal COMMENT report commands.

Entry Name: DMISUserDefinedTracefield

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is FALSE (0).

User permission is required to change entry


DMIS Use Snap

This YES/NO toggle field allows you to choose whether or not PC-DMIS "Snaps to" the theoretical approach vector in order to eliminate CMM position error.

Entry Name: DMISUseSnap

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry


DMIS Use Volkswagen Convention

This option should be set to TRUE (1) if the DMIS file that you are importing has been created using Volkswagen software. This enables extension support specific to Volkswagen.

Entry Name: DMISUseVolkswagenConvention

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


DMIS Use Volvo Convention

This option should be set to TRUE (1) if the DMIS file that you are importing has been created using Volvo software. This enables extension support specific to Volvo.

Entry Name: DMISUseVolvoConvention

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


DMIS Volkswagen Machine ID

This value allows you to add a Machine ID that will be included with your exported DMIS file. The "DMISExportUseVolkswagenConvention" value must be set to TRUE (1) for this value to be included in the DMIS output.

Entry Name: DMISVolkswagenMachineID

Entry Type: Character String specifying a Machine ID. Default value is None ( ).

User permission is required to change entry


DMIS Volkswagen Part SN

This value allows you to add a Part Serial Number that will be included with your exported DMIS file. The "DMISExportUseVolkswagenConvention" value must be set to TRUE (1) for this value to be included in the DMIS output.

Entry Name: DMISVolkswagenPartSN

Entry Type: Character String specifying a part serial number. Default value is None ( ).

User permission is required to change entry


Edit Window

This section of the PC-DMIS Settings Editor allows you to store values used to modify aspects of the Edit window.

More:

DMISFeatOutWDimens

EWBackGrndColor

EWDimBackGrndColor

EWDMISButton

EWFontCharSet

EWFontFaceName

EWFontPointSize

EWGroupIndent

Edit Window: Loading Hyper-Reports

EWMarkChildMode

EWMarkDependMode

EWMaxDeleteUndo

Edit Window: Dimension Tolerances

EWScreenCaptureBitmapWidth

EWUseMarksetNamesWhenPrinting


DMIS Feat Out W Dimens

With this option on, PC-DMIS will keep the measured features and associated tolerances together in the output file. PC-DMIS will output measurement results before their associated tolerance results. This way you can first measure all the features in the part program and then tolerance those results.

Entry Name: DMISFeatOutWDimens

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


EW BackGrnd Color

This color refers to the background color for the Edit Window.

Entry Name: EWBackGrndColor

Entry Type: Whole Number to specify a decimal color number. Default value is 16777215 (White)

User permission is required to change entry

Note: It is best to alter this value inside of PC-DMIS from the Color Editor dialog box accessed from the Edit | Preferences | Edit Window Colors menu item. This value serves as a place holder for the last used value.


EW Dim BackGrnd Color

This color refers to the background color for Dimensions in the Edit Window.

Entry Name: EWDimBackGrndColor

Entry Type: Whole Number to specify a decimal color number. Default value is 2883328 (Light Teal).

User permission is required to change entry

Note: It is best to alter this value inside of PC-DMIS from the Color Editor dialog box accessed from the Edit | Preferences | Edit Window Colors menu item. This value serves as a place holder for the last used value.


EW DMIS Button

This option enables the DMIS mode button as part of the Edit Window toolbar. When this option is on, the DMIS mode button will be displayed. This is useful if you want to be able to hide this mode.

Entry Name: EWDMISButton

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry


EW Font Char Set

The font character set refers to the language for a particular font. It is best to adjust his value within PC-DMIS. This can be done by pressing the F6 function key and clicking the Edit Edit Window Font button which opens the font dialog box. You can then select the needed script from the Script list.

Entry Name: EWFontCharSet

Entry Type: Whole Number specifying the number of the associated language script. Default value is 0.

User permission is required to change entry


EW Font Face Name

This value specifies the font name of the Edit Window font.

Entry Name: EWFontFaceName

Entry Type: Character String specifying the font name. Default value is NULL.

User permission is required to change entry


EW Font Point Size

This value specifies the point size of the Edit Window font.

Entry Name: EWFontPointSize

Entry Type: Whole Number specifying the font point size. Default value is -1.

User permission is required to change entry


EW Group Indent

This value determines the indent that will be applied for the display of items that are part of an Edit Window group. For example, the default value of 4 would add four spaces to the left of any Edit Window items.

Entry Name: EWGroupIndent

Entry Type: Whole Number specifying indent spaces. Default value is 4.

User permission is required to change entry


Edit Window: Loading Hyper-Reports

Upon completion of a part program there is an option to automatically load a pre-existing Hyper-Report. You may also choose to automatically print the report. The following topics discuss the registry values for automatic loading of Hyper-Reports:

More:

EWHyperReportDefaultAutoload

EWHyperReportDefaultFilename

EWHyperReportDefaultPrintAutoload

EWHyperReportDefaultUseStandard

EWHyperReportStandardFilename


EW Hyper Report Default Autoload

If this option is set to true then PC-DMIS automatically loads a pre-existing Hyper-Report once the part program finishes execution.

Entry Name: EWHyperReportDefaultAutoload

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


EW Hyper Report Default Filename

This value specifies the default file name of the report that will be loaded once your part program has been executed. If the Use Standard option is enabled, then the Standard report will be used, otherwise the filename specifed as the default report will be used.

Entry Name: EWHyperReportDefaultFilename

Entry Type: Character String specifying the report name. Default value is m_strHyperReportStandardFilename.

User permission is required to change entry


EW Hyper Report Default Print Autoload

If this option is set to true then PC-DMIS will print the Hyper-Report as soon as it is loaded. This only works on auto loaded reports, not on every hyper-report you open. If the value is set to false you can first preview how the Hyper-Report would appear.

Entry Name: EWHyperReportDefaultPrintAutoload

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


EW Hyper Report Default Use Standard

If the option is set to TRUE then PC-DMIS will load the standard report defined by the EWHyperReportStandardFilename value.

Entry Name: EWHyperReportDefaultUseStandard

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


EW Hyper Report Standard Filename

This value specifies the standard file name of the report that will be loaded once your part program has been executed. This file will be used if the EWHyperReportDefaultUseStandard option is enabled.

Entry Name: EWHyperReportStandardFilename

Entry Type: Character String specifying the standard report name. Default value is None ( ).

User permission is required to change entry


EW Mark Child Mode

With this option set to true, PC-DMIS will mark any related child features if you mark a feature used to construct a feature or used to create a dimension.

Entry Name: EWMarkChildMode

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


EW Mark Depend Mode

With this option set to true, PC-DMIS will mark any related features used in the construction or dimension process if you mark a constructed feature or a dimension.

Entry Name: EWMarkDependMode

Entry Type: True/False value. Default value is TRUE.

User permission is required to change entry


EW Max Delete Undo

This entry determines how many commands PC-DMIS tracks for the Edit window's Undo functionality. The default number is fifty commands.

Entry Name: EWMaxDeleteUndo

Entry Type: Whole Number that specifies the maximum number of commands that PC-DMIS will track. Default value is 50.

User permission is required to change entry


Edit Window: Dimension Tolerances

PC-DMIS has an option to show only the dimensions that lie within the percentage of the tolerance zone. This allows you to exclude out of tolerance dimensions from the report. The tolerance percentages are editable, allowing one percentage for unilateral tolerances and an upper and lower percentage for bilateral tolerances.

The tolerance zone can be considered as a range between 0 and 100 percent (similar to how dimension colors are applied to tolerance zone regions or how the colored bar graphs are drawn at the end of dimensions). Dimensions that have deviations outside the tolerance zone will either be less than zero or greater than one hundred percent.

For a bilateral dimension (like distance, which has both a plus and minus tolerance), the zero deviations are somewhere in the middle. If the tolerances are equal, the zero deviations will be at the fifty percent position.

For a unilateral dimension (like roundness, which only has a plus tolerance), the zero deviations are at zero percent, and out of tolerance is anything larger than one hundred percent.

More:

EWReportModeShowTolBiLowerPercent

EWReportModeShowTolBiUpperPercent

EWReportModeShowTolUniPercent


EW Report Mode Show Tol Bi Lower Percent

This value is set for the lower percentage of a bilateral dimension.

Entry Name: EWReportModeShowTolBiLowerPercent

Entry Type: Whole Number that specifies the percentage used for the lower tolerance. Default value is 0.

User permission is required to change entry

Example of Bilateral Lower Percentage:

Nominal: 3.0000

Measured:2.9925

Deviation:0.0075

Plus Tol: 0.0100

Minus Tol:0.0100

The percentage is calculated using the Lever Rule:

(2.9925-2.9900) / (3.0100-2.9900) * 100. = 12.5.%

This dimension will be displayed in the inspection report if the Bilateral Lower Percentage is less than 12.5%.


EW Report Mode Show Tol Bi Upper Percent

This value is set for the upper percentage of a bilateral dimension.

Entry Name: EWReportModeShowTolBiUpperPercent

Entry Type: Whole Number that specifies the percentage used for the upper tolerance. Default value is 100.

User permission is required to change entry

Example of Bilateral Upper Percentage:

Nominal:3.0000

Measured:3.0075

Deviation:0.0075

Plus Tol:0.0100

Minus Tol:0.0100

The percentage is calculated using the Lever Rule:

(3.0075-2.9900) / (3.0100-2.9900) * 100. = 87.5%

This dimension will be displayed in the inspection report if the Bilateral Upper Percentage is greater than 87.5%.


EW Report Mode Show Tol Uni Percent

This value is set for the upper percentage of a unilateral dimension.

Entry Name: EWReportModeShowTolUniPercent

Entry Type: Whole Number that specifies the percentage used for the unilateral tolerance. Default value is 100.

User permission is required to change entry

Example of Unilateral Percentage:

Nominal: 0.0000

Measured:0.0028

Deviation:0.0028

Plus Tol:0.0050

Minus Tol:0.0000

Because this deviation is 56% of the tolerance range, it will be displayed if Unilateral Percentage is less than 56%.


EWScreenCaptureBitmapWidth

Edit Window Screen Capture Bitmap Width

This entry specifies the default width of screen captures taken inside PC-DMIS.

Entry Name: EWScreenCaptureBitmapWidth

Entry Type: Integer value that specifies the width of the screen capture bitmap in pixels. Default value is 608.

User permission is required to change entry

This has a default value of 608 so the bitmap pictures (screen captures of solid views) will be the same size as the metafile pictures (screen captures of non-solid views). You can change this value to fit different page sizes. For example, if you set this value to around 730 it can fit on A4 page sizes.


EWUseMarksetNamesWhenPrinting

Edit Window Use Markset Names When Printing

This entry specifies whether or not PC-DMIS uses the name of the marked set when printing contents of the Edit window to a file. By default PC-DMIS uses the name of the marked set as the file name.

If this entry is set to TRUE, PC-DMIS uses the marked set file name. If it's set to FALSE, then PC-DMIS uses the file name specified in the Print Options dialog box.

Entry Name: EWUseMarksetNamesWhenPrinting

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry


File Man

This section of the PC-DMIS Settings Editor provides File Management values used within PC-DMIS.

A typical FileMan section in the PC-DMIS Settings Editor has the following entries:

More:

BarCodeScan

DefaultReporting

DefaultReportTemplate

DefaultFileName

DefUnits

FMPostInType

FMPostOutType

PostInPath

PostOutPath


Bar Code Scan

The Bar Code Scanner entry is available for part ID's that are scanned in using a Bar Code Reader. If this option is set to TRUE (1), PC-DMIS'S File Manager will allow Bar Code Reader data to be read into any of the Part ID fields (such as Part Name, Serial Number, etc.).

Entry Name: BarCodeScan

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Default Reporting

This value specifies the path of the directory that is opened by PC-DMIS when reports are created or loaded. This value is set when you browse for reports

Entry Name: DefaultReporting

Entry Type: Character String specifying a path to reports. Default value is C:\PCDMISW\Reporting.

User permission is required to change entry


Default Report Template

This value provides the name of the default report template. This template will be applied in the creation of reports.

Entry Name: DefaultReportTemplate

Entry Type: Character String specifying the default report template. Default value is TextOnly.rtp.

User permission is required to change entry


Default File Name

Def File Name

The Default File name entry will generate a default OS File Name for any .PRG that is newly created. This file name is user editable.

Entry Name: DefFileName

Entry Type: Whole Number specifying the string of the default OS file name. Default value is 0.

User permission is required to change entry


Def Units

This value is set based upon the last new file that was created in PC-DMIS. Millimeters (MM) or inches (INCH) can be set for this default value.

Entry Name: DefUnits

Entry Type: Character String specifying the default unit type. Default value is INCH.

User permission is required to change entry


FM Post In Type

This value stores a number representing a file type that was last imported into PC-DMIS.

Entry Name: FMPostInType

Entry Type: Whole Number to specify file number. Default value is 0.

User permission is required to change entry

Import File Number Key:

0 | IGES
1 | IGES Alternate
2 | DXF/DWG
3 | STEP
4 | VADFS
5 | CAD
6 | XYZ
7 | CAD Reference
8 | STL
9 |
10 | Unigraphics
11 | Parasolid
12 | Catia
13 | CATIA 5
14 | ProEngineer
15 | DES
16 | DMIS
17 | Chorus DMIS
18 | AVAIL
19 | MMIV
30 | Tutor
31 | Inspection Plan


FM Post Out Type

This value stores a number representing a file type that was last exported file from PC-DMIS.

Entry Name: FMPostOutType

Entry Type: Whole Number to specify file number. Default value is 0.

User permission is required to change entry

Export File Number Key:

0 | DMIS
1 | IGES
2 | STEP 203
3 | STEP 214
4 | VDAF
5 | DXF/DWG
6 | STL
7 | Basic
8 | Generic
9 | DES
10 | AS3
11 | I-DEAS


Post In Path

This value specifies the path of the directory that is opened by PC-DMIS when importing files. This value is set when a file is imported.

Entry Name: PostInPath

Entry Type: Character String specifying a path. Default value is None ( ).

User permission is required to change entry


Post Out Path

This value specifies the path of the directory that is opened by PC-DMIS when exporting files. This value is set when a file is exported.

Entry Name: PostOutPath

Entry Type: Character String specifying a path. Default value is None ( ).

User permission is required to change entry


Flow Control

This section of the PC-DMIS Settings Editor discusses parameters that provide conditions by which Flow Control commands are executed.

More:

RecomputeLoopAlignments


Recompute Loop Alignments

When this option is set to TRUE (1), PC-DMIS will recompute alignment math after the loop is completed or stopped.

Entry Name: RecomputeLoopAlignments

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Hard Probe Scanning in Features

The parameters under this section allow you to limit the amount of points that are taken during hard probe scanning.

More:

MaxPointsForAFeature

MinDeltaBetweenPointsInMM

MinTimeDeltaBetweenPointsInMilliseconds


Max Points For A Feature

This value allows you to reduce the measured data by limiting the amount of points that will used to create features. Once the limit has been met, PC-DMIS will stop adding points to the feature.

Entry Name: MaxPointsForAFeature

Entry Type: Whole Number to specify the number of points. Default value is 9999.

User permission is required to change entry


Min Delta Between Points In MM

This value allows you to reduce the measured data by deleting hits that are closer than the distance specified. The reduction of hits happens as data comes from the machine. PC-DMIS only keeps the points that are set apart by more than the specified increments.

Entry Name: MinDeltaBetweenPointsInMM

Entry Type: Real Number to specify distance in MM. Default value is 2. The default value is "0" when using a portable device.

User permission is required to change entry


Min Time Delta Between Points In Milliseconds

This value allows PC-DMIS to reduce the amount of points that are scanned by deleting hits that are read in faster than the specified time delay.

Entry Name: MinTimeDeltaBetweenPointsInMilliseconds

Entry Type: Whole Number to specify time in Msec. Default value is 0.

User permission is required to change entry


IDEAS

This section of the PC-DMIS Settings Editor contains information for direct CAD interfacing with I-DEAS files. See the I-DEAS topics in the "Installing and Using the Direct CAD Interfaces" section of the "Direct CAD™ Interfaces and Translators" help file.

More:

AutoReconnect

ConnectActiveServer

FtpPassWord

FtpUserName

Host

OrbixIIOPProtocol

OrbixPort

Server

TranslateModel

Verbose

Version


Auto Reconnect

With this value set to TRUE, PC-DMIS will try to reconnect to the Orbix server if the connection has been lost.

Entry Name: AutoReconnect

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


Connect Active Server

This option allows PC-DMIS to connect to an active I-DEAS session already running. With this option set to TRUE, PC-DMIS will attempt to connect to any active server on the host. If more than one I-DEAS session is active, this may produce unpredictable results.

Entry Name: ConnectActiveServer

Entry Type: True/False value. Default value is FALSE.

User permission is required


Ftp PassWord

This value provides a password that corresponds with the FtpUserName value. The password is used to connect to the I-DEAS FTP server. Using the FTP server increases the speed of file transfer to and from the I-DEAS server and the PC-DMIS computer.

Entry Name: FTPPassWord

Entry Type: Character String specifying FTP password. Default value is None ( ).

User permission is required to change entry


Ftp UserName

This value provides a username that corresponds with the FtpPassWord. The username is used to connect to the I-DEAS FTP server. Using the FTP server increases the speed of file transfer to and from the I-DEAS server and the PC-DMIS computer.

Entry Name: FTPUserName

Entry Type: Character String specifying FTP username. Default value is None ( ).

User permission is required to change entry


Host

This value provides the computer on the network where the I-DEAS program will run. PC-DMIS will connect to this I-DEAS program.

Entry Name: Host

Entry Type: Character String specifying the host. Default value is the local computer’s host name.

User permission is required to change entry

Note: When connecting to a remote I-DEAS server, the remote computer's network name must be visible from the computer running PC-DMIS. Conversely, this same computer must be visible from the computer with the I-DEAS server. You can check if a computer is visible by pinging it using the network name, not an IP address. When you ping a computer, and the network name does not resolve to an IP address, you will need to add the network name and IP address to the host's network name look-up file.


Orbix IIOP Protocol

This option allow you to determine which Orbix communication protocol to use. If TRUE is selected, then the CORBA Internet Inter-ORB Protocol (IIOP) is used. IIOP is used for Orbix version 3.0 and above. I FALSE is selected, then the non-standard Orbix communications protocol is used. The non-standard Orbix comm protocol is used for Orbix versions older than 3.0.

Entry Name: OrbixIIOPProtocol

Entry Type: True/False value. Default value is TRUE.

User permission is required to change entry

Note: I-DEAS 8 on an SGI or IBM computer typically uses Orbix 2.2 for network communications. Therefore, if you are connecting to I-DEAS 8 on an SGI or IBM computer, you will need to deselect the Use IIOP Orbix Communications check box.


Orbix Port

This value allows you to type the TCP/IP port used for communicating with the server. I-DEAS uses a software product called Orbix as an information broker between applications over a network. PC-DMIS uses Orbix to send and receive information from the I-DEAS server. By default, I-DEAS uses TCP/IP port 1570 for Orbix communications across a network. If I-DEAS does not use the default port, then you need to specify the port using this option.

Entry Name: OrbixPort

Entry Type: Whole Number to specify Orbix port. Default value is 1570.

User permission is required to change entry


Server

This entry contains the name of the default I-DEAS server. If your I-DEAS server is not “Sdrc/I-deas_7” you will need to modify this entry. The Server entry specifies the I-DEAS server.

Entry Name: Server

Entry Type: Character String of the name of the I-DEAS server. The default is "Sdrc/I-deas_7".

User permission is required to change entry

Under a default installation of I-DEAS master series 7, you will not need to change this value and it is set automatically by PC-DMIS.

Under a default installation of I-DEAS master series 6a, however, the Server entry should have Sdrc as its value.


Translate Model

This value allows for the translation of the IDEAS model into PC-DMIS's native format. The IDEAS server is not needed if you use this option.

Entry Name: TranslateModel

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


Verbose

When this option is set to TRUE, more detailed messages related to the I-DEAS DCI will be displayed. These messages will generally provide messages as to why a procedure in the I-DEAS DCI failed.

Entry Name: Verbose

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


Version

This entry contains the version information of which I-DEAS master series is installed on your machine. Currently PC-DMIS only supports master series 6a or 7.

This entry ensures that PC-DMIS uses the appropriate DLL for your I-DEAS installation.

Entry Name: Version

Entry Type: String of the I-DEAS version installed on your machine. This can be “MS 6A” or “MS 7”. The default version is “MS 7”.

User permission is required to change entry


Import Settings

This section of the PC-DMIS Settings Editor contains information for how imported models get displayed graphically in PC-DMIS.

More:

CurveColor

DatumColor

DefaultRuleSet

ExplodePolylines

KeepPolylines

PointColor

SurfaceColor


Curve Color

This entry allows you to define the color for curves on imported models.

Entry Name: CurveColor

Entry Type: RGB Color Value of 0 to 255 in the Red, Green, and Blue boxes. Default values are 0 255 0 (green).

User permission is required to change entry


Datum Color

This entry allows you to define the color for datums on imported models.

Entry Name: DatumColor

Entry Type: RGB Color Value of 0 to 255 in the Red, Green, and Blue boxes. Default values are 255 255 0 (yellow)

User permission is required to change entry


Default Rule Set

This value stores the name of the Default Rule Set that will be used for importing ASCII files as an Inspection Plan.

Entry Name: DefaultRuleSet

Entry Type: Character String of Default Rule Set. The default is None ( ).

User permission is required to change entry


Explode Polylines

This option allows you to specify whether polylines will be exploded into individual line elements. Polylines are exploded when this value is set to true.

Entry Name: ExplodePolylines

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


Keep Polylines

This option allows you to specify whether to keep existing polylines when the CAD files are imported. Polylines are maintained when this value is set to TRUE.

Entry Name: KeepPolylines

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


Point Color

This entry allows you to define the color for points on imported models.

Entry Name: PointColor

Entry Type: RGB Color Value of 0 to 255 in the Red, Green, and Blue boxes. Default values are 255 0 0 (red).

User permission is required to change entry


Surface Color

This entry allows you to define the color for surfaces on imported models.

Entry Name: SurfaceColor

Entry Type: RGB Color Value of 0 to 255 in the Red, Green, and Blue boxes. Default values are “0 0 255” (Blue)

User permission is required to change entry


Inspection Plan

This section allows you define the default files that are used with your Inspection Plan as well as whether update should be used.

More:

ParametersFile

RulesFile

UseRulesFile

UseUpdate


Parameters File

This value specifies the name of the Inspection Planner Default (IPD) file that will be used for Inspection Planner within PC-DMIS. This file allows you to determine how to take hits from features within the Inspection Plan. Feature parameters are specified for Auto Features, Constructed Features, and Dimensions. You can also specify how you want to display comments and features.

Entry Name: ParametersFile

Entry Type: Character String specifying the name of the Parameters file to use. Default value is None ( ).

User permission is required to change entry


Rules File

This value specifies the name of Inspection Planner Rules (IPR) script that will be used to specify rules for how automatic processes are performed on the Inspection Plan. Rules can be modified for certain criteria. For example, the number of hits taken on a circle based upon the diameter of the circle and so forth.

Entry Name: RulesFile

Entry Type: Character String specifying the name of the Rules file to use. Default value is None ( ).

User permission is required to change entry


Use Rules File

This option allows you to specify that the specified rules file will be used with your Inspection Plan. The rules script that will be applied is specified in the RulesFile registry value.

Entry Name: UseRulesFile

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Use Update

When this value is set to true, PC-DMIS will use the Update vector for imported Inspection Plan files.

Entry Name: UseUpdate

Entry Type: Character String specifying true/false. Default value is FALSE.

User permission is required to change entry


LEITZ

This section of the PC-DMIS Settings Editor allows you to store values used when working with the LEITZ machines.

More:

PMMNewScanCircle


PMM New Scan Circle

When this option is set to TRUE, PC-DMIS will use the SCADAT CIR command instead of the HSSDAT command to create a Circle Scan on a PMM Machine.

Administrator permission is required to change entry

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


Live View

This section of the PC-DMIS Settings Editor specifies various settings for the Live View tab of the Graphics Display window. This tab becomes enabled if you have the Vision option enabled in your portlock and have defined a supported optical probing device. For more information, see the PC-DMIS Vision help file.

More:

AutoLIVFreeze

AutoShutterEnable

AutoShutterStageDriftRetries

AutoShutterStageSettleTime

AutoShutterTimeToFire

AutoShutterTimeToFireNth

AutoShutterTimeToFireOnFovEntry

AutoShutterTimeToFireStageDrift

DetectFocusChange

DrawPointPixelSize

MonitorXSizeMM

NominalColor

OverlayColor

OverlayLamp

ScaleToFit

ShowAbsoluteCoOrdinates

ShowCoOrdinates

SnapToEdge

SnapToEdgeDistance

(XYZ)AutoShutterStageDriftAllowance


Auto LIV Freeze

With this value set to TRUE, this will cause the Live View Freeze button to be automatically pressed on and off at program execution time, so that measured points are frozen on the screen until the next points are measured. This is also useful for machines where “image tear” occurs during stage movements.

Entry Name: AutoLIVFreeze

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


Auto Shutter Enable

When this option is set to TRUE (1), PC-DMIS Vision will detect when a target is ready to measure based upon the criteria defined in the following values:

  • AutoShutterStageDriftRetries

  • AutoShutterStageSettleTime

  • AutoShutterTimeToFire

  • AutoShutterTimeToFireNth

  • AutoShutterTimeToFireOnFovEntry

  • AutoShutterTimeToFireStageDrift

  • (XYZ)AutoShutterStageDriftAllowance

When the defined criteria is met, the feature will automatically be measured. See the "Setting up the Live View" topic in the PC-DMIS Vision help file.

Entry Name: AutoShutterEnable

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Auto Shutter Stage Drift Retries

This value determines the number of times that PC-DMIS Vision will retry point detection before a failure is reported. If the stage is not stable, then point detection is not reliable. During point detection, if the stage drifted between the time the point detect command is issued and the time the point detect command completes and returns the points, the point detection is retried.

This value is only evaluated when "AutoShutterEnable" is set to TRUE (1). If the stage is not stable, then point detection is not reliable.

Entry Name: AutoShutterStageDriftRetries

Entry Type: Whole Number to specify number of retries. Default value is 0.

User permission is required to change entry


Auto Shutter Stage Settle Time

This value provides the delay in milliseconds that PC-DMIS Vision will wait before the starting point detection command. If the stage is not stable, then point detection is not reliable. Increasing this value may be useful to allow sufficient time for the stage to be motionless.

This value is only evaluated when "AutoShutterEnable" is set to TRUE (1). If the stage is not stable, then point detection is not reliable.

Entry Name: AutoShutterStageSettleTime

Entry Type: Whole Number to specify delay in milliseconds. Default value is 200.

User permission is required to change entry


Auto Shutter Time To Fire

This value provides the delay (in milliseconds) that PC-DMIS waits before issuing the point detect command when PC-DMIS detects that the ROI (Region of Interest) is ready to fire. This delay gives the stage a chance to settle before firing the point detection. This value is only evaluated for the first region of interest ROI. Subsequent ROIs are evaluated with the "AutoShutterTimeToFireNth" value.

This value is only evaluated when "AutoShutterEnable" is set to TRUE (1). If the stage is not stable, then point detection is not reliable.

This value relates to the Movement Feature settle in the Live View Setup dialog box. See the "Setting up the Live View" topic in the PC-DMIS Vision help file.

Entry Name: AutoShutterTimeToFire

Entry Type: Whole Number to specify seconds. Default value is 3000.

User permission is required to change entry


Auto Shutter Time To Fire Nth

This value provides the delay (in milliseconds) that PC-DMIS waits before issuing the point detect command when PC-DMIS detects that the ROI (Region of Interest), that is not the FIRST ROI, is ready to fire. This delay gives the stage a chance to settle before firing the point detection. The recommended setting is 200.

This value is only evaluated when "AutoShutterEnable" is set to TRUE (1). If the stage is not stable, then point detection is not reliable.

Entry Name: AutoShutterTimeToFireNth

Entry Type: Whole Number to specify seconds. Default value is 200.

User permission is required to change entry


Auto Shutter Time To Fire On Fov Entry

This value provides the delay (in milliseconds) that PC-DMIS waits before firing of the point detection command for an ROI (Region of Interest) that was not entirely in the FOV has just entirely entered the FOV.

This value is only evaluated when "AutoShutterEnable" is set to TRUE (1). If the stage is not stable, then point detection is not reliable.

This value relates to the Movement detected settle in the Live View Setup dialog box. See the "Setting up the Live View" topic in the PC-DMIS Vision help file.

Entry Name: AutoShutterTimeToFireOnFovEntry

Entry Type: Whole Number to specify seconds. Default value is 3000.

User permission is required to change entry


Auto Shutter Time To Fire Stage Drift

This value provides the delay (in milliseconds) that PC-DMIS waits before firing of the point detection command when a stage drift has been detected.

This value is only evaluated when "AutoShutterEnable" is set to TRUE (1). If the stage is not stable, then point detection is not reliable.

Entry Name: AutoShutterTimeToFireStageDrift

Entry Type: Whole Number to specify seconds. Default value is 2000.

User permission is required to change entry


Detect Focus Change

When you change the focus more than this specified amount, then you will be prompted "focus position changed – update theos?”. This allows you to update the theoretical values when the focus is changed.

Entry Name: DetectFocusChange

Entry Type: Real Number to specify focus change value. Default value is None (0.002).

User permission is required to change entry


Detect Stage Move

Some Vision machines will check to see if the stage has moved and then update the values in the Auto Feature dialog box. This will cause PC-DMIS to overwrite any changes you enter into the Auto Feature dialog box. This value determines the minimum amount of movement that must occur before the values are updated to the Auto Feature dialog box.

Entry Name: DetectStageMove

Entry Type: Real Number specifying distance. The default is None (0.001).

User permission is required to change entry


Monitor X Size MM

This value is set internally by PC-DMIS Vision and then used to display the effective magnification on the magnification toolbox page. Do not alter this value here.

Entry Name: MonitorXSizeMM

Entry Type: Real Number to specify magnification in mm. Default value is -1.

Administrator permission is required to change entry


Nominal Color

This value specifies the decimal value for the color that will be used for the nominal lines in the targets displayed on the Live View tab.

Entry Name: NominalColor

Entry Type: Whole Number to specify a decimal color number. Default value is 0.

User permission is required to change entry

Note: It is best to alter this value inside of PC-DMIS from the Live View Setup dialog box. This value serves as a place holder for the last used value.


Overlay Color

This value specifies the decimal value for the color that will be used for all overlayed graphics on the Live View tab. This affects probe hits, targets and gages.

Entry Name: OverlayColor

Entry Type: Whole Number to specify a decimal color number. Default value is 0.

User permission is required to change entry

Note: It is best to alter this value inside of PC-DMIS from the Live View Setup dialog box. This value serves as a place holder for the last used value.


Overlay Lamp

When this value is set to TRUE, a graphical overlay of your ring lamp is displayed in the Live View tab of the Graphics Display window. This overlay allows you to switch bulbs on or off directly by clicking on the overlay of the bulb on the Graphics Display window.

Entry Name: OverlayLamp

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


Scale To Fit

This option determines whether or not the display of the part should be scaled to within the limits of the screen (hardware permitting). This is implemented when the value is set to TRUE.

Entry Name: ScaleToFit

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


Show Absolute CoOrdinates

When this value is set to TRUE, the coordinates are displayed as absolute to the center of the field of view in the Live View tab. Otherwise the coordinates are displayed relative to the center of the field of view in the Live View.

Entry Name: ShowAbsoluteCoOrdinates

Entry Type: True/False value. Default value is TRUE.

User permission is required to change entry


Show CoOrdinates

This value determines whether or not the coordinates relative to the center of the field of view get displayed in the Live View tab. When set to TRUE, numbers appear in the corners of your Live View defining the search distance.

Entry Name: ShowCoOrdinates

Entry Type: True/False value. Default value is TRUE.

User permission is required to change entry


Snap To Edge

This option determines whether or not the software attempts to detect and snap to the nearest edge when placing target anchor points on the Live View tab. This is implemented when the value is set to TRUE.

If you have a blurred edge that can’t be brought into focus, you may find it necessary to switch this off to reliably specify anchor points when programming a feature.

Entry Name: SnapToEdge

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


Snap To Edge Distance

This value indicates the distance the software searches when attempting to snap to the nearest edge when placing target anchor points.

Entry Name: SnapToEdgeDistance

Entry Type: Whole Number specifying a distance in pixels. Default value is 60.

User permission is required to change entry


Target Edge Selection Type

This values determines the Target Edge Selection method that will be used to detect a Target Edge. See the "Automatic Hit Target - Edge Parameter Set" topic in the PC-DMIS Vision help file for more information.

Entry Name: TargetEdgeSelectionType

Entry Type: Whole Number specifying selection type. Default value is 2.

User permission is required to change entry

Target Edge Selection Type Key:

0 | Dominant Edge
1 | Nearest Nominal
2 | Matching Edge
3 | Specified Edge


XAutoShutterStageDriftAllowance

(XYZ) Auto Shutter Stage Drift Allowance

This value provides the allowance for acceptable stage drift. During point detection, the stage position is recorded at the time the point detection command is issued. If at the time of the point detection command completes the stage position in the (XYZ) axes differs from the recorded stage position and this difference is greater than these XYZ values, PC-DMIS considers the stage to have drifted.

This value is only evaluated when "AutoShutterEnable" is set to TRUE (1). If the stage is not stable, then point detection is not reliable.

Entry Name: (XYZ)AutoShutterStageDriftAllowance

Entry Type: Real Number to specify allowable distance. Default value is 0.00001 for X & Y and 0.00002 for Z.

Administrator permission is required to change entry


Lock Expiry Reminder

PC-DMIS uses this section to recall the last time that you received a portlock expiration reminder. This is used so that it PC-DMIS does not keep reminding you every time you start PC-DMIS.

Users should not change this section of the PC-DMIS Settings Editor.


Misc-toolbar

This section of the PC-DMIS Settings Editor allows you to set parameters for miscellaneous toolbars inside PC-DMIS.

More:

FeaturesBtn


Features Btn

This value is no longer used.


NC Sensor Settings

This section of the PC-DMIS Settings Editor contains settings for the NC 100 Sensor.

More:

AutoExposeWithLiveView

PH10OffsetXYZ

PICSDifferentialSwitchBit

SensorCGLocType

SensorConfigFile

SensorFilterType

SensorType

WarmUpStationPowerBit


Auto Expose With Live View

This value determines if the exposure will be automatically calculated when Live View is used. The exposure setting is optimally chosen based on the surface properties. This exposure may then be used for features and scans measured with the laser. When this value is set to TRUE, the Live View will automatically choose the best exposure.

Entry Name: AutoExposeWithLiveView

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


Max Track Distance

This value is used on Mycrona laser capable machines. It stores the last user specified distance above the surface of the part before the laser will move to refocus itself.

Entry Name: MaxTrackDistance

Entry Type: Real Number specifying distance in working units. The default is None (10).

User permission is required to change entry


Min Track Distance

This value is used on Mycrona laser capable machines. It stores the last user specified distance below the surface of the part before the laser will move to refocus itself.

Entry Name: MinTrackDistance

Entry Type: Real Number specifying distance in working units. The default is None (-10).

User permission is required to change entry


PH10 Offset XYZ

This value is no longer used.


PICS Differential Switch Bit

In order to automate probe changes between touch trigger and Perceptron probes on PH10 wrists you must specify the bit used to switch the PICS input to the differential input. This value should only need to be set once and for now the defaults should work for all DEA/B&S machines.

Entry Name: PICSDifferentialSwitchBit

Entry Type: Whole Number to specify the switch bit. Default value is 6.

Administrator permission is required to change entry


Sensor CG Loc Type

This is used for persistent storage of the default value of the CG Locator, as described in the Laser Documentation. See the "Laser Probe Toolbox: Laser Pixel Locator Properties tab" topic in the PC-DMIS Laser documentation for more information.

Entry Name: SensorCGLocType

Entry Type: Whole Number specifying Locator type. Default value is 0.

User permission is required to change entry

CG Locator Type Key:

0 | Brightest
1 | Fixed Threshold
2 | Gradient


Sensor Config File

This value stores the file name and location of the sensor configuration file as described in the Laser Documentation. See the "Step 2: Define Setup Options for the Laser Sensor" topic in the PC-DMIS Laser documentation for more information.

Entry Name: SensorConfigFile

Entry Type: Character String specifying name and path for config file. Default value is None ( ).

Administrator permission is required to change entry


Sensor Filter Type

This is used for persistent storage of the default value of the Laser filter as described in the Laser Documentation. See the "Laser Probe Toolbox: Laser Filtering Properties tab" topic in the PC-DMIS Laser documentation for more information.

Entry Name: SensorFilterType

Entry Type: Whole Number specifying filter type. Default value is 0.

User permission is required to change entry

Filter Type Key:

0 | None
1 | Long Line
2 | Median
3 | Inline
4 | Weighted Average


Sensor Type

This value is no longer used.


Warm Up Station Power Bit

This value was added to provide support for the laser warm-up stand for laser probes. These warm up stations connect to Renishaw and DEA toolchangers. They are designed to keep the sensors at steady state during use. PC-DMIS needs to manage the power during tool change cycles. This value should only need to be set once and for now the defaults should work for all DEA/B&S machines.

Entry Name: WarmUpStationPowerBit

Entry Type: Whole Number to specify the power bit. Default value is 5.

Administrator permission is required to change entry


OpenGL Options

This section of the PC-DMIS Settings Editor contains settings that affect graphical display. The settings are for color depth, Z-buffer depth, double buffering, and using OpenGL lists.

For everything except the OpenGLLists entry, you should edit these values in the OpenGL Options dialog box available from the Edit | Preferences | OpenGL menu option. See the "Changing OpenGL Options" topic in the "Setting Your Preferences" section of the core PC-DMIS help file.

More:

ColorDepth

DoubleBuffering

ProbeTessellationMultiplyValue

TessellationMultiplyValue

UseOpenGLLists

ZBufferDepth


Color Depth

The Color Depth value controls how much graphics memory your system uses for the color information of each pixel. This number is usually dependent on the color depth of the Desktop Settings.

Entry Name: ColorDepth

Entry Type: Whole Number specifying bits. Default value is 24. Valid values are 16, 24, & 32. The default value is "32" when using a portable device.

User permission is required to change entry


Double Buffering

When this option is set to TRUE, there are actually two display buffers: a front and a back buffer. The front buffer is what you see on the screen. When the screen has to be redrawn, such as when the model is rotated, the image has to be erased from the screen and the image redrawn in its new state. The erasing and drawing is done on the back buffer. You cannot see the actual erasing and drawing of the graphics. Once the graphics are drawn to the back buffer, the back buffer is swapped with the front buffer. This happens quickly so that any transition between the two buffers is virtually undetectable.

When this option is set to FALSE, there is only one display buffer. You can actually see the screen being erased and redrawn (albeit very quickly). The erasing and redrawing of the screen causes a flickering.

Entry Name: DoubleBuffering

Entry Type: True/False value. Default value is TRUE.

User permission is required to change entry


Probe Tessellation Multiply Value

This value represents the Multiplier Value for probe CAD tessellation. PC-DMIS multiplies the Multiplier Value by the tessellation value for the given CAD system. These values are then used in the generation of the shaded image. See the "TessellationMultiplyValue" for non-probe tessellation.

Entry Name: ProbeTessellationMultiplyValue

Entry Type: Real Number to specify Multiplier value. Default value is 5.

User permission is required to change entry


Tessellation Multiply Value

This value represents the Multiplier Value for non-probe CAD tessellation. PC-DMIS multiplies the Multiplier Value by the tessellation value for the given CAD system. These values are then used in the generation of the shaded image. This tessellation value is used for all non-probe CAD elements. See the "ProbeTessellationMultiplyValue" for probe tessellation.

Entry Name: TessellationMultiplyValue

Entry Type: Real Number to specify Multiplier value. Default value is 1.

User permission is required to change entry


Use OpenGL Lists

This entry allows you to choose to speed up graphical rotation at the expense of using more of your computer's memory. Setting this entry to TRUE allows PC-DMIS to use additional system memory to speed up on-screen rotation of the CAD. Setting this to FALSE reduces the load on system memory.

Entry Name: UseOpenGLLists

Entry Type: True/False value. Default value is TRUE.

User permission is required to change entry

Generally, for small to medium CAD files, you can leave this at its default TRUE value to speed up the on-screen rotation.

However, if you encounter memory or serialization errors when using large CAD files, change this setting to FALSE to release needed system memory for other processes in PC-DMIS.


Z Buffer Depth

This value controls how much graphics memory is used for the z-buffer. The z-buffer determines which parts of a 3D model lie in front of other parts of the model. If you use insufficient bits for the z-buffer, visual artifacts may appear on the model in solid view mode. These artifacts are areas on the model that are drawn in front of other parts of the model when they should actually be hidden. These artifacts do not affect the accuracy of PC-DMIS but are simply inaccuracies in the visual display of the model.

Entry Name: ZBufferDepth

Entry Type: Whole Number specifying bits. Default value is 32. The default value is "24" when using a portable device.

User permission is required to change entry


OpenGL Settings

This section of the PC-DMIS Settings Editor allows you to change how measured points are displayed in the Graphics Display window. You can decide to draw points as spheres (instead of crosshairs) and you can modify the size of the displayed points when in OpenGL (solid) view. To change a part to solid view, see the "Setting Up the Screen View" topic in the "Editing the CAD Display" section.

More:

DrawArrowRadiusInMM

DrawArrowsAsSolid

DrawColorInterpLineWidth

DrawPathLinesRadiusInMM

DrawPointsAsSpheres

DrawPointsRadiusInMM

DrawPolylinePoints

FastArrowDraw

GL_ Options

Light(0-3)_Ambient

Light(0-3)_Diffuse

Light(0-3)_Enabled

Light(0-3)_Position

Light(0-3)_Specular

LightModel_2Side

LightModel_Ambient

LightModel_BFCulling

LightModel_LocalViewer

Material_Ambient

Material_Diffuse

Material_Emission

Material_Shininess

Material_Specular


Draw Arrow Radius in Millimeters

This entry controls the diameter of the path line “tubes”. In version 4.0 path lines are drawn as solid tubes in OpenGL. If you zoom out of your part display, OpenGL may not draw these unless you increase their diameter size.

Entry Name: DrawArrowRadiusInMM

Entry Type: Real Number to specify the radius of your path lines in millimeters. Default value is 0.1.

User permission is required to change entry

See "Showing and Animating Path Lines" in the "Editing the CAD Display" section.


Draw Arrows as Solid

This entry allows you to set how analysis arrows displayed in the Graphical Display area and in the Analysis window are to be drawn. Setting this entry to TRUE (1)draws the arrows as solid arrows. Setting it to FALSE (0) draws the arrows using the old arrow style.

Entry Name: DrawArrowsAsSolid

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is none (-1). The default value is "TRUE (1)" when using a portable device.

User permission is required to change entry


Draw Color Interp Line Width

This value provides the line width for the color interpolation line.

Entry Name: DrawColorInterLineWidth

Entry Type: Real Number to specify width in pixels. Default value is 1.

User permission is required to change entry


Draw Path Lines Radius In MM

This entry sets the maximum radius for the path lines in millimeters. Path lines will help you preview the path your probe will take and troubleshoot possible collision areas.

Entry Name: DrawPathLinesRadiusInMM

Entry Type: Real Number to specify the maximum radius. Default value is None(1).

User permission is required


Draw Points as Spheres

This tells PC-DMIS whether or not to draw the measured points as spheres instead of cross hairs. If set to FALSE (0), PC-DMIS does not draw points as spheres. If set to TRUE (1), PC-DMIS draws points as spheres.

Entry Name: DrawPointsAsSpheres

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is none (-1). The default value is "TRUE (1)" when using a portable device.

User permission is required to change entry


Draw Points Radius in Millimeters

This tells PC-DMIS the size of radius to use when drawing points as spheres. For this option to work the DrawPointsAsSpheres entry must be set to TRUE (1).

Entry Name: DrawPointsRadiusinMM

Entry Type: Real Number specifying the radius (in millimeters) of the point drawn. The default value is .2.

User permission is required to change entry


Draw Polyline Points

When this option is set to TRUE, PC-DMIS will draw points at each point of the polyline for imported DES files. This provides a visual representation of these points, otherwise the polyline would be seen as a line.

Note: ExplodePolylines should be set to FALSE.

Entry Name: DrawPolylinePoints

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


Fast Arrow Draw

This option allows you to speed up arrow drawing, at the expense of visual quality. When set to FALSE, arrows are drawn in a darker color when behind surfaces. This may take about twice as long to draw then when this option is set to TRUE. When this option is set to TRUE, arrows are obscured when behind surfaces.

Entry Name: FastArrowDraw

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


GL_ Options

GL (Options)

The options that begin with the "GL_" prefix allow you to specify certain lighting parameters that affect what your model looks like in the Graphics Display window:

GL_AMBIENT, GL_AMBIENT_AND_DIFFUSE, GL_DIFFUSE, and GL_SPECULAR represent the ambient intensity, diffuse intensity and specular intensity of the light source respectively.

Entry Type: Character String number or an integer of 1 or -1. For example .2 specifies 20% of the positive range, .8 specifies 80% and 1.0 specifies 100% (or most positive representable integer value, while –1.0 specifies the most negative representable integer value). If a number exceeds the range of –1 to 1, the corresponding integer return value is undefined. The default value for these entries is zero.

GL_SHININESS represents the specular exponent of the material.

Entry Type: Character String number or an integer. Generally an integer value of 0 to 10 is a sufficient range. The default value is 10.

User permission is required to change entry


Light(0-3)_Ambient

This light value represents one of 4 different light sources(0-3). The series of values represents the RGB color values for the ambient light. The first three numbers represent the RGB values respectively. The numbers are somewhere between 0.0000 and 1.0000. 0.0 0.0 0.0 represents black, while 1.0 1.0 1.0 represents white. The last number is always set to 1.0.

Entry Name: Light(0-3)_Ambient

Entry Type: Character String specifying the RGB color Intensities. Default value is 0.0000 0.0000 0.0000 1.0 (black).

User permission is required to change entry

Ambient illumination is light that has been scattered so much by the environment that its direction is impossible to determine - it seems to come from all directions. Backlighting in a room has a large ambient component, since most of the light that reaches your eye has bounced off many surfaces. A spotlight outdoors has a tiny ambient component; most of the light travels is the same direction, and since you are outdoors, very little of the light reaches your eye after bouncing off other objects. When ambient light strikes a surface, it's scattered equally in all directions.


Light(0-3)_Diffuse

This light value represents one of 4 different light sources(0-3). This series of values represents the RGB color values for the diffused light. The first three numbers represent the RGB values respectively. The numbers are somewhere between 0.0000 and 1.0000. 0.0 0.0 0.0 represents black, while 1.0 1.0 1.0 represents white. The last number is always set to 1.0.

Entry Name: Light(0-3)_Diffuse

Entry Type: Character String specifying the RGB color Intensities. Default value is 1.0000 1.0000 1.0000 1.0 (white).

User permission is required to change entry

Diffuse light comes from one direction, so it's brighter if it comes squarely down on a surface than if it barely glances off the surface. Once it hits a surface, however, it's scattered equally in all directions, so it appears equally bright, no matter where the eye is located. Any light coming from a particular position or direction probably has a diffuse component.


Light(0-3)_Enabled

This option determines whether the light source is on or off for the 4 possible light sources. For each light source there are four lighting specifications that can be set (ambient, diffuse, position & specular). The light is enabled when the value is set to TRUE.

Entry Name: Light(0-3)_Enabled

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 1 for Light 0. Default value is 0 for Light 1 -3.

User permission is required to change entry


Light(0-3)_Position

This values specifies the direction of the light source for each of the four light sources. There are eight possible values used to represent the light direction. The graphic shown below shows the number to use for each light direction and the direction from which the light originates.

The center light direction acts as if the light comes from the direction you are located as if shining through your computer screen onto the CAD part. The other direction buttons define light coming from other angles.

Entry Name: Light(0-3)_Position

Entry Type: Whole Number to specify light direction. Default value is 4 (center). Possible values are 0-8.

User permission is required to change entry


Light(0-3)_Specular

This light value represents one of 4 different light sources(0-3). This series of values represents the RGB color values for the specular light. The first three numbers represent the RGB values respectively. The numbers are somewhere between 0.0000 and 1.0000. 0.0 0.0 0.0 represents black, while 1.0 1.0 1.0 represents white. The last number is always set to 1.0.

Entry Name: Light(0-3)_Specular

Entry Type: Character String specifying the RGB color Intensities. Default value is 1.0000 1.0000 1.0000 1.0 (white).

User permission is required to change entry

Specular light comes from a particular direction, and it tends to bounce off the surface in a preferred direction. A laser beam bouncing off a mirror produces almost 100 percent specular reflection. Shiny metal or plastic has a high specular component and chalk or carpet has almost none. You can think of specular light as "shininess".


LightModel_2Side

This option determines whether or not the front and back faces of surfaces should be lighted. You should select this check box for imported IGES files, and for some other CAD formats when the surface normals are not correct.

Entry Name: LightModel_2Side

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry


LightModel_Ambient

This series of values represents the ambient color to be applied to the entire scene. This series of values represents the RGB color values for the ambient light. The first three numbers represent the RGB values respectively. The numbers are somewhere between 0.0000 and 1.0000. 0.0 0.0 0.0 represents black, while 1.0 1.0 1.0 represents white. The last number is always set to 1.0.

Entry Name: LightModel_Ambient

Entry Type: Character String specifying the RGB color Intensities. Default value is 0.2000 0.2000 0.2000 1.0 (black).

User permission is required to change entry


LightModel_BFCulling

This option determines whether or not PC-DMIS should cull, or hide, the back faces of surfaces. You should select this check box for IGES files, and some other Cad formats, when the surface normals are not correct.

Entry Name: LightModel_BFCulling

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 1 for Light 0. Default value is 0 for Light 1 - 3.

User permission is required to change entry


LightModel_LocalViewer

This value is not used.


Material_Ambient

This value defines the ambient color that is applied to all CAD surfaces. This series of values represents the RGB color values for the ambient light. The first three numbers represent the RGB values respectively. The numbers are somewhere between 0.0000 and 1.0000. 0.0 0.0 0.0 represents black, while 1.0 1.0 1.0 represents white. The last number is always set to 1.0.

Entry Name: Material_Ambient

Entry Type: Character String specifying the RGB color Intensities. Default value is 0.1510 0. 1510 0. 1510 1.0 (dark grey).

User permission is required

See the “Light(0-3)_Ambient” section for additional information about ambient lighting.


Material_Diffuse

This value defines the diffuse color that is applied to all CAD surfaces. This series of values represents the RGB color values for the diffused light. The first three numbers represent the RGB values respectively. The numbers are somewhere between 0.0000 and 1.0000. 0.0 0.0 0.0 represents black, while 1.0 1.0 1.0 represents white. The last number is always set to 1.0.

Entry Name: Material_Diffuse

Entry Type: Character String specifying the RGB color Intensities. Default value is 0.7569 0.7569 0.7569 1.0 (light gray).

User permission is required to change entry

See the “Light(0-3)_Diffuse” section for additional information about ambient lighting.


Material_Emission

This value defines the emission color that is applied to all CAD surfaces. This series of values represents the RGB color values for the diffused light. The first three numbers represent the RGB values respectively. The numbers are somewhere between 0.0000 and 1.0000. 0.0 0.0 0.0 represents black, while 1.0 1.0 1.0 represents white. The last number is always set to 1.0.

Entry Name: Material_Emission

Entry Type: Character String specifying the RGB color Intensities. Default value is 0.0000 0.0000 0.0000 1.0 (black).

User permission is required to change entry

Materials may have an emissive color, which simulates light originating from an object. In the OpenGL lighting model, the emissive color of a surface adds intensity to the object, but is unaffected by any light sources. Also, the emissive color does not introduce any additional light into the overall scene.


Material_Shininess

This value represents the intensity of the highlight when looking at a curved surface. A value of 0 represents the highest intensity, while the value of 128 represents the lowest intensity.

Entry Name: Material_Shininess

Entry Type: Real Number to specify intensity value. Default value is 25.6. Value between 0 and 128.

User permission is required to change entry


Material_Specular

This value defines the specular color that is applied to all CAD surfaces. This series of values represents the RGB color values for the specular light. The first three numbers represent the RGB values respectively. The numbers are somewhere between 0.0000 and 1.0000. 0.0 0.0 0.0 represents black, while 1.0 1.0 1.0 represents white. The last number is always set to 1.0.

Entry Name: Material_Specular

Entry Type: Character String specifying the RGB color Intensities. Default value is 0.3500 0.3500 0.3500 1.0 (medium gray).

User permission is required to change entry

See the “Light(0-3)_Specular” section for additional information about ambient lighting.


OpenGL Settings Rotate Options

This section of the PC-DMIS Settings Editor allows you to control the display of Scanned data and PointCloud data when doing a PAN or ROTATE (or ZOOM if you have a SpaceBall).

More:

FilterMaxPtsPointCloud

FilterMaxPtsScan

FilterPercentageAfterMaxPtsPointCloud

FilterPercentageAfterMaxPtsScan

Settings


Filter Max Pts Point Cloud

This value determines how many Point Cloud points are displayed for the graphics object before using the "FilterPercentageAfterMaxPtsPointCloud" percentage value to determine how many of the remaining points should be displayed. Limiting the number of displayed Point Cloud points improves the ability of PC-DMIS to visually represent the Point Cloud object.

Examples: The defaults indicate that 500 points plus 5% after the 500 will be displayed. If there are 600 points, then 500 + (600-500)x0.05 = 505 points will be displayed during the PAN or ROTATE. When this value is set to 0, then only the "FilterPercentageAfterMaxPtsPointCloud" value will be used such that a percentage of 5% with 600 points, will display 30 points during the PAN or ROTATE.

The displayed points are selected somewhat randomly, but normally the first point, mid point, and last point of the display object will be displayed.

Entry Name: FilterMaxPtsPointCloud

Entry Type: Whole Number specifying number of Point Cloud points. Default value is 500.

User permission is required to change entry


Filter Max Pts Scan

This value determines how many Scan points are displayed for the graphics object before using the "FilterPercentageAfterMaxPtsScan" percentage value to determine how many of the remaining points should be displayed. Limiting the number of displayed Scan points improves the ability of PC-DMIS to visually represent the Scan object.

Examples: The defaults indicate that 500 points plus 5% after the 500 will be displayed. If there are 600 points, then 500 + (600-500)x0.05 = 505 points will be displayed during the PAN or ROTATE. When this value is set to 0, then only the "FilterPercentageAfterMaxPtsScan" value will be used such that a percentage of 5% with 600 points, will display 30 points during the PAN or ROTATE.

The displayed points are selected somewhat randomly, but normally the first point, mid point, and last point of the display object will be displayed.

Entry Name: FilterMaxPtsScan

Entry Type: Whole Number specifying number of Scan points. Default value is 500.

User permission is required to change entry


Filter Percentage After Max Pts Point Cloud

This value provides the percentage of remaining Point Cloud points that will be displayed beyond the initial numbers of points specified by the "FilterMaxPtsPointCloud" value. See the "FilterMaxPtsPointCloud" for further explanation.

Entry Name: FilterPercentageAfterMaxPtsPointCloud

Entry Type: Whole Number specifying percentage of points. Default value is 5.

User permission is required to change entry


Filter Percentage After Max Pts Scan

This value provides the percentage of remaining Scan points that will be displayed beyond the initial numbers of points specified by the "FilterMaxPtsScan" value. See the "FilterMaxPtsPointCloud" for further explanation.

Entry Name: FilterPercentageAfterMaxPtsScan

Entry Type: Whole Number specifying percentage of points. Default value is 5.

User permission is required to change entry


Settings

This value should NOT be changed using the Settings Editor. This value represents a bit pattern of the various check boxes of the Rotate Options dialog box. It is used to recall the previous settings upon subsequent opening of that dialog box

Entry Name: Settings

Entry Type: Unsigned Integer specifying Settings for Rotate Options dialog box. Default value is 0.

User permission is required to change entry


Optimize Path

This section of the PC-DMIS Settings Editor sets parameters for the Optimize Path capabilities that are used with PC-DMIS Inspection Planner.

More:

AddTips

ConicalTolerance

DualArmOverlap

InsertDimensions

OnlyCalibratedTips

Penalty_MIP

Penalty_PH10

Penalty_WRIST

SortFeatures


Add Tips

This option determines whether or not you want to allow PC-DMIS to insert tip changes. Tip changes will be added to the part program during path optimization if this option is set to TRUE.

Entry Name: AddTips

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Conical Tolerance

This value determines the conical tolerance for added Tip changes. This allows PC-DMIS to utilize a tip that has a shank vector that is within the tolerance of the optimal vector angle for a given feature.

Entry Name: ConicalTolerance

Entry Type: Real Number to specify an angle. Default value is 5.

User permission is required to change entry

For features such as points, lines, and planes there is a built in conical range of 90 degrees since a plane with a vector of 0, 0, 1 could be measured by T1A0B0 or T1A90B0. In the case of these features, PC-DMIS adds the user entered value to the built-in range. The proposed tip angle is also checked by running collision detection (silently) to determine if the tip will actually work.


Dual Arm Overlap

This value determines the percentage of overlap to use which controls how the machine volume is divided between the two arms. At 0%, each arm would only be allowed to measure features that are within the half of the machine volume that is accessible to that arm. At 100%, Arm1 would be assigned to all the features.

Entry Name: DualArmOverlap

Entry Type: Real Number to specify a percentage. Default value is 100.

User permission is required to change entry


Insert Dimensions

This toggle value determines when dimensions are inserted at the end of the part program or as soon as possible. This is part of the Path Optimization process for Inspection Plans.

Entry Name: InsertDimensions

Entry Type: Whole Number to specify "Insert at End" (0) or "Insert as soon as Possible" (1). Default value is 0.

User permission is required to change entry


Only Calibrated Tips

PC-DMIS will assign "Only Calibrated Tips" to features within your Inspection Plan when this value is set to TRUE (1). Otherwise, PC-DMIS will also use non-calibrated tips that will need to be calibrated for program execution.

Entry Name: OnlyCalibratedTips

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry


Penalty_Illumination

This value provides an approximate time in seconds taken by a Vision machine to adjust illumination settings. This penalty specifies that all features measured with the same illumination will be grouped together and sorted within the Vision probe tip group.

Entry Name: Penalty_Illumination

Entry Type: Real Number to specify seconds. Default value is 3.

User permission is required to change entry


Penalty_Magnification

This value provides an approximate time in seconds taken by a Vision machine to adjust magnification settings. This penalty specifies that all features measured with the same magnification will be grouped together and sorted within the Vision probe tip group.

Entry Name: Penalty_Magnification

Entry Type: Real Number to specify seconds. Default value is 3.

User permission is required to change entry


Penalty_MIP

This value provides an approximate time in seconds taken by a CMM to change a MIP probe tip. This penalty specifies that all features measured with the MIP probe tip will be grouped together and sorted within the MIP probe tip group.

Entry Name: Penalty_MIP

Entry Type: Real Number to specify seconds. Default value is 10.

User permission is required to change entry


Penalty_PH10

This value provides an approximate time in seconds taken by a CMM to change a PH10 probe tip. This penalty specifies that all features measured with the PH10 probe tip will be grouped together and sorted within the PH10 probe tip group.

Entry Name: Penalty_PH10

Entry Type: Real Number to specify seconds. Default value is 10.

User permission is required to change entry


Penalty_WRIST

This value provides an approximate time in seconds taken by a CMM to change a WRIST probe tip. This penalty specifies that all features measured with the WRIST probe tip will be grouped together and sorted within the WRIST probe tip group.

Entry Name: Penalty_WRIST

Entry Type: Real Number to specify seconds. Default value is 10.

User permission is required to change entry


Sort Features

When this value is set to TRUE (1), Optimize Path sorts features solely based on distance and the time penalty for tip changes as specified by "Penalty_MIP", "Penalty_PH10", and "Penalty_WRIST". Dimensions are moved based on the "InsertDimensions" setting and constructed features are always inserted as soon as possible.

When this value is set to FALSE (0), and the tip change penalty is NOT set to 0.0, Optimize Path will not sort the features. However, features will still be grouped together by tip in order to minimize tip changes. Dimensions are moved based on the "InsertDimensions" setting and constructed features are always inserted as soon as possible.

When this value is set to FALSE (0), and the tip change penalty IS set to 0.0, Optimize Path will not sort the features and features will NOT be grouped by tip. Additionally, dimensions and constructed features will not be moved. Basically, all that is done in this case is to assign tips to features (when "AddTips" is set to TRUE (1)). No commands are moved.

Entry Name: SortFeatures

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry


Option

This section of the PC-DMIS Settings Editor sets global commands for several of PC-DMIS's system options. If these parameters are changed within PC-DMIS, the PC-DMIS Settings Editor will reflect the changes. Likewise, options that are set in the PC-DMIS Settings Editor will be displayed in the appropriate tabs on the Setup Options or Parameter Settings dialog boxes, available from the Edit | Preferences | Setup or Edit | Preferences | Parameters menu options.

This section of the PC-DMIS Settings Editor is constantly changing as the needs of our customers change. The "Setting Your Preferences" section, has additional information regarding the many of the options available in the PC-DMIS Settings Editor.

More:

ACR2SphereOffX

ACR2SphereOffY

ACR2SphereOffZ

ACR2_Calibrate

ACR2_MeasuredOrigin

ACR3Clearance

ACR2_MeasuredOrigin

ACR3Clearance

AdjustLevelCommandRotation

AdjustMachineCoordinates

ALength0

AlternateIgesImport

AlternateTessellation

ALtrs0

AngleDegMinSec

AngleRange0To360

AnimateProbeProgram

AppFontCharSet

AppFontName

AppFontSize

AppFontWeight

AStart0

AutoAdjustPh9

AutochangeClearance

AutoChangeStandAloneDelay

AutoCirHits

AutoDim

AutoDimInfo

AutoDimLegacyLocTP

Auto Form

AutoGraphAnalysis

AutoInsertTipCommand

AutoLabelPosition

AutoLineHits

AutoProjRefPlane

AutoSave

AutoSaveTime

AutoScaleToFit

AutoSetPrehit

AutoTextAnalysis

AutoTriggerDist

AvoidTable

AvoidTableInfo

AvoidTableTol

AvoidTableXYZ

BearingComplience

Bilateral Alternate Color Display

C1ToDDist

CenterOfGravity0

CenterOfGravity250

CenterOfGravity500

CenterOfGravity700

CLength0

CLtrs0

CMMUtilities

CMTComputerName

CMTIPAddress

CMTPort

CMTPromptOnFailure

CMTVideoProbe

Color3DGrid

ColorHilit

ColorMouseOverHighlight

ColorScreen

ColorScreen2

ColorScreenGradient

ColorText

ColorVisionFOV

ConvertToFacetedFaces

COPOperLength0

COPOperLtrs0

COPOperStart0

CopyToolDatToThirdArm

CreateValisysProbeFile

CSLength0

CSLtrs0

CSStart0

CStart0

CToBDist

CToBDist

CToC1Dist

CursorMouseOverHighlight

CurTemp (0-31)

DateCurrentTemps

DatePriorTemps

DatumLevelToCircle

DatumToAX

DatumToAZ

DatumToFX

DatumToFZ

DEAWrist

DebugFlush

DefaultMultiply

DefaultPartProgram

DefaultTolerance(0-5)

DevArrowMult

DevTol

DialogFixedPosition

DimAngleDegSecMin

DimAngleRange

DimensionDecimalPlaces

DimIDGeneric

DimInfo(option)

DimInfo(option)Default

DimInfo(option)OrderDefault

DisableLoadTimeExpressionChecking

DisableSummaryModeAndUndo

DisplayClosestCADSearchToleranceInMM

DisplayFontCharSet

DisplayFontHeight

DisplayFontName

DisplayFontWeight

DLength(0-16)

DLtrs(0-16)

Dph9_Arm3_00

Dph9_Arm3_90180

Dph9_Arm4_00

Dph9_Arm4_90180

Dph9_m00

Dph9_m90180

Dph9_s00

Dph9_s90180

DrawScanWhileExecuting

Droop(0,250,500,700)

DStart(0-16)

DToCDist

EdgePointOnlySingleHitIsTop

EdgePointOnlyUsesOneHit

EditWindowHt

EditWindowState

EditWindowWd

EditWindowX

EditWindowY

EditWinXMin

EditWinYMin

EToDDist

ExecutionFindNoms

ExecutionFindNomsVal

ExternalProbeheadInitTimeout

ExternalProbeheadProtocol

ExternalProbeheadStatusTimeout

ExternalProbeheadType

ExternalRotabDriftWarnDiff

ExternalRotabInitTimeout

ExternalRotabMoveMinDelta

ExternalRotabMoveTimeout

ExternalRotabMoveWarnDiff

ExternalRotabPollComm

ExternalRotabProtocol

ExternalRotabReverse

ExternalRotabStatusAutoRetries

ExternalRotabStatusTimeout

ExternalRotabStopTimeout

ExternalRotabType

FCFLength0

FCFLtrs0

FCFStart0

FColor(0-16)

FCR25Clearance

FeatLabelBackgroundColor

FeatLabelLineColor

FeatLabelShowShadow

FeatureControlFrameIsTransparent

FeatureControlFrameShowExpanded

FeatureControlFrameShowNominals

FeatureControlFrameShowParameters

FeatureEndReadTime

FeaturesVisibleToSubroutines

FeatUseDimColors

FetIDGeneric

FindHoleContinueExe

FindNomsEdgeToleranceInMM

FindNomsTol

FLength(0-17)

FLtrs(0-17)

FlyMode

FlyRadius

FStart(0-17)

FToEDist

GD&T Method

GraphicWindowHt

GraphicWindowState

GraphicWindowWd

GraphicWindowX

GraphicWindowY

HighThreshold(0-3)

IgesReadOptions

IgesWriteOptions

IgnoreCadToPart

IgnoreDimensionIcon

ImportDCIDialogSetting

IterAlignFixtureTolDefault

IterAlignPointTolDefault

IterateAndRePierceCadOnBestFitAlignments

IterateAndRePierceCadOnBestFitAlignmentsMaxLoops

IterateAndRePierceCadOnBestFitAlignmentsToleranceInMM

LargeStatusWindowMultiplier

LeapfrogDatumFile

LegacyUI

LLength0

LLtrs0

LoadProbeUserSearchDirectory

LockMarkedSets

LowThreshold(0-3)

LStart0

MakeVariablesGloballyVisible

MarkSetWinXMin

MarkSetWinYMin

MaterialCoeff(0-3)

MaxAccel(XYZ)

MaxAnimationSpeed

Message Beep

MinusTolShowNeg

NewProbeCompProc

NomsOverrideDlg_H

NomsOverrideDlg_W

OfflineDebug

Offline_Dph9_Arm3_00

Offline_Dph9_Arm3_90180

Offline_Dph9_Arm4_00

Offline_Dph9_Arm4_90180

Offline_Dph9_m00

Offline_Dph9_m90180

Offline_Dph9_s00

Offline_Dph9_s90180

OptionPrintToFile

OptionPrintToFileOP

OptionPrintToPDFFile

OptionPrintToPrinter

OptionPrintToPrinterDraft

OvertravelComplience

PartSensorDelay

PassBackSettingsFromSubroutine

Password

PasswordProtectionFlag

PatchScnMaintainIncr

PathFOVColorRGB

PathLinesColorRGB

PH9WarnDelta

PierceCadOn3DRotate

PointInfo(option)

PointOnlyThickness

PressEndKey

PreviewWindowPositionBottom

PreviewWindowPositionLeft

PreviewWindowPositionRight

PreviewWindowPositionTop

PriorTemp(0-31)

ProbefileActivityLog

Profile OutTol Cumulative

QLength0

QLtrs0

QStart0

ReadoutDisplay BkgrColor

ReadoutDisplay TextColor

ReadoutDisplayFont_lfCharSet

ReadoutDisplayFont_lfEscapement

ReadoutDisplayFont_lfFaceName

ReadoutDisplayFont_lfHeight

ReadoutDisplayFont_lfItalic

ReadoutDisplayFont_lfOrientation

ReadoutDisplayFont_lfOutPrecision

ReadoutDisplayFont_lfPitchAndFamily

ReadoutDisplayFont_lfQuality

ReadoutDisplayFont_IfStrickOut

ReadoutDisplayFont_lfUnderline

ReadoutDisplayFont_lfWeight

ReadoutDisplayFont_lfWidth

ReadoutDisplayLines

ReadoutSetup

ReCalculateNominalCurveOnExec

RecallAlignUserSearchDirectory

RefTemp(0-3)

RenishawKinematicMount

RenishawWrist

Report5Places

ResetGlobalsWhenBranching

RotabIndexIncrement

RotabIsIndex

RotabIsManual

RotabIsManualIndexStandalone

RotabMode

RotabTable1Increment

RotabTable2Increment

RotabTableNumSpheres

SaveArm1CommandsOnly

SaveArm2CommandsOnly

SaveAutoDim

SaveCADtoParts

SavePartOnExecute

Save SolidWorks Attributes in Part

SaveStatsAlways

SaveTargets

SaveUGTessellationPart

SCP80Clearance

SearchOrder

SearchForClosestPointOnlySurface

ShowAllID

ShowBackground

ShowExtendedSheetMetal

ShowHitDev

ShowStartupDialog

ShowTextBoxIcon

SlaveACR2SphereOffX

SlaveACR2SphereOffY

SlaveACR2SphereOffZ

SlaveCurTemp(0-31)

SlaveDateCurrentTemps

SlaveDatePriorTemps

SlaveHighThreshold(0-3)

SlaveLastIlmFile

SlaveLowThreshold(0-3)

SlaveMaterialCoeff(0-3)

SlavePartSensorDelay

SlavePriorTemp(0-31)

SlaveRefTemp(0-3)

SlaveTempOrigin(0-3)

SlaveTempSensorNumbers(0-3)

SlaveTimeCurrentTemps

SlaveToolChanger

SlaveToolChangerDockingSpeed

SlaveToolChangerType

SolidProbeColor

St artGardaLength

StatusBarLargeSize

SubroutineUserSearchDirectory

TempOrigin(0-3)

TempSensorNumbers(0-3)

TESASTAR-RClearance

TextBoxMaximumActive

TextBoxPaddingFactorInPercent

TextBoxVisibilityIncrementTest

TextBoxVisibilityPercentage

TextBoxVisibilityTriggerTest

ThermalCompOCXMachineType

ThermalCompOCXPath

TimeCurrentTemps

ToolChangerACR3DepthAdjustment

ToolChangerACR3HeightAdjustment

ToolChangerACR3LengthAdjustment

ToolChangerACR3Port5DeltaAdjustment

Top Speed

TP20Clearance

TreatTheoValuesAsIfStoredInPartCoordinates

TurnOffTheAnnoyingStartupMusic

TutorCircleHits

TutorConeHits

TutorCylHits

TutorLegacyExecuteable

TutorLineHits

TutorPlaneHits

TutorSphHits

UGLoadOption

UnicodeScripts

Update Below Changed Alignment During Execution

UpdateDatabaseAlways

UseCadIdForFeatures

UseCircularMoves

UseDeaThermalComp

UseDefaultTolerances

UseDmisPolarConvention

UseFindNomsOverrideForScans

UseLastProbeFileAutomaticallyInOperatorMode

UseLegacyDimensions

Use Legacy Slot Vector

Use Old Interpolated Circular Moves

Use Point Method Find Hole

UsePrioritySurfacesOnly

UseTestPos

UseTraxWithSP600

UseVolvoDeviationLetters

ValisysErrorDelay

VLength0

VLtrs0

VStart0

WaitForAckInMasterSlaveMode

Warn(option)

Weight0

Weight250

Weight500

Weight700

ZeissWrist

Command Identification - ID Length

Command Identification - ID Letters

Command Identification - ID Starting Number


ACR2 Sphere Off X

This value is no long used.


ACR2 Sphere Off Y

This value is no long used.


ACR2 Sphere Off Z

This value is no long used.


ACR2_Calibrate

This value allows specification of a Prehit distance in mm, Depth along the pin axis for the measured circle in mm and probing Speed to be used during calibration of an ACR2 probe change rack when it measures the pin inside the port to determine the location. You should not normally need to modify these values.

Entry Name: ACR2_Calibrate

Entry Type: Character String specifying ACR2 calibration values Default value “Prehit=-4 Depth=0 Speed=-1”.

User permission is required to change entry


ACR2_MeasuredOrigin

This value provides the XYZ offset in mm that is used during calibration of an ACR2 probe change rack. It establishes the origin for an ACR2 port after measuring the location of the pin inside the port. You should not normally need to modify this setting.

Entry Name: ACR2_MeasuredOrigin

Entry Type: Character String specifying tool changer origin. Default value “Default value “113.55 14.5 -31.5”.

User permission is required to change entry


ACR3 Clearance

This value specifies the clearance location directly in front of a given port of a ACR3 Tool Changer. This clearance location value defines the distance in front of the port relative to the port center determined by the calibration. The probe moves to this location before moving into the port for the dropoff/pickup.

Entry Name: ACR3Clearance

Entry Type: Real Number specifying distance in mm. Default value is 40.

User permission is required to change entry

Note: These are used during the generation of motion for the change so they can be changed at any time without having to repeat the rack calibration.


Adjust Level Command Rotation

This option changes the behavior of the level command slightly; it keeps the other two axes as close to what they were as possible while leveling the selected axis. This was a change from versions prior to 3.6. If there is a problem with leveling during alignments then this value can be set to FALSE (0) to turn off the new behavior. Normally unless there is a problem with the alignments, this option should be set to TRUE (1).

Entry Name: AdjustLevelCommandRotation

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is none (-1). The default value is "TRUE (1)" when using a portable device.

User permission is required to change entry


AdjustMachineCorrdinates

Adjust Machine Coordinates

When this value is set to TRUE (1), CAD values AND machine coordinates that come after a changed alignments will be adjusted if you say YES to the prompt. Therefore, small changes to the alignment will not make any difference to the report. To only adjust the CAD values and not adjust the machine coordinates, set this value to FALSE (0).

Entry Name: AdjustMachineCoordinates

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0. The default value is "TRUE (1)" when using a portable device.

User permission is required to change entry


A Length 0

See “Command Identification - ID Length” for more information.


Alternate Iges Import

This option allows you to use the alternate IGES translator. This is useful for some IGES files that do not import CAD elements as expected. When this value is set to TRUE, then the alternate translator is used to import IGES files. In versions 4.0 and newer there is a separate menu option (IGES (Alternate)) to import IGES files using this alternate IGES translator.

Entry Name: AlternateIgesImport

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


Alternate Tessellation

This option will cause all CAD models imported from IGES, VDA, STEP, and DXF/DWG to be tessellated using the alternate tessellation algorithm. This option should be set to True for models that don't tessellate correctly with the default tessellation algorithm.

Entry Name: AlternateTessallation

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


A Ltrs 0

See “Command Identification - ID Letters” for more information.


Angle Deg Min Sec

This toggle field determines how Angle degree values are displayed. When set to 0 then degrees are displayed in decimal. When set to 1 then degrees are displayed using minutes and seconds. Any PA Location axes and Angle dimensions will change to display the selected option. This value is the same as DimAngleDegSecMin.

Entry Name: AngleDegMinSec

Entry Type: Whole Number specifying Decimal (0) or Minutes and Seconds (1). Default value is 0.

User permission is required to change entry


Angle Range 0 To 360

This toggle field determines how Angle degrees are displayed. When set to 0 then degrees are displayed in range from 0° - 360°.. When set to 1 then degrees are displayed in range from 0° to +/- 180°. Any PA Location axes and Angle dimensions will change to lie within the selected angle degree range. This value is the same as DimAngleRange.

Entry Name: AngleRange0To360

Entry Type: Whole Number specifying degree range type. Default value is 0.

User permission is required to change entry


Animate Probe Program

This value will activates probe animation during Program mode when is set to TRUE (1). The probe will animate the taking of hits in the Graphics Display window as the hits are generated from CAD.

Entry Name: AnimateProbeProgram

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry


App Font Char Set

The font character set refers to the language for a particular font. It is best to adjust this value within PC-DMIS. This can be done by pressing the F6 function key and clicking the Edit Application Font button which opens the font dialog box. You can then select the needed script from the Script list.

Entry Name: AppFontCharSet

Entry Type: Whole Number specifying the number of the associated language script. Default value is 0.

User permission is required to change entry


App Font Name

This value specifies the font name of the main Application font.

Entry Name: AppFontName

Entry Type: Character String specifying the font name. Default value is Arial.

User permission is required to change entry


App Font Size

This value specifies the point size of the Edit Window font.

Entry Name: AppFontSize

Entry Type: Whole Number specifying the font point size. Default value is 12.

User permission is required to change entry


App Font Weight

This value specifies the weight for the AppFontName of the main Application font.

Entry Name: AppFontWeight

Entry Type: Whole Number to specify font weight. Default value is 500.

User permission is required to change entry


A Start 0

See “Command Identification - ID Starting Number” for more information.


Auto Adjust Ph9

PC-DMIS will select a position that most closely approximates the best approach direction automatically for each hit throughout the part program. This option is active when this value is TRUE (1).

Entry Name: AutoAdjustPh9

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Autochange Clearance

This value specifies the clearance location directly in front of a given port of an Autochange Tool Changer. This clearance location value defines the distance in front of the port relative to the port center determined by the calibration. The probe moves to this location before moving into the port for the dropoff/pickup.

Entry Name: AutochangeClearance

Entry Type: Real Number specifying distance in mm. Default value is 50.

User permission is required to change entry

Note: These are used during the generation of motion for the change so they can be changed at any time without having to repeat the rack calibration.


Auto Change Stand Alone Delay

This value represents the time in seconds that PC-DMIS will wait between positioning moves of the CMM for turning of the screw when dropping off or loading of a autojoint. You may have to experiment to get this setting correct. Usually values of between 2 to 5 seconds are adequate depending on the dip switch time delays and the change speed entered in the Probe Changer dialog.

Entry Name: AutoChangeStandAloneDelay

Entry Type: Real Number to specify time in seconds. Default value is 3.

User permission is required to change entry


AutoCirHits

This term is often used to describe the process of creating instructions which appear in the PC-DMIS Edit window. This can be done through typing in the actual entries, selecting menu command from the menu bars, or by touching measurement points on a physical part with the CMM and pressing the jog box's DONE button or the keyboard's END key.

Auto Cir Hits

This value defines the default number of hits PC-DMIS will take while learning circles using CAD data. The minimum number of hits that may be entered is three. It only changes the number of hits for circles about to be programmed, not for circles that have already been programmed.

Entry Name: AutoCirHits

Entry Type: Whole Number to specify number of hits. Default value is 4.

User permission is required to change entry


Auto Dim

PC-DMIS automatically creates the proper form dimension for a given feature. The new dimension will be displayed in the Edit window immediately following the feature. This option is active when value is set to TRUE (1)

Entry Name: AutoDim

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Auto Dim Info

When this option set to TRUE (1), PC-DMIS will automatically create a Dimension Information check box for any dimension created using the Auto Create Dimensions option or the Auto Roundness option.

Entry Name: AutoDimInfo

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Auto Dim Legacy Loc TP

This toggle value will allow for Legacy Location and True Position dimensions to be created. When this value is TRUE (1) then legacy dimensions will be created.

Entry Name: AutoDimLegacyLocTP

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Auto Form

This option determines whether or not PC-DMIS automatically creates form dimensions for feature types that have a form dimension. Roundness dimensions are created for circles, cylinders, cones, and spheres. Flatness dimensions are created for planes and lines. This option is enabled when set to TRUE (1).

Entry Name: AutoForm

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Auto Graph Analysis

When this option set to TRUE (1), PC-DMIS will automatically create a graphical analysis of any dimension created using the Auto Create Dimensions option or the Auto Roundness option.

Entry Name: AutoGraphAnalysis

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Auto Insert Tip Command

This option determines whether or not PCDMIS will insert a SET_ACTIVE_TIP command for each LOADPROBE command. This is the default behavior in PC-DMIS. However, if you do not want a tip command to be inserted automatically, then your should set this option to FALSE (0).

Entry Name: AutoInsertTipCommand

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry


Auto Label Position

PC-DMIS will automatically position feature labels around the part in the Graphics Display Window when this option is TRUE (1).

Entry Name: AutoLabelPosition

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0. The default value is "TRUE (1)" when using a portable device.

User permission is required to change entry


AutoLineHits

This term is often used to describe the process of creating instructions which appear in the PC-DMIS Edit window. This can be done through typing in the actual entries, selecting menu command from the menu bars, or by touching measurement points on a physical part with the CMM and pressing the jog box's DONE button or the keyboard's END key.

Auto Line Hits

This value defines the default number of hits PC-DMIS will take while learning lines using CAD data. The minimum number of hits that may be entered is two. It only changes the number of hits for lines about to be programmed, not for lines that have already been programmed.

Entry Name: AutoLineHits

Entry Type: Whole Number to specify number of hits. Default value is 2.

User permission is required to change entry


Auto Proj Ref Plane

When the value is set to TRUE (1), PC-DMIS will project relevant features to the current reference plane.

Entry Name: AutoProjRefPlane

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Auto Save

This option allows you to automatically save the part program at predetermined time intervals. When this option is TRUE (1), the default setting will save the program every minute. The amount of time between saves can be adjusted with the "AutoSaveTime" option.

Entry Name: AutoSave

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry

PC-DMIS stores the autosaved file under the title of "Autosave Copy of" plus the original file name. This autosaved copy can be opened in the same manner as a regular part program in case of some catastrophic failure of the original file.


Auto Save Time

This value provide the number of minutes that PC-DMIS will wait before auto saving your part program. One minute is the minimum that can be specified. This value is used when the "AutoSave" option is TRUE (1).

Entry Name AutoSaveTime

Entry Type: Whole Number to specify minutes. Default value is 5.

User permission is required to change entry


Auto Scale To Fit

PC-DMIS will automatically scale the screen every time a feature is measured when this value is set to TRUE (1).

Entry Name: AutoScaleToFit

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Auto Set Prehit

This value is no longer used


Auto Text Analysis

PC-DMIS will automatically create textual analysis of the dimension when this value is set to TRUE (1).

Entry Name: AutoTextAnalysis

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Auto Trigger Dist

This value defines the tolerance zone value for the Auto Trigger capability. When the probe moves into this tolerance zone, it automatically and immediately takes a hit.

Entry Name: AutoTriggerDist

Entry Type: Real Number to specify distance in mm. Default value is 2.54.

User permission is required to change entry


Avoid Table

Table Avoidance is active when this value is set to TRUE (1). This allows PC-DMIS to ascertain if the probe will come in contact with the table (or set plane) while in DCC mode.

Entry Name: AvoidTable

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Avoid Table Info

This value is used internally by PC-DMIS for table avoidance. Do not alter this value.

Entry Name: AvoidTableInfo

Entry Type: Character String to specify table avoidance info. Default value is “2 1”.

User permission is required to change entry


Avoid Table Tol

This tolerance value defines a location in the positive Z direction for positive values and in the negative Z direction for negative values, relative to the set plane. The tolerance zone will trigger a warning if a move or wrist rotation will pass through the zone.

Entry Name: AvoidTableTol

Entry Type: Real Number to specify distance. Default value is .25.

User permission is required to change entry


Avoid Table XYZ

This value stores the XYZ data for a hit that as taken from the measure process in Table Avoidance area of the Part/Machine tab of the SetUp Options dialog box.

Entry Name: AvoidTableXYZ

Entry Type: Character String to specify the measured hit. Default value is 0.0,0.0,0.0.

User permission is required to change entry


Bearing Complience

This value is no longer used.


Bilateral Alternate Color Display

This entry lets you change how the range of dimension colors are displayed for bilateral tolerances. By default, PC-DMIS bases the dimension color range on the total tolerance range—using both plus and minus tolerances.

If you set this entry to TRUE, however, PC-DMIS only uses the tolerance on the side of the nominal that the deviation is on. If it is a positive deviation, the color will be based on the percentage of the deviation between zero and the plus tolerance, but if it is a negative deviation, the color will be based on the percentage of the deviation between zero and the minus tolerance, so if the deviation is equal to the minus tolerance it produces the color for the 100% zone.

For example, suppose you have a deviation of 0.1, and the plus tolerance is 0.2 and the minus tolerance is 0.2. If this option is FALSE the percentage along the total tolerance range is 100% * (+0.1 - (-0.2))/(0.2 - (-0.2)) = 75%. But if the option is set to TRUE the percentage along the positive range is 100% * (0.1 – 0.)/(0.2 - 0.) = 50%.

The main advantage of using this option is that for equal tolerances, a negative deviation will produce the same percentage as a positive deviation of the same magnitude. For example, if the deviation is -0.1, and still using the plus tolerance of 0.2 and the minus tolerance of 0.2, then the color will be based on 100% * (0.1 – 0.0) / (0.2 – 0.0) = 50%, so the color for -0.1 deviation will be the same as the 0.1 deviation for these tolerances.

Colors for unilateral tolerances are NOT affected by this option. They are always calculated on the range from zero to the plus tolerance.

Entry Name: BilateralAlternateColorDisplay

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0. If set to FALSE, PC-DMIS calculates the percentage for the color range from both the plus and minus tolerances. If set to TRUE, PC-DMIS assigns the color by using the tolerance on the side of the nominal that the deviation is on. The tolerances used for calculating the percentage are based on the direction of the deviation. If the deviation is positive then the percentage is based on the positive tolerance. If the deviation is negative then the percentage is based on the negative tolerance.

User permission is required to change entry


C1 To D Dist

This value is used internally by PC-DMIS to store a distance value in millimeters. The machine motion for picking up and dropping off probe tips to an ACR2 tool changer is determined in part by this value. DO NOT alter this value unless directed to do so.

Entry Name: C1ToDDist

Entry Type: Whole Number to specify distance in mm. Default value is 4.

User permission is required to change entry


Center Of Gravity 0

This value is no longer used


Center Of Gravity 250

This value is no longer used


Center Of Gravity 500

This value is no longer used


Center Of Gravity 700

This value is no longer used


C Length 0

See “Command Identification - ID Length” for more information.


C Ltrs 0

See “Command Identification - ID Letters” for more information.


CMM Utilities

No Longer Supported


CMT Computer Name

This value provides the name of your NC-100 computer system. This value is required for the communication between the PC-DMIS computer system and the NC-100 computer system.

Entry Name: CMTComputerName

Entry Type: Character String to specify computer name. Default value is None ( ).

User permission is required to change entry


CMT IP Address

This value provides the TCPIP Address of your NC-100 computer system. This value is required for the communication between the PC-DMIS computer system and the NC-100 computer system.

Entry Name: CMTIPAddress

Entry Type: Character String to specify TCP/IP Address. Default value is 0.0.0.0.

User permission is required to change entry


CMT Port

This value provides the Port Number of your NC-100 computer system. This value is required for the communication between the PC-DMIS computer system and the NC-100 computer system.

Entry Name: CMTPort

Entry Type: Whole Number to specify port number. Default value is 10000.

User permission is required to change entry


CMT Prompt On Failure

This option tells PC-DMIS to prompt on failure when it is set to True. You may want to set this value to false so that measurement will be repeated.

Entry Name: CMTPromptOnFailure

Entry Type: True/False value. Default value is TRUE.

User permission is required to change entry


CMT Video Probe

When this value is set to TRUE (1), PC-DMIS assumes that the NC-100 is active.

Entry Name: CMTVideoProbe

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Color 3D Grid

This value specifies the decimal value for the color that will be used for the 3D grid in the Graphics Display Window.

Entry Name: Color3DGrid

Entry Type: Whole Number to specify a decimal color number. Default value is 16777215 (White).

User permission is required to change entry

Note: It is best to alter this value inside of PC-DMIS from the Screen Color dialog box accessed from the Edit | Graphics Display Window | Screen Color menu item. This value serves as a place holder for the last used value.


Color Hilit

This value specifies the decimal value for the color that will be used for Highlighting in the Graphics Display Window.

Entry Name: ColorHilit

Entry Type: Whole Number to specify a decimal color number. Default value is 255 (Red).

User permission is required to change entry

Note: It is best to alter this value inside of PC-DMIS from the Screen Color dialog box accessed from the Edit | Graphics Display Window | Screen Color menu item. This value serves as a place holder for the last used value.


Color Mouse Over Highlight

This value specifies the decimal value for the color that will be used for Mouse over Highlights in the Graphics Display Window. A surface color will change to this color when your mouse is over that surface.

Entry Name: ColorMouseOverHighlight

Entry Type: Whole Number to specify a decimal color number. Default value is 65535 (Yellow).

User permission is required to change entry

Note: It is best to alter this value inside of PC-DMIS from the Screen Color dialog box accessed from the Edit | Graphics Display Window | Screen Color menu item. This value serves as a place holder for the last used value.


Color Screen

This color refers to the primary background color for Graphics Display Window.

Entry Name: ColorScreen

Entry Type: Whole Number to specify a decimal color number. Default value is 12632256 (Light Grey). The default value is "16744448 (Light Blue)" when using a portable device.

User permission is required to change entry

Note: It is best to alter this value inside of PC-DMIS from the Screen Color dialog box accessed from the Edit | Graphics Display Window | Screen Color menu item. This value serves as a place holder for the last used value.


ColorScreen2

This color refers to the secondary background color for Graphics Display Window. This secondary color is used when the "ColorScreenGradient" value is NOT set to 0. The gradient location defines the location for this secondary color.

Entry Name: ColorScreen2

Entry Type: Whole Number to specify a decimal color number. Default value is 16777215 (White)

User permission is required to change entry

Note: It is best to alter this value inside of PC-DMIS from the Screen Color dialog box accessed from the Edit | Graphics Display Window | Screen Color menu item. This value serves as a place holder for the last used value.


Color Screen Gradient

When this value is set to 1-6 then the "ColorScreen2" will be used to create a gradient for the Graphics Display Window. For Example, when the "ColorScreen" value is set to 12632256 (Light Grey) and the "ColorScreen2" value is set to 16777215 (White) and the "Color Screen Gradient" value is set to 5 then the gradient would go from grey in the bottom left corner to white in the top right corner of the Graphics Display Window.

Entry Name: ColorScreenGradient

Entry Type: Whole Number to specify Secondary gradient color location. Default value is 0 (None).

User permission is required to change entry

Secondary Color Location Key

0 | None
1 | Bottom
2 | Right
3 | Bottom Right
4 | Bottom Left
5 | Top Right
6 | Top Left


Color Text

This color refers to the text color for labels in the Graphics Display Window.

Entry Name: ColorText

Entry Type: Whole Number to specify a decimal color number. Default value is 0 (black).

User permission is required to change entry

Note: It is best to alter this value inside of PC-DMIS from the Change all the fonts dialog box accessed from the Edit | Preferences | Fonts menu item. This value serves as a place holder for the last used value.


Color Vision FOV

This color value allows you change the color used to define the Field of View (FOV) when using PC-DMIS Vision. The FOV is a graphical representation (rectangular box) of the view through the video camera.

Entry Name: ColorVisionFOV

Entry Type: Whole Number to specify a decimal color number. Default value is 65280 (light green).

User permission is required to change entry


Convert To Faceted Faces

Imported CAD file surfaces are converted to faceted faces when this value is set to TRUE. Faceted faces refers to triangular facets that make up the geometric form that defines a solid model.

Entry Name: ConvertToFacetedFaces

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


COPOper Length 0

See “Command Identification - ID Length” for more information.


COPOper Ltrs 0

See “Command Identification - ID Letters” for more information.


COPOper Start 0

See “Command Identification - ID Starting Number” for more information.


Copy Tool Dat To Third Arm

Documentation Pending


Create Valisys Probe File

This option determines whether or not PC-DMIS will create a Valisys probe file (.VPB) along with the standard PC-DMIS probe file (.PRB). The .VPB file is used with Valisys software.

Entry Name: CreateValisysProbeFile

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


CS Length 0

See “Command Identification - ID Length” for more information.


CS Ltrs 0

See “Command Identification - ID Letters” for more information.


CS Start 0

See “Command Identification - ID Starting Number” for more information.


C Start 0

See “Command Identification - ID Starting Number” for more information.


C To B Dist

This value is used internally by PC-DMIS to store a distance value in millimeters. The machine motion for picking up and dropping off probe tips to an ACR2 tool changer is determined in part by this value. DO NOT alter this value unless directed to do so.

Entry Name: CToBDist

Entry Type: Whole Number to specify distance in mm. Default value is 25.

User permission is required to change entry


C To C1 Dist

This value is used internally by PC-DMIS to store a distance value in millimeters. The machine motion for picking up and dropping off probe tips to an ACR2 tool changer is determined in part by this value. DO NOT alter this value unless directed to do so.

Entry Name: CToC1Dist

Entry Type: Whole Number to specify distance in mm. Default value is 104.

User permission is required to change entry


Cursor Mouse Over Highlight

This value specifies whether an arrow or a cross cursor will be displayed when Mouse Over Highlight is activated.

Entry Name: CursorMouseOverHighlight

Entry Type: Whole Number to specify Arrow (3) or Cross (4). Default value is 3.

User permission is required to change entry


Cur Temp (0-31)

These values store the current readings from your temperature sensors for your master arm. You can have anywhere from 1 to 32 sensors. These values are provided in Celsius or Fahrenheit according to the TempCompCelsius value.

Entry Name: CurTemp(0-31)

Entry Type: Character String to specify temperature. Default value is 0.0.

User permission is required to change entry


Date Current Temps

This value stores the date of the most current readings that were taken from your temperature sensors.

Entry Name: DateCurrentTemps

Entry Type: Character String to specify date. Default value is 0/0/00.

User permission is required to change entry


Date Prior Temps

This value stores the date of the prior readings that were taken from your temperature sensors.

Entry Name: DatePriorTemps

Entry Type: Character String to specify date. Default value is 0/0/00.

User permission is required to change entry


Datum Level To Circle

When this value is set to FALSE (0), the Datumref will not level to a primary datum circle (only translate X, Y). Otherwise when this value is set to TRUE (1), the Datumref will level to a primary datum circle.

Entry Name: DatumLevelToCircle

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is FALSE (0).

User permission is required to change entry


Datum To AX

This value is used internally by PC-DMIS to store a distance value in millimeters. The machine motion for picking up and dropping off probe tips to an ACR2 tool changer is determined in part by this value. DO NOT alter this value unless directed to do so.

Entry Name: DatumToAX

Entry Type: Whole Number to specify distance in mm. Default value is 40.

User permission is required to change entry


Datum To AZ

This value is used internally by PC-DMIS to store a distance value in millimeters. The machine motion for picking up and dropping off probe tips to an ACR2 tool changer is determined in part by this value. DO NOT alter this value unless directed to do so.

Entry Name: DatumToAZ

Entry Type: Whole Number to specify distance in mm. Default value is 1.

User permission is required to change entry


Datum To FX

This value is used internally by PC-DMIS to store a distance value in millimeters. The machine motion for picking up and dropping off probe tips to an ACR2 tool changer is determined in part by this value. DO NOT alter this value unless directed to do so.

Entry Name: DatumToFX

Entry Type: Whole Number to specify distance in mm. Default value is 60.

User permission is required to change entry


Datum To FZ

This value is used internally by PC-DMIS to store a distance value in millimeters. The machine motion for picking up and dropping off probe tips to an ACR2 tool changer is determined in part by this value. DO NOT alter this value unless directed to do so.

Entry Name: DatumToFZ

Entry Type: Whole Number to specify distance in mm. Default value is 99.

User permission is required to change entry


DEA Wrist

This value specifies whether a DEA CW43 or CW43L wrist is present or not. When this value is set to TRUE (1), capabilities for your infinite DEA wrist are enabled.

Important: In a Multiple Arm configuration you need to set the values on the Arm1 system for the other arm machines. For example: If you have a DEAWrist that is present on your Arm2 system, then you would need to set the DEAWrist option under Option_CMM2 to 1.

Entry Name: DEAWrist

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

Administrator permission is required to change entry


Debug Flush

This value determines the how information is written to the debug file in PC-DMIS. This value should be set to TRUE (1) if you are trying to debug a problem that causes PC-DMIS to crash. This will ensure that as much information is written to the debug file as possible. This value should normally be set to FALSE (0) since it slows down PC-DMIS performance when this value is set to TRUE (1).

Entry Name: DebugFlush

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Default Axes Angle

This value provides the default angle that is used to compare the angle of the created circular feature to the angle of the workplane. If the angle difference is greater than this value, then all three axes values for the measured or auto feature will be used to determine the angle values. If the angle difference is less than this value, then only the X & Y axes will be used and the workplane Z value will be applied. If you always want the X,Y,Z values to be used then make this value 1.0. But if you want it to always come up with 2 axes, make it a much smaller value (the cosine of the angle you want).

Entry Name: DefaultAxesAngle

Entry Type: Real Number to specify default angle in degrees. Default value is None (5).

User permission is required to change entry


Default Multiply

This value provides the default global multiplier for PC-DMIS.

Entry Name: DefaultMultiply

Entry Type: Real Number to specify multiplier. Default value is 10.

User permission is required to change entry


Default Part Program

When a value of a default program name is provided, PC-DMIS will start and open this part program. This is useful for production applications.

Entry Name: DefaultPartProgram

Entry Type: Character String to specify default part program. Default value is None ( ).

User permission is required to change entry


Default Tolerance (0-5)

The specified tolerance values will be applied to the nominal values according to places after the decimal point. For example, if you are entering a nominal value of 6.250, PC-DMIS will set the + and - tolerance to the DefaultTolerance3 value. If 6.25 was entered, PC-DMIS would set the + and - tolerance to the DefaultTolerance2 value.

Entry Name: DefaultTolerance(0-5)

Entry Type: Real Number to specify tolerance value. Default value is 0.01.

User permission is required to change entry

Tolerances Places Key

DefaultTolerance0 | 25 | 0 Decimal Places
DefaultTolerance1 | 25.1 | 1 Decimal Place
DefaultTolerance2 | 25.12 | 2 Decimal Places
DefaultTolerance3 | 25.123 | 3 Decimal Places
DefaultTolerance4 | 25.1234 | 4 Decimal Places
DefaultTolerance5 | 25.12345 | 5 Decimal Places


Dev Arrow Mult

This value is only used when the "ShowHitDev" is set to TRUE (1). An arrow appears in the Graphics Display window marking each hit taken, showing the deviation. The larger this value is, the greater the size of the arrow.

Entry Name: DevArrowMult

Entry Type: Real Number to specify arrow size. Default value is 1.

User permission is required to change entry


Dev Tol

This value is only used when the "ShowHitDev" is set to TRUE (1). The Deviations Tolerance value allows you to provide the amount of tolerance that PC-DMIS uses when PC-DMIS is showing hit deviations.

Entry Name: DevTol

Entry Type: Real Number to specify tolerance distance. Default value is 0.005.

User permission is required to change entry


Dialog Fixed Position

PC-DMIS will display dialog boxes in their default position when this value is TRUE (1). Otherwise, PC-DMIS will display each dialog box wherever it was last positioned. This option becomes extremely helpful when using macros.

Entry Name: DialogFixedPosition

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Dim Angle Deg Sec Min

This toggle field determines how Angle degree values are displayed. When set to 0 then degrees are displayed in decimal. When set to 1 then degrees are displayed using minutes and seconds. Any PA Location axes and Angle dimensions will change to display the selected option. This value is the same as AngleDegMinSec.

Entry Name: DimAngleDegSecMin

Entry Type: Whole Number specifying display option. Default value is 0.

User permission is required to change entry


Dim Angle Range

This toggle field determines how Angle degrees are displayed. When set to 0 then degrees are displayed in range from 0° - 360°.. When set to 1 then degrees are displayed in range from 0° to +/- 180°. Any PA Location axes and Angle dimensions will change to lie within the selected angle degree range. This value is the same as AngleRange0To360.

Entry Name: DimAngleRange

Entry Type: Whole Number specifying degree range type. Default value is 0.

User permission is required to change entry


Dimension Decimal Places

This value controls the number of decimal places printed on the inspection report by PC-DMIS while in inch mode. The available options are one through five.

If the unit type is mm, PC-DMIS will display the available options of zero through four.

This value is used when PC-DMIS places a command: DISPLAYPRECISION/ # into the part program. This specifies the precision to be displayed at this section of the program.

Entry Name: DimensionDecimalPlaces

Entry Type: Whole Number to specify number of decimal places. Default value is 4.

User permission is required to change entry


Dim ID Generic

This value determines if Dimension ID labels are displayed with a generic value (typically "D") for all Dimension types or by type. When this value is set to FALSE (0), Dimension labels will be displayed based on the dimension type (Angle = ANGL, Circularity = CIRTY, Distance = DIST, etc.)

Entry Name: DimIDGeneric

Entry Type: Whole Number to specify Generic (1) or By Type (0). Default value is 0.

User permission is required to change entry


Dim Info (option)

These values determine whether the specified option is displayed as part of a Dimension Command. The option is displayed when the value is TRUE (1).

Entry Name: DimInfo(option)

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry

Options Key:

BackgroundColor | Defines the Decimal value for the default background color that is used in the current Dimension Info box displayed in the Graphics Display window. This should be altered in the Edit Dimension Info dialog box.
LineColor | Defines the Decimal value for the default line color that will is used in the Dimension Info box displayed in the Graphics Display window. This should be altered in the Edit Dimension Info dialog box.
ShowHorizontalLines | Toggles the display of the horizontal lines between rows inside the Dimension Info box
ShowIcon | Toggles the display of the appropriate dimension icon in the header portion of the Dimension Info box.
ShowShadow | Toggles the display of the shadow around the border of the Dimension Info box
ShowVerticalLines | Toggles the display of the vertical lines between columns inside the Dimension Info box.


Dim Info (option) Default

These values determine whether the specified option is displayed as part of a Dimension Command. The option is displayed when the value is TRUE (1).

Entry Name: DimInfo(option)Default

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry

Options Key:

Auto | Toggles whether PC-DMIS will automatically determine the information that is displayed as part of dimension commands. The following information is displayed when this value is TRUE (1): Measured, Nominal, Tolerances, Deviation, MaxMin, OutTol.
Deviation | Deviation of the measured value from the nominal
GraphOption | Toggles whether a graph will be displayed in the Dimension Info box in the Graphics Display window.
LocA | Location Angle (for cones)
LocD | Location Diameter
LocF | Location Integrated Form Dimension
LocH | Location Height
LocL | Location Length (used for cylinders, slots, cones, and ellipses)
LocPA | Location Polar Angle
LocPD | Location Diameter of a Circle (perpendicular to the pin vector)
LocPR | Location Polar Radius
LocR | Location Radius
LocRS | Location Deviation along a surface report
LocRT | Location Deviation along the Report vector
LocS | Location Deviation along the Surface vector
LocT | Location Error along approach vector (for points on curved surfaces)
LocUseDimAxes | Uses the axes that were previously defined in the dimension's dialog box for Location Dimensions
LocV | Location Vector
LocWorst | Uses the axis that gives the worst out of tolerance condition for Location Dimensions.
LocX | Location X Axis
LocY | Location Y Axis
LocZ | Location Z Axis
Maxmin | Maximum and minimum values for the dimension
Mean | Average of all the deviations for the dimension
Measured | Actual measured dimensions
Nominal | Theoretical values for the dimension
Numpoints | Number of points used to measure the feature of the dimension
Outtol | Out of tolerance measured value from the nominal and tolerance values
ShowDimID | Toggles the ability to display the ID for the dimension within the Graphics Display window
ShowFeatID | Toggles the ability to display the ID for the feature whose dimensions are being measured
ShowHeadingsID | Toggles the display of row and column headings in the Dimension Info box
Stddev | Standard deviation of all the deviations for the dimension
Tolerance | Acceptable tolerance levels either greater than or less than the nominal
TPD1 | True Position diameter/width value of the first datum
TPD2 | True Position diameter/width value of the second datum
TPD3 | True Position diameter/width value of the third datum
TPDF | True Position diameter of Feature
TPForm | True Position integrated form dimension for the feature
TPPA | True Position polar angle
TPPR | True Position polar radius
TPTP | True Position Tolerance
TPUseDimAxes | Uses the axes that were previously defined in the dimension's dialog box for True Position
TPWorst | Uses the axis that gives the worst out of tolerance condition for True Position
TPX | True Position X Axis
TPY | True Position Y Axis
TPZ | True Position Z Axis


Dim Info (option) Order Default

These values determine the order that the specified option is displayed as part of a Dimension Command.

Entry Name: DimInfo(option)OrderDefault

Entry Type: Whole Number to specify the order. Default value is 0.

User permission is required to change entry

Options Key:

Deviation | Deviation of the measured value from the nominal
LocA | Location Angle (for cones)
LocD | Location Diameter
LocF | Location Integrated Form Dimension
LocH | Location Height
LocL | Location Length (used for cylinders, slots, cones, and ellipses)
LocPA | Location Polar Angle
LocPD | Location Diameter of a Circle (perpendicular to the pin vector)
LocPR | Location Polar Radius
LocR | Location Radius
LocRS | Location Deviation along a surface report
LocRT | Location Deviation along the Report vector
LocS | Location Deviation along the Surface vector
LocT | Location Error along approach vector (for points on curved surfaces)
LocV | Location Vector
LocX | Location X Axis
LocY | Location Y Axis
LocZ | Location Z Axis
Maxmin | Maximum and minimum values for the dimension
Mean | Average of all the deviations for the dimension
Measured | Actual measured dimensions
Nominal | Theoretical values for the dimension
Numpoints | Number of points used to measure the feature of the dimension
Outtol | Out of tolerance measured value from the nominal and tolerance values
Stddev | Standard deviation of all the deviations for the dimension
Tolerance | Acceptable tolerance levels either greater than or less than the nominal
TPD1 | True Position diameter/width value of the first datum
TPD2 | True Position diameter/width value of the second datum
TPD3 | True Position diameter/width value of the third datum
TPDF | True Position diameter of Feature
TPForm | True Position integrated form dimension for the feature
TPPA | True Position polar angle
TPPR | True Position polar radius
TPTP | True Position Tolerance
TPX | True Position X Axis
TPY | True Position Y Axis
TPZ | True Position Z Axis


Disable Load Time Expression Checking

This entry allows you to disable expression validation checking when loading a part program. This speeds up PC-DMIS when using very large part programs. When this value is TRUE (1) then expression validation checking is disabled.

Entry Name: DisableLoadTimeExpressionChecking

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Disable Summary Mode And Undo

This entry allows you to disable working in Summary Mode and the ability to perform Undo and Redo operations in the Edit window. This speeds up PC-DMIS when used with very large part programs. Summary mode and performing Undo operations are disabled, yet PC-DMIS speeds up when this option is set to TRUE (1).

Entry Name: DisableSummaryModeAndUndo

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Display Closest CAD Search Tolerance In MM

Documentation Pending


Display Font Char Set

This value specifies the character set for the DisplayFontName that is used for text displayed in the Graphics Display Window.

Entry Name: DisplayFontCharSet

Entry Type: Whole Number specifying the number of the associated language script. Default value is 0.

User permission is required to change entry


Display Font Height

This value specifies the height for the DisplayFontName that is used for text displayed in the Graphics Display Window.

Entry Name: AppFontSize

Entry Type: Whole Number specifying the font point size. Default value is 7.

User permission is required to change entry


Display Font Name

This value specifies the font name that is used for text displayed in the Graphics Display Window.

Entry Name: AppFontName

Entry Type: Character String specifying the font name. Default value is Arial.

User permission is required to change entry


Display Font Weight

This value specifies the weight for the DisplayFontName that is used for text displayed in the Graphics Display Window.

Entry Name: DisplayFontWeight

Entry Type: Whole Number specifying weight. Default value is 400.

User permission is required to change entry


D Length (0-16)

See “Command Identification - ID Length” for more information.


D Ltrs (0-16)

See “Command Identification - ID Letters” for more information.


Dph9_Arm3_00

This value determines the direction that the A0B0 probe head wrist angle points for Arm3.

Entry Name: Dph9_Arm3_00

Entry Type: Character String specifying A0B0 axis for ARM3 (e.g. ZMINUS). Default value is None ( ).

Administrator permission is required to change entry


Dph9_Arm3_90180

This value determines the direction that the A90B180 probe head wrist angle points for ARM3.

Entry Name: Dph9_Arm3_90180

Entry Type: Character String specifying A90B180 axis for ARM3 (e.g. YPLUS). Default value is None ( ).

Administrator permission is required to change entry


Dph9_Arm4_00

This value determines the direction that the A0B0 probe head wrist angle points for Arm4.

Entry Name: Dph9_Arm4_00

Entry Type: Character String specifying A0B0 axis for ARM4 (e.g. ZMINUS). Default value is None ( ).

Administrator permission is required to change entry


Dph9_Arm4_90180

This value determines the direction that the A90B180 probe head wrist angle points for ARM4.

Entry Name: Dph9_Arm4_90180

Entry Type: Character String specifying A90B180 axis for ARM4 (e.g. YPLUS). Default value is None ( ).

Administrator permission is required to change entry


Dph9_m00

This value determines the direction that the A0B0 probe head wrist angle points for the master arm.

Entry Name: Dph9_m00

Entry Type: Character String specifying A0B0 axis for the master arm (e.g. ZMINUS). Default value is None ( ).

Administrator permission is required to change entry


Dph9_m90180

This value determines the direction that the A90B180 probe head wrist angle points for the master arm.

Entry Name: Dph9_m90180

Entry Type: Character String specifying A90B180 axis for the master arm (e.g. YPLUS). Default value is None ( ).

Administrator permission is required to change entry


Dph9_s00

This value determines the direction that the A0B0 probe head wrist angle points for the slave arm.

Entry Name: Dph9_s00

Entry Type: Character String specifying A0B0 axis for the slave arm (e.g. ZMINUS). Default value is None ( ).

Administrator permission is required to change entry


Dph9_s90180

This value determines the direction that the A90B180 probe head wrist angle points for the slave arm.

Entry Name: Dph9_s90180

Entry Type: Character String specifying A90B180 axis for the slave arm (e.g. YPLUS). Default value is None ( ).

Administrator permission is required to change entry


Draw Scans As Points

When this value is set to TRUE (1), portable devices will scan using "Confetti" mode. Scan data will be drawn as points, rather than a line.

Entry Name: DrawScansAsPoints

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry


Draw Scan While Executing

This value determines whether or not points are drawn while executing a scan. Drawing the scan points may cause unwanted delays. Set this value to FALSE (0), to improve execution time for scans.

Entry Name: DrawScanWhileExecuting

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry


Droop(0,250,500,700)

These values are used internally in PC-DMIS to determine the value that is used for Droop calculations. These values should not be altered unless directed to do so.

Entry Name: Droop(0,250,500,700)

Entry Type: Whole Numbers specifying Droop calculation values. Default value is 0.

User permission is required to change entry


D Start (0-16)

See “Command Identification - ID Starting Number” for more information.


D To C Dist

This value is used internally by PC-DMIS to store a distance value in millimeters. The machine motion for picking up and dropping off probe tips to an ACR2 tool changer is determined in part by this value. DO NOT alter this value unless directed to do so.

Entry Name: DtoCDist

Entry Type: Whole Number to specify distance in mm. Default value is 100.

User permission is required to change entry


Edge Point Only Single Hit Is Top

When this value is set to TRUE (1), the edge point vector is perpendicular to the edge surface and normal to the adjacent surface. Therefore the point is represented the single hit is on top of the edge.

Entry Name: EdgePointOnlySingleHitIsTop

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is FALSE (0).

User permission is required to change entry


Edge Point Only Uses One Hit

When this value is set to TRUE (1), PC-DMIS normalizes the vectors for the edge point from the relevant CAD data. Therefore, only one hit is needed, where you would normally take multiple hits for an edge point.

Entry Name: EdgePointOnlyUsesOneHit

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is FALSE (0).

User permission is required to change entry


Edit Window Ht

This value is no longer used


Edit Window State

This value is no longer used


Edit Window Wd

This value is no longer used


Edit Window X

This value is no longer used


Edit Window Y

This value is no longer used


Edit Win X Min

This value is no longer used


Edit Win Y Min

This value is no longer used


E To D Dist

This value is used internally by PC-DMIS to store a distance value in millimeters. The machine motion for picking up and dropping off probe tips to an ACR2 tool changer is determined in part by this value. DO NOT alter this value unless directed to do so.

Entry Name: EtoDDist

Entry Type: Whole Number to specify distance in mm. Default value is 5.

User permission is required to change entry


Execution Find Noms

New nominals are found for both Surface and Vector points during part program execution when this value is set to TRUE (1). See the "ExecutionFindNomsVal" for information about the Find Noms tolerance.

Entry Name: ExecutionFindNoms

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Execution Find Noms Val

This Find Noms tolerance value is used when the "ExecutionFindNoms" value is set to TRUE (1). It defines the maximum distance that a CAD nominal can be from the measured hit.

Entry Name: ExecutionFindNomsVal

Entry Type: Whole Number specifying distance. Default value is 10.0.

User permission is required to change entry


External Probehead Init Timeout

This value specifies a timeout for response to the initial attempt to communicate with the probe head when PC-DMIS is started. A value of 0.0 disables this timeout. If the timeout occurs, an error message will be display to indicate that the device is not responding.

Entry Name: ExternalProbeheadInitTimeout

Entry Type: Real Number specifying seconds. Default value is 2.

User permission is required to change entry


External Probehead Protocol

This value sets the communications protocol for the serial connection to the probe head. It specifies the comm port, baud rate, parity, data bits and stop bits settings. If the port is set to COM0, PC-DMIS will not attempt to open or use the external probe head connection even if the type is set to a supported value.

Entry Name: ExternalProbeheadProtocol

Entry Type: Character String specifying probe head protocol. Default value is “COM2 9600 E,7,1”.

User permission is required to change entry


External Probehead Status Timeout

This value specifies a timeout for response to the request for position/status. A value of 0.0 disables this timeout. There is currently no error message if this timeout occurs. In order to prevent a “stackup” of position/status requests, PC-DMIS keeps track of having sent a position/status request and will not send another one until the response has been received. The main purpose of this timeout is to prevent a permanent wait for response in case some comm error or probe head error state prevents receipt of a recognizable response. When this timeout occurs PC-DMIS will consider the position/status request to be permanently lost so that it will no longer wait for the response and will allow another position/status request to be sent.

Entry Name: ExternalProbeheadStatusTimeout

Entry Type: Real Number specifying seconds. Default value is 2.

User permission is required to change entry


External Probehead Type

This value identifies the type of external probe head. There is no built in default for the type so it must be explicitly input. If this type is not set to a supported type PC-DMIS will not attempt to open or use the external probe head connection.

Entry Name: ExternalProbeheadType

Entry Type: Character String specifying probe head type. Default value is None ( ).

User permission is required to change entry


External Rotab Drift Warn Diff

This value establishes a threshold above which the user will be given a warning and be forced to acknowledge that the position indicated in a status request is significantly different from the previous table position. A value of 0.0 disables this warning message. This can be used to warn of table position drift that can cause inaccurate measurement results. This can also provide a warning for improper table response in the case where a move response is given before the table has completely settled into a stable position and a following status request then receives a different position in its response.

Entry Name: ExternalRotabDriftWarnDiff

Entry Type: Real Number specifying threshold distance. Default value is 0.001.

User permission is required to change entry

Note: This value does not apply in the case where the table is taken out of auto mode and the table is rotated manually using the control panel. It only applies while in auto mode and therefore the user can have drift warning enabled but can manually move the table while PC-DMIS is running without getting the position drift warning message.


External Rotab Init Timeout

This value specifies a timeout for response to the initial attempt to communicate with the table when PC-DMIS is started. A value of 0.0 disables this timeout. If the timeout occurs, the user will be prompted as to whether or not to try resending the command for which the response was not received within the allowed time.

Entry Name: ExternalRotabInitTimeout

Entry Type: Real Number specifying seconds. Default value is 5.

User permission is required to change entry


External Rotab Move Min Delta

This value represents the minimum angular change in degrees for an external rotary table for which PC-DMIS would issue a new requested rotary table movement. If a requested move position would be within the angle from the current table position it is considered to be already in position and the move is not actually sent to the controller for the table.

Entry Name: ExternalRotabMoveMinDelta

Entry Type: Real Number specifying angle in degrees. Default value is 0.5.

User permission is required to change entry


External Rotab Move Timeout

This value specifies a timeout for response to a requested table move. A value of 0.0 disables this timeout. If the timeout occurs, the user will be prompted as to whether or not to try resending the command for which the response was not received within the allowed time.

Entry Name: ExternalRotabMoveTimeout

Entry Type: Real Number specifying seconds. Default value is 0 (no timeout).

User permission is required to change entry


External Rotab Move Warn Diff

This value establishes a threshold above which the user will be given a warning and be forced to acknowledge that the position indicated in response to a move command is significantly different from the requested position. A value of 0.0 disables this warning message. This can be used to warn of poor table positioning accuracy and/or improper table response.

Entry Name: ExternalRotabMoveWarnDiff

Entry Type: Real Number specifying threshold distance. Default value is 0.01.

User permission is required to change entry


External Rotab Poll Comm

This option specifies whether or not to poll the communications port on a periodic basis to see if characters have arrived. You should only set this value to TRUE (1) if you suspect communications errors due to PC-DMIS missing characters. Normally you should leave this set to 0.

Entry Name: ExternalRotabPollComm

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


External Rotab Protocol

This value sets the communications protocol for the serial connection to the rotary table controller. It specifies the comm port, baud rate, parity, data bits and stop bits settings.

Entry Name: ExternalRotabProtocol

Entry Type: Character String specifying communications protocol. Default value is “COM3 9600 N,8,1”.

User permission is required to change entry


External Rotab Reverse

This value specifies whether or not to reverse the table’s native direction of rotation in terms of + vs. - position. Internally PC-DMIS assumes that positive rotation is counter-clockwise. In other words, a position of +10 degrees represents 10 degrees of counter-clockwise rotation from the 0 position while a position of –10 represents 10 degrees of clockwise rotation from 0. You should set this value to FALSE (0) if your table natively rotates counter-clockwise. Otherwise set it to 1.

Entry Name: ExternalRotabReverse

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry


External Rotab Status Auto Retries

This value provides the number of times a status request should automatically be retried in the event of a timeout before the user is prompted. This always applies to the status timeout and may apply to the init timeout if it was a status command that timed out on the initial communication attempt. It specifically does not apply to a move timeout or stop timeout. Resending of commands that initiate or terminate table motion must be explicitly confirmed by the user.

Entry Name: ExternalRotabStatusAutoRetries

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry


External Rotab Status Timeout

This value specifies a timeout for response to the request for table position/status. A value of 0.0 disables this timeout. If the timeout occurs, and if the value of ExternalRotabStatusAutoRetries has been exceeded, the user will be prompted as to whether or not to try resending the command for which the response was not received within the allowed time.

Entry Name: ExternalRotabStatusTimeout

Entry Type: Real Number specifying seconds. Default value is 2.

User permission is required to change entry


External Rotab Stop Timeout

This value specifies a timeout for response to a stop motion request. A value of 0.0 disables this timeout. If the timeout occurs, the user will be prompted as to whether or not to try resending the command for which the response was not received within the allowed time.

Entry Name: ExternalRotabStopTimeout

Entry Type: Real Number specifying seconds. Default value is 10.

User permission is required to change entry


External Rotab Type

This value identifies the type of external rotary table. There is no built in default for the type so it must be explicitly input.

Entry Name: ExternalRotabType

Entry Type: Character String specifying rotary table type. Default value is None ( ).

User permission is required to change entry


FCF ID Generic

This value determines if feature control frames ID labels are displayed with a generic value (typically "FCF") for all FCF label types. When this value is set to FALSE (0), FCF labels will be displayed based on the feature type (Circularity = FCFCIRTY, Coaxiality = FCFCOAX, Flatness = FCFFLAT, etc.)

Entry Name: FetIDGeneric

Entry Type: Whole Number to specify Generic (1) or By Type (0). Default value is 0.

User permission is required to change entry


FCF Length (0-16)

See “Command Identification - ID Length” for more information.


FCF Ltrs (0-16)

See “Command Identification - ID Letters” for more information.


FCF Start (0-16)

See “Command Identification - ID Starting Number” for more information.


F Color (0-16)

The Color number value determines the color that will be used for the display various features.

Entry Name: FColor(0-16)

Entry Type: Whole Number to specify the color number. Default value is 0.

User permission is required to change entry

Note: Preferably this value should be set from the ID Setup tab of the SetUp Options (F5) dialog box within PC-DMIS.


FCR25 Clearance

This value specifies the clearance location directly in front of a given port of a FCR25 Tool Changer. This clearance location value defines the distance in front of the port relative to the port center determined by the calibration. The probe moves to this location before moving into the port for the dropoff/pickup.

Entry Name: FCR25Clearance

Entry Type: Real Number specifying distance in mm. Default value is 30.

User permission is required to change entry

Note: These are used during the generation of motion for the change so they can be changed at any time without having to repeat the rack calibration.


Feat Label Background Color

Defines the Decimal value for the default background color that is used in the current Feature ID label box displayed in the Graphics Display window.

Entry Name: FeatLabelBackgroundColor

Entry Type: Whole Number to specify a decimal color number. Default value is 0.

User permission is required to change entry

Note: It is best to alter this value inside of PC-DMIS from the Edit Feature Appearance dialog box accessed from the Edit | Graphics Display Window | Feature menu item. This value serves as a place holder for the last used value.


Feat Label Line Color

This value defines the Decimal value for the default line color that is used in the current Feature ID label box displayed in the Graphics Display window.

Entry Name: FeatLabelLineColor

Entry Type: Whole Number to specify a decimal color number. Default value is 0.

User permission is required to change entry

Note: It is best to alter this value inside of PC-DMIS from the Edit Feature Appearance dialog box accessed from the Edit | Graphics Display Window | Feature menu item. This value serves as a place holder for the last used value.


Feat Label Show Shadow

This toggle field determines if the display of the shadow around the border of the Feature ID Label is displayed. The shadow is present when this value is set to TRUE (1).

Entry Name: FeatLabelShowShadow

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Feature Control Frame Is Transparent

When this value is set to TRUE, Feature Control Frames are transparent. This is needed to resolve an issue with new NVidia drivers creating a problem where the background, CAD and other feature labels become corrupted as you drag elements around the Graphics Display Window. There is also na issue where the FCF labels might be slow to redraw.

If this value is FALSE, then graphics will just take the bitmap image from GD&T and use it as is with no transparency. This value does not impact feature labels, etc. which are opaque.

Entry Name: FeatureControlFrameIsTransparent

Entry Type: True/False value. Default value is TRUE.

User permission is required to change entry


Feature Control Frame Show Expanded

When this value is set to TRUE (1), the feature control frame will display empty fields with a description inside brackets. When set to FALSE (0), the empty fields will display as blank.

Entry Name: FeatureControlFrameShowExpanded

Entry Type: Whole Number to specify TRUE (1) or FALSE(0). Default value is 1.

User permission is required to change entry


Feature Control Frame Show Nominals

When this value is set to TRUE (1), the feature control frame types that have nominals will display them. These include true position, distances, angle between, and angularity.

Entry Name: FeatureControlFrameShowNominals

Entry Type: Whole Number to specify TRUE (1) or FALSE(0). Default value is 0.

User permission is required to change entry


Feature Control Frame Show Parameters

When this value is set to TRUE (1), the following feature control frame parameters will be displayed with the text: CADGRAPH, REPORTGRAPH, TEXT, MULT, OUTPUT, UNITS, COMPOSITE, FIT TO DATUMS, OUTPUT ALIGNMENT. When set to FALSE (0), these same options will not be displayed.

Entry Name: FeatureControlFrameShowParameters

Entry Type: Whole Number to specify TRUE (1) or FALSE(0). Default value is 1.

User permission is required to change entry


Feature End Read Time

This value determines the amount of delay before reading the current position. This value is used for hard probes measuring features during execution. This delay helps to determine the direction vector for machines that do not have a done button to determine the direction vector.

Entry Name: FeatureEndReadTime

Entry Type: Whole Number specifying time in milliseconds. Default value is 500 (1/2 second).

User permission is required to change entry


Features Visible To Subroutines

This value controls whether or not command IDs from the main program can be referenced in the subroutine. The advantage of having it set to FALSE (0) is in the case that an ID in a part program is also used in the subroutine. When set to FALSE (0), the user can be confident that the command with the ID in the subroutine is the one that will be used. In some cases, it may be more useful to set it to TRUE (1) and directly refer to features in the calling program.

Entry Name: FeaturesVisibleToSubroutines

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Feat Use Dim Colors

PC-DMIS will color features that have an associated dimension when this value is set to TRUE (1). Features are drawn in the Graphics Display window with the same colors that the dimension uses to indicate deviation from the theoretical values.

Entry Name: FeatUseDimColors

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0. The default value is "TRUE (1)" when using a portable device.

User permission is required to change entry


Fet ID Generic

This value determines if Feature ID labels are displayed with a generic value (typically "F") for all Feature types or by type. When this value is set to FALSE (0), Feature labels will be displayed based on the feature type (Circle = CIR, Ellipses = ELL, Plane = PLN, etc.)

Entry Name: FetIDGeneric

Entry Type: Whole Number to specify Generic (1) or By Type (0). Default value is 0.

User permission is required to change entry


Find Hole Continue Exe

PC-DMIS allows you to automatically continue executing a part if the "FindHole" feature fails to find a hole when this value is set to TRUE (1). PC-DMIS will also automatically print an error message to the report and continue running the remaining part program.

Entry Name: FindHoleContinueExe

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Find Noms Edge Tolerance In MM

Documentation Pending


Find Noms Tol

This value defines the Find Noms Tolerance that is used when the Find Noms option is enabled. This must be greater than the radius of the probe or else the Find Nominals operation will fail.

Entry Name: FindNomsTol

Entry Type: Real Number specifying the Find Noms Tolerance. Default value is 10.0.

User permission is required to change entry


F Length (0-17)

See “Command Identification - ID Length” for more information.


F Ltrs (0-17)

See “Command Identification - ID Letters” for more information.


Fly Mode

Fly Mode provides a way to move the probe around the part in a smooth, non-stopping motion. The Fly command can only be inserted before or after any feature in the part program and is used in conjunction with a Move Point command. Setting this option to TRUE (1) enables Fly Mode.

Entry Name: FlyMode

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry

See Also: FlyRadius


Fly Radius

When the "FlyMode" option is enabled, it uses this radius to determine the distance that is moved from the move point without hesitation.

Entry Name: FlyRadius

Entry Type: Real Number specifying distance. Default value is 3.

User permission is required to change entry


Force Part Alignment In Car Body

When this option is set to TRUE (1), PC-DMIS will always leave the part alignment origin at the location of the CAD model origin. Normally in PC-DMIS the part alignment origin and axes can be different than the CAD model origin and axes.

Entry Name: ForcePartAlignmentInCarBody

Entry Type: Whole Number to specify TRUE (1) or FALSE(0). Default value is None (0).

User permission is required to change entry


F Start (0-17)

See “Command Identification - ID Starting Number” for more information.


F To E Dist

This value is used internally by PC-DMIS to store a distance value in millimeters. The machine motion for picking up and dropping off probe tips to an ACR2 tool changer is determined in part by this value. DO NOT alter this value unless directed to do so.

Entry Name: FtoEDist

Entry Type: Whole Number to specify distance in mm. Default value is 150.

User permission is required to change entry


GD&T Method

This registry setting is no longer used.


Graphic Window Ht

This value is no longer used


Graphic Window State

This value is no longer used


Graphic Window Wd

This value is no longer used


Graphic Window X

This value is no longer used


Graphic Window Y

This value is no longer used


High Threshold (0-3)

The High Threshold values provide an upper limit (in the appropriate units) on the current temperature above which no further thermal compensation will be applied.

Entry Name: HighThreshold(0-3)

Entry Type: Character String specifying degrees in either Celsius or Fahrenheit. Default value is 0.0.

User permission is required to change entry

Number Key:

0 | X Axis
1 | Y Axis
2 | Z Axis
3 | Part


Iges Read Options

This value stores a string of bit flags that correspond to the IGES import options that can be set when importing an IGES file. You should alter the IGES import values in PC-DMIS rather than using this option.

Entry Name: IgesReadOptions

Entry Type: Whole Number specifying IGES import options. Default value is 0.

User permission is required to change entry


Iges Write Options

This value stores a string of bit flags that correspond to the IGES export options that can be set when exporting an IGES file. You should alter the IGES export values in PC-DMIS rather than using this option.

Entry Name: IgesWriteOptions

Entry Type: Whole Number specifying IGES export options. Default value is 0.

User permission is required to change entry


Ignore Cad To Part

PC-DMIS only saves the machine to part alignment and does not create the CAD to parts transformation matrix when you save and alignment and this option is set to TRUE (1). All theoretical values will now be independent of one another. This is useful when you want to execute an alignment from features measured without CAD data in DCC mode.

Entry Name: IgnoreCadToPart

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Ignore Dimension Icon

This value is used to resolve a problem that exists with some HP printer drivers where the dimension icon on the table is not implemented correctly. Set this value to TRUE (1) to avoid problems with these printers.

Entry Name: IgnoreDimensionIcon

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Import DCI Dialog Setting

This value is not used.


Iter Align Fixture Tol Default

This tolerance value is used while comparing measured alignment features to their theoretical values.

Entry Name: IterAlignFixtureTolDefault

Entry Type: Real Number specifying tolerance distance. Default value is 0.05.

User permission is required to change entry


Iter Align Point Tol Default

This vector point tolerance value in the Edit window (as PNT TOL = n) to specify the vector point tolerance for manual touches in an iterative alignment.

Entry Name: IterAlignPointTolDefault

Entry Type: Real Number specifying tolerance distance. Default value is 5.

User permission is required to change entry


Iterate And RePierce Cad On Best Fit Alignments

This value causes PC-DMIS Best Fit alignments to fit points against surfaces and curves instead of the original nominal point cloud, which is the default method. Set this value to TRUE to turn on this new functionality.

Entry Name: IterateAndRePierceCadOnBestFitAlignments

Entry Type: True/False value. Default value is FALSE.

Administrator permission is required to change entry

See the "Point Fitting" topic under the "Understanding Best Fit Alignments" topic in the Main PC-DMIS help file.

Related Settings Editor values are:

IterateAndRePierceCadOnBestFitAlignmentsToleranceInMM

IterateAndRePierceCadOnBestFitAlignmentsMaxLoops


Iterate And RePierce Cad On Best Fit Alignments Max Loops

This value is used in conjunction with the "IterateAndRePierceCadOnBestFitAlignments" when that value is set to TRUE. This number sets the maximum number of loops that will be used for the alignment process. Limiting the number of loops is needed in case the alignment never converges to a solution.

Entry Name: IterateAndRePierceCadOnBestFitAlignmentsMaxLoops

Entry Type: Whole Number to specify number of loops. Default value is 100.

Administrator permission is required to change entry


Iterate And RePierce Cad On Best Fit Alignments Tolerance In MM

This value is used in conjunction with the "IterateAndRePierceCadOnBestFitAlignments" when that value is set to TRUE. The find nominals Tolerance is used during the alignment fitting process. This value must be larger than the Probe radius value. The default value should be sufficient in most cases.

Entry Name: IterateAndRePierceCadOnBestFitAlignmentsToleranceInMM

Entry Type: Real Number specifying in Tolerance in mm. Default value is 20.

Administrator permission is required to change entry


Keep Existing Dimension Axes

When this option is set to TRUE (1), PC-DMIS will keep the existing dimension axes for a feature when changing it to a new feature type, or it will replace them using the default for the new feature’s type when set to FALSE (0).

Entry Name: KeepExistingDimensionAxes

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is FALSE (0).

User permission is required to change entry


Large Status Window Multiplier

This value is used to determine the size of the characters displayed in the Large Statusbar. This is useful portable devices where the screen might be viewed from a distance. The normal Statusbar is considered to have a multiplier value of 1, where the default value of 2 for the Large Statusbar would be two times the Normal size of the Statusbar text. Therefore, a value of 8 would display the Large Statusbar text at eight times the normal size.

Entry Name: LargeStatusWindowMultiplier

Entry Type: Real Number specifying multiplier value. Default value is 2.

User permission is required to change entry


Leapfrog Datum File

This value provides the path and file name of the datum program file (.PRG). This is used when you click the Measure Datum Features option button in the Leapfrog / Relocation dialog box. Features from the program will then be available to used in the Leapfrog operation.

Entry Name: LeapfrogDatumFile

Entry Type: Character String specifying datum file. Default value is None ( ).

User permission is required to change entry


Legacy UI

This value is no longer used.


L Length 0

See “Command Identification - ID Length” for more information.


L Ltrs 0

See “Command Identification - ID Letters” for more information.


Load Probe User Search Directory

This value allows you to specify the search directory that should be used for loading probes.

Entry Name: LoadProbeUserSearchDirectory

Entry Type: Character String specifying path for probes. Default value is None ( ).

User permission is required to change entry


Lock Marked Sets

PC-DMIS will prevent users from accidentally deleting or otherwise modifying the current mark set configurations when this value is set to TRUE. PC-DMIS will only allow you to execute and activate marked sets. You must set this value to FALSE (0) to add or delete features from a marked set.

Entry Name: LockMarkedSets

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Low Threshold (0-3)

The Low Threshold values provide an lower limit (in the appropriate units) on the current temperature below which no further thermal compensation will be applied.

Entry Name: LowThreshold(0-3)

Entry Type: Character String specifying degrees in either Celsius or Fahrenheit. Default value is 0.0.

User permission is required to change entry

Number Key:

0 | X Axis
1 | Y Axis
2 | Z Axis
3 | Part


L Start 0

See “Command Identification - ID Starting Number” for more information.


Main Window Positioning

This value stores the last state for the main PC-DMIS window. Upon subsequent opening of PC-DMIS the main window will open based upon the values stored here.

  • First Value - Left Side of window

  • Second Value - Top Edge of window

  • Third Value - Width of window

  • Fourth Value - Height of window

  • Fifth Value - Show Command value. See KEY below.

Entry Name: MainWindow Positioning

Entry Type: Character String specifying the position of the Main PC-DMIS window. Default value is 0 0 800 600 3 (Left Side, Top Edge, Width, Height, ShowCmd).

User permission is required to change entry

Show Command Key

1 | Window is restored using window position values.
2 | Window is restored, minimized on the toolbar
3 | Window is restored, maximized to the full screen size.


Make Variables Globally Visible

This value makes it so that any variables globally "visible", or usable, throughout the entire part program. Usually, when a subroutine is called, all variables go "out of scope" and are unavailable. Set this value to TRUE (1) to make variables globally visible.

Entry Name: MakeVariablesGloballyVisible

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Mark Set Win X Min

This value specifies the location of the top left corner of the Marked Sets window in the X direction within the computer screen.

Entry Name: MarkSetWinXMin

Entry Type: Whole Number specifying number of pixels. Default value is -1.

User permission is required to change entry


Mark Set Win Y Min

This value specifies the location of the top left corner of the Marked Sets window in the Y direction within the computer screen.

Entry Name: MarkSetWinYMin

Entry Type: Whole Number specifying number of pixels. Default value is -1.

User permission is required to change entry


Material Coeff (0-3)

The Material Coefficient values provide numbers reflecting the material property, and are the fractional change in length per unit change in temperature.

Example: A scale with a coefficient of 11.5 microns/meter/degree C becomes 0.0000115 meters/meter/degree C or just 0.0000115/degree C.

Note: This can be thought of as meters/meter/degree C or inches/inch/degree F but since the length in both the numerator and denominator are in the same units they divide out.

Entry Name: MaterialCoeff(0-3)

Entry Type: Character String specifying degrees in either Celsius or Fahrenheit. Default value is 0.0.

User permission is required to change entry

Number Key:

0 | X Axis
1 | Y Axis
2 | Z Axis
3 | Part


Max Animation Speed

This value defines the speed of the virtual machine animation as it is viewed from the Graphics Display Window. Altering this value may be useful for complex part programs that cause the animation to render too slowly. To change the duration between redrawn views of the animation, increase this value. Increasing the value will cause fewer animation steps to be drawn.

Entry Name: MaxAnimationSpeed

Entry Type: Real Number specifying milliseconds. Default value is 500 (1/2 second).

User permission is required to change entry


Maximum Arc Segment Radius In MM

This value is used to control the maximum radius for an arc segment that is created from the segmentation process of a continuous scan. PC-DMIS uses internal functions to create line and arc segments that make up a continuous scan. Arc segments that have a larger radius than this value will be eliminated from the scan data. This settings as well as the "MinimumArcSegmentRadiusInMM" and "MinimumLineSegmentLengthInMM" settings help deal with noise in the scan line and provide more consistent segmentation.

Entry Name: MaximumArcSegmentRadiusInMM

Entry Type: Real Number specifying maximum segment radius. Default value is 2000.

User permission is required to change entry


Message Beep

The Message Beep entry allows you to determine whether or not a beeping sound will be available when measuring a part. When this method is used, the only application that is affected is PC-DMIS. This function will not be disabled for any other programs run on the system.

The system Control Panel provides another way to turn off the sound. This method however, will affect all programs run on the system, not just PC-DMIS. If set to TRUE, beeping is enabled.

Entry Name: MessageBeep

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Minimum Arc Segment Radius In MM

This value is used to control the minimum radius for an arc segment that is created from the segmentation process of a continuous scan. PC-DMIS uses internal functions to create line and arc segments that make up a continuous scan. Arc segments that have a smaller radius than this value will be eliminated from the scan data. This settings as well as the "MaximumArcSegmentRadiusInMM" and "MinimumLineSegmentLengthInMM" settings help deal with noise in the scan line and provide more consistent segmentation.

Entry Name: MinimumArcSegmentRadiusInMM

Entry Type: Real Number specifying minimum segment radius. Default value is 2.

User permission is required to change entry


Minimum Line Segment Length In MM

This value is used to control the minimum length for a line segment that is created from the segmentation process of a continuous scan. PC-DMIS uses internal functions to create line and arc segments that make up a continuous scan. Line segments that are shorter than this value will be eliminated from the scan data. This settings as well as the "MaximumArcSegmentRadiusInMM" and "MinimumArcSegmentRadiusInMM" settings help deal with noise in the scan line and provide more consistent segmentation.

Entry Name: MinimumLineSegmentLengthInMM

Entry Type: Real Number specifying maximum radius. Default value is 2.

User permission is required to change entry


Minus Tol Show Neg

This value controls whether or not the minus tolerances of the dimensions will be displayed with a minus sign. When this value is set to TRUE (1) a dimension line may be displayed as follows:

AX | NOM | +TOL | -TOL | MEAS | MAX | MIN | DEV | OUT-TOL
Y | 5.0000 | 0.3000 | -0.2000 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

When this value is set to FALSE (0) a dimension line may be displayed as follows:

AX | NOM | +TOL | -TOL | MEAS | MAX | MIN | DEV | OUT-TOL
Y | 5.0000 | 0.3000 | 0.2000 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

Entry Name: MinusTolShowNeg

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Move Offset

This value determines the offset distance from the CAD point or feature centroid based upon the "OffsetAlongTipVector" and "OffsetFromCAD" values. The units of measurement is the same as your part program.

Entry Name: MoveOffset

Entry Type: Real Number specifying distance. Default value is 50.

User permission is required to change entry


New Probe Comp Proc

This value is no longer used.


Noms Override Dlg_H

This value stores the default height of the FindNoms Override dialog box when it was last used. This value will change if the dialog box is resized and will be recalled when the dialog box is opened.

Entry Name: NomsOverrideDlg_H

Entry Type: Whole Number specifying height in pixels. Default value is 88.

User permission is required to change entry


Noms Override Dlg_W

This value stores the default width of the FindNoms Override dialog box when it was last used. This value will change if the dialog box is resized and will be recalled when the dialog box is opened.

Entry Name: NomsOverrideDlg_W

Entry Type: Whole Number specifying width in pixels. Default value is 220.

User permission is required to change entry


Offline Debug

This value allows for the creation of a debug file while running PC-DMIS in offline mode. To have a debug file created, set this value to TRUE (1).

Entry Name: OfflineDebug

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Offline_Dph9_Arm3_00

This value determines the direction that the A0B0 probe head wrist angle points for Arm3 in offline mode.

Entry Name: Offline_Dph9_Arm3_00

Entry Type: Character String specifying A0B0 axis for ARM3 (e.g. ZMINUS). Default value is None ( ).

Administrator permission is required to change entry


Offline_Dph9_Arm3_90180

This value determines the direction that the A90B180 probe head wrist angle points for ARM3 in offline mode.

Entry Name: Offline_Dph9_Arm3_90180

Entry Type: Character String specifying A90B180 axis for ARM3 (e.g. YPLUS). Default value is None ( ).

Administrator permission is required to change entry


Offline_Dph9_Arm4_00

This value determines the direction that the A0B0 probe head wrist angle points for Arm4 in offline mode.

Entry Name: Offline_Dph9_Arm4_00

Entry Type: Character String specifying A0B0 axis for ARM4 (e.g. ZMINUS). Default value is None ( ).

Administrator permission is required to change entry


Offline_Dph9_Arm4_90180

This value determines the direction that the A90B180 probe head wrist angle points for ARM4 in offline mode.

Entry Name: Offline_Dph9_Arm4_90180

Entry Type: Character String specifying A90B180 axis for ARM4 (e.g. YPLUS). Default value is None ( ).

Administrator permission is required to change entry


Offline_Dph9_m00

This value determines the direction that the A0B0 probe head wrist angle points for the master arm in offline mode.

Entry Name: Offline_Dph9_m00

Entry Type: Character String specifying A0B0 axis for the master arm (e.g. ZMINUS). Default value is None ( ).

Administrator permission is required to change entry


Offline_Dph9_m90180

This value determines the direction that the A90B180 probe head wrist angle points for the master arm in offline mode.

Entry Name: Offline_Dph9_m90180

Entry Type: Character String specifying A90B180 axis for the master arm (e.g. YPLUS). Default value is None ( ).

Administrator permission is required to change entry


Offline_Dph9_s00

This value determines the direction that the A0B0 probe head wrist angle points for the slave arm in offline mode.

Entry Name: Offline_Dph9_s00

Entry Type: Character String specifying A0B0 axis for the slave arm (e.g. ZMINUS). Default value is None ( ).

Administrator permission is required to change entry


Offline_Dph9_s90180

This value determines the direction that the A90B180 probe head wrist angle points for the slave arm in offline mode.

Entry Name: Offline_Dph9_s90180

Entry Type: Character String specifying A90B180 axis for the slave arm (e.g. YPLUS). Default value is None ( ).

Administrator permission is required to change entry


Offset Along Tip Vector

When this value is set to TRUE (1), PC-DMIS will offset a move point along the active tip's vector. When set to FALSE(0), PC-DMIS will offset the move point along either the CAD's surface vector or along the feature's vector according to the "OffsetFromCAD" value.

Entry Name: OffsetAlongTipVector

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Offset From CAD

This value determines whether an inserted Move Point will be offset along the CAD surface normal vector or the feature's vector. When this value is set to TRUE (1), the offset will be created in the CAD surface direction vector. The value is ignored if the "OffsetAlongTipVector" is set to TRUE (1).

Entry Name: OffsetFromCAD

Entry Type: Whole Number specifying Offset from CAD (1) or Offset from Feature (0). Default value is 1.

User permission is required to change entry


Option Print To File

This option specifies whether of not report output is sent to a file. A file that generally has the same name as the part program with a PDF of RTF extension will be written when a report is printed from PC-DMIS. Output is sent to file when this option is set to TRUE (1).

Entry Name: OptionPrintToFile

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry

See the OptionPrintToFileOP, and OptionPrintToPDFFile topics for information on how output files are created.


Option Print To File OP

This value specifies the output option for files created for printed reports. This value is only used when the OptionPrintToFile value is set to TRUE (1).

Entry Name: OptionPrintToFileOp

Entry Type: Whole Number specifying option value. Default value is 85.

User permission is required to change entry

Option Key

65 | Appending a File | PC-DMIS adds the current data from the Edit window to the selected file.
79 | Overwriting a File | PC-DMIS overwrites the selected file with the current Edit window data.
80 | Prompting for a Destination | PC-DMIS will display a Save As dialog box through which you can choose the destination file for the report.
85 | Auto Option | PC-DMIS generates the report filename automatically using the number in the Index box. The name of the generated file name will have the same name as the part program appended by the numerical index and extension. If a file exists with the same name as the generated filename, the Auto option will increment the Index until a unique file name is found.


Option Print To PDF File

This option specifies whether the output file for printed reports is an RTF (Rich-text Fromat) or PDF (Portable Document Format). This value is only used when the OptionPrintToFile value is set to TRUE (1).

Entry Name: OptionPrintToPDFFile

Entry Type: Whole Number specifying RTF (0) or PDF (1). Default value is 0.

User permission is required to change entry


Option Print To Printer

This option determines whether or not reports are sent to your printer. When set to TRUE (1), your report is printed.

Entry Name: OptionPrintToPrinter

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry

See the OptionPrintToPrinterDraft topic for more information.


Option Print To Printer Draft

PC-DMIS will change the fonts to a draft mode type for printing purposes when this value is set to TRUE (1). Any colors used in the report will be changed to black. These alterations will increase the speed of printing. This value is only used when the OptionPrintToPrinter value is set to TRUE (1).

Entry Name: OptionPrintToPrinterDraft

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Overtravel Complience

This value is no longer used.


Part Sensor Delay

This value will cause PC-DMIS to wait during part program execution before reading the Sensors to obtain the current temperatures. If zero is entered then there is no pause.

Entry Name: PartSensorDelay

Entry Type: Character String specifying seconds. Default value is 0.0.

User permission is required to change entry


Pass Back Settings From Subroutine

This option allows changes made by a subroutine update to the current alignment to be seen by the main program after the subroutine call. This would also apply to any other system changes that occur in the subroutine. When this value is set to TRUE (1), settings could be passed from the subroutine.

Entry Name: PassBackSettingsFromSubroutine

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Password

This value stores the password that is used to access the Setup Options dialog box and the Inspection Planner Defaults (IPD) file. When a password is specified, then you will be prompted to provide the password to enter these dialog boxes if the "PasswordProtectionFlag" is set to TRUE (1).

Entry Name: Password

Entry Type: Character String specifying password. Default value is None ( ).

User permission is required to change entry


Password Protection Flag

This toggle field determines whether a password is required to open the SetUp Options dialog box or the Inspection Planner Default file. The specified password given in the "Password" entry is required when this value is set to TRUE (1).

Entry Name: PasswordProtectionFlag

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Patch Scn Maintain Incr

When this value is set to TRUE (1), PC-DMIS forces each new line of the patch scan to use the last increment from the previous line. When this value is set to FALSE (0), the scan will revert to the minimum scan increment when taking the first hit on each line.

Entry Name: PatchScnMaintainIncr

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Path FOV Color RGB

This value provides the RGB color values for the Field of View box that shows where Vision would take points or cross hairs.

Entry Name: PathFOVColorRGB

Entry Type: Character String specifying RGB Color Default value is None “0, 255, 0 “ (Green).

User permission is required to change entry


Path Lines Color RGB

This entry lets you set the color for generated path lines in the Graphics Display window. This value is made up of number values separated by commas showing the red, green, blue values respectively. You can type any number from 0 to 255 for each color. For example, typing 0,0,255 in the Current Value box would change your path lines to a blue color and typing 150, 50, 200 to a purple color.

Entry Name: PathLinesColorRGB

Entry Type: Character string value specifying the RGB color values. Default value is 0,255,0.

User permission is required to change entry

See "Showing and Animating Path Lines" in the "Editing the CAD Display" section.


PH9 Warn Delta

This is a numerical value defining the minimum change in the wrist angle required before PC-DMIS requires you to change the current wrist position. This only affects users with a DCC CMM with a PH9 articulated wrist.

Entry Name: PH9WarnDelta

Entry Type: Real Number specifying an angle in degrees. Default value is 15.

User permission is required to change entry


Pierce Cad On 3D Rotate

This value allows you to determine the exact point about which PC-DMIS rotates when performing a 3D rotate by simply right-clicking in the Graphics Display window.

  • When this value is set to TRUE (1) and you perform a 3D rotate by right-clicking in the Graphics Display window, PC-DMIS uses the point where you clicked as the point used about which to rotate.

  • When this value is set to FALSE (0) and then you right-click to 3D rotate, then PC-DMIS doesn't pierce the CAD.

Entry Name: PierceCadOn3DRotate

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0. The default value is "TRUE (1)" when using a portable device.

User permission is required to change entry

Note: As always, however, if PC-DMIS detects a wire frame entity or surface edge close to the mouse cursor, then the point on the entity or edge closest to the mouse pointer will be used as the rotation point.

See "3D Rotate Mode" discussed in the "Editing the CAD Display" section for information on 3D rotating.


Point Info (option)

These values determine whether the specified option is displayed as part of a Point Info command. The option is displayed when the value is TRUE (1).

Entry Name: DimInfo(option)

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry

Options Key:

BackgroundColor | Defines the Decimal value for the default background color that is used in the current Point Info box displayed in the Graphics Display window. This should be altered in the Edit Point Info dialog box.
DevAboveStrDefault | Provides the value that is used with FilterDevDefault
FilterDevDefault | Checks the number value of DevAboveStrDefault and only displays the hits that have deviations larger than this value. For example, a value of 0.01 would allow the deviations of 0.013 and -0.015 to be displayed, while deviations of 0.003 and –0.005 will not be displayed.
FilterIntervalDefault | Checks the integer value of PointInfoIntervalStrDefault and only displays the particular hit interval chosen with the POINTINFO command. For example, a value of 2 would display every 2nd hit, 3 would display every 3rd hit, and 4 would display then every 4th hit, etc.
FilterNoneDefault | Tells PC-DMIS not to use any filtering for the POINTINFO command. All hits selected will be displayed with the POINTINFO command.
FilterOutOfTolDefault | Displays the hits that have deviations that are out of tolerance.
FilterWorstDefault | Checks the integer value of PointInfoWorstStrDefault and only displays the hits that give the worst deviations for the dimension. For example, a value of 3 would cause the POINTINFO command to only display the three worst deviations.
IntervalStrDefault | Provides the value that is used with FilterIntervalDefault
LineColor | Defines the Decimal value for the default line color that will is used in the Pointn Info box displayed in the Graphics Display window. This should be altered in the Edit Point Info dialog box.
ShowGraphDefault | Toggles whether a graph will be displayed in the Point Info box in the Graphics Display window.
ShowHeadingsDefault | Toggles the display of row and column headings in the Point Info box
ShowHorizontalLines | Toggles the display of the horizontal lines between rows inside the Point Info box
ShowIcon | Toggles the display of the appropriate dimension icon in the header portion of the Point Info box.
ShowShadow | Toggles the display of the shadow around the border of the Point Info box
ShowVerticalLines | Toggles the display of the vertical lines between columns inside the Point Info box.
WorstStrDefault | Provides the value that is used with FilterWorstDefault


Point Only Thickness

This value provides the thickness value that will be applied to points created using Point Only mode.

Entry Name: PointOnlyThickness

Entry Type: Real Number specifying thickness. Default value is 2.54.

User permission is required to change entry


Press End Key

PC-DMIS waits for you to press the END key before it accepts the last hit taken when this value is set to TRUE (1). This allows preview the last hit before you accept it. When this value is set to FALSE, the current hit that you take with the jog box is not stored in the hit buffer, but automatically becomes the last hit for the feature, even if you take the hit at the wrong spot.

Entry Name: PressEndKey

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry


Preview Window Position Bottom

This value stores the default bottom edge position of the Preview Window dialog box when it was last used. This value will change if the dialog box is resized or moved and will be recalled when the dialog box is subsequently opened. The specified number provides the location of the bottom edge of the window from the top of the screen.

Entry Name: PreviewWindowPositionBottom

Entry Type: Whole Number specifying pixels from top of screen. Default value is 0.

User permission is required to change entry


Preview Window Position Left

This value stores the default left edge position of the Preview Window dialog box when it was last used. This value will change if the dialog box is resized or moved and will be recalled when the dialog box is subsequently opened. The specified number provides the location of the left edge of the window from the left edge of the screen.

Entry Name: PreviewWindowPositionLeft

Entry Type: Whole Number specifying pixels from left edge of screen. Default value is 0.

User permission is required to change entry


Preview Window Position Right

This value stores the default right edge position of the Preview Window dialog box when it was last used. This value will change if the dialog box is resized or moved and will be recalled when the dialog box is subsequently opened. The specified number provides the location of the right edge of the window from the left edge of the screen.

Entry Name: PreviewWindowPositionRight

Entry Type: Whole Number specifying pixels from left edge of screen. Default value is 0.

User permission is required to change entry


Preview Window Position Top

This value stores the default top edge position of the Preview Window dialog box when it was last used. This value will change if the dialog box is resized or moved and will be recalled when the dialog box is subsequently opened. The specified number provides the location of the top edge of the window from the top of the screen.

Entry Name: PreviewWindowPositionTop

Entry Type: Whole Number specifying pixels from top of screen. Default value is 0.

User permission is required to change entry


Prior Temp (0-31)

These values store the previous readings from your temperature sensors for your slave arm. You can have anywhere from 1 to 32 sensors. These values are provided in Celsius or Fahrenheit according to the TempCompCelsius value.

Entry Name: PriorTemp(0-31)

Entry Type: Character String to specify temperature. Default value is 0.0.

User permission is required to change entry


Probefile Activity Log

This option allows you create a separate Debug file for probe activity. This is useful for being able to more easily analyze probe data without all of normal debug information. For master/slave configurations, a debug log file will need to be created for each machine.

PC-DMIS creates a ProbefileActivityLog.txt file in the PC-DMIS install directory. This file will contain a lot of probe file specific information for when the files get read/written, any corruption checks where corruption is found, strings used in sending probe files back and forth between the master and slave, etc. This file will continually be appended, so if you want a fresh debug file, just delete the existing file and a new file will be created.

Entry Name: ProbefileActivityLog

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Profile Out Tol Cumulative

This entry allows you to determine how profile dimensions display the OUTTOL value when you use the form and location option. If set to TRUE (1), the profile dimensions with the form and location option displays the OUTTOL value by adding together the out of tolerance positive and the out of tolerance negative values. If FALSE (0), the profile dimension with the form and location option displays the OUTTOL value as the maximum of the two values (the out of tolerance positive and out of tolerance negative values).

Entry Name: ProfileOutTolCumulative

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry


Q Length 0

See “Command Identification - ID Length” for more information.


Q Ltrs 0

See “Command Identification - ID Letters” for more information.


Q Start 0

See “Command Identification - ID Starting Number” for more information.


Readout Display Bkgr Color

This color refers to the background color for the Readout Window.

Entry Name: ReadoutDisplay BkgrColor

Entry Type: Unsigned Integer specifying decimal color number. Default value is 0 (black).

User permission is required to change entry

Note: It is best to alter this value inside of PC-DMIS from the Probe Readout Setup dialog box accessed by right-clicking on the Probe Readout window and selecting Setup... or selecting the Edit | Preferences | Probe Readout Setup... menu option.


Readout Display Text Color

This color refers to the text color for the Readout Window.

Entry Name: ReadoutDisplay TextColor

Entry Type: Unsigned Integer specifying decimal color number. Default value is 65280 (light green).

User permission is required to change entry

Note: It is best to alter this value inside of PC-DMIS from the Probe Readout Setup dialog box accessed by right-clicking on the Probe Readout window and selecting Setup... or selecting the Edit | Preferences | Probe Readout Setup... menu option.


ReadoutDisplayFont_lfCharSet

This value determines the character set that is used for the display of text in the history section of the Probe Readout window.

Entry Name: ReadoutDisplayFont_lfCharSet

Entry Type: Whole Number specifying character set. Default value is 0.

User permission is required to change entry


ReadoutDisplayFont_lfEscapement

Readout Display Font If Escapement

This value determines if the text displayed in the history section of the Probe Readout window is displayed with escapement text. Escapement is used when this value is set to TRUE (1).

Entry Name: ReadoutDisplayFont_lfEscapement

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


ReadoutDisplayFont_lfFaceName

This value specifies the font name that is displayed in the history portion of the Probe Readout window.

Entry Name: ReadoutDisplayFont_lfFaceName

Entry Type: Character String specifying font name. Default value is Arial.

User permission is required to change entry


ReadoutDisplayFont_lfHeight

Readout Display Font If Height

This value specifies the height of the text that is displayed in the history portion of the Probe Readout window.

Entry Name: ReadoutDisplayFont_lfHeight

Entry Type: Whole Number specifying text height. Default value is 12.

User permission is required to change entry


ReadoutDisplayFont_lfItalic

This value specifies the use of an italic font if available for the font specified by the "ReadoutDisplayFont_lfFaceName" value. An italic font is displayed in the history portion of the Probe Readout window when this value is set to TRUE (1).

Entry Name: ReadoutDisplayFont_lfItalic

Entry Type: Whole Number to specify TRUE (1) or FALSE(0). Default value is 0.

User permission is required to change entry


ReadoutDisplayFont_lfOrientation

This value specifies the orientation of the text that is displayed in the history portion of the Probe Readout window.

Entry Name: ReadoutDisplayFont_lfOrientation

Entry Type: Whole Number specifying font orientation. Default value is 0.

User permission is required to change entry


ReadoutDisplayFont_lfOutPrecision

This value specifies the out precision of the text that is displayed in the history portion of the Probe Readout window.

Entry Name: ReadoutDisplayFont_lfOutPrecision

Entry Type: Whole Number specifying Out Precision. Default value is 0.

User permission is required to change entry


ReadoutDisplayFont_lfPitchAndFamily

This value specifies the pitch and family of the text that is displayed in the history portion of the Probe Readout window.

Entry Name: ReadoutDisplayFont_lfPitchAndFamily

Entry Type: Whole Number specifying pitch and family. Default value is 4.

User permission is required to change entry


ReadoutDisplayFont_lfQuality

This value specifies the quality of the text that is displayed in the history portion of the Probe Readout window.

Entry Name: ReadoutDisplayFont_lfQuality

Entry Type: Whole Number specifying font quality. Default value is 0.

User permission is required to change entry


ReadoutDisplayFont_IfStrikeOut

This value determines if the text displayed in the history section of the Probe Readout window is displayed with strikeout text. Strikeout is used when this value is set to TRUE (1).

Entry Name: ReadoutDisplayFont_lfStrikeOut

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


ReadoutDisplayFont_lfUnderline

This value determines if the text displayed in the history section of the Probe Readout window is underlined. Text is underlined when this value is set to TRUE (1).

Entry Name: ReadoutDisplayFont_lfUnderline

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


ReadoutDisplayFont_lfWeight

This value specifies the weight of the text that is displayed in the history portion of the Probe Readout window.

Entry Name: ReadoutDisplayFont_lfWeight

Entry Type: Whole Number specifying weight. Default value is 500

User permission is required to change entry


ReadoutDisplayFont_lfWidth

This value specifies the width of the text that is displayed in the history portion of the Probe Readout window.

Entry Name: ReadoutDisplayFont_lfWidth

Entry Type: Whole Number specifying width. Default value is 0.

User permission is required to change entry


Readout Display Lines

This value determines the number of lines PC-DMIS should set apart for Probe Readout comments on the Probe Readout window itself.

Entry Name: ReadoutDisplayLines

Entry Type: Whole Number specifying number of lines. Default value is 3.

User permission is required to change entry


Readout Setup

This value should NOT be changed using the Settings Editor. This value represents a bit pattern of the various check boxes of the Probe Readout Setup dialog box. It is used to recall the previous settings upon subsequent opening of that dialog box.

Entry Name: ReadoutSetup

Entry Type: Whole Number specifying a bit string. Default value is 0.

User permission is required to change entry


ReCalculate Nominal Curve On Exec

When NOMINALS is selected from the Nominals list, PC-DMIS will use any measured data the first time it performs the scan as nominal data. This option allows you to relearn the scan without relearning the nominals when the value is set to TRUE (1).

Entry Name: ReCalculateNominalCurveOnExec

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Recall Align User Search Directory

This value allows you to specify the search directory that should be used for Recalling Alignments.

Entry Name: RecallAlignUserSearchDirectory

Entry Type: Character String specifying path for recalling alignments. Default value is None ( ).

User permission is required to change entry


Ref Temp (0-3)

The Ref Temp values contain the reference temperature from which temperature compensation adjustments need to be applied.

  • The amount of correction to be applied is based on multiplying the material coefficient by the difference between the current and reference temperatures.
    Amount of Correction = Material Coefficient x (Current Temp – Reference Temp)

  • If the current temperature is the same as the reference temperature the net effect is that no thermal compensation adjustment is applied.

Entry Name: RefTemp(0-3)

Entry Type: Character String specifying degrees in either Celsius or Fahrenheit. Default value is 0.0.

User permission is required to change entry

Number Key:

0 | X Axis
1 | Y Axis
2 | Z Axis
3 | Part


Release DCI Connection

When this value is set to TRUE, the DCI connection is closed when the last part program to reference the DCI is closed. Otherwise, the DCI connection is only closed when PC-DMIS is closed.

Entry Name: ReleaseDCIConnection

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


Renishaw Kinematic Mount

When you are using the kinematics mount for the Renishaw wrist, you need to modify this value to TRUE (1). PC-DMIS will ask (upon startup of the system) if the PHS Wrist is mounted on the CMM. PC-DMIS will only ask this question when the controller has just been powered on. Once you inform PC-DMIS what is on the end of the arm, it will not ask the question again until it senses the controller has been shut down and restarted. When you have the wrist mounted, PC-DMIS will add A and B axes to the readouts. This is in addition to the X, Y, Z axis readouts that are normally displayed.

Entry Name: RenishawKinematicMount

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

Administrator permission is required to change entry

Note: The readout display will not reflect the value changes until you run PC-DMIS after responding favorably to the question regarding the PHS Wrist


Renishaw Wrist

This value specifies whether a Renishaw PHS wrist is present. When this value is set to TRUE (1), capabilities for your infinite PHS wrist are enabled.

Entry Name: RenishawWrist

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

Administrator permission is required to change entry


Report 5 Places

When this value is set to TRUE (1), PC-DMIS is forced to report up to (5) decimal places in the edit window in a metric part program.

Entry Name: Report5Places

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Reset Globals When Branching

PC-DMIS will reset the global values for state commands after encountering a branching statement when this value is set to TRUE (1). Any state commands jumped over, because of a branching statement, will not be executed. This allows you to skip over sections of the program without having these settings change.

Entry Name: ResetGlobalsWhenBranching

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Rotab Index Increment

This value provides PC-DMIS the angle increment to use for configuring Indexable Rotary Tables. Angles will be added to the Rotary Table configuration at the specified angle increment.

Entry Name: RotabIndexIncrement

Entry Type: Real Number specifying increment. Default value is 1.

User permission is required to change entry


Rotab Is Index

This value tells PC-DMIS that your Rotary Table is either Indexable (TRUE 1) or Infinite (FALSE 0).

Entry Name: RotabIsIndex

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Rotab Is Manual

This value tells PC-DMIS whether you Rotary Table is Manual (TRUE 1) or DCC (FALSE 0).

Entry Name: RotabIsManual

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Rotab Is Manual Index Standalone

This option determines if you are using a Manual Index Standalone Rotary Table. This type of Rotary table does not provide feedback to PC-DMIS. Therefore, manual movement of the machine is assumed by PC-DMIS. Without this option set to TRUE (1), PC-DMIS will think the table is remaining at previous position and not recognize any manual rotation to a new position.

Entry Name: RotabIsManualIndexStandalone

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Rotab Mode

This value specifies the number of rotary tables that are being used.

Entry Name: RotabMode

Entry Type: Whole Number specifying No Rotary Table (0), Single Rotary Table (1), or Dual Rotary Tables (2). Default value is 1.

User permission is required to change entry


Rotab Table1 Increment

This value provides the minimum angular movement in degrees to be allowed for the given table. This only applies to indexable rotary tables and this should be equal to, or an integer multiple of, the actual minimum hardware incremental movement. If more than one rotary table is present this applies only to the first table.

Entry Name: RotabTable1Increment

Entry Type: Real Number specifying angle in degrees. Default value is 1.

User permission is required to change entry


Rotab Table2 Increment

This represents the same thing as RotabTable1Increment but for table 2 if a second table is present.

Entry Name: RotabTable2Increment

Entry Type: Real Number specifying angle in degrees Default value is 1.

User permission is required to change entry


Rotab Table Num Spheres

If desired, the sphere may be measured in more than three angular positions when calibrating an infinite rotary table. This setting defaults to zero, in which case it’s not actually used and the angular positions for the calibration come directly from the calibration dialog. If this setting is greater than zero a full 360 degree rotation is divided into this many equally spaced measurement positions. If used this should be set to at least three.

Entry Name: RotabTableNumSpheres

Entry Type: Character String specifying number of spheres. Default value is None ( ).

User permission is required to change entry


Save Arm 1 Commands Only

This value allows you to separate a dual arm part program into two. When this value is TRUE, PC-DMIS will only save those commands that are specifically ARM1 plus all the commands that apply ARM1 and ARM2. In addition there is an exception made for dimensions where PC-DMIS checks the input features and if any are from the ARM1 then we will also include these dimensions as well. See the "SaveArm2CommandsOnly" option.

Entry Name: SaveArm1CommandsOnly

Entry Type: True/False value. Default value is FALSE.

Administrator permission is required to change entry


Save Arm 2 Commands Only

This value allows you to separate a dual arm part program into two. When this value is TRUE, PC-DMIS will only save those commands that are specifically ARM2 plus all the commands that apply ARM2 and ARM1. In addition there is an exception made for dimensions where PC-DMIS checks the input features and if any are from the ARM2 then we will also include these dimensions as well. See the "SaveArm1CommandsOnly" option.

Entry Name: SaveArm2CommandsOnly

Entry Type: True/False value. Default value is FALSE.

Administrator permission is required to change entry


Save Auto Dim

This registry setting is no longer used.


Save CAD to Parts

This option tells PC-DMIS to save the both CAD to parts and Machine to parts in the alignment program when this value is set to TRUE (1).

Entry Name: SaveCADtoParts

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Save Part On Execute

PC-DMIS to automatically save the current part program whenever it's executed when this value is set to TRUE (1).

Entry Name: SavePartOnExecute

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Save SolidWorks Attributes in Part

This entry lets you specify whether or not the attributes created during the import process will be stored within the SolidWorks part. These attributes are used by PC-DMIS as a mapping between the CAD element in the SolidWorks part and the PC-DMIS part program. Not storing the attributes in the SolidWorks part results in the PC-DMIS re-importing the CAD data being re-imported each time you load the part program into PC-DMIS. Storing these attributes in the part will result in longer loading times for your part programs using a SolidWorks DCI.

If you set this entry is TRUE (1), then the attributes will be stored in the SolidWorks part.

Entry Name: SaveSolidWorksAttributesInPart

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Save Stats Always

When this option is set to TRUE (1) it allows you to bypass the prompt asking you to save stats data that appears whenever execution of a part program starts with a valid STATS/ON command. The statistical data will automatically be saved to the XSTATS11.tmp file. See the "Tracking Statistical Data" section for more information.

Entry Name: SaveStatsAlways

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Save Targets

When this value is set to TRUE (1), the read position actuals are saved automatically.

Entry Name: SaveTargets

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Save UG Tessellation Part

When this value is set to TRUE (1), the tessellation from the imported Unigraphics DCI file will be stored in the Unigraphics part file.

Entry Name: SaveUGTessellationPart

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


SCP80 Clearance

This value specifies the clearance location directly in front of a given port of a SCP80 Tool Changer. This clearance location value defines the distance in front of the port relative to the port center determined by the calibration. The probe moves to this location before moving into the port for the dropoff/pickup.

Entry Name: SCP80Clearance

Entry Type: Real Number specifying distance in mm. Default value is 100.

User permission is required to change entry

Note: These are used during the generation of motion for the change so they can be changed at any time without having to repeat the rack calibration.


Search For Closest Point Only Surface

This value will allow PC-DMIS to search more intensively for the closest surface to the input point in Point Only mode. When this option is FALSE, the standard drop CAD behavior will be followed, where the point will be determined on top of the CAD from the perspective of the approach vector.

Entry Name: SearchForClosestPointOnlySurface

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

Administrator permission is required to change entry


Show All ID

When this value is set to TRUE (1), PC-DMIS will display all IDs in the Graphics Display window. Otherwise IDs while be shown as specified

Entry Name: ShowAllID

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry


Show Background

This option determines whether the PC-DMIS startup background is displayed when PC-DMIS is first launched. When this value is set to TRUE, the background is displayed.

Entry Name: ShowBackground

Entry Type: True/False Value. Default value is TRUE.

User permission is required to change entry


Show Extended Sheet Metal

When this value is set to TRUE (1), PC-DMIS will display all of the available Sheet Metal options in the Auto Features dialog box. (See "Extended Sheet Metal Options" in the "Creating Auto Features" section.)

Entry Name: ShowExtendedSheetMetal

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Show Hit Dev

When this value is set to TRUE (1), PC-DMIS will draw an arrow whenever a hit is taken to show the measured value minus the nominal deviation.

Entry Name: ShowHitDev

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Show Startup Dialog

When this value is set to TRUE (1), PC-DMIS shows the Open File dialog box each time you start PC-DMIS. This dialog box shows a listing of available part programs to open.

See "Opening Existing Part Programs" in the "Using Basic File Options" section for additional information on the Open File dialog box.

Entry Name: ShowStartupDialog

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 1. The default value is "FALSE (0)" when using a portable device.

User permission is required to change entry


Show Text Box Icon

This option allows you to determine if icons depicting the feature or dimension type should appear in text boxes and inside feature ID labels. The text boxes include feature ID, dimension info, and point info text boxes. Text Box Icons are displayed when this value is set to TRUE (1).

Entry Name: ShowTextBoxIcon

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry

For information on text boxes see "Text Box Mode" in the "Editing the CAD Display" section.


Slave ACR2 Sphere Off X

This value is no long used.


Slave ACR2 Sphere Off Y

This value is no long used.


Slave ACR2 Sphere Off Z

This value is no long used.


Slave Cur Temp (0-31)

These values store the current reading from your temperature sensors for your slave arm. You can have anywhere from 1 to 32 sensors. These values are provided in Celsius or Fahrenheit according to the TempCompCelsius value.

Entry Name: SlaveCurTemp(0-31)

Entry Type: Character String to specify temperature. Default value is 0.0.

User permission is required to change entry


Slave Date Current Temps

This value stores the date of the most current readings that were taken from your temperature sensors of your slave machine.

Entry Name: SlaveDateCurrentTemps

Entry Type: Character String to specify date. Default value is 0/0/00.

User permission is required to change entry


Slave Date Prior Temps

This value stores the date of the prior readings that were taken from your temperature sensors of your slave machine.

Entry Name: SlaveDatePriorTemps

Entry Type: Character String to specify date. Default value is 0/0/00.

User permission is required to change entry


Slave High Threshold (0-3)

The Slave High Threshold values provide an upper limit (in the appropriate units) on the current temperature above which no further thermal compensation will be applied for the slave arm of a dual arm machine.

Entry Name: SlaveHighThreshold(0-3)

Entry Type: Character String specifying degrees in either Celsius or Fahrenheit. Default value is 0.0.

User permission is required to change entry

Number Key:

0 | X Axis
1 | Y Axis
2 | Z Axis
3 | Part


Slave Last Ilm File

This value is no longer used.


Slave Low Threshold (0-3)

The Slave Low Threshold values provide an lower limit (in the appropriate units) on the current temperature above which no further thermal compensation will be applied for the slave arm of a dual arm machine..

Entry Name: SlaveLowThreshold(0-3)

Entry Type: Character String specifying degrees in either Celsius or Fahrenheit. Default value is 0.0.

User permission is required to change entry

Number Key:

0 | X Axis
1 | Y Axis
2 | Z Axis
3 | Part


Slave Material Coeff (0-3)

The Slave Material Coefficient values provide numbers reflecting the material property, and are the fractional change in length per unit change in temperature.

Example: A scale with a coefficient of 11.5 microns/meter/degree C becomes 0.0000115 meters/meter/degree C or just 0.0000115/degree C.

Note: This can be thought of as meters/meter/degree C or inches/inch/degree F but since the length in both the numerator and denominator are in the same units they divide out.

Entry Name: SlaveMaterialCoeff(0-3)

Entry Type: Character String specifying degrees in either Celsius or Fahrenheit. Default value is 0.0.

User permission is required to change entry

Number Key:

0 | X Axis
1 | Y Axis
2 | Z Axis
3 | Part


Slave Part Sensor Delay

This value will cause PC-DMIS to wait during part program execution before reading the Sensors to obtain the current temperatures on the Slave arm of a dual arm configuration. If zero is entered then there is no pause.

Entry Name: PartSensorDelay

Entry Type: Character String specifying seconds. Default value is 0.0.

User permission is required to change entry


Slave Prior Temp (0-31)

These values store the previous reading from your temperature sensors for your slave arm. You can have anywhere from 1 to 32 sensors. These values are provided in Celsius or Fahrenheit according to the TempCompCelsius value.

Entry Name: SlavePriorTemp(0-31)

Entry Type: Character String to specify temperature. Default value is 0.0.

User permission is required to change entry


Slave Ref Temp (0-3)

The Slave Ref Temp values contain the reference temperature from which temperature compensation adjustments need to be applied for the slave arm of a dual arm configuration.

  • The amount of correction to be applied is based on multiplying the material coefficient by the difference between the current and reference temperatures.
    Amount of Correction = Material Coefficient x (Current Temp – Reference Temp)

  • If the current temperature is the same as the reference temperature the net effect is that no thermal compensation adjustment is applied.

Entry Name: SlaveRefTemp(0-3)

Entry Type: Character String specifying degrees in either Celsius or Fahrenheit. Default value is 0.0.

User permission is required to change entry

Number Key:

0 | X Axis
1 | Y Axis
2 | Z Axis
3 | Part


Slave Temp Origin (0-3)

The Slave Origin values are used to determine the length of the item to which thermal compensation is being applied for the Slave arm of a dual arm configuration.

Length = Current Position Value – Origin Value

  • The X, Y, and Z values of the Origin boxes will be zero most of the time. However, some types of machines do not use zero for the origin of their scales.

  • The Part value will typically also be zero unless there is some special type of fixturing constraint.

Entry Name: SlaveTempOrigin(0-3)

Entry Type: Character String specifying origin location. Default value is 0.0,0.0,0.0.

User permission is required to change entry

Number Key:

0 | X Axis
1 | Y Axis
2 | Z Axis
3 | Part


Slave Temp Sensor Numbers (0-3)

The Slave Sensor Numbers values contain a list of one or more sensor numbers to be used for the given axis or part for the slave arm of a dual arm configuration. These values are very important when reading temperatures from the controller because they must correspond to how the sensors are actually configured.

  • Each sensor is a number in the range of 1 to 32.

  • Items in the list can be either a single number or a range from first to last.

  • Items are separated by either commas or left blank.

  • The input allows up to 32 values for any axis or the part.

Entry Name: SlaveTempSensorNumbers(0-3)

Entry Type: Character String specifying sensor number. Default value is 0.0,0.0,0.0.

User permission is required to change entry

Number Key:

0 | X Axis
1 | Y Axis
2 | Z Axis
3 | Part

Note: For "manual" mode these numbers are relatively meaningless but at least one sensor number must be assigned for each axis and the part.


Slave Time Current Temps

This value stores the time of the most current readings that were taken from your temperature sensors of your slave machine.

Entry Name: SlaveTimeCurrentTemps

Entry Type: Character String specifying Hour:Minute. Default value is “00:00”.

User permission is required to change entry


Slave Tool Changer

No longer used except for migrating from very old versions (V2.x) of PC-DMIS.


Slave Tool Changer Docking Speed

No longer used except for migrating from very old versions (V2.x) of PC-DMIS.


Slave Tool Changer Type

No longer used except for migrating from very old versions (V2.x) of PC-DMIS.


Solid Probe Color

Documentation Pending


Start Garda Length

Documentation Pending


Status Bar Large Size

This option determines whether the status bar is displayed in large size (1) or normal size (0). Due to its increased size, the large status bar will only display the Message and the XYZ boxes.

Entry Name: StatusBarLargeSize

Entry Type: Whole Number specifying Large (1) or Normal (0). Default value is 0. The default value is "Large (1)" when using a portable device.

User permission is required to change entry


Subroutine User Search Directory

This value allows you to specify the search directory that should be used for Calling Subroutines.

Entry Name: SubroutineUserSearchDirectory

Entry Type: Character String specifying path of subroutines. Default value is None ( ).

User permission is required to change entry


Temp Origin (0-3)

The Origin values are used to determine the length of the item to which thermal compensation is being applied.

Length = Current Position Value – Origin Value

  • The X, Y, and Z values of the Origin boxes will be zero most of the time. However, some types of machines do not use zero for the origin of their scales.

  • The Part value will typically also be zero unless there is some special type of fixturing constraint.

Entry Name: TempOrigin(0-3)

Entry Type: Character String specifying origin location. Default value is 0.0,0.0,0.0.

User permission is required to change entry

Number Key:

0 | X Axis
1 | Y Axis
2 | Z Axis
3 | Part


Temp Sensor Numbers (0-3)

The Sensor Numbers values contain a list of one or more sensor numbers to be used for the given axis or part. These values are very important when reading temperatures from the controller because they must correspond to how the sensors are actually configured.

  • Each sensor is a number in the range of 1 to 32.

  • Items in the list can be either a single number or a range from first to last.

  • Items are separated by either commas or left blank.

  • The input allows up to 32 values for any axis or the part.

Entry Name: TempSensorNumbers(0-3)

Entry Type: Character String specifying sensor number. Default value is (blank).

User permission is required to change entry

Number Key:

0 | X Axis
1 | Y Axis
2 | Z Axis
3 | Part

Note: For "manual" mode these numbers are relatively meaningless but at least one sensor number must be assigned for each axis and the part.


TESASTAR-R Clearance

This value specifies the clearance location directly in front of a given port of a TESASTAR-R Tool Changer. This clearance location value defines the distance in front of the port relative to the port center determined by the calibration. The probe moves to this location before moving into the port for the dropoff/pickup.

Entry Name: TESASTAR-RClearance

Entry Type: Real Number specifying distance in mm. Default value is 50.

User permission is required to change entry

Note: These are used during the generation of motion for the change so they can be changed at any time without having to repeat the rack calibration.


Text Box Maximum Active

This value limits the maximum number of all text boxes (all views) currently active (hidden or visible) by the SHOW IDS - All, Feature Labels, Dimension Infos, Point Infos, and Feature Control Frames. A value that is less than or equal to 0 indicates that there is no limit. This value is not used when the user wants to display a single text box of the above types.

Entry Name: TextBoxMaximumActive

Entry Type: Whole Number specifying the maximum number of text boxes. Default value is 400.

User permission is required to change entry


Text Box Padding Factor In Percent

This value provides the padding factor for text boxes displayed in the Graphics Display window. See the examples below.

Entry Name: TextBoxPaddingFactorInPercent

Entry Type: Real Number specifying padding factor. Default value is -999.

User permission is required to change entry

Padding Factor Examples

Padding Factor of -250 | Padding Factor of 250
Padding Factor of 0 | Padding Factor of 500


Text Box Visibility Increment Test

This setting is used in conjunction with TextBoxVisibilityTriggerTest setting. It provides the next amount of text boxes that will be tested after their creation. A value that is less than or equal to 0 indicates that no additional checks are done. This value is only used if the TextBoxVisibilityTriggerTest value is greater than 0.

Entry Name: TextBoxVisibilityIncrementTest

Entry Type: Whole Number specifying the Increment of text boxes that will be tested. Default value is 50.

User permission is required to change entry.

See the "TextBoxVisibilityTriggerTest" topic.


Text Box Visibility Percentage

This setting provides the percentage (0 to 100) of hidden pixels that are covered by other text boxes that would cause the window to not be displayed (but it is still considered active). This value only used if TextBoxVisibilityTriggerTest is greater than 0.

Entry Name: TextBoxVisibilityPercentage

Entry Type: Whole Number specifying percentage of hidden pixels. Default value is 30.

User permission is required to change entry


Text Box Visibility Trigger Test

When a large amount of text boxes in a view are displayed or created, this may cause problems with the text boxes being able to be displayed. This value enables tests to be run to determine which text boxes will be displayed. With this option TRUE (1) a test will be run to check the visible area of each text box against other text boxes to see if they can be seen. Additional rules are defined with the following settings:

  • TextBoxVisibilityPercentage

  • TextBoxVisibilityIncrementTest

  • TextBoxMaximumActive

Entry Name: TextBoxVisibilityTriggerTest

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Thermal Comp OCX Machine Type

Documentation Pending


Thermal Comp OCX Path

This value provides the location of the thermal compensation file (serv1.stp). The default value that is provided below can be changed if needed.

Entry Name: TempSensorNumbers(0-3)

Entry Type: Character String specifying path. Default value is “C:\Program Files\THERMAL_OCX\”.

User permission is required to change entry


Time Current Temps

This value stores the time of the most current readings that were taken from your temperature sensors.

Entry Name: TimeCurrentTemps

Entry Type: Character String specifying Hour:Minute. Default value is “00:00”.

User permission is required to change entry


Tool Changer ACR3 Depth Adjustment

This offset value provides the depth distance that is applied to a calibrated port location of your ACR3 toolchanger. This adjusts the port location forward or backward relative to the toolchanger if you are directly in front of it.

  • If a negative value is used, the calibrated port location is adjusted toward the front of the toolchanger by the given distance.

  • If a positive value is used, the calibrated port location is adjusted toward the back of the toolchanger by the given distance.

Note: Since toolchangers can be placed on the machine in varying orientations with respect to the machine's axes, adjustments made to the calibration are relevant to the toolchanger's own coordinates and not the machine's axes.

Entry Name: ToolChangerACR3DepthAdjustment

Entry Type: Real Number specifying depth adjustment distance. Default value is 0.

User permission is required to change entry


Tool Changer ACR3 Height Adjustment

This offset value provides the height distance that is applied to a calibrated port location of your ACR3 toolchanger. This adjusts the port location up or down relative to the toolchanger if you are directly in front of it.

  • If a negative value is used, the calibrated port location is adjusted up by the given distance.

  • If a positive value is used, the calibrated port location is adjusted down by the given distance.

Note: Since toolchangers can be placed on the machine in varying orientations with respect to the machine's axes, adjustments made to the calibration are relevant to the toolchanger's own coordinates and not the machine's axes.

Entry Name: ToolChangerACR3HeightAdjustment

Entry Type: Real Number specifying height adjustment distance. Default value is 0.

User permission is required to change entry


Tool Changer ACR3 Length Adjustment

This offset value provides the length distance that is applied to a calibrated port location of your ACR3 toolchanger. This adjusts the port location right or left relative to the toolchanger if you are directly in front of it.

  • If a negative value is used, the calibrated port location is adjusted to the left by the given distance.

  • If a positive value is used, the calibrated port location is adjusted to the right by the given distance.

Note: Since toolchangers can be placed on the machine in varying orientations with respect to the machine's axes, adjustments made to the calibration are relevant to the toolchanger's own coordinates and not the machine's axes.

Entry Name: ToolChangerACR3LengthAdjustment

Entry Type: Real Number specifying length adjustment distance. Default value is 0.

User permission is required to change entry


Tool Changer ACR3 Port 4 Port 5 Delta

This value is used to compensate for the additional distance between center location of port 4 on the first ACR3 toolchanger and center location of port 1(5) on the second ACR3 toolchanger. For example, when two ACR3 toolchangers mounted next to each other on a MRS rack the distance between port 4 and port 5 is more than the normal distance between port 3 and port 4. This specified value is added to the normal port spacing to define the relative location of port 5.

Entry Name: ToolChangerACR3Port4Port5Delta

Entry Type: Real Number specifying distance between port 4 and 5. Default value is 0.

User permission is required to change entry


Top Speed

This value allows you to reset the top speed that the machine can travel. The value that is specified cannot exceed the machine's designated top speed. The value that is set works in conjunction with the Move Speed option.

Entry Name: TopSpeed

Entry Type: Real Number specifying speed in mm/sec. Default value is 254.

User permission is required to change entry


TP20 Clearance

This value specifies the clearance location directly in front of a given port of a TP20 Tool Changer. This clearance location value defines the distance in front of the port relative to the port center determined by the calibration. The probe moves to this location before moving into the port for the dropoff/pickup.

Entry Name: TP20Clearance

Entry Type: Real Number specifying distance in mm. Default value is 17.25.

User permission is required to change entry

Note: These are used during the generation of motion for the change so they can be changed at any time without having to repeat the rack calibration.


Treat Theo Values As If Stored In Part Coordinates

This value causes PC-DMIS to treat theoretical values as if they're stored in part coordinates when it is set to TRUE (1). This is only useful when performing program flow branching where alignments change.

When you execute the part program, PC-DMIS remembers the machine to part alignment for the initial alignment but when PC-DMIS branches to a new alignment, it determines the difference between the alignments and updates the features to move by that offset.

Entry Name: TreatTheoValuesAsIfStoredInPartCoordinates

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Turn Off The Annoying Startup Music

Toggle to turn off the PC-DMIS startup music. Music does not play when this value is set to TRUE (1).

Entry Name: TurnOffTheAnnoyingStartupMusic

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0. The default value is "TRUE (1)" when using a portable device.

User permission is required to change entry


Tutor Circle Hits

This value determines the number of hits that will be taken in PC-DMIS for imported Tutor Circle features.

Entry Name: TutorCircleHits

Entry Type: Whole Number specifying number of hits. Default value is 4.

User permission is required to change entry


Tutor Cone Hits

This value determines the number of hits that will be taken in PC-DMIS for imported Tutor Cone features.

Entry Name: TutorConeHits

Entry Type: Whole Number specifying number of hits. Default value is 6.

User permission is required to change entry


Tutor Cyl Hits

This value determines the number of hits that will be taken in PC-DMIS for imported Tutor Cylinder features.

Entry Name: TutorCylHits

Entry Type: Whole Number specifying number of hits. Default value is 6.

User permission is required to change entry


Tutor Legacy Executeable

PC-DMIS allows you to launch existing Legacy applications from within PC-DMIS. This value stores the name of the TutoRun executable. PC-DMIS searches your local drives for the TUTORUN.EXE file and stores the value here.

Entry Name: TutorLegacyExecuteable

Entry Type: Character String specifying TutoRun Executable. Default value is None ( ).

User permission is required to change entry


Tutor Line Hits

This value determines the number of hits that will be taken in PC-DMIS for imported Tutor Line features.

Entry Name: TutorLineHits

Entry Type: Whole Number specifying number of hits. Default value is 2.

User permission is required to change entry


Tutor Plane Hits

This value determines the number of hits that will be taken in PC-DMIS for imported Tutor Plane features.

Entry Name: TutorPlaneHits

Entry Type: Whole Number specifying number of hits. Default value is 3.

User permission is required to change entry


Tutor R Slot Hits

This value determines the number of hits that will be taken in PC-DMIS for imported Tutor Round Slot features.

Entry Name: TutorRSlotHits

Entry Type: Whole Number specifying number of hits. Default value is 6.

User permission is required to change entry


Tutor Sph Hits

This value determines the number of hits that will be taken in PC-DMIS for imported Tutor Sphere features.

Entry Name: TutorSphHits

Entry Type: Whole Number specifying number of hits. Default value is 4.

User permission is required to change entry


Tutor S Slot Hits

This value determines the number of hits that will be taken in PC-DMIS for imported Tutor Square Slot features.

Entry Name: TutorSSlotHits

Entry Type: Whole Number specifying number of hits. Default value is 5.

User permission is required to change entry


UG Load Option

This values determines the method that Unigraphics (UG) will use when searching for assembly component file when loading an UG assembly file.

Entry Name: UGLoadOption

Entry Type: Whole Number specifying UG load option. Default value is 0.

User permission is required to change entry

Value | Method | Meaning
0 | Load from directory | UG looks for the assembly component files in the same directory containing the assembly.
1 | Load from Search Directories | UG looks for a load_options.def file. This file contains a list of ordered directories UG will search to find the assembly component files.
2 | Load as Saved | UG uses the full path, as saved in the assembly, to load the component files.


Unicode Scripts

This value is used in conjunction with the basic script editor. It tells PC-DMIS how to interpret script files. When set to FASLE (0), PC-DMIS reads the files in as single byte character files. When set to TRUE (1), PC-DMIS reads the files in as Unicode (double-byte) character files. This setting is also controlled from the menu of the basic script editor.

Entry Name: UnicodeScripts

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Update Below Changed Alignment During Execution

This entry lets you control how PC-DMIS handles nominal values when you modify an alignment feature's theoretical values during execute mode.

Entry Name: UpdateBelowChangedAlignmentDuringExecution

Entry Type: Whole Number. The default value is 0.

User permission is required to change entry

If you set this entry to 0, then during execution if you change nominals, PC-DMIS will not internally update the features following the alignment in question. Their display will change in the edit window. This default behavior is consistent with how PC-DMIS has behaved in the past.

If you set this entry to 1, then during execution if you change nominals, PC-DMIS internally updates the features following the alignment in question. Their display in the edit window will not change, even though the nominal alignment has. This is equivalent to answering NO to the message box that asks if you want to update the commands with the new part alignment.

If you set this entry to 2, then during execution if you change nominals, PC-DMIS internally updates the features following the alignment in question. Their display in the edit window will change as a result of the nominal alignment changing. This is equivalent to answering YES to the message box that asks if you want to update the commands with the new part alignment.

See "Changing Alignment Nominal Values" in the "Creating and Using Alignments" section.


Update Database Always

This option allows PC-DMIS to update your statistical database software with the information in the XSTATS11.tmp file without the prompting you each time statistical data is collected and saved when this value is set to TRUE (1). If this option is set to FALSE (0), PC-DMIS will continue displaying this prompt before updating the database software.

Entry Name: UpdateDatabaseAlways

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry

See the "Tracking Statistical Data" section for more information.


Use Cad Id For Features

This value allows you to import feature ID's from a CAD file. When this option is set to TRUE (1), PC-DMIS automatically inputs the given CAD ID into the Auto Feature dialog box when the CAD feature is selected with a left mouse click. If you decide to keep this value, then the feature created will have the given ID.

Entry Name: UseCadIdForFeatures

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Use Circular Moves

PC-DMIS will automatically place circular move commands into the inside circular features as well as into the outside of circular features, when this option is set to TRUE (1). This is used with Circles, Cylinders, Cones, and Spheres. This state, however, is only relevant during learn mode. Once the circular/move commands are present inside features they remain there unless directly removed by the user.

Entry Name: UseCircularMoves

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Use Dea Thermal Comp

This option determines whether or not DEA thermal compensation is used. When this value is set to TRUE, then PC-DMIS uses the thermal compensation file (serv1.stp) to make adjustments for temperature changes.

Entry Name: UseDeaThermalComp

Entry Type: True/False Value. Default value is FALSE.

User permission is required to change entry

See the ThermalCompOCXPath topic.


Use Default Tolerances

This value is used internally by PC-DMIS. When this value is set to TRUE (1), PC-DMIS checks the Set Defaults check box on the Dimension tab of the Setup Options dialog box. When set to FALSE (0), the check box is unchecked.

Entry Name: UseDefaultTolerances

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Use Dmis Polar Convention

This option indicates whether polar coordinates are used on the feature. This property applies only to PC-DMIS commands that have support for polar coordinates. Polar convention is used when this value is set to TRUE (1).

Entry Name: UseDmisPolarConvention

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Use Find Noms Override For Scans

This option allows you to override found nominals when searching for nominal values for a scan's measured points when it executes. Overriding found nominals is enabled when this value is set to TRUE (1).

Note: The execution must fail to find at least one of the measured nominal point values for you to override the found nominals.

Entry Name: UseFindNomsOverrideForScans

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry

See "Overriding Found Nominals" in the "Editing a Part Program" section.


Use ISO Calculations

By default, PC-DMIS uses the 1983 ASME standard to perform calculations. This value allows you to switch to the ISO 1101 2004 standard in PC-DMIS 4.0 and higher. The ISO standard calculates the measured value as 2 times the max deviation. In the case of a profile, the tolerance is a diameter zone, all along the profile of the curve. This means the zone isn't just plus tolerance for one side and minus tolerance for the other. Additionally, a given single tolerance value is a diameter, not a radius.

Entry Name: UseISOCalculations

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Use Last Probe File Automatically In Operator Mode

When PC-DMIS is started, it will automatically use the last probe file that was used when in Operator Mode. If you would like to prompted to select a probe, you should set this value to FALSE (0). This will cause the Probe Utilities dialog box to be opened for probe selection for your new part program.

Entry Name: UseLastProbeFileAutomaticallyInOperatorMode

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry


Use Legacy Dimensions

PC-DMIS will use old-style dimensions when this value is set to TRUE(1). Otherwise the new GD&T style dimensions will be used.

Entry Name: UseLegacyDimensions

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0. The default value is "TRUE (1)" when using a portable device.

User permission is required to change entry


Use Legacy Slot Vector

This entry lets you specify the vector PC-DMIS will use when constructing an Intersect Point or Drop Point if one of the inputs is a slot. When this entry is set to TRUE (1), PC-DMIS will use the slot normal vector. When this entry is set to 0, PC-DMIS will use the slot centerline vector.

Entry Name: UseLegacySlotVector

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Use Old Interpolated Circular Moves

This entry lets you specify the algorithm that PC-DMIS uses to perform circular moves.

  • If you set this entry to 0, then PC-DMIS uses the new method for circular moves added to version 3.5. This move comes closer to the feature.

  • If you set this entry to 1, then PC-DMIS uses the old way of doing circular moves.

  • If you set this entry to 2, then PC-DMIS uses the original circular moves.

Entry Name: UseOldInterpolatedCircularMoves

Entry Type: Whole Number specifying New method (0), Old method (1), or Original method (2). Default value is 1.

Administrator permission is required to change entry


Use Point Method Find Hole

This entry lets you specify whether or not PC-DMIS uses sample hits to measure a newly found hole. If you set this entry to TRUE (1), then holes will be measured as they were in PC-DMIS version 2.3, without using sample hits. If you set this entry to FALSE (0), then holes are measured using sample hits.

Entry Name: UsePointMethodFindHole

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Use Priority Surfaces Only

PC-DMIS searches for nominal values for a scan's measured points on only the priority surfaces set in the Edit CAD Elements dialog box. This value is only in effect during execution and when it is set to TRUE (1).

Entry Name: UsePrioritySurfacesOnly

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry

See "Editing CAD" in the "Editing the CAD Display" section.


Use Program Layout For Execution

When this option is set to TRUE (1), the PC-DMIS Program Layout is used during execution rather than the Execution Layout.

Entry Name: UseProgramLayoutForExecution

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0. The default value is "TRUE (1)" when using a portable device or a Vision system.

User permission is required to change entry


Use Test Pos

Documentation Pending


Use Trax With SP600

The default 3D calibration algorithm for the SP600 has been changed to Trax. Of course you are free to try out which algorithm works best for your particular situation.

If using Trax calibration for the SP600, the effective tip size generated from the calibration will differ from the design value.

If using Trax calibration for non-SP600 analog probes on the Wetzlar machines, the design value of the tip size is used because tip size deviation is handled differently.

If using non-Trax calibration, the design value of the tip size is used.

Entry Name: UseTraxWithSP600

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry


Use Volvo Deviation Letters

When this value is set to TRUE (1), the part program will display F/B/I/O/H/L after the deviation to identify the direction of the error on the car.

Entry Name: UseVolvoDeviationLetters

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Valisys Error Delay

This value provides a delay for accumulation of errors received from the controller. This is useful, because sometimes more than one error message is received from the controller, but Valisys can only handle one error message. With this delay, it will accumulate the error messages until the end of the delay period and send them all as one string to Valisys.

Entry Name: ValisysErrorDelay

Entry Type: Whole Number to specify milliseconds. Default value is 1500

User permission is required to change entry


V Length 0

See “Command Identification - ID Length” for more information.


V Ltrs 0

See “Command Identification - ID Letters” for more information.


V Start 0

See “Command Identification - ID Starting Number” for more information.


Wait For Ack In Master Slave Mode

This value determines whether acknowledgment (ACK) is used for communication between dual arm machines. Both the master and slave computer must be set to the same value for proper communication. When the value is set to TRUE (1), both computers will acknowledge that strings that are passed between the two machines are sent and received correctly. This ensures that the needed stings are available on the each machine and that they are received in the correct order. Using ACK is beneficial for poorly performing networks.

Entry Name: WaitForAckInMasterSlaveMode

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 1.

Administrator permission is required to change entry


Warn(options)

Warn(option)

PC-DMIS uses warnings to ensure that actions that are executed are wanted. You disable these warnings so that you will not be prompted in the future. Warnings are enabled by default (TRUE 1).

Entry Name: Warn(option)

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry

Available Options:

CadEqPart

CancelProbe

CantFindNoms

CarryNoms

CarryTols

CFetInOutConflict

CMMNeedHome

CmtInsertQuest

CursorNotAtEOF

DelAlignFeat

DelFeat

DimCarryNewAxes

EqSpace

ErrorOpeningSTPFile

EWMaxLinesExceeded

HitsEqualTheo

InitRotHead

InsLegalPos

InsNewTmpComp

InsPH9Cmnd

InsRecallViewset

KeepCancelStats

LoadProbe

MarkSetDel

MeasAllTips

NewLoadprobe

NoLegalIns

NoSavePrg

OfNonPlanar

OfZChanged

OkCannotFindCADNoms

OkChangeTheos

OkDelRefCmnd

OkDoneHoming

OkMarkManual

OkMovPh9

OkNewDimID

OkRotPh9

OkRotTab

OkToHome

OkUpdateAfterWorkplane

OkUpdateFeatID

OkUpdateNoms

OkUpdateTheos

OkUsePh

OverwritingAlignment

PartProbeData

PostAvailShtMtl

PrintReport

ProbeCalOnDiffDates

ProbeFileConvert

ProbeWarning

RemeasurePnts

ResetRotTable

ResumeExecStats

SaveBeforeClose

SaveMeasNewTargs

SaveProbeFile

ScanFlipVecs

ScanInsHits

ScanMisHitFromSrce

ScanNewNomsTol

ScnDCCHitError

SetIdAsDefault

SureToExitPCDMIS

SurPeirceOutOFTol

Switch2Structural

TheoToTargs

TipAboutToRot

TipNotCal

TipNotCalRecently

ToolMoved

UpdateDatabase

UpdateMeasAlso

UseLastExeOrdr

UseStructOCX

UsingOldVersion

ViewNameInUse

YESInsNOReplc


WebEx URL

This value provides the Internet address for connecting to WebEx for Internet support.

Entry Name: WebExURL

Entry Type: Character String specifying the WebExURL. Default value is None ( http://Scapi.webex.com/scapi/m.php ).

User permission is required to change entry

See the "Connecting to Internet Support" topic for more information.


Weight 0

This value is no longer used


Weight 250

This value is no longer used


Weight 500

This value is no longer used


Weight 700

This value is no longer used


Zeiss Wrist

This value specifies whether a ZEISS wrist (such as the DSE wrist) is present. When this value is set to TRUE (1), capabilities for your infinite wrist are enabled.

Entry Name: ZeissWrist

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

Administrator permission is required to change entry


Command Identification - ID Length

The Length value determines the length of the identification for the various commands. A length between 0-15 digits may be used. If this length is set, PC-DMIS will append zeros to the ID letters to make up the necessary length.

For example: ID Length = 10, ID Letters = CIRCLE.
PC-DMIS will generate an ID = CIRCLE0001, etc. This is done only if the Length is set.

Entry Name: (A,C,COPOper,CS,D,FCF,F,L,Q,V)Length(0-17)

Entry Type: Whole Number to specify number of digits. Default value is 0.

User permission is required to change entry

Note: Preferably this value should be set from the ID Setup tab of the SetUp Options (F5) dialog box within PC-DMIS.

Command Key:

ALength0 | Alignments
CLength0 | Comments
COPOperLength0 | Pointcloud Operator
CSLength0 | Call Subs
DLength(0-16) | Dimension/Angle - Symmetry
FCFLength(0-16) | Feature Control Frame
FLength(0-17) | Feature/Blobs - Surfaces
LLength0 | Label
QLength0 | SPC Queries
VLength0 | Variables

See Also:

Command Identification - ID Letters

Command Identification - ID Starting Number


Command Identification - ID Letters

The Starting Letters value determines the first letter(s) that will be used in the identification process. PC-DMIS will always display the ID using capital letters. Up to 15 characters can be typed in.

Entry Name: (A,C,COPOper,CS,D,FCF,F,L,Q,V)Ltrs(0-17)

Entry Type: Character String to specify starting letters. Default value varies.

User permission is required to change entry

Note: Preferably this value should be set from the ID Setup tab of the SetUp Options (F5) dialog box within PC-DMIS.

Command Key:

ALtrs0 | Alignments
CLtrs0 | Comments
COPOperLtrs0 | Pointcloud Operator
CSLtrs0 | Call Subs
DLtrs(0-16) | Dimension/Angle - Symmetry
FCFLtrs(0-16) | Feature Control Frame
FLtrs(0-17) | Feature/Blobs - Surfaces
LLtrs0 | Label
QLtrs0 | SPC Queries
VLtrs0 | Variables

See Also:

Command Identification - ID Length

Command Identification - ID Starting Number


Command Identification - ID Starting Number

The Starting Number value determines the first number that will be used in the identification process. Any number between 1 and 9999 can be entered.

Entry Name: (A,C,COPOper,CS,D,FCF,F,L,Q,V)Start(0-17)

Entry Type: Whole Number to specify starting number. Default value is 1.

User permission is required to change entry

Note: Preferably this value should be set from the ID Setup tab of the SetUp Options (F5) dialog box within PC-DMIS.

Command Key:

AStart0 | Alignments
CStart0 | Comments
COPOperStart0 | Pointcloud Operator
CSStart0 | Call Subs
DStart(0-16) | Dimension/Angle - Symmetry
FCFStart(0-16) | Feature Control Frame
FStart(0-17) | Feature/Blobs - Surfaces
LStart0 | Label
QStart0 | SPC Queries
VStart0 | Variables

See Also:

Command Identification - ID Length

Command Identification - ID Letters


Parameters

This section of the PC-DMIS Settings Editor sets global commands for several of PC-DMIS's system options. If these parameters are changed within PC-DMIS, the PC-DMIS Settings Editor will reflect the changes. Likewise, options that are set in the PC-DMIS Settings Editor will be displayed in the appropriate tab of the Parameter Settings dialog box (Edit | Preferences | Parameters)

More:

acceptEULAdate

AnimatedMachineArmOverlap

CheckDistance

ClampValue

DefaultDimFormatOrder(0-6)

DefaultPointInfoColumns

DefaultPointInfoID

DefaultPointInfoLeader

DefaultPointInfoOrder(0-3)

DefaultPointInfoType

Dimension132Columns

DimensionColorDimLimits

DimensionColorNumZones

DimensionColorTol(1-20)

DimensionColorTolOutNeg

DimensionColorTolOutPos

DimensionDevSymbols

DimensionHeadings

DimensionId

DimensionOptions

DimensionStdDev

DimensionText

FindHoldCheckPercent

FindHoleCheckPercent

installDate

ManHitRetract

MoveSpeedPercentage

PrehitDistance

RetractDistance

ScanSpeedPercentage

ShowAnalysisHistogram

ShowAnalysisMaxMin

ShowAnalysisStats

ShowProfileOptions

TouchSpeedPercentage


accept EULA date

This stores a bit string with the date and time that the End User License Agreement for PC-DMIS was accepted. Do not alter this value.

Entry Name: acceptEULAdate

Entry Type: Unsigned integer specifying date and time. Default value is None ( ).

User permission is required to change entry


Animated Machine Arm Overlap

This value provides the machine arm overlap for the display of dual arm configurations in the Graphics Display Window. The provided value will overlap the two measuring volumes by this value. Both positive and negative values can be used. Negative values create a gap of the specified distance between the two measuring volumes.

Entry Name: AnimatedMachineArmOverlap

Entry Type: Real Number specifying overlap distance in mm. Default value is 100.

User permission is required to change entry


Check Distance

This value provides the distance in either inches or millimeters (depending on the measurement system used for the part) beyond the theoretical hit location that the machine will continue to search for the surface of the part until it determines the surface is not there.

Entry Name: CheckDistance

Entry Type: Real Number specifying distance. Default value is 0.

User permission is required to change entry


Clamp Value

The Clamping Value only works with the Leitz controller and the Leitz brand TTP. This value tells the controller how firmly to hold the probe on a Leitz CMM. For a large tip weight, you may need to increase the clamping value. For a small tip weight, you may need to decrease the clamping value.

Entry Name: ClampValue

Entry Type: Real Number specifying clamp pressure. Default value is 0.

User permission is required to change entry


Default Dim Format Order (0-6)

These seven values determines the order that dimensions are displayed. The values for 0-6 refer to the display order of 1-7 respectively. For example, if you assign DefaultDimFormatOrder0 to 3, then the measured value would be displayed first.

Entry Name: DefaultDimFormatOrder(0-6)

Entry Type: Whole Number specifying Dimension option. Default value is 0.

User permission is required to change entry

Dimension Output Key

0 | None
1 | Nominal
2 | Tolerance
3 | Measured
4 | MaxMin
5 | Deviation
6 | Out of Tol
7 | Dev Angle


Default Point Info Columns

When this value is set to TRUE (1), the Point info headings are displayed in the Point Info text box.

Entry Name: DefaultPointInfoColumns

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Default Point Info ID

When this value is set to TRUE (1), the Feature ID is displayed in the Point Info text box.

Entry Name: DefaultPointInfoColumns

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Default Point Info Leader

When this value is set to TRUE (1), a leader line is displayed from the text box to the point location.

Entry Name: DefaultPointInfoLeader

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Default Point Info Order (0-3)

These four values determine the order that point information will be displayed in the Point Info text box. See the table below for information on what each value represents. Place the numbers 1-4 next the these values in the order that you would like them displayed.

Entry Name: DefaultPointInfoOrder(0-3)

Entry Type: Whole Number specifying display order. Default value is 0.

User permission is required to change entry

Point Info Text Box Order Key:

DefaultPointInfoOrder0 | Hit Number
DefaultPointInfoOrder1 | Point
DefaultPointInfoOrder2 | Vector
DefaultPointInfoOrder3 | Deviation


Default Point Info Type

When this value is set to TRUE (1), the Feature Type is displayed in the Point Info text box.

Entry Name: DefaultPointInfoType

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Dimension 132 Columns

This option controls the printing format of feature locations in the inspection report. When this value is set to TRUE (1), PC-DMIS will print all feature locations in a 132 column format.

Entry Name: Dimension132Columns

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry

The following describes the columns in the 132 column printout format:

Column 1 to 10:X nominal
Column 11 to 20:X measured
Column 21 to 28:X deviation
Column 31 to 40:Y nominal
Column 41 to 50:Y measured
Column 51 to 58:Y deviation
Column 61 to 70:Z nominal
Column 71 to 80:Z measured
Column 81 to 88:Z deviation
Column 91 to 100T error (normal to surface error)
Column 101 to 101Out of Tol flag "*"
Column 104 to 105Feature type
Column 108 to 117Feature ID
Column 118 to 127Measured Diameter if any


Dimension Color Dim Limits

This value provides the number of the color that is displayed when a dimension has a value that has reached the limit.

Entry Name: DimensionColorDimLimits

Entry Type: Whole Number specifying color value. Default value is 16711680 (blue).

User permission is required to change entry

Note: It is best to alter this value inside of PC-DMIS from the Edit Dimension Color dialog box accessed from the Edit | Graphics Display Window | Dimension Color... menu item. This value serves as a place holder for the last used value.


Dimension Color Multiple Zone

This value stores a scale factor (multiplier) to the part-program-defined tolerance zone. This allows you to have more flexible controls to the tolerance zone, whether extending or shrinking the tolerance zone. The default value of 1.0 displays a tolerance range up to 100% out of tolerance. A value of 2.0 would display a tolerance range up to 200% out of tolerance.

You must click Recall from the Edit Dimension Color dialog box to retrieve the value that is stored here. Likewise, clicking Default stores the Tolerance Zone Multiplier value of the Edit Dimension Color to this registry value.

Entry Name: DimensionColorMultipleZone

Entry Type: Real Number specifying zone multiplier. The default is None (1).

User permission is required to change entry


Dimension Color Num Zones

This value defines the number of tolerance zones that are displayed for the range dimension values that are within tolerance. Percentage of tolerance values will be evenly divided among the specified zones.

You must click Recall from the Edit Dimension Color dialog box to retrieve the value that is stored here. Likewise, clicking Default stores the Tolerance Zone Multiplier value of the Edit Dimension Color to this registry value.

Entry Name: DimensionColorNumZones

Entry Type: Whole Number specifying number of zones. Default value is 0.

User permission is required to change entry


Dimension Color Show In Two Directions

The default value of FALSE will cause the lower dimension color zones range to expand to –Tol instead of zero. When this value is set to TRUE, then tolerance zones will show tolerance colors in both positive and negative directions from 0. User will be allowed to define the negative dimension colors and positive dimension colors separately.

You must click Recall from the Edit Dimension Color dialog box to retrieve the value that is stored here. Likewise, clicking Default stores the Tolerance Zone Multiplier value of the Edit Dimension Color to this registry value.

Entry Name: DimensionColorShowInTwoDirections

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


Dimension Color Tol (1-20)

These value provide the numbers for the range of the colors that are displayed for dimensions that are still within tolerance in varying percentages.

Entry Name: DimensionColorTol(1-20)

Entry Type: Whole Number specifying color values. Default value varies.

User permission is required to change entry

Note: It is best to alter these values inside of PC-DMIS from the Edit Dimension Color dialog box accessed from the Edit | Graphics Display Window | Dimension Color... menu item. These values serve as a place holders for the last used values.


Dimension Color Tol Out Neg

This value provides the number of the color that is displayed when a dimension is out of tolerance with a negative value.

Entry Name: DimensionColorTolOutNeg

Entry Type: Whole Number specifying color value. Default value is 65535 (yellow).

User permission is required to change entry

Note: It is best to alter this value inside of PC-DMIS from the Edit Dimension Color dialog box accessed from the Edit | Graphics Display Window | Dimension Color... menu item. This value serves as a place holder for the last used value.


Dimension Color Tol Out Pos

This value provides the number of the color that is displayed when a dimension is out of tolerance with a positive value.

Entry Name: DimensionColorTolOutPos

Entry Type: Whole Number specifying color value. Default value is 255 (red).

User permission is required to change entry

Note: It is best to alter this value inside of PC-DMIS from the Edit Dimension Color dialog box accessed from the Edit | Graphics Display Window | Dimension Color... menu item. This value serves as a place holder for the last used value.


Dimension Dev Symbols

This option determines whether PC-DMIS shows the deviation within the set range. If the out of tolerance range is high, PC-DMIS will indicate the deviation using the "greater than" symbol (>) on the right side of the line. If the out of tolerance range is low, PC-DMIS will indicate the deviation using the "less than" symbol (<). Symbols are used when this value is set to TRUE (1).

Entry Name: DimensionDevSymbols

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry

For example:
Nominal = 0.00
Measured = 0.02
Positive Tolerance = 0.10
Negative Tolerance = 0.20
Total Tolerance Range = (.10 - (-.20)) = .30
Percentage = 100*(.02 - (-.20))/.3 = 73.3 %
- - - - - - # - - looks at the % and shifts based on the %.


Dimension Headings

This option controls the column headings on the inspection report. When this option is set to FALSE (0), then PC-DMIS will not print any column headings.

Entry Name: DimensionHeadings

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry


Dimension Id

This value represents the name of the dimension for which the dimension information object will be showing information.

Entry Name: DimensionId

Entry Type: Whole Number specifying Dimension ID number. Default value is 0.

User permission is required to change entry


Dimension Options

This option controls whether or not the dimension options will be displayed in the Edit window for any dimensions that follow the command. The options that will be displayed when this option is set to TRUE (1) include:

  • Units

  • Graphical analysis

  • Textual analysis

  • Arrow multiplier

  • Output options

Entry Name: DimensionOptions

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry


Dimension Std Dev

PC-DMIS displays the standard deviation of features when this value is set to TRUE (1).

Entry Name: DimensionStdDev

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Dimension Text

This option controls whether or not the dimension text will be displayed in the Edit window for any dimensions that follow the command. Dimension text is displayed when this value is set to TRUE (1).

Entry Name: DimensionText

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry


Find Hold Check Percent

This value is no longer used.


Find Hole Check Percent

This value determines the percent of the total distance moved when performing a Find Hole operation. Be aware that if you type 1, the value is equal to 100 percent. Thus, 100% would be entered as 1, 25% would be entered as .25, and 10% would be .10.

Entry Name: FindHoleCheckPercent

Entry Type: Real Number specifying percentage. Default value is 1 (100%).

User permission is required to change entry


install Date

This stores a bit string with the date and time when PC-DMIS was installed. Do not alter this value.

Entry Name: installDate

Entry Type: Unsigned integer specifying date and time. Default value is None ( ).

Administrator permission is required to change entry


Man Hit Retract

This value specifies the retract distance the CMM will automatically travel after a manual hit is taken.

Entry Name: ManHitRetract

Entry Type: Real Number specifying distance. Default value is 2.54.

User permission is required to change entry


Move Speed Percentage

This value provides the point to point positioning speed of the CMM. The value that is entered is a percentage (1 to 100%) of the maximum machine speed.

Entry Name: MoveSpeedPercentage

Entry Type: Real Number specifying percentage. Default value is 100.

User permission is required to change entry


Prehit Distance

This value specifies the value for the machine prehit distance. This is the distance away from the surface where PC-DMIS starts searching for the part.

Entry Name: PrehitDistance

Entry Type: Real Number specifying distance. Default value is 2.54.

User permission is required to change entry


Retract Distance

This value defines the distance the probe retracts from the surface after taking a hit.

Entry Name: RetractDistance

Entry Type: Real Number specifying distance. Default value is 2.54.

User permission is required to change entry


Scan Speed Percentage

This value specifies the speed at which the CMM will scan the part. The value that is entered is a percentage of the maximum machine speed.

Entry Name: ScanSpeedPercentage

Entry Type: Real Number specifying percentage. Default value is 0.

User permission is required to change entry


Show Analysis Histogram

When this option is set to TRUE (1), PC-DMIS displays a histogram of the deviations for each point. Histograms can be moved to new locations within the Analysis window.

Entry Name: ShowAnalysisHistogram

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Show Analysis Max Min

When this option is set to TRUE (1), PC-DMIS displays the maximum and minimum deviations to be indicated with a '*+' or '*-' symbol.

Entry Name: ShowAnalysisMaxMin

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Show Analysis Stats

When this option is set to TRUE (1), PC-DMIS displays various statistics in the Analysis window. Otherwise, when the value is FALSE (0) dimensional information text will not be displayed (for any dimensions).

Entry Name: ShowAnalysisStats

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Show Profile Options

This value is used internally by PC-DMIS. It determines which Profile Dimensions are shown in the Analysis window. Do not alter this value.


Touch Speed Percentage

This value specifies the speed at which the CMM takes hits. The value that is entered is a percentage of the maximum machine speed, and cannot exceed twenty percent.

Entry Name: TouchSpeedPercentage

Entry Type: Real Number specifying percentage. Default value is 2.

User permission is required to change entry


Pointcloud Operator

This section of the PC-DMIS Settings Editor discusses parameters that provide conditions by which Pointcloud Operator commands are executed.

More:

BooleanType

ColmapLowTol

ColmapUpTol

ColorMapRefineCADFactor

ColorMapValidateCadNormals

Cross Section Delta

CrossSectionLength

CrossSectionStep

ExportType

Filename

FilterType

ImportType

InType

Normal-(XYZ)

OperType

PointmapDotLightingOn

PointmapDotSize

PointmapScale

SelectionType

ShowPointmapDevDots

ShowPointmapDevLabels

ShowPointmapDevNeedles

StartPoint-(XYZ)


Boolean Type

This value determines the default Boolean type that is displayed in the Pointcloud Operator dialog box.

Entry Name: BooleanType

Entry Type: Whole Number specifying the default Boolean type. Default value is 0.

User permission is required to change entry

Number Key:

0 | None
1 | Complement
2 | Unite
3 | Intersect
4 | Difference

See the "BOOLEAN" topic of the PC-DMIS Laser help file for more information.


Clean Cop Max Distance

This value is used in conjunction with the COPOPER/CLEAN operation that is used to eliminate outliers by using the distance of the points to the CAD model of the part. The Max Distance indicates the maximum distance of a point to the CAD model for which the point is considered an outlier

Entry Name: CleanCopMaxDistance

Entry Type: Real Number specifying max distance. The default is None (0).

User permission is required to change entry


Colmap Low Tol

This value provides the default Lower Tolerance value that is displayed in the Pointcloud Operator dialog box for a Point or Face Colormap operator.

Entry Name: ColmapLowTol

Entry Type: Real Number specifying lower tolerance. Default value is -1.

User permission is required to change entry

See the "FACE COLORMAP" or "POINT COLORMAP" topics of the PC-DMIS Laser help file for more information.


Colmap Up Tol

This value provides the default Upper Tolerance value that is displayed in the Pointcloud Operator dialog box for a Point or Face Colormap operator.

Entry Name: ColmapUpTol

Entry Type: Real Number specifying upper tolerance. Default value is 1.

User permission is required to change entry

See the "FACE COLORMAP" or "POINT COLORMAP" topics of the PC-DMIS Laser help file for more information.


Color Map Face Max Distance

This value is used in conjunction with the COPOPER/FACE COLORMAP operation. The Max Distance value allows you to discard the effect on the colormap of points located at a distance greater than this value.

Entry Name: ColorMapFaceMaxDistance

Entry Type: Real Number specifying max distance. The default is None (0).

User permission is required to change entry


Color Map Refine CAD Factor

Increasing or decreasing this value allows you to adjust the display of a Face Colormap.

Entry Name: ColorMapRefineCADFactor

Entry Type: Real Number specifying Refine factor. Default value is 1.

User permission is required to change entry


Color Map Validate Cad Normals

When this value is set to TRUE (1), PC-DMIS will correct CAD surface normals and make them consistent when creating a face colormap, or point colormap. For a solid, all normals are oriented outside of the material. For non-solid models normals of adjacent faces are oriented in the same direction.

Entry Name: ColorMapValidateCadNormals

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0. Default value is 0.

User permission is required to change entry


Cross Section Delta

This value indicates the default value for the maximum distance from the plane for a point to be considered part of the cross section. This value is displayed in the Pointcloud Operator dialog box for a Cross Section operator.

Entry Name: Cross Section Delta

Entry Type: Real Number specifying the Cross Section delta value. Default value is 0.05.

User permission is required to change entry

See the "CROSS SECTION" topic of the PC-DMIS Laser help file for more information.


Cross Section Length

This value indicates the default value for the maximum distance between the first and last plane. This value is displayed in the Pointcloud Operator dialog box for a Cross Section operator.

Entry Name: CrossSectionLength

Entry Type: Real Number specifying Cross Section length. Default value is 100.

User permission is required to change entry

See the "CROSS SECTION" topic of the PC-DMIS Laser help file for more information.


Cross Section Step

This value indicates the default distance between the planes. The step value is held in the INCREMENT parameter in the Edit Window. This value is displayed in the Pointcloud Operator dialog box for a Cross Section operator.

Entry Name: CrossSectionStep

Entry Type: Real Number specifying Cross Section step. Default value is 10.

User permission is required to change entry

See the "CROSS SECTION" topic of the PC-DMIS Laser help file for more information.


Export Type

This value determines the default Export type that is displayed in the Pointcloud Operator dialog box.

Entry Name: ExportType

Entry Type: Whole Number specifying the default Export type. Default value is 0.

User permission is required to change entry

Number Key:

0 | None
1 | IGES
2 | XYZ

See the "EXPORT" topic of the PC-DMIS Laser help file for more information.


Filename

This value determines the default filename that will used for an Export operator, displayed in the Pointcloud Operator dialog box.

Entry Name: Filename

Entry Type: Character String specifying export filename. Default value is None ( ).

User permission is required to change entry

See the "EXPORT" topic of the PC-DMIS Laser help file for more information.


Filter Type

This value determines the default Filter type that is displayed in the Pointcloud Operator dialog box.

Entry Name: FilterType

Entry Type: Whole Number specifying the default Filter type. Default value is 0.

User permission is required to change entry

Number Key:

0 | None
1 | Uniform
2 | Curvature
3 | Random

See the "FILTER" topic of the PC-DMIS Laser help file for more information.


Import Type

This value determines the default Import type that is displayed in the Pointcloud Operator dialog box.

Entry Name: ImportType

Entry Type: Whole Number specifying the default Import type. Default value is 0.

User permission is required to change entry

Number Key:

0 | None
1 | XYZ

See the "IMPORT" topic of the PC-DMIS Laser help file for more information.


In Type

This value determines the default In or Out value that is used for the Selection operator of the Pointcloud Operator dialog box. In keeps the points inside the selection, while Out keeps the points outside the selection.

Entry Name: InType

Entry Type: Whole Number specifying IN (0) or OUT (1). Default value is 0.

User permission is required to change entry

See the "SELECT" topic of the PC-DMIS Laser help file for more information.


Normal-(XYZ)

These values indicate the default direction of the normal vector that is displayed in the Pointcloud Operator dialog box. The direction value is defined with the NORMAL parameter in the Edit Window.

Entry Name: Normal-(XYZ)

Entry Type: Real Number specifying IJK values. Default values are X(I)=0, Y(J)=0, & Z(K)=1.

User permission is required to change entry

See the "CROSS SECTION" topic of the PC-DMIS Laser help file for more information.


Oper Type

This value determines the default Operator type that will displayed in the Pointcloud Operator dialog box.

Entry Name: OperType

Entry Type: Whole Number specifying the default Operator type. Default value is 0.

User permission is required to change entry

Number Key:

0 | None
1 | Import
2 | Export
3 | Filter
4 | Select
5 | Boolean
6 | Face Colormap
7 | Reset
8 | Purge
9 | Complement
10 | Empty
11 | Cross Section
12 | Point Colormap

See the "Operator" topic of the PC-DMIS Laser help file for more information.


Pointmap Dot Lighting On

This option allows you specify whether dots/disks change color when the user rotates the model. Dots/disks of the pointcloud will change color when this value is set to TRUE because lighting is enabled; whereas they will not change color when set to FALSE because lighting is disabled.

Entry Name: PointmapDotLightingOn

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


Pointmap Dot Size

This value determines the size of the dots that are displayed as part of a Point Colormap.

Entry Name: PointmapDotSize

Entry Type: Real Number specifying number of pixels. Default value is 2.

User permission is required to change entry

See the "POINT COLORMAP" topic of the PC-DMIS Laser help file for more information.


Pointmap Exact Computation

This value is useful to help improve the speed of point cloud color mapping for rather large CAD files. When this value is set to TRUE (1), the exact computations of the deviations are used rather than using the tessellated geometry for the deviations. Using the tessellated geometry improves the speed of the color mapping.

Entry Name: PointmapExactComputation

Entry Type: Whole Number specifying TRUE (1) ot FALSE (0). Default value is None (0).

User permission is required to change entry


Pointmap Scale

This value provides a scale for the needles that represent the deviation normal to the CAD.

Entry Name: PointmapScale

Entry Type: Real Number specifying ... Default value is 10.

User permission is required to change entry

See the "POINT COLORMAP" topic of the PC-DMIS Laser help file for more information.


Selection Type

This value determines the default Selection type that will displayed in the Pointcloud Operator dialog box.

Entry Name: SelectionType

Entry Type: Whole Number specifying the default Selection type. Default value is 1.

User permission is required to change entry

Number Key:

1 | Box
2 | Circle
3 | Sphere
4 | Polygon

See the "SELECT" topic of the PC-DMIS Laser help file for more information.


Show Pointmap Dev Dots

When this value is set to TRUE (1), deviation Dots are displayed as part of the Point Colormap.

Entry Name: ShowPointmapDevDots

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry

See the "POINT COLORMAP" topic of the PC-DMIS Laser help file for more information.


Show Pointmap Dev Labels

When this value is set to TRUE (1), the numerical values of the deviation are displayed as part of the Point Colormap.

Entry Name: ShowPointmapDevLabels

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry

See the "POINT COLORMAP" topic of the PC-DMIS Laser help file for more information.


Show Pointmap Dev Needles

When this value is set to TRUE (1), deviation needles are displayed as part of the Point Colormap. Needles are represented by a colored line that normal to the CAD.

Entry Name: ShowPointmapDevNeedles

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry

See the "POINT COLORMAP" topic of the PC-DMIS Laser help file for more information.


Start Point-(XYZ)

These values indicate the default coordinates of a point belonging to the first plane cutting the pointcloud that is displayed in the Pointcloud Operator dialog box. The start point value is defined with the START PT parameter in the Edit Window.

Entry Name: Start-(XYZ)

Entry Type: Real Number specifying XYZ values. Default values are X=0, Y=0, & Z=0.

User permission is required to change entry

See the "CROSS SECTION" topic of the PC-DMIS Laser help file for more information.


Pointcloud

This section of the PC-DMIS Settings Editor discusses parameters that provide conditions by which Pointcloud commands are executed.

More:

PointColormapRealTimeDisplayOfScannedData

RealTimeDisplayOfScannedData


Point Colormap Real Time Display Of Scanned Data

When this value is set to TRUE (1), the Point Colormap that is created from the scanned data is displayed as it is created from the scanned data. The "RealTimeDisplayOfScannedData" value must be set to TRUE (1) for this value to be used.

Entry Name: PointColormapRealTimeDisplayOfScannedData

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is None (0).

User permission is required to change entry


Real Time Display Of Scanned Data

When this value is set to TRUE (1), scanned data is displayed as it is collected during the scan.

Entry Name: RealTimeDisplayOfScannedData

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is None (1).

User permission is required to change entry


Printing

This section of the PC-DMIS Settings Editor allows you to set parameters that are used for printing from PC-DMIS to printers of output files (RTF or PDF).

It currently has the DoNotUseAmyuniRTF entry


Do Not Use Amyuni RTF

This value is used to determine if PC-DMIS will use the old-style RTF output rather than the Amyuni RTF output.

Entry Name: DoNotUseAmyuniRTF

Entry Type: Whole Number to specify RTF output option. Default value is (0).

User permission is required to change entry

Output Option Key:

0 | RTF output uses Amyuni RTF output.
1 | RTF output uses the old style RTF if you have selected the RTF output option via the Report Print Options dialog box before the program was executed. Setting the PRINT/REPORT command to RTF will not work correctly for this value.
2 | RTF output uses the old style RTF even if you have not set the option to “Print to RTF” in the Report Print Setup dialog box before the program was executed. This is useful for the Blade program where the wrong control would be used for reporting resulting in nothing being output if the flag was set to 1. Under all conditions the correct text object is used to display text in the report window.


Probe Cal

This section of the PC-DMIS Settings Editor displays the default Probe Calibration parameters.

This portion also stores some options used with a Rotary Table Calibration that can be seen only when the Rotary Table option is available in your system.

The following entries are some of the default Probe Calibration parameters. Generally you shouldn't need to change these entries; however, this depends on your qualification tool's shank and the stylus' diameter.

More:

DefaultProbeComponents

DefMode

DefMoveSpeed

DefNumHits

DefPreHit

DefToolName

DefToolName2

DefToolName3

DefTouchSpeed

FullSphereAngleCheck

LaserProbeNumStripes

LaserProbeSpheAreaPerc

ProbeCalOrder

ProbeCreateReplaceWristMap

ProbeQualAnalogDiskBottomHitsDistanceFromEdge

ProbeQualAnalogDiskPlaneStartAngle

ProbeQualEndAngle

ProbeQualLargeToolEndAngle1

ProbeQualLargeToolStartAngle1

ProbeQualMode

ProbeQualNumLevels

ProbeQualRingDontUpdateTipDiameter

ProbeQualRingPlaneRadius

ProbeQualRingZSamples

ProbeQualSmallToolEndAngle1

ProbeQualSmallToolStartAngle1

ProbeQualStartAngle

ProbeQualToolDiameterCutoff

ProbeQualVisionAngleEnd

ProbeQualVisionAngleStart

ProbeQualVisionCircleFocusRangeThreshhold

ProbeQualVisionCircleFocusXFOVDenom

ProbeQualVisionCircleFocusYFOVDenom

ProbeQualVisionDOFFocusMultiplier

ProbeQualVisionFaceFocusXFOVDenom

ProbeQualVisionFaceFocusYFOVDenom

ProbeQualVisionRingFaceToHoleFocusOffset

ProbeQualVisionRingFaceToHoleFocusOffsetAutoUpdate

ProbeQualVisionXYIllum

ProbeQualVisionXYIllumPercent

ProbeQualVisionZIllum

ProbeQualVisionZIllumPercent

ProbeQualVisionZones

ProbeQualVisionZonesCoveragePercent

ProbeQualVisionZSamples

ProbeShankCheck

ProbeShankNumHits

ProbeShankOffset

ProbeToolOnTable

ProbeToolOver(IJK)

ProbeUseWristMap

RotabAngle(1-36)

UseAnalogSamplingLatitudeStart

UseAnalogSamplingNumHits

UseAnalogSamplingNumLevels


Default Probe Components

This value store the last used contact probe components.

Entry Name: DefaultProbeComponents

Entry Type: Character String specifying probe component name. Default value is None ( ).

User permission is required to change entry


Def Mode

When this option is set to TRUE (1), PC-DMIS will take the number of indicated hits around the spherical tool at either 10 or 15 degrees from the equator, plus one additional hit normal to the probe, 90 degrees from the equator. Otherwise, calibration occurs according to user defined parameters.

Entry Name: DefMode

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Def Move Speed

This value defines the default move speed that will be used during calibration. This is defined in terms of percentage of full speed for you machine. A percentage value should be between 1% and 100%.

Entry Name: DefMoveSpeed

Entry Type: Real Number specifying the percentage. Default value is 20.

User permission is required to change entry


Def Num Hits

This value specifies the number of hits that PC-DMIS will use to measure the probe, based on the Calibrate Mode. The default number of Hits is 5.

Entry Name: DefNumHits

Entry Type: Whole Number specifying number of hits. Default value is 5.

User permission is required to change entry


Def Pre Hit

This value allows you to specify the pre-hit and the hit retract for the probe calibration.

Entry Name: DefPreHit

Entry Type: Real Number specifying distance. Default value is 0.1.

User permission is required to change entry


Def Tool Name

This value provides the name of the last qualification tool that was used to calibrate your probe.

Entry Name: DefToolName

Entry Type: Character String specifying tool name. Default value is None ( ).

User permission is required to change entry


Def Tool Name 2

This value is no longer used.


Def Tool Name 3

This value is no longer used.


Def Touch Speed

This value allows you to specify the touch speed for the probe calibration.

Entry Name: DefTouchSpeed

Entry Type: Real Number specifying percentage. Default value is 2.

User permission is required to change entry


Full Sphere Angle Check

This angle value determines whether or not PC-DMIS measures the entire sphere. If the difference between the shank vector and the probe vector is greater than this angle, then PC-DMIS measures the entire sphere. If not, the other parameters in the ProbeCal section will regulate the measurement pattern on the sphere.

Entry Name: FullSphereAngleCheck

Entry Type: Real Number specifying angle in degrees. The default is 25.

User permission is required to change entry


Laser Probe Num Stripes

This value provides the number of stripes for each quadrant. Each sensor requires a minimum number of stripes in every quadrant. However you are not limited to that number. You can specify more than the minimum if you prefer.

Entry Name: LaserProbeNumStripes

Entry Type: Whole Number specifying angle in degrees. The default is 5.

User permission is required to change entry


Laser Probe Sphe Area Perc

This value allows you to indicate the percentage of the sphere you want to cover. The general recommendation is 70%

Entry Name: LaserProbeSpheAreaPerc

Entry Type: Real Number specifying angle in degrees. The default is 70.

User permission is required to change entry


Probe Cal Order

When this value is set to TRUE (1), PC-DMIS allows you define the User Define Calibration. With this value set to TRUE (1) you can then hold down the CTRL key and select the tips from the Active Tip List for calibration with your left mouse button from the Probe Utilities dialog box. A number representing the index of the tip measurement order appears next to each Tip ID as it is selected.

Entry Name: ProbeCalOrder

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Probe Create Replace Wrist Map

This option determines whether a new wrist map is created or the existing wrist map is replaced when you click the Measure button.

Entry Name: ProbeCreateReplaceWristMap

Entry Type: Whole Number specifying Create New (0) or Replace Exisiting (1). Default value is 1.

User permission is required to change entry


Probe Qual Analog Disk Bottom Hits Distance From Edge

During disk calibration on an analog probe, PC-DMIS measures the bottom of the disk. This value defines the distance in millimeters from the outer edge of the bottom of the disk at which PC-DMIS takes hits.

Entry Name: ProbeQualAnalogDiskBottomHitsDistancefromEdge

Entry Type: Real number specifying distance. The default is 2.

User permission is required to change entry


Probe Qual Analog Disk Plane Start Angle

During disk calibration on an analog probe, PC-DMIS measures a plane on the bottom of the disk with a circular pattern of hits. This defines a start angle in degrees for that pattern in case you need to avoid some object.

Entry Name: ProbeQualAnalogDiskPlaneStartAngle

Entry Type: Real Number specifying degrees. The default is 0.

User permission is required to change entry


Probe Qual End Angle

This option defines the angle of the last level where hits are taken on the qualification sphere.

  • A starting angle of 0° is located at the equator of the sphere (relative to the probe).

  • An ending angle of 90° is located at the top of the sphere, normal to the probe.

Any additional levels will be located equally between these two levels.

Entry Name: ProbeQualEndAngle

Entry Type: Whole Number specifying angle in degrees. Default value is 90.

User permission is required to change entry


Probe Qual Large Tool End Angle1

This entry specifies the end angle longitude for taking points parallel to the equator of the large diameter qualification tool.

Entry Name: ProbeQualLargeToolEndAngle1

Entry Type: Whole Number specifying angle in degrees. The default is 310.

User permission is required to change entry


Probe Qual Large Tool Start Angle1

This entry specifies the start angle longitude for taking points parallel to the equator of the large diameter qualification tool.

Entry Name: ProbeQualLargeToolStartAngle1

Entry Type: Whole Number specifying angle in degrees. The default is 50.0

User permission is required to change entry


Probe Qual Mode

This option determines whether you are using the Default or User Defined calibration mode.

When this value is set to Default (0), PC-DMIS will take the number of indicated hits around the spherical tool at either 10 or 15 degrees from the equator, plus one additional hit normal to the probe, 90 degrees from the equator.

When this value is set to User Defined (1), PC-DMIS will measure the probe based on the number of levels (ProbeQualNumLevels) that are entered and the starting (ProbeQualStartAngle) and ending (ProbeQualEndAngle) angles that are provided. The location of the level is based on the angles that are set. 0° is located at the equator of the probe. 90° is normal to the probe. Only one hit will be taken when measuring normal to the probe.

Entry Name: ProbeQualMode

Entry Type: Whole Number specifying Default (0) or User Defined (1). Default value is 0.

User permission is required to change entry


Probe Qual Num Levels

This value determines the number of levels that will be used in the calibration process. PC-DMIS will divide the number of hits (DefNumHits) by the number of levels to determine how many hits will be taken at each level.

Entry Name: ProbeQualNumLevels

Entry Type: Whole Number specifying number of levels. Default value is 2.

User permission is required to change entry


Probe Qual Ring Z Samples

This value provides the default ring gage Z measurement sample count for contact probes. This value is global and will be used for all contact probes.

Entry Name: ProbeQualRingZSamples

Entry Type: Whole Number specifying number of Z samples. Default value is 3.

User permission is required to change entry


Probe Qual Small Tool End Angle1

This entry specifies the end angle longitude for taking points parallel to the equator of the small diameter qualification tool.

Entry Name: ProbeQualSmallToolEndAngle1

Entry Type: Whole Number specifying angle in degrees. The default is 290.

User permission is required to change entry


Probe Qual Small Tool Start Angle1

This entry specifies the start angle longitude for taking points parallel to the equator of the large diameter qualification tool.

Entry Name: ProbeQualSmallToolStartAngle1

Entry Type: Whole Number specifying angle in degrees. The default is 70

User permission is required to change entry


Probe Qual Start Angle

This option defines the angle of the last level where hits are taken on the qualification sphere.

  • A starting angle of 0° is located at the equator of the sphere (relative to the probe).

  • An ending angle of 90° is located at the top of the sphere, normal to the probe.

Any additional levels will be located equally between these two levels.

Entry Name: ProbeQualEndAngle

Entry Type: Whole Number specifying angle in degrees. Default value is 0.

User permission is required to change entry


Probe Qual Tool Diameter Cutoff

This entry specifies a size in millimeters that determines the type of tool pattern PC-DMIS uses during qualification. If the calibration tool's diameter exceeds this value then PC-DMIS uses the large tool pattern. Otherwise it uses the small tool pattern.

Entry Name: ProbeQualToolDiameterCutoff

Entry Type: Real Number specifying diameter in mm. The default is 18.

User permission is required to change entry


Probe Qual Vision Angle End

This value stores the default end angle that is used in the Measure Vision Probe dialog box. The angle is given in degrees in a Cartesian coordinate system as seen when looking down or –Z. An end angle of zero would be aligned to the +X. An end angle of 90 would be aligned to the +Y axis.

Note: This angle different from the angle used for the contact probe and a sphere tool, which relates to the angle from the sphere equator to the pole.

Entry Name: ProbeQualVisionAngleEnd

Entry Type: Real Number specifying angle in degrees. The default is 359.

User permission is required to change entry


Probe Qual Vision Angle Start

This value stores the default start angle that is used in the Measure Vision Probe dialog box. The angle is given in degrees in a Cartesian coordinate system as seen when looking down or –Z. An end angle of zero would be aligned to the +X. An end angle of 90 would be aligned to the +Y axis.

Note: This angle different from the angle used for the contact probe and a sphere tool, which relates to the angle from the sphere equator to the pole.

Entry Name: ProbeQualVisionAngleStart

Entry Type: Real Number specifying angle in degrees. The default is 0.

User permission is required to change entry


Probe Qual Vision XY Illum

This value stores the default XY Illumination value that is used in the Measure Vision Probe dialog box. This illumination source will be used for the XY measurements. Normally, the bottom or substage illumination for ring gage hole edge is used.

Entry Name: ProbeQualVisionXYIllum

Entry Type: Real Number specifying illumination source value. The default is -1.

User permission is required to change entry


Probe Qual Vision XY Illum Percent

This value is set for a probe when the probe is created. The value is the XY illumination intensity as a black to white percentage, where 100 is extremely bright. For best results the probe illumination should be calibrated.

Entry Name: ProbeQualVisionXYIllumPercent

Entry Type: Real Number specifying illumination value. The default is 35.

User permission is required to change entry


Probe Qual Vision Z Illum

This value stores the default Z Illumination value that is used in the Measure Vision Probe dialog box. This illumination source will be used for the Z measurements. Normally, the top or ring for ring gage surface is used.

Entry Name: ProbeQualVisionZIllum

Entry Type: Real Number specifying illumination source value. The default is -1.

User permission is required to change entry


Probe Qual Vision Z Illum Percent

This value is set for a probe when the probe is created. The value is the Z illumination intensity as a black to white percentage, where 100 is extremely bright. For best results the probe illumination should be calibrated.

Entry Name: ProbeQualVisionZIllumPercent

Entry Type: Real Number specifying illumination value. The default is 35.

User permission is required to change entry


Probe Qual Vision Zones

This value stores the default Zones value that is used in the Measure Vision Probe dialog box. A larger number will create more sample zones around the angle range. Systems using higher magnification optics may find it better to use more zones and a smaller "ProbeQualVisionZonesCoveragePercent" value to better sample the angle range in a reasonable amount of time.

Entry Name: ProbeQualVisionZones

Entry Type: Whole Number specifying number of zones. The default is 8.

User permission is required to change entry


Probe Qual Vision Zones Coverage Percent

This value stores the default Zones Coverage value that is used in the Measure Vision Probe dialog box. The area measured will be a contiguous section at the center of the zone. A smaller number will make the measured area of each zone smaller.

Entry Name: ProbeQualVisionZonesCoveragePercentage

Entry Type: Whole Number specifying percentage. The default is 5.

User permission is required to change entry


Probe Qual Vision Z Samples

This value stores the default Z Samples value that is used in the Measure Vision Probe dialog box. The value is the number of Z samples that will be taken to compute the Z position.

Entry Name: ProbeQualVisionZSamples

Entry Type: Whole Number specifying number of Z samples. Default value is 5.

User permission is required to change entry


Probe Shank Check

This option should be set to TRUE (1), if you will be using a shank tip to take edge hits. With this option set to TRUE (1), PC-DMIS allows you to qualify the shank of the probe. You can also manipulate the other shank entries to determine how the shank is measured:

Important: Be aware that if you will be using a shank probe, you only need to do a shank calibration if you'll be taking edge hits.

Entry Name: ProbeShankCheck

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry

See Also: ProbeShankNumHits, ProbeShankOffset


Probe Shank Num Hits

This value defines the number of hits that will be used to measure the shank. This value is only used when the "ProbeShankCheck" option is set to TRUE (1).

Entry Name: ProbeShankNumHits

Entry Type: Whole Number specifying number of hits. Default value is 4.

User permission is required to change entry


Probe Shank Offset

This value determines the distance (or length) up from the tip of the shank that PC-DMIS will take the next set of qualification hits. This value is only used when the "ProbeShankCheck" option is set to TRUE (1).

Entry Name: ProbeShankOffset

Entry Type: Whole Number specifying distance. Default value is 5.

User permission is required to change entry


Probe Tool On Table

This options tells PC-DMIS if a probe qualification tool is mounted on a rotary table. This option should be set to TRUE (1) when a rotary table is present.

Entry Name: ProbeToolOnTable

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Probe Tool Over (IJK)

These IJK vector values specify a vector used by PC-DMIS to determine the most efficient order to measure all the tips when the "ProbeCalOrder" is set to TRUE (1).

Entry Name: ProbeShankNumHits

Entry Type: Whole Number specifying vector values. Default value is 0 for I & J while the value is 1 for K.

User permission is required to change entry


Probe Use Wrist Map

This value determines whether or not PC-DMIS uses a wrist map (also known as an "error map") file when calibrating AB angle tips on probe configurations that use an indexable wrist. When this value is set to TRUE (1), PC-DMIS will search for the wrist map file (a file named abcomp.dat) on your computer, and if found, will compensate for the wrist's error data when calibrating the AB angle tips.

Entry Name: ProbeUseWristMap

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry

For information on creating the wrist map file, see the "Calculate Error Map" topic from the "Using a Wrist Device" section.


Rotab Angle (1-36)

These values allow you to store up to 36 Rotary Table Angles. These angles are used in the calibration process when a Rotary Table is present (see ProbeToolOnTable).

Note: These values serve as place holders for the last used values, but should be edited from the Calibrate Rotary Table dialog box within PC-DMIS.

Entry Name: RotabAngle(1-36)

Entry Type: Whole Number specifying angle in degrees. Default value is 0.

User permission is required to change entry


Use Analog Sampling Latitude Start

This value is no longer supported and should be set to 0.


Use Analog Sampling Num Hits

This value is no longer supported and should be set to 0.


Use Analog Sampling Num Levels

This value is no longer supported and should be set to 0.


ProEngineer

This section of the PC-DMIS Settings Editor contains information for directly interfacing with Pro/ENGINEER CAD files. See the Pro/ENGINEER topics in the "Installing and Using the Direct CAD Interfaces" section of the "Direct CAD™ Interfaces and Translators" help file.

More:

ProCommMsgExe

ProEngineerApertureRadius

ProEngineerExecutableName

ProEngineerLoad

ProEngineerUseFeatureFilter

ProEngineerVersion

UseWildfireMethods


Pro Comm Msg Exe

This entry contains the full pathway of the executable to launch the communication tool used to communicate with Pro/ENGINEER.

In version 3.25 and earlier, you had to create an environment variable called Pro_Comm_Msg_Exe that pointed to the actual executable of the communication tool.

In version 3.5 and later if PC-DMIS cannot find this environment variable, it looks for the pathway stored in this entry of the Settings Editor. If the proper pathway exists, PC-DMIS creates the appropriate environment variable, allowing Pro/ENGINEER to run in batch mode.

Entry Name: ProCommMsgExe

Entry Type: Character String of the full path pointing to the application to launch. Default value is None ( ).

User permission is required to change entry


ProEngineer Aperture Radius

This entry determines the aperture radius, in pixels, that controls whether a ray is close enough to an edge for the edge to be selected from the ray hit.

The intersection algorithm used by the PC-DMIS Direct CAD Interface for selecting and piercing Pro/ENGINEER part geometry returns a list of ray intersections with a model. It computes the intersection points of both the original ray and its "negative" with the geometry of the model. The output array is sorted in order of increasing signed distance. You must determine whether the ray is inside or outside the model.

If a ray hits in the middle of a face on the model, the algorithm selects the face. However, if the intersection point is very close (within an internally determined selection aperture) to an edge, then the algorithm also selects the edge. Thus, more than one entry of type surface or edge in the ProSelection array may correspond to one actual piercing of the model by the ray. These multiple selections can decrease computation and comparison time.

The smaller the aperture radius, PC-DMIS will return fewer intersections. This can improve computation and comparison time.

Entry Name: ProEngineerApertureRadius

Entry Type: Real Number specifying the aperture radius in pixels. If the value is less than or equal to zero, then the function uses the default value of seven, or the current value stored in the configuration file.

User permission is required to change entry

For additional information about the configuration file or this particular algorithm, see your Pro/ENGINEER toolkit's documentation.


ProEngineer Executable Name

This entry contains the executable used to launch Pro/ENGINEER See Installing and Using Pro/ENGINEER Direct CAD Interface for PC-DMIS in the Directly Interfacing with a CAD File section.

Entry Name: ProEngineerExecutableName

Entry Type: Character String specifying the name used to launch Pro/ENGINEER. Default value is proe2000i2. Generally this is “PROE”.

User permission is required to change entry


ProEngineer Load

This entry allows you to specify whether or not PC-DMIS's Direct CAD Interface (DCI) attempts to connect to Pro/ENGINEER. If you set this to FALSE, then the Pro/ENGINEER DCI will not attempt to load Pro/ENGINEER, but will instead display a message box and then will give you an option to load the saved .CAD view. You should only set this to TRUE if you have a Pro/ENGINEER license that you're connecting to.

If you set this entry to TRUE then PC-DMIS will attempt to load Pro/ENGINEER. If set to FALSE, then it will give you the option to load a saved .CAD view.

Entry Name: ProEngineerLoad

Entry Type: True/False value. Default value is TRUE.

User permission is required to change entry


ProEngineer Use Feature Filter

This entry determines whether or not PC-DMIS filters the geometry types displayed in the Graphics Display window. This filters out intermediate, inactive, or hidden geometry that is found in the Pro/ENGINEER model.

If you set this entry to TRUE (1), PC-DMIS will enable the feature filter. If you set this entry to FALSE (0), PC-DMIS will disable the feature filter and will display all the geometry.

Entry Name: ProEngineerUseFeatureFilter

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry


ProEngineer Version

This entry determines the version of Pro/Engineer that PC-DMIS will look for when interfacing directly with the Pro/Engineer CAD system. This entry must contain the appropriate value for the DCI functionality to work.

Entry Name: ProEngineerVersion

Entry Type: Character String specifying your ProE version. Default value is proe2002i2. Valid strings are "proe2000i2", "proe2001", "proewildfire", and "proewildfire2"

User permission is required to change entry


Use Wildfire Methods

This entry allows you specify that PC-DMIS will use faster Wildfire methods to read the ProE models. It has no effect if ProEngineerVersion is set to "proe2000i2" or "proe2001". If a model cannot be read when this value is set to TRUE, then changing it to FALSE may resolve this problem. If this value is set to FALSE, PC-DMIS will use the slower pre-wildfire methods to read the model.

Entry Name: UseWildfireMethods

Entry Type: True/False value. Default value is TRUE.

User permission is required to change entry


Read Outs

This section of the PC-DMIS Settings Editor displays the default location and size of the Probe Readout window as determined by the most recent position of the window.

More:

ReadoutsBottom

ReadoutsLeft

ReadoutsRight

ReadoutsTop


Readouts Bottom

This value represents the distance of the Bottom edge of the Readouts window from the top of the screen.

Entry Name: ReadoutsBottom

Entry Type: Whole Number specifying the distance in terms of pixels. Default value is 208.

User permission is required to change entry


Readouts Left

This value represents the distance of the Left edge of the Readouts window from the left side of the screen.

Entry Name: ReadoutsLeft

Entry Type: Whole Number specifying the distance in terms of pixels. Default value is 0.

User permission is required to change entry


Readouts Right

This value represents the distance of the Right edge of the Readouts window from the left side of the screen.

Entry Name: ReadoutsRight

Entry Type: Whole Number specifying the distance in terms of pixels. Default value is 170.

User permission is required to change entry


Readouts Top

This value represents the distance of the Top edge of the Readouts window from the top of the screen.

Entry Name: ReadoutsTop

Entry Type: Whole Number specifying the distance in terms of pixels. Default value is 40.

User permission is required to change entry

For information on the Probe Readout window, see "Using the Probe Readout Window" in the "Using other Windows, Editors, and Tools" section.


Report Window

This section of the Settings Editor provides values that affect the way that Reports are displayed in the Report Window

Currently on the "ReportWindowRepeatingRows" topic exists in this section.


Report Window Repeating Rows

This value is used to limit the amount of table rows that are displayed in the Report Window. Generating a report may contain so many cells in a table that your computer may run out of memory before it can display them all.

Entry Name: ReportWindowRepeatingRows

Entry Type: Whole Number specifying the number of rows. Default value is 1000.

User permission is required to change entry


Scan

This section of the PC-DMIS Settings Editor allows you to set parameters for the available scanning options.

More:

BndyPntColW1

BndyPntColW2

BndyPntColW3

BndyPntColW4

BodyAxisScanAxis

BodyAxisScanIncr

BodyAxisScanLocation

FixedDeltaScanIncr

GridScanAHits

GridScanBHits

HexScanStage

LinearClosedBoundaryCrossings

LinearOpenBoundaryCrossings

MScanDialog3D

MultiSecScanIncr

MultiSecScanNumSections

MultiSecScanType

PatchBoundaryCrossings

PatchClosed

PatchDirTech2

PatchDirTech2Axis

PatchIncr

PerimeterCadTolerance

PerimeterOffset

PerimeterOffsetTol

RotaryBoundaryCrossings

RotaryPolar

ScanBasicAdvanced

ScanDialogAutoMove

ScanDialogAutoMoveVal

ScanDialogBestFit

ScanDialogBodyAxis

ScanDialogBoundaryRad

ScanDialogBoundaryType

ScanDialogCalcType

ScanDialogClrPln

ScanDialogCurveType

ScanDialogDepth

ScanDialogDirTech1

ScanDialogExecMode

ScanDialogFlush

ScanDialogHitType

ScanDialogIndent

ScanDialogIndent2

ScanDialogInitSampleHits

ScanDialogJumpHoles

ScanDialogMaxAng

ScanDialogMaxIncr

ScanDialogMinAng

ScanDialogMinIncr

ScanDialogNomMode

ScanDialogNomTol

ScanDialogOnlySel

ScanDialogPermSampleHits

ScanDialogPrbComp

ScanDialogShowAll

ScanDialogShowHits

ScanDialogSinglePnt

ScanDialogSpacer

ScanDialogSpacing

ScanDialogSpacingVal

ScanDialogThick

ScanDialogUseCOP

ScanDialogUseCOPVal

ScanDialogWeight

ScanMeasure

SectionAxis

SectionBoundaryCrossings

SectionCadTolerance

SectionIncr2

SectionLocation

TheoPntColW1

TheoPntColW2

TheoPntColW3

TheoPntColW4

TheoPntColW5

TheoPntColW6

TheoPntColW7

TimeDeltaScanDelay

UVScanUEnd

UVScanUHits

UVScanUStart

UVScanVEnd

UVScanVHits

UVScanVStart

VecListColW1

VecListColW2

VecListColW3

VecListColW4


Bndy Pnt Col W1

This value defines the width of the # column of the Boundary Points area in the Scan dialog box. The stored value changes if the column is resized. The size is recalled upon subsequent usage.

Entry Name: BndyPntColW1

Entry Type: Whole Number specifying the distance in terms of pixels. Default value is 30.

User permission is required to change entry


Bndy Pnt Col W2

This value defines the width of the X column of the Boundary Points area in the Scan dialog box. The stored value changes if the column is resized. The size is recalled upon subsequent usage.

Entry Name: BndyPntColW2

Entry Type: Whole Number specifying the distance in terms of pixels. Default value is 85.

User permission is required to change entry


Bndy Pnt Col W3

This value defines the width of the Y column of the Boundary Points area in the Scan dialog box. The stored value changes if the column is resized. The size is recalled upon subsequent usage.

Entry Name: BndyPntColW3

Entry Type: Whole Number specifying the distance in terms of pixels. Default value is 85.

User permission is required to change entry


Bndy Pnt Col W4

This value defines the width of the Z column of the Boundary Points area in the Scan dialog box. The stored value changes if the column is resized. The size is recalled upon subsequent usage.

Entry Name: BndyPntColW4

Entry Type: Whole Number specifying the distance in terms of pixels. Default value is 90.

User permission is required to change entry


Body Axis Scan Axis

This value specifies the axis to be used with Body Axis scans. The available axes are X, Y, and Z. The cut plane that your probe will crisscross will be parallel to this axis.

Entry Name: BodyAxisScanAxis

Entry Type: Whole Number specifying axis number. Default value is 0.

User permission is required to change entry

Axis Key

0 | X
1 | Y
2 | Z


Body Axis Scan Incr

This Increment value specifies the distance between planes if you will be scanning across multiple planes.

Entry Name: BodyAxisScanIncr

Entry Type: Real Number specifying distance. Default value is 10.0.

User permission is required to change entry


Body Axis Scan Location

This value specifies the distance from the defined axis where your cut plane will be located.

Entry Name: BodyAxisScanLocation

Entry Type: Real Number specifying distance. Default value is 0.

User permission is required to change entry


Fixed Delta Scan Incr

This value provides the distance that the probe will need to move before PC-DMIS takes a hit. This is the 3D distance between points. For example, if you use 5, and your units of measurement is millimeters, the probe has to move at least 5 mm from the last point before PC-DMIS accepts a hit from the controller.

Entry Name: FixedDeltaScanIncr

Entry Type: Real Number specifying distance. Default value is 0.1.

User permission is required to change entry


Grid Scan A Hits

This value determines the number of hits that will be spaced and dropped onto the surface in the A direction.

Entry Name: GridScanAHits

Entry Type: Whole Number specifying number of hits. Default value is 3.

User permission is required to change entry


Grid Scan B Hits

This value determines the number of hits that will be spaced and dropped onto the surface in the B direction.

Entry Name: GridScanBHits

Entry Type: Whole Number specifying number of hits. Default value is 3.

User permission is required to change entry


Hex Scan Stage

This value is used internally by PC-DMIS to track the various staged for determining Hex Scan deviations. Do not alter, unless directed to do so.

Entry Name: HexScanStage

Entry Type: Whole Number specifying calculation stage. Default value is 0.

User permission is required to change entry


Linear Closed Boundary Crossings

This value determines how many times a Linear Closed scan can cross the selected boundary type before stopping the scan. For example, if you specify that the number of crossings is two, the scan will stop once the probe's BallCenter crosses the given condition’s surface (planar, spherical, cylindrical, conical etc.) two times.

Entry Name: LinearClosedBoundaryCrossings

Entry Type: Whole Number specifying number of times. Default value is 1.

User permission is required to change entry


Linear Open Boundary Crossings

This value determines how many times a Linear Open scan can cross the selected boundary type before stopping the scan. For example, if you specify that the number of crossings is two, the scan will stop once the probe's BallCenter crosses the given condition’s surface (planar, spherical, cylindrical, conical etc.) two times.

Entry Name: LinearOpenBoundaryCrossings

Entry Type: Whole Number specifying number of times. Default value is 1.

User permission is required to change entry


MScan Dialog 3D

This option allows you to move the probe in any direction. PC-DMIS takes a point each time you reach the increment distance between the previous point and the current point. This option is very useful when scanning using free-moving manual CMMs whose axes cannot be locked.

Entry Name: MScanDialog3D

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Multi Sec Scan Incr

This value specifies the distance between sections for a Multisection Manual scan if you will be scanning across multiple sections. For parallel planes and circles, this is a distance, for radial planes this value is an angle. PC-DMIS automatically spaces the sections on the part.

Entry Name: MultiSecScanIncr

Entry Type: Real Number specifying distance or angle. Default value is 0.1.

User permission is required to change entry


Multi Sec Scan Num Sections

This value specifies the number of section to be used in a Multisection Manual Scan.

Entry Name: MultiSecScanNumSections

Entry Type: Whole Number specifying number of sections. Default value is 2.

User permission is required to change entry


Multi Sec Scan Type

This value determines the section type for Multisection Manual scan.

Entry Name: MultiSecScanType

Entry Type: Whole Number specifying section type number. Default value is 0.

User permission is required to change entry

Section Type Key

0 | Parallel Planes | The sections are planes running through your part. Every time the probe crosses a plane, PC-DMIS records a hit. Planes are relative to the start point and direction vector.
1 | Radial Planes | These sections are planes radiate out from the start point. Every time the probe crosses a plane, PC-DMIS takes a hit.
2 | Concentric Circles | These sections are concentric circles with increasingly larger diameters centered around the start point. Every time the probe crosses a circle, PC-DMIS takes a hit.


Patch Boundary Crossings

This value determines how many times a Patch scan can cross the selected boundary type before stopping the scan. For example, if you specify that the number of crossings is two, the scan will stop once the probe's BallCenter crosses the given condition’s surface (planar, spherical, cylindrical, conical etc.) two times.

Entry Name: PatchBoundaryCrossings

Entry Type: Whole Number specifying number of times. Default value is 1.

User permission is required to change entry


Patch Closed

This option determines if the feature created with Patch Scan is closed (cylinder, cone, slot etc.). With this option set to TRUE (1), PC-DMIS reduces the number of boundary points needed to define the scan boundary. You would only need to enter the Start and Direction points and an End point.

Entry Name: PatchClosed

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Patch Dir Tech 2

This option determines the second technique that will be used for your Patch scan. Available options are Line or Body Axis. Using Line (0) technique, the approach of the probe is perpendicular to the line between the previous two hits. Using Body Axis (1) technique, the approach of the probe is perpendicular to the indicated axis (see PatchDirTech2Axis).

Entry Name: PatchDirTech2

Entry Type: Whole Number specifying Direction technique. Default value is 0.

User permission is required to change entry


Patch Dir Tech2 Axis

This value specifies the axis to be used with Patch Scans where the PatchDirTech2 option is set to Body Axis (1). The available axes are X, Y, and Z. The cut plane that your probe will crisscross will be parallel to this axis.

Entry Name: PatchDirTech2Axis

Entry Type: Whole Number specifying axis number. Default value is 0.

User permission is required to change entry

Axis Key

0 | X
1 | Y
2 | Z


Patch Incr 2

This value allows you to set the incremental distance between rows on the Patch scan. For example, if you enter .5 then the scan will set the rows at increments of .5.

Entry Name: PatchIncr2

Entry Type: Real Number specifying distance. Default value is 0.1.

User permission is required to change entry


Perimeter Cad Tolerance

This value is useful in detecting neighboring surfaces. The larger the tolerance, the farther apart the CAD surfaces can be and still be recognized as a neighboring surface.

Entry Name: PerimeterCadTolerance

Entry Type: Real Number specifying tolerance distance. Default value is 0.

User permission is required to change entry


Perimeter Offset

This value indicates the distance in from the perimeter where the scan will be created and executed.

Entry Name: PerimeterOffset

Entry Type: Real Number specifying offset distance. Default value is 0.

User permission is required to change entry


Perimeter Offset Tol

This value indicates the amount of allowable deviation from the offset value.

Entry Name: PerimeterOffsetTol

Entry Type: Real Number specifying distance. Default value is 0.

User permission is required to change entry


Realtime Coloring Filter

When this value is set to TRUE (1), Colormap filtering is displayed in real-time as the scan is being performed.

Entry Name: RealtimeColoringFilter

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry


Rotary Boundary Crossings

This value determines how many times a Rotary scan can cross the selected boundary type before stopping the scan. For example, if you specify that the number of crossings is two, the scan will stop once the probe's BallCenter crosses the given condition’s surface (planar, spherical, cylindrical, conical etc.) two times.

Entry Name: Rotary BoundaryCrossings

Entry Type: Whole Number specifying number of times. Default value is 1.

User permission is required to change entry


Rotary Polar

Rotary scans allow you to define boundary points using Polar coordinates rather than Cartesian coordinates. Values are then given in Radius, Angle, and Height. Polar coordinates are used when this value is set to TRUE (1).

Entry Name: RotaryPolar

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Scan Basic Advanced

This option determines whether the basic or advanced options are displayed when the scan dialog box is opened. When set to TRUE (1) then the Advanced options are visible in the Scan dialog box. When set to FALSE (0) then only the Basic options are visible in the Scan dialog box.

Entry Name: ScanBasicAdvanced

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Scan Dialog Auto Move

This option determines whether Auto Moves are used for each scan. When this option set to TRUE (1), the "ScanDialogAutoMoveVal" will define the distance of Auto Move commands. For the applicable scan types, PC-DMIS will add move commands before and after the scan feature.

Entry Name: ScanDialogAutoMove

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Scan Dialog Auto Move Val

This value is used with "ScanDialogAutoMove" option when it is set to TRUE (1). The Auto Move command will be added before and after the Scan feature at the distance specified by this value.

Entry Name: ScanDialogAutoMoveVal

Entry Type: Real Number specifying Auto Move distance. Default value is 0.

User permission is required to change entry


Scan Dialog Best Fit

When this option is set to TRUE (1), PC-DMIS uses best fit algorithms on the data found from the original FINDNOMS operation and then repeat the FINDNOMS operation. This finds the nominal data with greater accuracy when the actual part has a lot of error with respect to the CAD data.

Entry Name: ScanDialogBestFit

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Scan Dialog Body Axis

This value specifies the axis to be used with the Body Axis Direction 1 Technique. The available axes are X, Y, and Z. The cut plane that your probe will crisscross will be parallel to this axis.

Entry Name: ScanDialogBodyAxis

Entry Type: Whole Number specifying axis number. Default value is 0.

User permission is required to change entry

Axis Key

0 | X
1 | Y
2 | Z


Scan Dialog Boundary Rad

This value defines the radius or angle of that boundary type feature. This value specifies radius when you select a Sphere or Cylinder as your boundary type (see ScanDialogBoundaryType). An angle is specified for cones.

Entry Name: ScanDialogBoundaryRad

Entry Type: Real Number specifying radius. Default value is 0.1.

User permission is required to change entry


Scan Dialog Boundary Type

This value determines the Boundary type that creates an imaginary feature that acts as a boundary around a scan's end point. By default, this feature is a plane at the end point that when crossed one time stops the scan.

Entry Name: ScanDialogBoundaryType

Entry Type: Whole Number specifying number for boundary type. Default value is 0.

User permission is required to change entry

Boundary Type Key

0 | Plane | The scan will stop after the probe crosses the plane at the end point the given number of times.
1 | Sphere | The scan will stop after the probe crosses (breaks) the sphere at the end point the given number of times.
2 | Cylinder | The scan will stop after the probe crosses (breaks) the cylinder at the end point the given number of times. The cylinder is considered infinite in length.
3 | Cone | The scan would stop after the probe crosses (breaks) the cone at the end point the given number of times. The cone is considered infinite in length.
4 | Oldstyle | (Retained for backwards compatibility)


Scan Dialog Calc Type

This option determines whether the spline path passes through points in the spline (interpolated) or simply approaches the points (approximate). Interpolated results in sharper curves and approximate results in smoother curves.

Entry Name: ScanDialogCalcType

Entry Type: Whole Number to specify approximate (0) or interpolated (1). Default value is 0.

User permission is required to change entry


Scan Dialog Clr Pln

When this option is set to TRUE (1), PC-DMIS inserts a CLEARP MOVE a predetermined distance relative to the current coordinate system and part origin before taking the first hit. Using clearance planes reduces programming time because the need to define intermediate moves is reduced.

Entry Name: ScanDialogClrPln

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Scan Dialog Curve Type

This option determines the type of curve for your spline path. An open curve passes through the start, control, and end points and then stops. A closed curve does the same but when the curve passes through the end point, it also returns to the start point.

Entry Name: ScanDialogClrPln

Entry Type: Whole Number specifying Open (1) or Closed (0). Default value is 0.

User permission is required to change entry


Scan Dialog Depth

This value specifies the depth from the edge where the sample hits will be taken. This option is only available if EDGE is specified with the ScanDialogHitType value.

Entry Name: ScanDialogDepth

Entry Type: Real Number specifying depth distance. Default value is 0.1.

User permission is required to change entry


Scan Dialog Dir Tech1

This option determines the first technique that will be used for your advanced scan. Available options are Line, Body Axis, Variable and Nullfilter. Using Line (0) technique, the approach of the probe is perpendicular to the line between the previous two hits. Using Body Axis (1) technique, the approach of the probe is perpendicular to the indicated axis (see ScanDialogBodyAxis). Using Variable (2) technique, the approach of the probe is perpendicular to the line between the previous two hits but additional calculations are made using the min/max increments and angles to determine increments between hits. Using Nulfilter (3) technique, data is not filtered.

Entry Name: ScanDialogDirTech1

Entry Type: Whole Number specifying technique number. Default value is 0.

User permission is required to change entry


Scan Dialog Exec Mode

This value determines the Execution mode that is used for creating various scan features. See the Execute Mode topic in the Core PC-DMIS help file for more information.

Entry Name: ScanDialogExecMode

Entry Type: Whole Number specifying Execution Mode. Default value is 0.

User permission is required to change entry

Execution Mode Key

0 | NORMAL
1 | RE-LEARN
2 | DEFINED
3 | FEATURE
4294967295 | Blank


Scan Dialog Flush

This value allows you to enter a flush thickness for the nominals if an edge hit is used and CAD data is available. This thickness is applied normal to the edge approach vector when finding the nominals for the scan. (This differs from the regular thickness which is applied along the surface normal.)

Entry Name: ScanDialogFlush

Entry Type: Real Number specifying distance. Default value is 0.1.

User permission is required to change entry


Scan Dialog Hit Type

This option controls what type of hits are taken when creating scan features.

Entry Name: ScanDialogHitType

Entry Type: Whole Number specifying Hit Type number. Default value is 0.

User permission is required to change entry

0 | Vector | The scan uses vector hits.
1 | Surface | The scan is taken along a surface and uses surface hit data.
2 | Edge | The scan is taken along an edge.
3 | Angle | This scan uses ANGLE hit data.


Scan Dialog Indent

This value allows you to set the indent on the top surface from the edge where the sample hits will be taken. This option is only available if EDGE is selected from the "ScanDialogHitType" option.

Entry Name: ScanDialogIndent

Entry Type: Real Number specifying distance. Default value is 0.1.

User permission is required to change entry


Scan Dialog Indent 2

This value allows you to set the indent on the top surface from the edge where the sample hits will be taken. This option is only available if ANGLE is selected from the "ScanDialogHitType" option.

Entry Name: ScanDialogIndent2

Entry Type: Real Number specifying distance. Default value is 0.1.

User permission is required to change entry


Scan Dialog Init Sample Hits

This value allows you to set how many sample hits are initially taken before each actual point is measured. These sample hits are taken only the first time a scan is run. This field is available only if Surface is selected from the Hit Type list.

Entry Name: ScanDialogInitSampleHits

Entry Type: Whole Number specifying number of hits. Default value is 3.

User permission is required to change entry


Scan Dialog Jump Holes

This value determines whether or not the theoretical path should jump over holes and other hole-like features in the surface. When this option is set to TRUE (1), point data that does not lie within the selected surface (for example, hole features) will not appear in the Theoretical Path list and will be skipped during scan execution. When set to FALSE (0), the scan will scan into hole-like features.

Note: This is used with all scan but Perimeter and Freeform.

Entry Name: ScanDialogJumpHoles

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Scan Dialog Max Ang

This value specifies the maximum angle for scans. Even though angles measured may increase while using the Variable scanning technique, the angles will never be greater than this value.

Entry Name: ScanDialogMaxAng

Entry Type: Real Number specifying angle in degrees. Default value is 0.

User permission is required to change entry


Scan Dialog Max Incr

This value specifies the maximum increment distance. Even though increments may increase while using the Variable scanning technique, the increments will never be greater than this distance.

Entry Name: ScanDialogMaxIncr

Entry Type: Real Number specifying distance. Default value is 0.

User permission is required to change entry


Scan Dialog Min Ang

This value specifies the minimum angle. Even though angles measured may decrease while using the Variable scanning technique, the angles will never be less than this value.

Entry Name: ScanDialogMinAng

Entry Type: Real Number specifying angle in degrees. Default value is 0.

User permission is required to change entry


Scan Dialog Min Incr

This value specifies the minimum increment. Even though increments may decrease using the Variable scanning technique, the increments will never be smaller than this distance.

Entry Name: ScanDialogMinIncr

Entry Type: Real Number specifying distance. Default value is 0.

User permission is required to change entry


Scan Dialog Nom Mode

This option determines the nominals method that will be used to gather nominal information.

Entry Name: ScanDialogNomMode

Entry Type: Whole Number specifying Nominal Method number. Default value is 0.

User permission is required to change entry

Nominal Method Key

0 | MASTER | PC-DMIS will consider the measured data obtained the first time the scan is being learned as nominal data. Subsequent executions of this scan will be compared with this measured data.
1 | FINDNOMS | When the FIND NOMS option is selected, PC-DMIS will pierce the CAD model to find the closest location on a CAD surface to the measured point. It will then set the nominals to the location found on the CAD surface.
2 | NOMINALS | PC-DMIS will use any measured data the first time it performs the scan as nominal data. This option allows you to relearn the scan without relearning the nominals.


Scan Dialog Nom Tol

This value provides the tolerance to be used in finding nominals from your CAD. Be sure to type a tolerance value that at least compensates for the probe tip's radius.

Entry Name: ScanDialogNomTol

Entry Type: Real Number specifying tolerance distance. Default value is 0.1.

User permission is required to change entry


Scan Dialog Only Sel

When this option is set to TRUE (1) PC-DMIS will only look for the nominals on the currently selected set of surfaces.

Entry Name: ScanDialogOnlySel

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Scan Dialog Perm Sample Hits

This value allows you to set how many sample hits are permanently taken before each actual point is measured. These sample hits are taken each time the scan is run. This field is available only if Surface is selected from the Hit Type list.

Entry Name: ScanDialogPermSampleHits

Entry Type: Whole Number specifying number of hits. Default value is 3

User permission is required to change entry


Scan Dialog Prb Comp

PC-DMIS uses probe compensation when this value is set to TRUE (1).

Entry Name: ScanDialogPrbComp

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry

Note: In most cases you probably don't need to perform this compensation since a scan's FINDNOM operation automatically does it. However, if you don't have CAD and want to reverse-engineer a part, you should select this check box.


Scan Dialog Show All

When this value is set to TRUE (1), PC-DMIS will display in the Edit window all of the scan parameters.

Entry Name: ScanDialogShowAll

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Scan Dialog Show Hits

PC-DMIS displays each scan in the Edit window as a set of the measured hits surrounded by a scan object and an end measured object. If this option is set to TRUE (1), all of the hits will be displayed in the Edit window. Otherwise, the hits will not be shown.

Entry Name: ScanDialogShowHits

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry


Scan Dialog Single Pnt

PC-DMIS will make each hit a measured point and insert it into the part program. This sequence will happen after the manual scan has been reduced. If the scan is in DCC mode, it will take place after the scan has been learned. This option is enabled when set to TRUE (1).

Entry Name: ScanDialogSinglePnt

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Scan Dialog Spacer

This value determines distance between sample hits. This field is available only if Surface is selected from the Hit Type drop down list.

Entry Name: ScanDialogSpacer

Entry Type: Real Number specifying distance. Default value is 0.1.

User permission is required to change entry


Scan Dialog Spacing

This option provides two choices for controlling the number of points used to create a spline path. If you select Density (0), PC-DMIS will create the spline path points at a given increment defined by the ScanDialogSpacingVal value. If you select Hits (1), PC-DMIS will create the spline path points using and spacing the number of hits you specified by the ScanDialogSpacingVal value

Entry Name: ScanDialogSpacing

Entry Type: Whole Number specifying Density (0) or Number of Hits (1). Default value is 0

User permission is required to change entry


Scan Dialog Spacing Val

This value specifies either the increment that controls the density of hits or the number of hits to space along the theoretical pathway depending on the chosen option provided by the ScanDialogSpacing value.

Entry Name: ScanDialogSpacingVal

Entry Type: Real Number specifying Number of Hits or density of points. Default value is 0.1.

User permission is required to change entry


Scan Dialog Thick

This value specifies the part thickness. PC-DMIS will apply this material thickness automatically when using CAD surface data. This thickness will be applied along the surface normal vector when FINDNOMS mode is selected and PC-DMIS pierces the CAD surfaces to get the nominals.

Entry Name: ScanDialogThick

Entry Type: Real Number specifying distance. Default value is 0.

User permission is required to change entry


Scan Dialog Use COP

This option determines whether or not the scanned points will also be added to an existing Cloud of Points (COP) command. When this option is set to TRUE (1), the scanned points will be added to the COP specified by the ScanDialogUseCOPVal value. If the COP command doesn't yet exist, PC-DMIS will ask if it should generate it for you.

Entry Name: ScanDialogUseCOP

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Scan Dialog Use COP Val

This value specifies the last used COP command to which scanned points were added. This value is used when the ScanDialogUseCOP value is set to TRUE (1).

Entry Name: ScanDialogUseCOPVal

Entry Type: Character String specifying COP name. Default value is None ( ).

User permission is required to change entry


Scan Dialog Weight

This option whether or not PC-DMIS should give the points a weight when constructing the spline path. When set to TRUE (1), PC-DMIS gives them a weight according to how close they are to other points on the curve. The further they are from other points the greater weight they have in the fitting

Entry Name: ScanDialogWeight

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0

User permission is required to change entry


Scan Edge Offset Distance

This value will cause prospective grid points or a Grid Scan to be automatically deleted if they are within this distance to a surface boundary.

Entry Name: ScanEdgeOffsetDistance

Entry Type: Real Number specifying distance. Default value is 0.0.

User permission is required to change entry


Scan Measure

When this value is set to TRUE and the Create button clicked, PC-DMIS will start measuring the scan immediately. When this value is set to FALSE when the Create button is clicked, PC-DMIS will insert a scan object into the Edit window that can be measured later. This allows you to set up a series of scans that can be inserted into the Edit window and measured at a later time.

Entry Name: ScanMeasure

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry

Note: This checkbox is available only when PC-DMIS is ONLINE.


Section Axis

This value specifies the axis to be used with Section scans. The available axes are X, Y, and Z. The cut plane that your probe will crisscross will be parallel to this axis.

Entry Name: Section Axis

Entry Type: Whole Number specifying axis number. Default value is 0.

User permission is required to change entry

Axis Key

0 | X
1 | Y
2 | Z
3 | None


Section Boundary Crossings

This value determines how many times a Section scan can cross the selected boundary type before stopping the scan. For example, if you specify that the number of crossings is two, the scan will stop once the probe's BallCenter crosses the given condition’s surface (planar, spherical, cylindrical, conical etc.) two times.

Entry Name: Section BoundaryCrossings

Entry Type: Whole Number specifying number of times. Default value is 1.

User permission is required to change entry


Section Cad Tolerance

This value is used by PC-DMIS to determine the hole locations in order to detect holes from CAD data. If the distance between any two surface boundary points is less than the tolerance distance, PC-DMIS will consider this a continuous surface and scan into the hole. If the distance is greater than the tolerance, PC-DMIS will assume that there is a hole between the surfaces, and during the learning process it will skip the hole.

Entry Name: SectionCadTolerance

Entry Type: Real Number specifying tolerance. Default value is 0.01.

User permission is required to change entry


Section Incr 2

This value specifies the jump distance along the section axis after each scan is done.

Entry Name: SectionIncr2

Entry Type: Real Number specifying distance. Default value is 0.1.

User permission is required to change entry


Section Location

This value specifies the initial section at which you would want the scan to start. Subsequent sections will be added along the specified axis based upon the SectionIncr2 value.

Entry Name: SectionLocation

Entry Type: Real Number specifying location on axis. Default value is 0.

User permission is required to change entry


Theo Pnt Col W1

This value defines the width of the # column of the Theoretical Points area in the Scan dialog box. The stored value changes if the column is resized. The size is recalled upon subsequent usage.

Entry Name: TheoPntColW1

Entry Type: Whole Number specifying the distance in terms of pixels. Default value is 30.

User permission is required to change entry


Theo Pnt Col W2

This value defines the width of the X column of the Theoretical Points area in the Scan dialog box. The stored value changes if the column is resized. The size is recalled upon subsequent usage.

Entry Name: TheoPntColW2

Entry Type: Whole Number specifying the distance in terms of pixels. Default value is 70.

User permission is required to change entry


Theo Pnt Col W3

This value defines the width of the Y column of the Theoretical Points area in the Scan dialog box. The stored value changes if the column is resized. The size is recalled upon subsequent usage.

Entry Name: TheoPntColW3

Entry Type: Whole Number specifying the distance in terms of pixels. Default value is 70.

User permission is required to change entry


Theo Pnt Col W4

This value defines the width of the Z column of the Theoretical Points area in the Scan dialog box. The stored value changes if the column is resized. The size is recalled upon subsequent usage.

Entry Name: TheoPntColW4

Entry Type: Whole Number specifying the distance in terms of pixels. Default value is 70.

User permission is required to change entry


Theo Pnt Col W5

This value defines the width of the I column of the Theoretical Points area in the Scan dialog box. The stored value changes if the column is resized. The size is recalled upon subsequent usage.

Entry Name: TheoPntColW5

Entry Type: Whole Number specifying the distance in terms of pixels. Default value is 70.

User permission is required to change entry


Theo Pnt Col W6

This value defines the width of the J column of the Theoretical Points area in the Scan dialog box. The stored value changes if the column is resized. The size is recalled upon subsequent usage.

Entry Name: TheoPntColW6

Entry Type: Whole Number specifying the distance in terms of pixels. Default value is 70.

User permission is required to change entry


Theo Pnt Col W7

This value defines the width of the K column of the Theoretical Points area in the Scan dialog box. The stored value changes if the column is resized. The size is recalled upon subsequent usage.

Entry Name: TheoPntColW7

Entry Type: Whole Number specifying the distance in terms of pixels. Default value is 70.

User permission is required to change entry


Time Delta Scan Delay

This value provides the time that must elapse before PC-DMIS takes a hit. This is used with manual scans.

Entry Name: TimeDeltaScanDelay

Entry Type: Real Number specifying seconds. Default value is 1.

User permission is required to change entry


UV Scan U End

This value defines the end location of the area on the scan surface in the U direction (approximate X Direction) that will be included as part of the UV Scan. For example, a value of .9 would scan 90% of the way in the U direction.

Entry Name: UVScanUEnd

Entry Type: Real Number specifying portion of the whole surface. Default value is 0.9.

User permission is required to change entry


UV Scan U Hits

This value indicates the minimum number of hits per row in the U row that must be taken when scanning.

Entry Name: UVScanUHits

Entry Type: Whole Number specifying number of hits. Default value is 2.

User permission is required to change entry


UV Scan U Start

This value defines the start location of the area on the scan surface in the U direction (approximate X Direction) that will be included as part of the UV Scan. For example, a value of .1 would begin scanning 10% of the way in the U direction.

Entry Name: UVScanUStart

Entry Type: Real Number specifying portion of the whole surface (1). Default value is 0.1.

User permission is required to change entry


UV Scan V End

This value defines the end location of the area on the scan surface in the V direction (approximate Y Direction) that will be included as part of the UV Scan. For example, a value of .9 would scan 90% of the way in the V direction.

Entry Name: UVScanVEnd

Entry Type: Real Number specifying portion of the whole surface (1). Default value is 0.1.

User permission is required to change entry


UV Scan V Hits

This value indicates the minimum number of hits per row in the V row that must be taken when scanning.

Entry Name: UVScanVHits

Entry Type: Whole Number specifying number of hits. Default value is 2.

User permission is required to change entry


UV Scan V Start

This value defines the start location of the area on the scan surface in the V direction (approximate Y Direction) that will be included as part of the UV Scan. For example, a value of .1 would begin scanning 10% of the way in the V direction.

Entry Name: UVScanVStart

Entry Type: Real Number specifying portion of the whole surface (1). Default value is 0.1.

User permission is required to change entry


Vec List Col W1

This value defines the width of the # column of the Vector section of Boundary Points area in the Scan dialog box. The stored value changes if the column is resized. The size is recalled upon subsequent usage.

Entry Name: BndyPntColW1

Entry Type: Whole Number specifying the distance in terms of pixels. Default value is 30.

User permission is required to change entry


Vec List Col W2

This value defines the width of the I column of the Vector section of Boundary Points area in the Scan dialog box. The stored value changes if the column is resized. The size is recalled upon subsequent usage.

Entry Name: BndyPntColW2

Entry Type: Whole Number specifying the distance in terms of pixels. Default value is 85.

User permission is required to change entry


Vec List Col W3

This value defines the width of the J column of the Vector section of Boundary Points area in the Scan dialog box. The stored value changes if the column is resized. The size is recalled upon subsequent usage.

Entry Name: BndyPntColW3

Entry Type: Whole Number specifying the distance in terms of pixels. Default value is 85.

User permission is required to change entry


Vec List Col W4

This value defines the width of the K column of the Vector section of Boundary Points area in the Scan dialog box. The stored value changes if the column is resized. The size is recalled upon subsequent usage.

Entry Name: BndyPntColW4

Entry Type: Whole Number specifying the distance in terms of pixels. Default value is 85.

User permission is required to change entry


Settings

These value are used to define general settings for PC-DMIS.

More:

AutoSave

RulerUnits


Auto Save

Documentation Pending


Ruler Units

Documentation Pending


Settings View

This section of the PC-DMIS Settings Editor allows you to set parameters that are used with the Settings window. The color values should be edited from the Settings Window Options dialog box within PC-DMIS.

More:

DimensionColors

Divider

GeneralColors

MeasColors

MeasSpeedColors

ProbeColors

StartTabSelected

TabSelected

UseColors


Dimension Colors

This value specifies the decimal value for the color that will be used to highlight the Dimensions items in the Settings window.

Entry Name: DimensionColors

Entry Type: Unsigned Integer specifying decimal color number. Default value is 13684222 (light pink).

User permission is required to change entry

Note: It is best to alter this value inside of PC-DMIS from the Settings Window Options dialog box accessed from right clicking in the Settings window and selecting Options... This value serves as a place holder for the last used value.


Divider

This value defines the width of the category column of the Settings window. The stored value changes if the column is resized. The size is recalled upon subsequent usage.

Entry Name: Divider

Entry Type: Whole Number specifying the distance in terms of pixels. Default value is 92.

User permission is required to change entry


General Colors

This value specifies the decimal value for the color that will be used to highlight the General items in the Settings window.

Entry Name: General Colors

Entry Type: Unsigned Integer specifying decimal color number. Default value is 14671839 (light grey).

User permission is required to change entry

Note: It is best to alter this value inside of PC-DMIS from the Settings Window Options dialog box accessed from right clicking in the Settings window and selecting Options... This value serves as a place holder for the last used value.


Meas Colors

This value specifies the decimal value for the color that will be used to highlight the Distances items in the Settings window.

Entry Name: Meas Colors

Entry Type: Unsigned Integer specifying decimal color number. Default value is 13893337 (light green).

User permission is required to change entry

Note: It is best to alter this value inside of PC-DMIS from the Settings Window Options dialog box accessed from right clicking in the Settings window and selecting Options... This value serves as a place holder for the last used value.


Meas Speed Colors

This value specifies the decimal value for the color that will be used to highlight the Speeds related items in the Settings window.

Entry Name: MeasSpeed Colors

Entry Type: Unsigned Integer specifying decimal color number. Default value is 16710358 (light blue).

User permission is required to change entry

Note: It is best to alter this value inside of PC-DMIS from the Settings Window Options dialog box accessed from right clicking in the Settings window and selecting Options... This value serves as a place holder for the last used value.


Probe Colors

This value specifies the decimal value for the color that will be used to highlight the Probe related items in the Settings window.

Entry Name: Probe Colors

Entry Type: Unsigned Integer specifying decimal color number. Default value is 14745340 (light yellow).

User permission is required to change entry

Note: It is best to alter this value inside of PC-DMIS from the Settings Window Options dialog box accessed from right clicking in the Settings window and selecting Options... This value serves as a place holder for the last used value.


Start Tab Selected

This value represents the default tab that will be displayed when the Settings window is first opened. When this value is set to 4294967295, the "TabSelected" value is used to determine the startup state of the Settings window.

Entry Name: StartTabSelected

Entry Type: Whole Number specifying tab number (0-5). Default value is 4294967295.

User permission is required to change entry

Tab Key:

0 – All

1 – General

2 – Probe

3 – Distances

4 – Speeds

5 - Dimensions

4294967295 - Use "TabSelected" value for startup


Tab Selected

This value represents the default tab that will be displayed when the Settings window is first opened. When the "StartTabSelected" value is set to 4294967295, then this value is used to determine the startup state of the Settings window. If the "StartTabSelected" is set to (0-5) then this value is ignored.

Entry Name: StartTabSelected

Entry Type: Whole Number specifying tab number (0-5). Default value is 4294967295.

User permission is required to change entry

Tab Key:

0 – All

1 – General

2 – Probe

3 – Distances

4 – Speeds

5 - Dimensions


Use Colors

This value lets you disable or enable the color-coded display for the categories in the Settings window. When this value is set to TRUE (1), color-coding is enabled.

Entry Name: Use Colors

Entry Type: True/False value. Default value is TRUE.

User permission is required to change entry


Status Window

This section of the PC-DMIS Settings Editor allows you to set parameters that are used with the Status window.

Currently on the "ReportTemplate" topic exists in this section.


Report Template

This value provides the name of the default Report Template that will be used for the Status Window display. Any command can be displayed in the Status window as long as a label template is assigned to that command in the report template (.rtp) file that is specified here.

Entry Name: ReportTemplate

Entry Type: Character String specifying the template file name. Default value is textonly.rtp.

User permission is required to change entry


System Five Dcc

This section of the PC-DMIS Settings Editor allows you to set parameters for your flexible fixturing system.

More:

Enable Fixture Services

FxtServerIndex

FxtServerIndexSlave

GripperSlot

ManualFixedGripper

UseColumnErrorsComponent


Enable Fixture Services

When this value is set to "TRUE", Fixture Services are enabled. This enables Fixture services independent from the portlock settings.

Entry Name: Enable Fixture Services

Entry Type: Character String specifying TRUE or FALSE. Default value is TRUE.

Administrator permission is required to change entry


Fxt Server Index

This value provides the index number of the master arm (e.g. 0).

Entry Name: FxtServerIndex

Entry Type: Whole Number specifying master index number. Default value is 0.

Administrator permission is required to change entry


Fxt Server Index Slave

This value provides the index number of the slave arm (e.g. 1).

Entry Name: FxtServerIndexSlave

Entry Type: Whole Number specifying slave index number. Default value is 1.

Administrator permission is required to change entry


Gripper Slot

This value is not used.


Manual Fixed Gripper

This value is not used.


Use Column Errors Component

This value is not used.


Unigraphics

This section of the PC-DMIS Settings Editor contains entries for directly interfacing with Unigraphics CAD files. See the Unigraphics topics in the "Installing and Using the Direct CAD Interfaces" section of the "Direct CAD™ Interfaces and Translators" help file.


Allow To Run Without CAD File

This entry lets you specify whether or not PC-DMIS can run a Unigraphics DCI part program without a connection to the original Unigraphics CAD file.

If you set this entry to TRUE, then PC-DMIS can load and run a Unigraphics DCI part program without a connection to the original Unigraphics CAD file. If you set this entry to FALSE, then when working with the Unigraphics DCI, PC-DMIS will display a dialog box asking the user what action to take if the original Unigraphics CAD file cannot be found.

Entry Name: AllowToRunWithoutCADFile

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


Debug DCI

This entry controls whether a debug file, UG_DCI.txt, will be created in the PC-DMIS directory. You can view this file and any debug information it contains in any standard text editor.

Entry Name: DebugDCI

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


Display UG License Errors

This entry controls whether a warning dialog box appears when opening a part program with CAD data imported with the UG DCI. Errors are displayed when this option is set to TRUE (1).

Entry Name: DisplayUGLicenseErrors

Entry Type: True/False value. Default value is TRUE.

User permission is required to change entry


Import Invisible Layers

This entry lets you specify whether or not PC-DMIS will import CAD data on invisible layers in the Unigraphics part file. If you set this entry to TRUE, then the CAD data on invisible layers will be imported. If you set this entry to FALSE, CAD data on invisible layers will not be imported.

Entry Name: ImportInvisibleLayers

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


Import Selectable Layers

This entry lets you specify whether or not PC-DMIS will import CAD data on selectable layers in the Unigraphics part file. If you set this entry to TRUE, then the CAD data on selectable layers will be imported. If you set this entry to FALSE, CAD data on selectable layers will not be imported.

Entry Name: ImportSelectableLayers

Entry Type: True/False value. Default value is TRUE.

User permission is required to change entry


Import Visible Layers

This entry lets you specify whether or not PC-DMIS will import CAD data on visible layers in the Unigraphics part file. If you set this entry to TRUE, then the CAD data on visible layers will be imported. If you set this entry to FALSE, CAD data on visible layers will not be imported.

Entry Name: ImportVisibleLayers

Entry Type: True/False value. Default value is TRUE.

User permission is required to change entry


Import Work Layer

This entry lets you specify whether or not PC-DMIS will import CAD data on the work layer in the Unigraphics part file. If you set this entry to TRUE, then the CAD data on the work layer will be imported. If you set this entry to FALSE, CAD data on the work layer will not be imported.

Entry Name: ImportWorkLayer

Entry Type: True/False value. Default value is TRUE.

User permission is required to change entry


Layer Numbers To Import

This entry lets you specify which PC-DMIS Unigraphics layers, by number, to import the CAD data. You can type an expression that specifies Unigraphics layers to import the CAD data from.

Entry Name: LayerNumbersToImport

Entry Type: Character String specifying the set of layers to be imported. Default value is 1-256.

User permission is required to change entry

The layers are specified by individual layers, separated by commas, by ranges of layers separated by commas, or by ranges specified with a hyphen before or after a layer number. The following table of examples illustrates the possible format.

Examples of Set Expression Import Interpretation

1-10, 20-30 | Unigraphics CAD data on layers 1-10 and 20-30 are imported.
1-8 | Unigraphics CAD data on layers 1-8 are imported.
100-256 | Unigraphics CAD data on layers 100-256 are imported.
7 | Unigraphics CAD data on layer 7 is imported.
* | Unigraphics CAD data on all layers, 1-256, are imported.


Skip No UG Executable File Message

This entry lets you specify whether or not PC-DMIS will display the "Couldn't find the UG execution file!" message when opening a Unigraphics DCI part program. If you set this entry to TRUE, then the "Couldn't find the UG execution file!" message will not be displayed when opening a Unigraphics DCI part program with an available UG session. If you set this entry to FALSE, then the message will be displayed. The default value is FALSE.

Entry Name: SkipNoUGExecutionFileMessage

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


Use Assembly Component Colors

When this option is set to TRUE,PC-DMIS displays the color for each component. The displayed color can either be the original part color or a component color specified in the assembly.

Entry Name: UseAssemblyComponentColors

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry

This option only has an effect during a Unigraphics assembly import.

Note: Unigraphics does not currently provide a method of determining the actual display of the assembly components as displayed in Unigraphics. This option provides the means to match the actual Unigraphics assembly display colors.


USER_Auto Features

This section of the PC-DMIS Settings Editor allows you to set parameters that are used in the creation of Auto Features.

More:

FHCenteringAtChkDistTimesPercentInsteadOfDepth

ReadPosUpdatesXYZ

ReadPosUpdatesXYZEvenIfRMeas


FH Centering At Chk Dist Times Percent Instead Of Depth

This value specifies where the Find Hole centering process will happen. When this value is set to FALSE, the centering process will happen at the depth (original method). If the value is set to TRUE, then the centering will happen at the check distance percent (new method).

Entry Name: FHCenteringAtChkDistTimesPercentInsteadOfDepth

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


Read Pos Updates XYZ

Normally, when you perform a Read Position operation (Read Pos, Find Hole, or On Error) the Z remains at the nominal location. This allows you to simply place the probe above the feature so you don't have to spend extra time carefully moving the probe into the hole.

When using Read Position with auto features, this entry, however, lets you specify whether or not a Read Position operation includes all three axes: X,Y, and Z, instead of the usual X,Y.

If you set this entry to TRUE, then PC-DMIS's read position operation for also includes the Z axis. If set to FALSE, then PC-DMIS behaves as it always has, using only the X and Y axes.

Entry Name: ReadPosUpdatesXYZ

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry

Note: If your Auto Feature uses an RMEAS feature, then the RMEAS feature overrides this entry causing the probe to only update the X and Y position, even if this is set to TRUE. If you have an RMEAS feature and still want this to update the Z axes then set the ReadPosUpdateXYZEvenIfRMeas entry to TRUE.


Read Pos Updates XYZ Even If RMeas

When using Read Pos for Auto Features, this entry lets you specify whether or not a Find Hole's Read Position operation returns not only the X and Y axes, but also the Z axis, even if the auto feature uses an RMEAS feature.

You generally won't use this option. Consider this example situation: You have a contoured part which you only Rmeas to the X axis. Your Z may be out of tolerance by a large amount. Normally, you would Rmeas to Z as well, but since you don’t have a decent non-contoured feature to Rmeas to, in this case, you would need Read Pos to update X,Y, and Z.

If you set this entry to TRUE, then PC-DMIS's read position operation also includes the Z axes even if you use an RMEAS feature. If set to FALSE, then PC-DMIS behaves as it always has, using only the X and Y axes.

Entry Name: ReadPosUpdatesXYZEvenIfRMeas

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


USER_CNCProgram

This section of the PC-DMIS Settings Editor allows you to set parameters that are used for CNC machines.

It currently has the IncludeUtilMacros entry


Include Util Macros

When this value is set to TRUE, PC-DMIS NC uses the macros supplied by the probe or NC manufacturer. Two macros are normally used:

  • The first macro measures the size and location of a known (size and position) hole. The size of the hole is used to determine the diameter of the probe. The location of the hole determines the offsets of the probe center from the spindle axis.

  • The second macro determines the probe tool length by touching a flat surface that is perpendicular to the spindle axis and whose location is known with respect to the spindle gage point. Follow your existing documentation for information on how to do this.

Entry Name: IncludeUtilMacros

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


USER_CNC Settings

This section of the PC-DMIS Settings Editor allows you to set parameters that are used for CNC machines.

More:

CurrentMachine

PcdLaunchTime


Current Machine

This field displays a unique identification number (positive 16 bit integer) for each machine. Even if you have multiple machines of the same type, each must have a unique ID. This value is used to provide the last used ID number.

Entry Name CurrentMachine

Entry Type: Whole Number to specify default machine number. Default value is 0.

User permission is required to change entry


Pcd Launch Time

This value specifies the amount time in seconds that CNC server will wait for PC-DMIS to launch before it starts. This will insure that PC-DMIS is started since CNC server requires that it is running in the background.

Entry Name: PcdLaunchTime

Entry Type: Whole Number to specify seconds. Default value is 180.

User permission is required to change entry


USER_DEA_Interface

This section of the PC-DMIS Settings Editor allows you to store values used when working with the DEA interface.

It currently has the NEWCOMPENS_FNAME entry.


NEW COMPENS_FNAME

This entry allows you to specify the new file that should be used for the compensation file. This is only used when the UseVolcomp entry the USER_LEITZ section is set to 2.

Entry Name: NEWCOMPENS_FNAME

Entry Type: Character String pointing to the machine-specific .dat compensation file for the wcompens32 compensation file. Default value is c:\Tutor\Compens.dat.

Administrator permission is required to change entry


USER_DMIS

This section of the PC-DMIS Settings Editor allows you to store values used in processing DMIS related routines.

It currently has the DMISUseToyotaConvention entry.


DMIS Use Toyota Convention

This option should be set to TRUE (1) if the DMIS file that you are importing has been created using Toyota software. This enables support that is specific to Toyota.

Entry Name: DMISUseToyotaConvention

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


USER_Execution

This section of the PC-DMIS Settings Editor allows you to store values used to modify position and size aspects of the Execution Mode Options dialog box (File | Execute).

More:

ExecCollWindowOptPos(1-4)

ExecWindowOptPos(1-4)


Exec Coll Window Opt Pos (1-4)

These values store the last position of the Execution Collision detection window for Arms 1-4 respectively. PC-DMIS will restore the last position upon subsequent part program executions. The comma delimited string refers to pixel values for the top left and bottom right corners of the Execution Mode Options dialog box.

Entry Name: ExecCollWindowOptPos(1-4)

Entry Type: Character String specifying Executive window location. Default value is (0,0,300,200).

User permission is required to change entry

Position Key:

1st # | Top left X position from left edge of screen.
2nd # | Top left Y position from top edge of screen.
3rd # | Bottom Right X position from left edge of screen.
4th # | Bottom Right Y position from top edge of screen.


Exec Window Opt Pos (1-4)

These values store the last position of the Execution window for Arms 1-4 respectively. PC-DMIS will restore the last position upon subsequent part program executions. The comma delimited string refers to pixel values for the top left and bottom right corners of the Execution Mode Options dialog box.

Entry Name: ExecWindowOptPos(1-4)

Entry Type: Character String specifying Executive window location. Default value is (0,0,300,200).

User permission is required to change entry

Position Key:

1st # | Top left X position from left edge of screen.
2nd # | Top left Y position from top edge of screen.
3rd # | Bottom Right X position from left edge of screen.
4th # | Bottom Right Y position from top edge of screen.


USER_Faro_Interface

This section of the PC-DMIS Settings Editor allows you to store values used when working with the Faro interface.

It currently has the LastCalError entry.


Last Cal Error

This value stores the volumetric number that Faro calculates after the calibration routine is complete. The Faro Controller generates this number and it is only used for display purposes. You should not edit this value.

Entry Name: LastCalError

Entry Type: Character String specifying last volumetric number. Default value is NA.

User permission is required to change entry


USER_Iplus Plus

This section of the PC-DMIS Settings Editor contains information for working with the I++ interface. It currently contains entries for communicating with that interface.

More:

CommPort

EnumToolsType

TCPIPPort

ToolNamingType

TraceOnScreen


Comm Port

This value specifies the RS232 port number used to connect to the I++ Server through a serial line

Entry Name: CommPort

Entry Type: Whole Number to specify comm port. Default value is 0.

Administrator permission is required to change entry


Enum Tools Type

This value affects the “EnumTools” command and allows the I++ Server to enumerate to the I++ client both calibrated and uncalibrated tools (0) or only calibrated tools (1).

Entry Name: CommPort

Entry Type: Whole Number to specify enumeration. Default value is 0.

Administrator permission is required to change entry


TCP IP Port

This value provides TCP/IP port number used to connect to the I++ Server.

Entry Name: TCPIPPort

Entry Type: Character String specifying port number. Default value is 1294.

Administrator permission is required to change entry


Tool Naming Type

This value determines the tool naming convention for your I++ Server.

Entry Name: ToolNamingType

Entry Type: Whole Number to specify naming type. Default value is 0.

User permission is required to change entry

Tool Naming Type Key:

0 | Tool naming is allowed in the “PROBE.TIP” format. For example PH9.T1A90B0
1 | Tool naming is allowed in the “NICKNAME” format. In this case, for each tip defined in the I++ server needs to have a nickname associated (“Probe Utilities\Edit Probe Data\Nickname”)
2 | Tool naming is allowed in the “PROBETIP” format. This mode is similar to mode 0,but the tool naming does not contains dot character (“.”) For example PH9T1A90B0


Trace On Screen

When this value is set to TRUE, the I++ Server is allowed to create a window displaying the Server/Client communication trace.

Entry Name: TraceOnScreen

Entry Type: True/False value. Default value is False.

User permission is required to change entry


USER_LEITZ

This section of the PC-DMIS Settings Editor contains various settings for CMMs using the Leitz interface.

More:

ScanSpeed

UseVolComp


Scan Speed

This value lets you change the speed at which the CMM with a Leitz interface will scan the part. The value that is entered is a percentage of the maximum machine speed.

Entry Name Scan Speed

Entry Type: Real Number to specify percentage. Default value is 50.

Administrator permission is required to change entry


Use Vol Comp

This value is set to TRUE (1), Volume Compensation will be used for you Leitz interface.

Entry Name: UseVolComp

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

Administrator permission is required to change entry


USER_License Server Client

This section of the PC-DMIS Settings Editor specifies the host name and port number information when running the License Server. The License Server allows you to serve licenses of PC-DMIS over a network rather than have a portlock on each computer. The License Server hands out licenses to any client as long as the number of clients do not exceed the number of purchased licenses.

More:

Hostname

Port


Hostname

This value defines the local PC name as shown in the Control Panel | System dialog box. The hostname can also be resolved as an IP address.

Entry Name: Hostname

Entry Type: Character String specifying the host. Default value is the local computer’s host name.

User permission is required to change entry


Port

This value defines the local PC Port number at the local PC hostname. An example would be 7200@MyHostName

Entry Name: CatiaPort

Entry Type: Whole Number value for the port number. Default value is 5555.

User permission is required to change entry


USER_Math Settings\Line\Manual

This section of the PC-DMIS Settings Editor specifies parameters that control the methods that are used within PC-DMIS.

It currently has the UseLearnedVector entry.


Use Learned Vector

When this option is set to TRUE (1), the manually measured lines during execution will make sure the executed vector matches the direction of the learned vector.

Entry Name: UseLearnedVector

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry.


Multiple Arm Calibration

This section of the PC-DMIS Settings Editor allows you to set parameters used to calibrate machines running multiple arms. Your portlock must be programmed with the proper multiple arm functionality in order for this section to appear.

More:

DCCMode

MeasureMode

NumSpheres

OriginMode

SphereCenter(0-99)

ToolNum


DCC Mode

This value defines the Calibration method to be used during Dual Arm calibration. When this value is set to TRUE (1), PC-DMIS uses DCC mode that will allow you to supply the sphere positions and it will do all the motion under computer control. When this value is set to FALSE (0), PC-DMIS will prompt you to measure each sphere position using the CMM's jog box. Once you have taken the first hit on the top of the sphere, PC-DMIS will take the rest of hits in DCC mode.

Entry Name: DCCMode

Entry Type: Whole Number specifying DCC (1) or MANUAL (0). Default value is 0.

User permission is required to change entry


Measure Mode

This option determines the mode that is used for dual arm calibration.

Entry Name: MeasureMode

Entry Type: Whole Number specifying calibration mode. Default value is 0.

User permission is required to change entry

Mode Key:

0 | Both arms measure tool. PC-DMIS will prompt you to measure each sphere position with both arms.
1 | First arm holds tool and second arm measures. PC-DMIS will prompt you to move the master arm to each position and then measure the spherical tool with the slave arm
2 | Second arm holds tool and first arm measures. PC-DMIS will prompt you to move the slave arm to each position and then measure the spherical tool with the master arm.


Num Spheres

This value specifies the number of spheres you want to measure to establish the origin. If more than one sphere position is measured, PC-DMIS will average the positions to establish the origin.

Entry Name: NumSpheres

Entry Type: Whole Number specifying number of spheres. Default value is 1.

User permission is required to change entry


Origin Mode

This option specifies what will be calibrated as part of the multiple arm calibration process.

  • When this option is set to 0, PC-DMIS creates a 3D transformation between the two arms to compensate for any out-of-squareness between the two arms. You must do this at least once (normally this is done periodically every few months).

  • When this option is set to 1, PC-DMIS corrects only the origin between the two arms. You should do this type of calibration more frequently, based on probe calibration procedures.

Entry Name: OriginMode

Entry Type: Whole Number specifying 0 (Orientation and origin) or 1 (Origin only). Default value is 0.

User permission is required to change entry


Sphere Center (0-99)

These values provide the spheres positions that are measured during the dual arm calibration process. Sphere positions are only used when the DCCMode is set to TRUE (1).

Entry Name: SphereCenter(0-99)

Entry Type: Character String specifying sphere positions. Default value is ” -99.9,-99.9,-99.9”.

User permission is required to change entry


Tool Num

This value provides the number of the predefined tool that is used when the MeasureMode option is set to 0 (Both arms measure tool).both arms are set to measure this

Comment: Number of the default calibration tool, I guess.

Entry Name: ToolNum

Entry Type: Whole Number specifying tool number. Default value is None (-1).

User permission is required to change entry


Multiple Arm Settings

This section of the PC-DMIS Settings Editor allows you to set parameters used with machines running multiple arms in general. Your portlock must be programmed with the proper multiple arm functionality in order for this section to appear.

More:

ConnectionTypeArm(1-4)

ConnectTimeArm(1-4)

Mode

RelayComputerRecievePort

TCPIPAddressArm(1-4)

TCPIPSendPortArm(1-4)


Connection Type Arm (1-4)

This value specifies the connection type for the given arm (1-4) arm to the current (master) computer. Values can be provided for Arm 1-4 respectively. This value is only used this is the Master computer set with a value of 1 for Mode.

Entry Name: ConnectionTypeArm(1-4)

Entry Type: Whole Number specifying 0 (Direct Connection) or 1 (Remote Connection). Default value is 1.

User permission is required to change entry.


Connect Time Arm (1-4)

This value is the number of milliseconds that PC-DMIS will delay before attempting a TCP/IP connection to the given arm (1-4) arm to the current (master) computer. Values can be provided for Arm 1-4 respectively. This value is only used when ConnectionTypeArm(1-4) for the relevant arm is set to 1(Remote Connection) and this is the Master computer set with a value of 1 for Mode.

Entry Name: ConnectTimeArm(1-4)

Entry Type: Character String specifying milliseconds. Default value is 500

User permission is required to change entry.


Drive Computer Send Port Arm (1-4)

These values are no longer used.


Mode

This option determines which mode your computer will use in a Multiple Arm Setup

Entry Name: Mode

Entry Type: Whole Number specifying mode. Default value is 1.

User permission is required to change entry

Mode Key:

0 | This computer (slave) relays commands from main computer
1 | This computer (master) drives all arms
2 | This computer is not used in a multiple arm setting


RelayComputerRecievePort

Relay Computer Receive Port

This value provides the TCP/IP port to read from on the master computer. This value is only used when the Mode value is set to 0 (slave).

Entry Name: RelayComputerReceivePort

Entry Type: Character String specifying the master TCP/IP port. Default value is None ( ).

User permission is required to change entry


TCPIP Address Arm (1-4)

This value provides the TCP/IP port for the given arm (1-4) arm to the current (master) computer. Values can be provided for Arm 1-4 respectively. This value is only used when ConnectionTypeArm(1-4) for the relevant arm is set to 1(Remote Connection) and this is the Master computer set with a value of 1 for Mode.

Entry Name: TCPIPAddressArm(1-4)

Entry Type: Character String specifying TCP/IP port. Default value is None ( ).

User permission is required to change entry.


TCPIP Send Port Arm (1-4)

This value provides the port number of the TCP/IP address for the given arm (1-4) arm to the current (master) computer. Values can be provided for Arm 1-4 respectively. This value is only used when ConnectionTypeArm(1-4) for the relevant arm is set to 1(Remote Connection) and this is the Master computer set with a value of 1 for Mode.

Entry Name: TCPIPSendPortArm(1-4)

Entry Type: Character String specifying the TCP/IP port. Default value is None ( ).

User permission is required to change entry.


USER_NC Sensor Settings

This section of the PC-DMIS Settings Editor allows you to set parameters used with NC Laser machines. Your portlock must be programmed with the proper Laser functionality in order for this section to appear.

More:

AutoAdjustProbeMaxAngle

CGPercentage

CGThreshold

HotSpotErrorEstimate(XYZ)

RowDensity

RowOverlap

RowOverscan

SensorClipLeftPercent

SensorClipLowPercent

SensorClipRightPercent

SensorClipUpPercent

SensorDensity

SensorExposure

SensorFilterWidth

SensorFrequency

SensorIntensity

SensorMinNeighbor

SensorNeighborNum

SensorTolAbove

SensorTolBelow

SensorTolRight

Weight(1-9)


Auto Adjust Probe Max Angle

This value provides the maximum angle allowed between the part surface and the laser probe. It is used to decide when a different tip angle is needed for scanning. In a scan it’s best that the machine motion is such that the stripe on the part is perpendicular to the machine motion. If it is greater than this value a new tip angle is selected.

Entry Name: AutoAdjustProbeMaxAngle

Entry Type: Real Number to specify angle in degrees. Default value is 45.

User permission is required to change entry


CG Percentage

This value is used when the "SensorCGLocType" value is set to 0 (Brightest). See the "Laser Probe Toolbox: Laser Pixel Locator Properties tab" topic in the PC-DMIS Laser documentation for more information. The CG Percentage is the cutoff under which the data is discarded.

Entry Name: CGPercentage

Entry Type: Whole Number specifying percentage. Default value is 5.

User permission is required to change entry


CG Threshold

This value is used when the "SensorCGLocType" value is set to 1 (Fixed Threshold). See the "Laser Probe Toolbox: Laser Pixel Locator Properties tab" topic in the PC-DMIS Laser documentation for more information. PC-DMIS discards all the data below the threshold and it computes the actual pixel location as the center of gravity of the remaining pixels within the column.

Entry Name: CGThreshold

Entry Type: Whole Number specifying threshold in pixels. Default value is 40.

User permission is required to change entry


Hot Spot Error Estimate (XYZ)

These three values provide an estimate of the x, y, & z values for the error between the theoretical and actual tip offset. It is used to automate calibration. PC-DMIS estimates this roughly as the first step before calibrating tips in an automated way. The reason for the estimate is that the difference between the theoretical and actual value of the tip offset has a large variance.

Entry Name: HotSpotErrorEstimate(XYZ)

Entry Type: Real Number to specify X,Y, or Z coordinate value. Default value is 0.

User permission is required to change entry


Row Density

This value is no longer used.


Row Overlap

This value controls how far each pass will overlap the previous pass. The default value is 1.0 mm.

Entry Name: RowOverlap

Entry Type: Real Number to specify distance. Default value is 0.

User permission is required to change entry


Row Overscan

This value how far beyond the nominal feature’s dimensions the probe will scan along both the major and minor axis of the feature. If you are measuring features whose actual location may vary significantly from their theoretical values, you will need to increase this value in order to ensure that PC-DMIS measures the entire feature.

Entry Name: RowOverscan

Entry Type: Real Number to specify distance. Default value is 2.

User permission is required to change entry


Sensor Clip Left Percent

This value provides the left edge of the clipping plane as a percentage of your laser sensor's field of view. The clipping plane allows you limit the amount of data that is collected form your laser sensor. For example, a value of 15 would eliminate the first fifteen percent from the left edge of the sensor's entire field of view, while a value of 0 will use all data up to the left edge of the sensor's field of view.

Entry Name: SensorClipLeftPercent

Entry Type: Real Number to specify percentage. Default value is 0.

User permission is required to change entry


Sensor Clip Low Percent

This value provides the bottom edge of the clipping plane as a percentage of your laser sensor's field of view. The clipping plane allows you limit the amount of data that is collected form your laser sensor. For example, a value of 15 would eliminate the first fifteen percent from the bottom edge of the sensor's entire field of view, while a value of 0 will use all data down to the bottom edge of the sensor's field of view.

Entry Name: SensorClipLowPercent

Entry Type: Real Number to specify percentage. Default value is 0.

User permission is required to change entry


Sensor Clip Right Percent

This value provides the right edge of the clipping plane as a percentage of your laser sensor's field of view. The clipping plane allows you limit the amount of data that is collected form your laser sensor. For example, a value of 85 would eliminate the last fifteen percent form the right edge of the sensor's entire field of view, while a value of 100 will use all data up to the right edge of the sensor's field of view.

Entry Name: SensorClipRightPercent

Entry Type: Real Number to specify percentage. Default value is 0.

User permission is required to change entry


Sensor Clip Up Percent

This value provides the top edge of the clipping plane as a percentage of your laser sensor's field of view. The clipping plane allows you limit the amount of data that is collected form your laser sensor. For example, a value of 85 would eliminate the last fifteen percent from the top edge of the sensor's entire field of view, while a value of 100 will use all data up to the top edge of the sensor's field of view.

Entry Name: SensorClipUpPercent

Entry Type: Real Number to specify percentage. Default value is 0.

User permission is required to change entry


Sensor Density

This value stores the default value that is used for the “Inline” filter. See the "Filter Type: Inline" topic in the PC-DMIS Laser documentation for more information.

Entry Name: SensorDensity

Entry Type: Real Number to specify density in pixels. Default value is 20.

User permission is required to change entry


Sensor Exposure

This value controls the exposure of the sensor. Values range from 0 to 15. Zero will work well for most parts, but parts which absorb a lot of light (such as a black anodized surface) may require that the value be set higher. Don’t set the value higher unless it is needed; doing so, may result in less accurate measurements.

Entry Name: SensorExposure

Entry Type: Real Number to specify an exposure value. Default value is 0.

User permission is required to change entry


Sensor Filter Width

This value stores the default value of the filter width used in conjunction with the Median and Weighted average laser sensor filters. See the "Laser Probe Toolbox: Laser Filtering Properties tab" topic in the PC-DMIS Laser documentation for more information. documentation).

Entry Name: SensorFilterWidth

Entry Type: Real Number to specify filter width in pixels. Default value is 0.

User permission is required to change entry


Sensor Frequency

This value controls the internal sensor frequency (pulses per second) of the probe. The maximum sensor frequency is 30 pulses per second. Using this value means that you will collect a lot of data. The minimum setting is 1. A setting of 15 may be a good balance between speed and accuracy.

Entry Name: SensorFrequency

Entry Type: Whole Number specifying pulses per second. Default value is 30.

User permission is required to change entry


Sensor Intensity

This value is no longer used.


Sensor Min Neighbor

This value specifies the minimum number of neighboring pixels that need to be compared for the Median and Weight Average filters.

Entry Name: SensorMinNeighbor

Entry Type: Real Number to specify number of pixels. Default value is 2.

User permission is required to change entry


Sensor Neighbor Num

This value is no longer used.


Sensor Tol Above

This value determines the number of pixels in the image that the next pixel is allowed to rise and still be accepted as part of a continuous line. The value indicates the number of pixels above the current pixel that the filter will still use. The Long Line value uses this value for measuring spheres and some cylinders.

Entry Name: SensorTolAbove

Entry Type: Real Number to specify number of pixels. Default value is 0.

User permission is required to change entry


Sensor Tol Below

This value determines the number of pixels in the image that the next pixel is allowed to fall and still be accepted as part of a continuous line. The value indicates the number of pixels below the current pixel that the filter will still use. The Long Line value uses this value for measuring spheres and some cylinders.

Entry Name: SensorTolBelow

Entry Type: Real Number to specify number of pixels. Default value is 0.

User permission is required to change entry


Sensor Tol Right

This value determines the number of permissible missing pixels to the right of the current pixel and is still considered a continuous line. The Long Line value uses this value for measuring spheres and some cylinders..

Entry Name: SensorTolRight

Entry Type: Real Number to specify number of pixels. Default value is 0

User permission is required to change entry


Weight (1-9)

These values are used with the Weighted Average filter which smoothes stripe data by computing a new location for each pixel. The number of pixels used in the comparison is defined with the SensorNeighborNum value. For each pixel in the stripe, this filter will use a weighted average of its neighboring pixels to compute a new location. A higher value (10) has the most relevance, while a lower value (5) would have less relevance.

Entry Name: Weight1

Entry Type: Whole Number specifying relevance of neighboring pixels. Default value is 5 for 1 and 9, 7 for 2 & 8, 8 for 3& 7, 9 for 4 & 6 AND 10 for Weight5.

User permission is required to change entry

Weight Key:

Weight 1 & 9 | Specifies pixels 4 away from the center on either side.
Weight 2 & 8 | Specifies pixels 3 away from the center on either side.
Weight 3 & 7 | Specifies pixels 2 away from the center on either side.
Weight 4 & 6 | Specifies pixels 1 away from the center on either side.
Weight 5 | Specifies the actual pixel.


USER_Option

This section of the PC-DMIS Settings Editor sets global commands for several of PC-DMIS's system options. If these parameters are changed within PC-DMIS, the PC-DMIS Settings Editor will reflect the changes. Likewise, options that are set in the PC-DMIS Settings Editor will be displayed in the appropriate tabs on the Setup Options or Parameter Settings dialog boxes, available from the Edit | Preferences | Setup or Edit | Preferences | Parameters menu options.

This section of the PC-DMIS Settings Editor is constantly changing as the needs of our customers change. The "Setting Your Preferences" section, has additional information regarding the many of the options available in the PC-DMIS Settings Editor.

More:

5UniqueGripperOffset(XYZ)

AbsoluteSpeeds

AppendProbeFileResults

AutoQualClearance

AutoQualClearanceTipDirection

AutoQualClearanceWrist

AutoQualZClearance

CmmCalibratedAsSlave

DEADualDriveMode

DiameterErrorWarning

IterAlignMaxIterations

LargeMenus

LargeToolbars

LastProbeFile

LastProbeFileChanged

MachineSlave(XYZ)MINUS

MachineSlave(XYZ)PLUS

Machine(XYZ)MINUS

Machine(XYZ)PLUS

MaxTipCalibrationDeltaFromTodayInSeconds

MaxTipCalibrationDeltaInProbeFileInSeconds

ProbeFileUsedToForceUnloadWithNoPickup

ProbeGlobalUsedIsRecursive

RotabCalKeepValueFromWorkplaneAxis

SecondSystem5GripperOffset(XYZ)

SlaveLastProbeFile

StandardDeviationLimit

System5GripperOffset(XYZ)

TCFinalAdjustDepth(toolchanger)

TCFinalAdjustHeight(toolchanger)

TCFinalAdjustLength(toolchanger)

TCTARCircleDiameterLarge

TCTARCircleDiameterSmall

TCTARPortWidthCenterpost

TCTARPortWidthMod40

TCTARPortWidthMod65

ToleranceForExecutingOutOfOrderInMM

ToolChangePending

ToolChanger

ToolChangerComm

ToolChangerDockingSpeed

ToolChangerPort3AxisDepthOffset

ToolChangerPort3AxisHeightOffset

ToolChangerPort3AxisLengthOffset

ToolChangerPortDepthOffset

ToolChangerPortHeightOffset

ToolChangerPortLengthOffset

Tool ChangerProtocol

ToolChangerType

UseLastProbeFileAutomatically

UsePortableDefaults

WristAAngleEnd

WristAAngleIncrement

WristAAngleStart

WristABCalibrate

WristBACalibrate

WristBAngleEnd

WristBAngleIncrement

WristBAngleStart

WristStartB

ZInjectorOffset(XYZ)


5 Unique Gripper Offset (XYZ)

This value is not used.


Absolute Speeds

This option determines whether PC-DMIS will display the Move Speed as an absolute value instead of a percentage. Absolute Speed values are displayed, if this value is set tot TRUE (1). This value corresponds to the set unit type of the part program (inches or millimeters).

Entry Name: AbsoluteSpeeds

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Append Probe File Results

When this value is set to TRUE, PC-DMIS will append the calibration results to the results file. Otherwise the results file will be overwritten.

Entry Name: AppendProbeFileResults

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Auto Qual Clearance

This values provides the clearance distance from the end of the Qual Sphere along the qualification tool shank vector.

Entry Name: AutoQualClearance

Entry Type: Real Number to specify clearance distance in inches. Default value is 3.5.

User permission is required to change entry


Auto Qual Clearance Tip Direction

This value is added to the retract move during qualification that is based on the tool diameter. If you do not want to retract by even that tool diameter base value you can set this value to a negative number to offset part of this retract distance.

Entry Name: AutoQualClearanceTipDirection

Entry Type: Real Number to specify distance in inches. Default value is 0.75.

User permission is required to change entry


Auto Qual Clearance Wrist

This values provides the clearance distance from the end of the Qual Sphere along the qualification tool shank vector for Wrist Devices.

Entry Name: AutoQualClearanceWrist

Entry Type: Real Number to specify clearance distance in inches. Default value is 5.

User permission is required to change entry


Auto Qual Z Clearance

This values provides the clearance distance from the top of the Qual Sphere when the qualification tool shank is perpendicular to the Z axis.

Entry Name: AutoQualZClearance

Entry Type: Real Number to specify clearance distance in inches. Default value is 0.

User permission is required to change entry


Cmm Calibrated As Slave

This value is used to tell PC-DMIS that the attached CMM has been calibrated as a slave in a dual arm configuration. The slave computer relays commands from the master computer.

Entry Name: CmmCalibratedAsSlave

Entry Type: Whole Number specifying CMM status. Default value is 0.

User permission is required to change entry


DEA Dual Drive Mode

This value should only be set to TRUE for large DEA gantry machines (such as Delta and Lambda) that may have the main axis (X in DEA convention, Y in Brown & Sharpe convention ) driven by two motors, one on each side of the carriage. In this case, the controller has also an additional axis to power that motor and gather counting signal from the related additional reader.

Entry Name: DEADualDriveMode

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is FALSE (0).

User permission is required to change entry


Diameter Error Warning

This value will cause PC-DMIS to give a warning when the diameter error for the probe tip is more than this value.

Entry Name: DiameterErrorWarning

Entry Type: Real Number to specify diameter. Default value is 0.0098425.

User permission is required to change entry


Iter Align Max Iterations

This value determines the maximum number of repetitions the PC-DMIS will perform when creating an iterative alignment.

Entry Name: IterAlignMaxIterations

Entry Type: Whole Number specifying number of repetitions. Default value is 99.

User permission is required to change entry


Large Menus

This option determines whether Large menus are displayed when you open PC-DMIS. When this value is set to TRUE, then Large menus are used. This is particularly useful for portable devices, where you may need to view the screen from a distance.

Entry Name: LargeMenus

Entry Type: True/False value. Default value is FALSE. The default value is "TRUE" when using a portable device.

User permission is required to change entry


Large Toolbars

This option determines whether Large toolbars are displayed when you open PC-DMIS. When this value is set to TRUE, then Large toolbars are used. This is particularly useful for portable devices, where you may need to view the screen from a distance.

Entry Name: LargeToolbars

Entry Type: True/False value. Default value is FALSE. The default value is "TRUE" when using a portable device.

User permission is required to change entry


Last Probe File

This value stores the name of the last probe file the was displayed in the File Name box of the Probe Utilities dialog box.

Entry Name: LastProbeFile

Entry Type: Character String value specifying the last Probe file name. Default value is None ( ).

User permission is required to change entry


Last Probe File Changed

This value stores the name of the last probe file the was displayed in the File Name box of the Probe Utilities dialog box.

Entry Name: LastProbeFileChanged

Entry Type: Character String value specifying the last Probe file name. Default value is None ( ).

User permission is required to change entry


Machine Slave (XYZ) MINUS

These values define the minimum range of the machine volume for the respective XYZ axes on the slave machine.

Entry Name: MachineSlave(XYZ)MINUS

Entry Type: Real Number to specify minimum range. Default value is None (-9999.99).

Administrator permission is required to change entry


Machine Slave (XYZ) PLUS

These values define the maximum range of the machine volume for the respective XYZ axes on the slave machine.

Entry Name: MachineSlave(XYZ)PLUS

Entry Type: Real Number to specify maximum range. Default value is None (-9999.99).

Administrator permission is required to change entry


Machine (XYZ) MINUS

These values define the minimum range of the machine volume for the respective XYZ axes on the master machine.

Entry Name: Machine(XYZ)MINUS

Entry Type: Real Number to specify minimum range. Default value is None (-9999.99).

Administrator permission is required to change entry


Machine (XYZ) PLUS

These values define the maximum range of the machine volume for the respective XYZ axes on the master machine.

Entry Name: Machine(XYZ)PLUS

Entry Type: Real Number to specify maximum range. Default value is None (-9999.99).

Administrator permission is required to change entry


Max Accel (XYZ)

These values represents the maximum acceleration that the CMM will take when traveling along the X, Y or Z axis as specified for each.

Entry Name: MaxAccel(XYZ)

Entry Type: Real Number specifying mm/sec. Default value is 175.

User permission is required to change entry


Max Tip Calibration Delta From Today In Seconds

This value will cause PC-DMIS to give a warning when you are using tips that have not been calibrated in a time longer than the specified amount in seconds. This value is displayed in days in the Probe Setup dialog box.

Entry Name: MaxTipCalibrationDeltaFromTodayInSeconds

Entry Type: Whole Number specifying seconds. Default value is -1.

User permission is required to change entry


Max Tip Calibration Delta In Probe File In Seconds

This value will cause PC-DMIS to give a warning when using tips that were not all calibrated within the specified amount in seconds. This value is displayed in hours in the Probe Setup dialog box.

Entry Name: MaxTipCalibrationDeltaFromTodayInSeconds

Entry Type: Whole Number specifying seconds. Default value is -1.

User permission is required to change entry


Probe File Used To Force Unload With No Pickup

Set this value to the name of the probe that you use at the end of the program for purposes of unloading the probe without picking one up.

The procedure to use this option follows:

  1. Create a probe file with that name that won't be used on the machine. For example, a file named it "unload" could be used in a command line as "LOADPROB/UNLOAD"

  2. Make sure the probe created in step 1 is NOT assigned to any port in a change rack.

  3. Set this registry setting to the name of that probe. The name is not case sensitive.

With this setup you can leave the other warnings setup the way you normally would for typical operation but you should not get prompted about manually loading or unloading this special probe.

Entry Name: ProbeFileUsedToForceUnloadWithNoPickup

Entry Type: Character String value specifying probe name. Default value is None ( ).

User permission is required to change entry


Probe Global Used Is Recursive

This value determines whether or not the Global Used operation on the Probe Utilities dialog box performs a recursive search through the sub directories. If set to TRUE (1), PC-DMIS performs a recursive search through all the subdirectories. When set to FALSE (0), PC-DMIS only searches the current directory.

Entry Name: ProbeGlobalUsedIsRecursive

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry


Rotab Cal Clearance Tip Dir

This value allows you to change the default value for the Tip Shank Direction clearance used during Rotary Table calibration. It might be necessary to decrease this value for machines with a small measuring volume. This value works in conjunction with the "RotabCalClearanceToolDir" value.

Entry Name: RotabCalClearanceTipDir

Entry Type: Real Number to specify clearance distance. Default value is 0.75.

User permission is required to change entry


Rotab Cal Clearance Tool Dir

This value allows you to change the default value for the Tool Shank Direction clearance used during Rotary Table calibration. It might be necessary to decrease this value for machines with a small measuring volume. This value works in conjunction with the "RotabCalClearanceTipDir" value.

Entry Name: RotabCalClearanceToolDir

Entry Type: Real Number to specify clearance distance. Default value is 3.5.

User permission is required to change entry


Rotab Cal Keep Value From Workplane Axis

Documentation Pending


Second System 5 Gripper Offset (XYZ)

This value is not used.


Slave Last Probe File

This value stores the name of the last probe file the was displayed in the File Name box of the Probe Utilities dialog box of the slave computer in a dual arm configuration.

Entry Name: SlaveLastProbeFile

Entry Type: Character String value specifying Probe file name. Default value is None ( ).

User permission is required to change entry


Standard Deviation Limit

This value provides the maximum acceptable limit for the standard deviation of the probe calibration for an SP600 probe. A standard deviation that is greater than this value will report an error.

Entry Name: StandardDeviationLimit

Entry Type: Real Number to specify standard deviation. Default value is 0.0003937.

User permission is required to change entry


System 5 Gripper Offset (XYZ)

These three values store the values of the gripper offsets after calibration or your System 5 fixturing system. The gripper offset is treated the same as a probe offset. The center of the gripper is hereby linked to the machine.

Entry Name: System5GripperOffset(XYZ)

Entry Type: Real Number to specify gripper offset. Default value is 0.

User permission is required to change entry


TC Final Adjust Depth (toolchanger)

This offset value provides the depth distance that is applied to a calibrated port location of various toolchangers, specified in the Toolchangers list below. This adjusts the port location forward or backward relative to the toolchanger if you are directly in front of it.

  • If a negative value is used, the calibrated port location is adjusted toward the front of the toolchanger by the given distance.

  • If a positive value is used, the calibrated port location is adjusted toward the back of the toolchanger by the given distance.

Note: Since toolchangers can be placed on the machine in varying orientations with respect to the machine's axes, adjustments made to the calibration are relevant to the toolchanger's own coordinates and not the machine's axes.

Entry Name: TCFinalAdjustDepth(toolchanger)

Entry Type: Real Number specifying depth adjustment distance. Default value is 0.

User permission is required to change entry

Toolchangers

  • FCR25SM25

  • FCR25TM25

  • PMM

  • SCP600

  • SCP80

  • SP600

  • TP20

  • TP200


TC Final Adjust Height (toolchanger)

This offset value provides the height distance that is applied to a calibrated port location of various toolchangers, specified in the Toolchangers list below. This adjusts the port location up or down relative to the toolchanger if you are directly in front of it.

  • If a negative value is used, the calibrated port location is adjusted up relative to the toolchanger's Z axis by the given distance.

  • If a positive value is used, the calibrated port location is adjusted down relative to the toolchanger's Z axis by the given distance.

Note: Since toolchangers can be placed on the machine in varying orientations with respect to the machine's axes, adjustments made to the calibration are relevant to the toolchanger's own coordinates and not the machine's axes.

Entry Name: TCFinalAdjustHeight(toolchanger)

Entry Type: Real Number specifying height adjustment distance. Default value is 0.

User permission is required to change entry

Toolchangers

  • FCR25SM25

  • FCR25TM25

  • PMM

  • SCP600

  • SCP80

  • SP600

  • TP20

  • TP200


TC Final Adjust Length (toolchanger)

This offset value provides the length distance that is applied to a calibrated port location of various toolchangers, specified in the Toolchangers list below. This adjusts the port location right or left relative to the toolchanger if you are directly in front of it.

  • If a negative value is used, the calibrated port location is adjusted to the left by the given distance.

  • If a positive value is used, the calibrated port location is adjusted to the right by the given distance.

Note: Since toolchangers can be placed on the machine in varying orientations with respect to the machine's axes, adjustments made to the calibration are relevant to the toolchanger's own coordinates and not the machine's axes.

Entry Name: TCFinalAdjustLength(toolchanger)

Entry Type: Real Number specifying length adjustment distance. Default value is 0.

User permission is required to change entry

Toolchangers

  • FCR25SM25

  • FCR25TM25

  • PMM

  • SCP600

  • SCP80

  • SP600

  • TP20

  • TP200


TCTAR Circle Diameter Large

This value provides the diameter of the large circle that is used to measure the last port of your tool changer. This helps approximate the center of the smaller circle that is measured using the "TCTARCircleDiameterSmall" value.

Entry Name: TCTARCircleDiameterLarge

Entry Type: Real Number specifying large diameter. Default value is 36.25.

User permission is required to change entry


TCTAR Circle Diameter Small

This value provides the diameter of the small circle that is used to measure the last port of your tool changer. This circle is measured after the larger circle that was measured using the "TCTARCircleDiameterLarge" has been measured.

Entry Name: TCTARCircleDiameterSmall

Entry Type: Real Number specifying small diameter. Default value is 25.

User permission is required to change entry


TCTAR Port Width Centerpost

This value is used to define the width of the center post of your tool changer.

Entry Name: TCTARPortWidthCenterpost

Entry Type: Real Number to specify width. Default value is 86.

User permission is required to change entry


TCTAR Port Width Mod40

This value is used to define the port width in part units for a Mod40 port type of your tool changer.

Entry Name: TCTARPortWidthMod40

Entry Type: Real Number to specify width. Default value is 42.

User permission is required to change entry


TCTAR Port Width Mod65

This value is used to define the port width in part units for a Mod65 port type of your tool changer.

Entry Name: TCTARPortWidthMod65

Entry Type: Real Number to specify width. Default value is 67.

User permission is required to change entry


Tolerance For Executing Out Of Order In MM

This value is used to determine if a new feature is being measured out of order. Since some features are in the same general proximity this tolerance value is used to make sure that a new feature is measured only when hits are taken that are more than this tolerance distance from the current feature. If the hit taken is within the tolerance distance, it is considered to be part of the current feature and not a new feature.

When a value of 0 is specified, then this option is not used, so a new feature will not be measured.

Entry Name: ToleranceForExecutingOutOfOrderInMM

Entry Type: Real Number to specify a tolerance distance. Default value is 10.

User permission is required to change entry


Tool Change Pending

This value is not needed for normal usage and should not normally be set or modified by the user. This is used for internal tracking purposes for a specific custom implementation where PC-DMIS is used with a supervisory automation program.

Entry Name: ToolChangePending

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Tool Changer

No longer used except for migrating from very old versions (V2.x) of PC-DMIS.


Tool Changer Comm

No longer used except for migrating from very old versions (V2.x) of PC-DMIS.


Tool Changer Docking Speed

No longer used except for migrating from very old versions (V2.x) of PC-DMIS.


Tool Changer Port3 Axis Depth Offset

This value is similar to the ToolChangerPortDepthOffset value, but used in the specific case where a third axis (C angle) is present on a CW43Light type wrist.

Entry Name: ToolChangerPort3AxisDepthOffset

Entry Type: Real Number specifying depth offset in mm. Default value is 0.

User permission is required to change entry


Tool Changer Port3 Axis Height Offset

This value is similar to the ToolChangerPortHeightOffset value, but used in the specific case where a third axis (C angle) is present on a CW43Light type wrist.

Entry Name: ToolChangerPort3AxisHeightOffset

Entry Type: Real Number specifying height offset in mm. Default value is 0.

User permission is required to change entry


Tool Changer Port3 Axis Length Offset

This value is similar to the ToolChangerPortLengthOffset value, but used in the specific case where a third axis (C angle) is present on a CW43Light type wrist.

Entry Name: ToolChangerPort3AxisLengthOffset

Entry Type: Real Number specifying length offset in mm. Default value is 0.

User permission is required to change entry


Tool Changer Port Depth Offset

This value specifies an offset in millimeters from the measured corner of the given tool changer port to the desired center point for the port. The default value varies depending on the exact tool changer type and is not used at all by many of the supported changer types. This value is in the direction of the depth of the rack (usually from front to back).

Entry Name: ToolChangerPortDepthOffset

Entry Type: Real Number to specify depth in mm. Default value is None (-99999).

User permission is required to change entry


Tool Changer Port Height Offset

This value specifies an offset in millimeters from the measured corner of the given tool changer port to the desired center point for the port. The default value varies depending on the exact tool changer type and is not used at all by many of the supported changer types. This value is in the direction of the height of the rack (usually up if looking into the depth direction with the length to the right).

Entry Name: ToolChangerPortHeightOffset

Entry Type: Real Number to specify height in mm. Default value is None (-99999).

User permission is required to change entry


Tool Changer Port Length Offset

This value specifies an offset in millimeters from the measured corner of the given tool changer port to the desired center point for the port. The default value varies depending on the exact tool changer type and is not used at all by many of the supported changer types. This value is in the direction of the length of the rack (usually to the right if looking into the depth direction with the height being up).

Entry Name: ToolChangerPortLengthOffset

Entry Type: Real Number to specify length in mm. Default value is None (-99999).

User permission is required to change entry


Tool Changer Protocol

No longer used except for migrating from very old versions (V2.x) of PC-DMIS.


Tool Changer Type

No longer used except for migrating from very old versions (V2.x) of PC-DMIS.


Use Last Probe File Automatically

When PC-DMIS is started, it will automatically use the last probe file that was used when in a non-Operator Mode. If you would like to prompted to select a probe, you should set this value to FALSE (0). This will cause the Probe Utilities dialog box to be opened for probe selection for your new part program.

Entry Name: UseLastProbeFileAutomatically

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry


Use Portable Defaults

When this option is set to TRUE, the Portable layout is used when PC-DMIS is started. The Portable layout provides larger menus and buttons to be viewed from a distance.

Entry Name: UseLastProbeFileAutomatically

Entry Type: True/False value. Default value is True.

User permission is required to change entry


Use Special Learnmode Probe Parameter Handling

This option provides probe parameter handling during learnmode. It compensates for errors that might occur in part programs that have different probe types that are managed differently by controllers. For example, an analog and trigger probe in the same part program used to return errors from the controller depending on the location of your cursor in the Edit Window. This option is used when set to TRUE (1).

Entry Name: UseSpecialLearnmodeProbeParameterHandling

Entry Type: Whole Number specifying TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Wrist A Angle End

This value provides the ending A angle used for the calibration of your wrist device. As part of the calibration process, you need to calibrate wrist positions in a pattern of at least three A angle positions by at least three B angle positions for a total of nine sphere measurements.

Entry Name: WristAAngleEnd

Entry Type: Real Number to specify the ending A angle. Default value is -140.

User permission is required to change entry


Wrist A Angle Increment

This value provides the angle increment between the starting and ending A angles. Angles will be calibrated for your wrist device for the starting, ending, and additional angles as determined by the increment value. For example, an increment angle of 10 degrees would add angles for calibration every 10 degrees between the starting and ending angle.

Entry Name: WristAAngleIncrement

Entry Type: Real Number to specify A angle increment. Default value is 10.

User permission is required to change entry


Wrist A Angle Start

This value provides the starting A angle used for the calibration of your wrist device. As part of the calibration process, you need to calibrate wrist positions in a pattern of at least three A angle positions by at least three B angle positions for a total of nine sphere measurements.

Entry Name: WristAAngleStart

Entry Type: Real Number to specify the starting A angle. Default value is -140.

User permission is required to change entry


Wrist AB Calibrate

This value is no longer used.


Wrist BA Calibrate

This value is no longer used.


Wrist B Angle End

This value provides the ending B angle used for the calibration of your wrist device. As part of the calibration process, you need to calibrate wrist positions in a pattern of at least three A angle positions by at least three B angle positions for a total of nine sphere measurements.

Entry Name: WristBAngleEnd

Entry Type: Real Number to specify the ending B angle. Default value is -180.

User permission is required to change entry


Wrist B Angle Increment

This value provides the angle increment between the starting and ending B angles. Angles will be calibrated for your wrist device for the starting, ending, and additional angles as determined by the increment value. For example, an increment angle of 10 degrees would add angles for calibration every 10 degrees between the starting and ending angle.

Entry Name: WristBAngleIncrement

Entry Type: Real Number to specify B angle increment. Default value is 10.

User permission is required to change entry


Wrist B Angle Start

This value provides the starting B angle used for the calibration of your wrist device. As part of the calibration process, you need to calibrate wrist positions in a pattern of at least three A angle positions by at least three B angle positions for a total of nine sphere measurements.

Entry Name: WristBAngleStart

Entry Type: Real Number to specify the starting B angle. Default value is -180.

User permission is required to change entry


Wrist Start B

This value provides the starting B angle used for the calibration of your PHS wrist device (where the phs cannot rotate through). As part of the calibration process, you need to calibrate wrist positions in a pattern of at least three A angle positions by at least three B angle positions for a total of nine sphere measurements.

Entry Name: WristStartB

Entry Type: Real Number to specify the starting B angle. Default value is -180.

User permission is required to change entry


ZInjectorOffset(XYZ)

Z Injector Offset Z

This value is not used.


USER_Probe Cal

This section of the PC-DMIS Settings Editor allows you to set parameters used to calibrate probes.

More:

ProbeQualFirstHitDefinesPole

RenishawCalibrationCreateDataFiles

RenishawCalibrationMaxIterations

RenishawCalibrationCreateOrderSP25

RenishawCalibrationCreateOrderSP600

RenishawCalibrationCreateOrderSP80

RenishawCircleScanUsesHssdat

RenishawScanOffsetMultiplier


Probe Qual First Hit Defines Pole

When this value is set to TRUE (1), The first hit taken for probe qualification is considered to have been taken on the pole of the qualification sphere.

Entry Name: ProbeQualFirstHitDefinesPole

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Probe Qual Ring Dont Update Tip Diameter

When this value is set to TRUE (1), the contact probe tip diameter will not be updated based on the measurements taken with the ring tool. You want this value to be TRUE (1) when a sphere tool is being used for tip diameter calibration instead of a ring.

Entry Name: ProbeQualRingDontUpdateTipDiameter

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Probe Qual Ring Plane Radius

This value is used to adjust the radius of the ring tool face plane contact points. The default radius is the hole radius + 3mm. To make the radius larger, set this value to be greater than 3mm.

Entry Name: ProbeQualRingPlaneRadius

Entry Type: Real Number specifying radius in mm. The default is -1.

User permission is required to change entry


Probe Qual Vision Circle Focus Range Threshhold

If the calculated focus range is less than this value, each circle target will do an auto focus to keep the image as sharp as possible. This is used primarily on high magnification systems with shallow depths of focus.

Entry Name: ProbeQualRingPlaneRadius

Entry Type: Real Number specifying distance in mm. The default is 0.3.

User permission is required to change entry


Probe Qual Vision Circle Focus X FOV Denom

This value determines the Field-of-View width (X size) that is used by the vision tool hole edge focus target.

Entry Name: ProbeQualVisionCircleFocusXFOVDenom

Entry Type: Real Number specifying the Field-of-View Width. The default is 1.2.

User permission is required to change entry


Probe Qual Vision Circle Focus Y FOV Denom

This value determines the Field-of-View width (Y size) that is used by the vision tool hole edge focus target.

Entry Name: ProbeQualVisionCircleFocusYFOVDenom

Entry Type: Real Number specifying the Field-of-View Width. The default is 4.

User permission is required to change entry


Probe Qual Vision DOF Focus Multiplier

This value represents the multiplier used in calculating the focus range. If the focus range is too long or short, adjust this setting accordingly.

Entry Name: ProbeQualVisionDOFFocusMultiplier

Entry Type: Whole Number specifying a multiplier value. Default value is 25.

User permission is required to change entry


Probe Qual Vision Edge Strength

This value sets the minimum edge strength for a detected edge point to be used. This values is only used for Vision Probe Offset calibration. The data discrimination for edge strength occurs at a low level as each point is collected from the sensor, in this case the image processing. Points whose strength is too low are not passed up to the parent feature, such as a circle, for further processing, fitting, filtering, etc.

See the "Strength" value of the "Automatic Hit Target - Edge Parameter Set" topic in the "PC-DMIS Vision" help file.

Entry Name: ProbeQualVisionEdgeStrength

Entry Type: Whole Number to specify edge strength. Default value is None (4).

User permission is required to change entry


Probe Qual Vision Face Focus X FOV Denom

This value determines the Field-of-View width (X size) that is used by the vision tool face focus target.

Entry Name: ProbeQualVisionFaceFocusXFOVDenom

Entry Type: Real Number specifying the Field-of-View Width. The default is 4.

User permission is required to change entry


Probe Qual Vision Face Focus Y FOV Denom

This value determines the Field-of-View width (Y size) that is used by the vision tool face focus target.

Entry Name: ProbeQualVisionFaceFocusYFOVDenom

Entry Type: Real Number specifying the Field-of-View Width. The default is 4.

User permission is required to change entry


Probe Qual Vision Focus Duration

This value is the same as the FocusDuration value but is only applied during the Vision Probe Offset Calibration focus operations. This value provides the number of seconds to spend searching for the best focal position.

Entry Name: ProbeQualVisionFocusDuration

Entry Type: Real Number specifying time in seconds. The default is None (4).

User permission is required to change entry


Probe Qual Vision Focus Hi Accuracy Enabled

This value is the same as the FocusHiAccuracy value but is only applied during the Vision Probe Offset Calibration focus operations. When set to TRUE, the Vision machine will perform a second, slightly slower, pass-to attempt to improve the accuracy of the focal position. The second pass is optimized based on the image data of the first pass. This provides the default setting for the associated Vision Auto Feature target.

Entry Name: ProbeQualVisionFocusHiAccuracyEnabled

Entry Type: True/False value. Default value is None (TRUE).

User permission is required to change entry


Probe Qual Vision Ring Face To Hole Focus Offset

This is a global ring tool adjustment value that can be used to provide additional offset information for vision probes processing. This is useful in cases where the automatic focus and alignment processing may not work well, such as for high magnification optics with a shallow depth of focus. The value is the difference in the Z position from when the ring face is in focus to when the top edge of the ring hole is in focus. For a traditional cylindrically shaped ring gage, this would be a negative value (ex:-0.5 mm). This value will automatically update to the last measured offset based on the setting of the "ProbeQualVisionRingFaceToHoleFocusOffsetAutoUpdate" value.

Entry Name: ProbeQualVisionRingFaceToHoleFocusOffset

Entry Type: Real Number specifying distance in mm. The default is 0.

User permission is required to change entry


Probe Qual Vision Ring Face To Hole Focus Offset Auto Update

When this value is set to TRUE (1), "ProbeQualVisionRingFaceToHoleFocusOffset" value will be updated automatically each time the ring is measured with a vision probe. This will allow offsets that create focus failures to be manually adjusted once and then run automatically on subsequent runs.

Entry Name: ProbeQualVisionRingFaceToHoleFocusOffsetAutoUpdate

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is TRUE (1).

User permission is required to change entry


Renishaw Calibration Create Data Files

When this value is set to TRUE (1), PC-DMIS will create a diagnostic file containing calibration information for your Renishaw probe. The Calibration data is stored in a text (.txt) file in the PC-DMIS install directory. The Calibration information is named after the probe and tip.

Entry Name: RenishawCalibrationCreateDataFiles

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Renishaw Calibration Max Iterations

This value determines that maximum number of iterations that will be calculated for Renishaw probe calibration.

Entry Name: RenishawCalibration MaxIterations

Entry Type: Whole Number to specify number of iterations. Default value is 0.

User permission is required to change entry


RenishawCalibrationCreateOrderSP25

Renishaw Calibration Order SP25

This value is used in conjunction with the "RenishawCalibrationCreateOrderSP600" and "RenishawCalibrationCreateOrderSP80" values to determine the order in which SP25 probe tips will be calibrated.

Entry Name: RenishawCalibrationOrderSP25

Entry Type: Whole Number to specify calibration order. Default value is 0.

User permission is required to change entry


RenishawCalibrationCreateOrderSP600

Renishaw Calibration Order SP600

This value is used in conjunction with the "RenishawCalibrationCreateOrderSP25" and "RenishawCalibrationCreateOrderSP80" values to determine the order in which SP600 probe tips will be calibrated.

Entry Name: RenishawCalibrationOrderSP600

Entry Type: Whole Number to specify calibration order. Default value is 0.

User permission is required to change entry


RenishawCalibrationCreateOrderSP80

Renishaw Calibration Order SP80

This value is used in conjunction with the "RenishawCalibrationCreateOrderSP600" and "RenishawCalibrationCreateOrderSP600" values to determine the order in which SP80 probe tips will be calibrated.

Entry Name: RenishawCalibrationOrderSP80

Entry Type: Whole Number to specify calibration order. Default value is 0.

User permission is required to change entry


Renishaw Circle Scan Uses Hssdat

When this option is set to TRUE (1), PC-DMIS sends a distinct set of points defining the feature measurement path to the controller. Otherwise, when this value is set to FALSE (0), PC-DMIS will send the feature specific parameters to the controller.

Entry Name: RenishawCircleScanUsesHssdat

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 1.

User permission is required to change entry


Renishaw Scan Offset Multiplier

This value is no longer used.


USER_System Five Dcc

This section of the PC-DMIS Settings Editor allows you to set various user-input parameters related to flexible fixturing.

More:

5UniqueClearPlaneDist

5UniqueGripperOffset

ApproachAccel

ApproachAfterAirInY

ApproachAfterAirInZ

ApproachColFromNegY

ApproachDistInX

ApproachDistInZ

ApproachOffsetInY

ApproachOffsetInZ

ApproachRackInPosXDirn

ApproachSpeed

AudiRackSpacing

AudiYOffsetEnd

AudiYOffsetExit

AudiYOffsetStart

C250MinZ

ChorusOffsetFile

ColumnAccel

ColumnCollisionCheckDistance

ColumnMeasureApproachSpeed

ColumnSpeed

CrapIncrement

CurrentFixture

DeltaGrabColZ

FirstIOBitColumnPresent

FreeSpeed

FreeXMoveFromRack

GripperMountSlave(XYZ)

GripperMount(XYZ)

HeadCollisionCheckDistance

InAirPressureToInjector

InAirToDisengageGripper

InColumnEngaged

InGripperOper

InGripperPinsOff

InGripperPinsOn

InGripperRest

LastIOBitColumnPresent

ManualRecoverZOffset

MasterPlateBoundsYMax

MasterPlateBoundsYMin

MasterSlavePlateBoundsXMax

MasterSlavePlateBoundsXMin

MasterSlavePlateBoundsZMax

MasterSlavePlateBoundsZMin

MeasureTipMaster

MeasureTipSlave

Mount(XYZ)

OffsetMaxExtension

OutDisengageGripper

OutGripColumn

OutGripperOper

OutGripperRest

OutInjectAir

OutStopInjectAir

ParkedOffsetInZ

ProbeFile

ProbeFileSlave

ProbeTip

ProbeTipSlave

RackPos1ColumnType

RackPos1(XYZ)

RetractDistInX

SafeMoveInZ

SafeMoveYValue

SecondSystem5GripperOffset

SlaveMount(XYZ)

SlavePlateBoundsYMax

SlavePlateBoundsYMin

System5Audi

System5DebugFlag

System5GripperOffset

szTemp

TestAirBitXYAxis

TestAirBitZAxis

TestForGripperBit

TransferPoint

TurnOffAirBitXYAxis

TurnOffAirBitZAxis

TurnOnAirBitXYAxis

TurnOnAirBitZAxis


5 Unique Clear Plane Dist

This value defines the clearance plane above the sphere point.

Entry Name: 5UniqueClearPlaneDist

Entry Type: Real Number to specify distance. Default value is 300.

Administrator permission is required to change entry


5 Unique Gripper Offset

This value is not used.


Approach Accel

This value is not used.


Approach After Air In Y

This value is not used.


Approach After Air In Z

This value is not used.


Approach Col From Neg Y

This value is not used.


Approach Dist In X

This value is not used.


Approach Dist In Z

This value is not used.


Approach Offset In Y

This value is not used.


Approach Offset In Z

This value is not used.


Approach Rack In Pos X Dirn

This value is not used.


Approach Speed

This value is not used.


Audi Rack Spacing

This value is not used.


Audi Y Offset End

This value is not used.


Audi Y Offset Exit

This value is not used.


Audi Y Offset Start

This value is not used.


C250 Min Z

This value is not used.


Chorus Offset File

This value is not used.


Column Accel

This value is not used.


Column Collision Check Distance

This value specifies the width of the ram to provide the minimum distance between columns. This is used for collision detection. You may need to manually measure the ram to get this value.

Entry Name: ColumnCollisionCheckDistance

Entry Type: Real Number to specify check distance. Default value is 140.

User permission is required to change entry


Column Measure Approach Speed

This value is not used.


Column Speed

This value is not used.


Crap Increment

This value is not used.


Current Fixture

This value is not used.


Delta Grab ColZ

This value is not used.


First IO Bit Column Present

This value is not used.


Free Speed

This value is not used.


Free X Move From Rack

This value specifies the "X" value of the arm when it is placed in a "passing lane" in front of the rack. A "passing lane" defines a zone where the arm is free to move. To determine this value, use the jog box to move the arm to the passing lane in front of the rack.

Entry Name: FreeXMoveFromRack

Entry Type: Real Number to specify X value. Default value is 100.

User permission is required to change entry


Gripper Mount Slave (XYZ)

These three values define the XYZ location that is used for a Gripper Mount Point for the slave arm. This is a position that the machine will move to when it is time to mount the gripper onto the end of the ram. To determine what these values should be, move the machine to the desired location where the probe is easy to reach. Enter the XYZ values to their respective registry values.

Entry Name: GripperMountSlave(XYZ)

Entry Type: Real Number to specify (XYZ) gripper mount point location. Default value is -999999.

User permission is required to change entry


Gripper Mount (XYZ)

These three values define the XYZ location that is used for a Gripper Mount Point for the master arm. This is a position that the machine will move to when it is time to mount the gripper onto the end of the ram. To determine what these values should be, move the machine to the desired location where the probe is easy to reach. Enter the XYZ values to their respective registry values.

Entry Name: GripperMount(XYZ)

Entry Type: Real Number to specify (XYZ) gripper mount point location. Default value is -999999.

User permission is required to change entry


Head Collision Check Distance

This value specifies the overhang in Y axis of the probe head as measured from the center of the gripper pins to the end of the probe head. You may need to manually measure the length of the probe to get this value.

Entry Name: HeadCollisionCheckDistance

Entry Type: Real Number to specify check distance. Default value is 270.

User permission is required to change entry


In Air Pressure To Injector

This value is not used.


In Air To Disengage Gripper

This value is not used.


In Column Engaged

This value is not used.


In Gripper Oper

This value is not used.


In Gripper Pins Off

This value is not used.


In Gripper Pins On

This value is not used.


In Gripper Rest

This value is not used.


Last IO Bit Column Present

This value is not used.


Manual Recover Z Offset

This value is not used.


Master Plate Bounds Y Max

This value is not used.


Master Plate Bounds Y Min

This value is not used.


Master Slave Plate Bounds X Max

This value is not used.


Master Slave Plate Bounds X Min

This value is not used.


Master Slave Plate Bounds Z Max

This value is not used.


Master Slave Plate Bounds Z Min

This value is not used.


Measure Tip Master

This value is used internally by PC-DMIS to store the value of the last used tip for column measurement with the master arm.

Entry Name: MeasureTipMaster

Entry Type: Character String to specify last used tip value. Default value is None ( ).

User permission is required to change entry


Measure Tip Slave

This value is used internally by PC-DMIS to store the value of the last used tip for column measurement with the slave arm.

Entry Name: MeasureTipSlave

Entry Type: Character String to specify last used tip value. Default value is None ( ).

User permission is required to change entry


Mount (XYZ)

This value is not used.


Offset Max Extension

This value is not used.


Out Disengage Gripper

This value is not used.


Out Grip Column

This value is not used.


Out Gripper Oper

This value is not used.


Out Gripper Rest

This value is not used.


Out Inject Air

This value is not used.


Out Stop Inject Air

This value is not used.


Parked Offset In Z

This value provides the total distance down the Z axis that the arm must move to safely engage the column on the XY injector pins. It should also be the height of the column *gauging shim.

Entry Name: ParkedOffsetInZ

Entry Type: Real Number to specify distance. Default value is 18.

Administrator permission is required to change entry


Probe File

This value is used internally by PC-DMIS to store the value of the last used probe file for calibration with the master arm.

Entry Name: ProbeFile

Entry Type: Character String to specify master probe file name. Default value is None ( ).

User permission is required to change entry


Probe File Slave

This value is used internally by PC-DMIS to store the value of the last used probe file for calibration with the slave arm.

Entry Name: ProbeFileSlave

Entry Type: Character String to specify slave probe file name. Default value is None ( ).

User permission is required to change entry


Probe Tip

This value is used internally by PC-DMIS to store the value of the last used tip for calibration with the master arm.

Entry Name: ProbeTip

Entry Type: Character String to specify master tip. Default value is None ( ).

User permission is required to change entry


Probe Tip Slave

This value is used internally by PC-DMIS to store the value of the last used tip for calibration with the slave arm.

Entry Name: ProbeTipSlave

Entry Type: Character String to specify slave tip. Default value is None ( ).

User permission is required to change entry


Rack Pos1 Column Type

This value is not used.


Rack Pos1 (XYZ)

This value is not used.


Retract Dist In X

This value is not used.


Safe Move In Z

This value is not used.


Safe Move Y Value

This value is not used.


Second System 5 Gripper Offset

This value is not used.


Slave Mount (XYZ)

This value is not used.


Slave Plate Bounds Y Max

This value is not used.


Slave Plate Bounds Y Min

This value is not used.


System 5 Audi

This value is not used.


System 5 Debug Flag

This value is not used.


System 5 Gripper Offset

This value is not used.


sz Temp

This value is not used.


Test Air Bit XY Axis

This value is not used.


Test Air Bit Z Axis

This value is not used.


Test For Gripper Bit

This value is not used.


Transfer Point

This value is not used.


Turn Off Air Bit XY Axis

This value is not used.


Turn Off Air Bit Z Axis

This value is not used.


Turn On Air Bit XY Axis

This value is not used.


Turn On Air Bit Z Axis

This value is not used.


USER_Temp Comp

This section of the PC-DMIS Settings Editor allows you to set parameters for temperature compensation. For information on temperature compensation, see "Compensating for Temperature" in the "Setting Your Preferences" section.

More:

HiThreshold (PXYZ)

LoThreshold (PXYZ)

MaterialCoeff (PXYZ)

Origin (PXYZ)

QualToolMaterialCoefficient

RefTemp (PXYZ)

SensorNumber (PXYZ)

TempComp

TempCompAutomatic

TempCompCelsius


Hi Threshold (PXYZ)

The High Threshold values provide an upper limit (in the units specified by TempCompCelsius) on the current temperature above which no further thermal compensation will be applied.

Entry Name: HiThreshold(PXYZ)

Entry Type: Character String specifying degrees in either Celsius or Fahrenheit. Default value is None ( ).

User permission is required to change entry

Option Key:

X | X Axis
Y | Y Axis
Z | Z Axis
P | Part


Lo Threshold (PXYZ)

The Low Threshold values provide an lower limit (in the units specified by TempCompCelsius) on the current temperature below which no further thermal compensation will be applied.

Entry Name: LoThreshold(PXYZ)

Entry Type: Character String specifying degrees in either Celsius or Fahrenheit. Default value is None ( ).

User permission is required to change entry

Option Key:

X | X Axis
Y | Y Axis
Z | Z Axis
P | Part


Material Coeff (PXYZ)

The Material Coefficient values provide numbers reflecting the material property, and are the fractional change in length per unit change in temperature.

Example: A scale with a coefficient of 11.5 microns/meter/degree C becomes 0.0000115 meters/meter/degree C or just 0.0000115/degree C.

Note: This can be thought of as meters/meter/degree C or inches/inch/degree F but since the length in both the numerator and denominator are in the same units they divide out.

Entry Name: MaterialCoeff(PXYZ)

Entry Type: Character String specifying degrees in either Celsius or Fahrenheit. Default value is None ( ).

User permission is required to change entry

Option Key:

X | X Axis
Y | Y Axis
Z | Z Axis
P | Part


Origin (PXYZ)

The Origin values are used to determine the length of the item to which thermal compensation is being applied.

Length = Current Position Value – Origin Value

  • The X, Y, and Z values of the Origin boxes will be zero most of the time. However, some types of machines do not use zero for the origin of their scales.

  • The Part value will typically also be zero unless there is some special type of fixturing constraint.

Entry Name: Origin(PXYZ)

Entry Type: Character String specifying origin location. Default value None ( ).

User permission is required to change entry

Number Key:

X | X Axis
Y | Y Axis
Z | Z Axis
P | Part


Qual Tool Material Coefficient

The Material Coefficient values provide numbers reflecting the material property, and are the fractional change in length per unit change in temperature.

Example: A scale with a coefficient of 11.5 microns/meter/degree C becomes 0.0000115 meters/meter/degree C or just 0.0000115/degree C.

Note: This can be thought of as meters/meter/degree C or inches/inch/degree F but since the length in both the numerator and denominator are in the same units they divide out.

Entry Name: QualToolMaterialCoeffient

Entry Type: Character String specifying degrees in either Celsius or Fahrenheit. Default value is None ( ).

User permission is required to change entry


Ref Temp (PXYZ)

The Ref Temp values contain the reference temperature from which temperature compensation adjustments need to be applied.

  • The amount of correction to be applied is based on multiplying the material coefficient by the difference between the current and reference temperatures.
    Amount of Correction = Material Coefficient x (Current Temp – Reference Temp)

  • If the current temperature is the same as the reference temperature the net effect is that no thermal compensation adjustment is applied.

Entry Name: RefTemp(PXYZ)

Entry Type: Character String specifying degrees in either Celsius or Fahrenheit. Default value is None ( ).

User permission is required to change entry

Option Key:

X | X Axis
Y | Y Axis
Z | Z Axis
P | Part


Sensor Number (PXYZ)

The Sensor Numbers values contain a list of one or more sensor numbers to be used for the given axis or part. These values are very important when reading temperatures from the controller because they must correspond to how the sensors are actually configured.

  • Each sensor is a number in the range of 1 to 32.

  • Items in the list can be either a single number or a range from first to last.

  • Items are separated by either commas or left blank.

  • The input allows up to 32 values for any axis or the part.

Entry Name: SensorNumber(PXYZ)

Entry Type: Character String specifying sensor number. Default value is None ( ).

User permission is required to change entry

Option Key:

X | X Axis
Y | Y Axis
Z | Z Axis
P | Part

Note: For "manual" mode these numbers are relatively meaningless but at least one sensor number must be assigned for each axis and the part.


Temp Comp

This option determines whether PC-DMIS uses Temperature Compensation or not. When this value is set to TRUE (1), then Temp Comp us enabled. Any TEMPCOMP commands will be ignored when this value is set to FALSE (0).

Entry Name: TempComp

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 1.

Administrator permission is required to change entry


Temp Comp Automatic

This option determines the method that will be used for Temperature Compensation.

Entry Name: TempCompAutomatic

Entry Type: Whole Number to specify the Compensation Method. Default value is 0.

User permission is required to change entry

The following are the available compensation methods and their respective processes in PC-DMIS.

Value | Method | Process
0 | Manual | Compensation is manual.
1 | Read Temperatures from Controller | PC-DMIS reads the current temperatures from the controller automatically rather than you supplying the data.
2 | Controller Compensates Axes Only | The controller performs compensation of the machine axes itself.
3 | Controller Comps Axes and Part | The controller performs compensation of both the machine axes and the part.


Temp Comp Celsius

This option determines if temperatures and material coefficients are given in Celsius or Fahrenheit. When this value is set to TRUE (1), degrees are displayed in Celsius.

Entry Name: TempCompCelsius

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 1

User permission is required to change entry


USER_Valysis

USER_Valisys

The Valisys software is frequently uses other vendor’s software to provide the actual machine control to operate CMM’s. PC-DMIS has the capability to support this mode of operation. Although frequently referred to as the Valisys interface this should not be confused with an actual machine interface. The connection is between a Valisys host computer and a PC running PC-DMIS.

The connection between Valisys and PC-DMIS is accomplished by either TCP/IP or Serial (RS232) communications. This is completely independent of the method by which PC-DMIS communicates to a particular CMM. This section discusses the values that are used to establish the Valisys connection.

More:

ValisysCommPort

ValisysErrorDelay

ValisysTCPIPPort

ValisysUseCheckSum


Valisys Comm Port

This value specifies the COM port that is used to establish a serial connection between your PC-DMIS computer and your Valisys server. Use a value of 1 for COM1, 2 for COM2, etc. The protocol for the port will automatically be set to 9600 baud, 8 data bits, no parity, 1 stop bit. The Valisys host must be configured to use the same settings protocol settings.

Note: When a serial port is being used there should not be an entry for ValisysTCPIPPort.

Entry Name: ValisysCommPort

Entry Type: Whole Number to specify the COM port. Default value is 0

User permission is required to change entry


Valisys TCP IP Port

This value specifies Valisys server port that PC-DMIS connects to when using TCP/IP to establish a connection. A value greater then 5000 should be used. The Valisys host port must be set to the same value for communication to work.

Note: When TCP/IP is being used there should not be an entry for ValisysCommPort.

Entry Name: ValisysTCPIPPort

Entry Type: Character String to specify the TCP/IP port. Default value is 55555.

User permission is required to change entry


Valisys Use Check Sum

This option determines whether check sums are used to verify proper communication and transfer of files. You should use this option of communication is not transferring files correctly. Check sums are used when this value is set to TRUE (1).

Entry Name: ValisysUseCheckSum

Entry Type: Whole Number to specify TRUE (1) or FALSE (0). Default value is 0.

User permission is required to change entry


Virtual Keypad

This section of the PC-DMIS Settings Editor allows you to set parameters that are used for the Virtual Keypad.

It currently has the LastUsedLayout2 entry


Last Used Layout 2

This value specifies the last used Keypad layout. The designated keypad will be displayed when the Virtual Keypad button or the View | Virtual Keypad menu item is selected.

Entry Name: LastUsedLayout2

Entry Type: Whole Number to specify keyboard number. Default value is 3.

User permission is required to change entry

Layout Key:

1 | Keypad 1
2 | Keypad 2
3 | Keypad 3
4 | Function Keys
5 | Keyboard
6 | Standard Keypad


Vision Parameters

This section of the PC-DMIS Settings Editor contains settings for PC-DMIS Vision.

More:

FilterArea

FilterAreaSize

FilterClean

FilterCleanStrength

FilterOutliers

FilterOutliersDistance

FilterOutliersStdDev

FocusDuration

FocusHiAccuracy

FocusIllumAdjust

FocusOn

FocusRangeInch

FocusRangeMM

FocusUseLaser


Filter Area

Documentation Pending


Filter Area Size

Documentation Pending


Filter Clean

When this value is set to TRUE, the default setting for the associated Vision Auto Feature target is to use the Clean Filter to removes dust and small noise particles from the image prior to edge detection.

Entry Name: FilterClean

Entry Type: True/False value. Default value is None (TRUE).

User permission is required to change entry


Filter Clean Strength

This value specifies the size (in pixels) of an object, below which is considered to be dirt or noise. This value is used in when the "FilterClean" is set to TRUE.

Entry Name: FilterCleanStrength

Entry Type: Whole Number to specify size in pixels. Default value is None (2).

User permission is required to change entry


Filter Outliers

When this value is set to TRUE, the default setting for associated Vision Auto Feature target is to use the Outlier Filter to remove points that are outside a "FilterOutliersDistance".

Entry Name: FilterOutliers

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


Filter Outliers Distance

This value specifies the distance in pixels that a point can be away from nominal before discarding it when the "FilterOutliers" value is set to TRUE.

Entry Name: FilterOutliersDistance

Entry Type: Whole Number to specify in pixels. Default value is None (0).

User permission is required to change entry


Filter Outliers Std Dev

This value specifies the distance in pixels that a point needs to be away from the other points before discarding it when the "FilterOutliers" value is set to TRUE.

Entry Name: FocusDuration

Entry Type: Real Number specifying distance in pixels. The default is None (2).

User permission is required to change entry


Focus Duration

This value provides the number of seconds to spend searching for the best focal position. This provides the default setting for the associated Vision Auto Feature target.

Entry Name: FocusDuration

Entry Type: Real Number specifying seconds. The default is None (10).

User permission is required to change entry


Focus Hi Accuracy

When this value is set to TRUE, the Vision machine will perform a second, slightly slower, pass-to attempt to improve the accuracy of the focal position. The second pass is optimized based on the image data of the first pass. This provides the default setting for the associated Vision Auto Feature target.

Entry Name: FocusHiAccuracy

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


Focus Illum Adjust

When this value is set to TRUE, the Vision machine performs an auto-light adjust prior to focus, in an attempt to achieve optimal focus result for the associated Vision Auto Feature target.

Entry Name: FocusIllumAdjust

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


Focus On

When this value is set to TRUE, PC-DMIS Vision performs pre-edge detection focus for the associated Vision Auto Feature target.

Entry Name: FocusOn

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


Focus Range Inch

This value provides the distance (for part programs using Inch units) over which to perform the focus. Using this value the machine searches in the Z direction for the best focal position.

Entry Name: FocusRangeInch

Entry Type: Real Number specifying distance in inches. The default is None (0.2).

User permission is required to change entry


Focus Range MM

This value provides the distance (for part programs using MM units) over which to perform the focus. Using this value the machine searches in the Z direction for the best focal position.

Entry Name: FocusRangeMM

Entry Type: Real Number specifying distance in millimeters. The default is None (5).

User permission is required to change entry


Focus Use Laser

When this value is set to TRUE, systems with a laser device will cause the laser to be on during the focus as on certain surfaces it can improve contrast for the focus algorithm.

Entry Name: FocusUseLaser

Entry Type: True/False value. Default value is FALSE.

User permission is required to change entry


Wizards

This section of the PC-DMIS Settings Editor allows you to set various parameters related to the scanning wizards available on the Quick Start toolbar in PC-DMIS. See "Quick Start: Scan" in the "Using Toolbars" section. Options are available for the following Scan Wizards:

Body Axis Scan

Fixed Delta Scan

Linear Closed Scan

Linear Open Scan

Multisection Scan

Patch Scan

Rotary Scan

Time Delta Scan

UV Scan

Variable Delta Scan

These values are not discussed here, but information can be found in the "Introduction_to_Performing_Advanced_Scans.htm" topic.